﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;

public partial class _Default : BasePage
{
    private UserAccountManager _user = (UserAccountManager)HttpContext.Current.User;

    protected void Page_Load(object sender, EventArgs e)
    {
        RedirectBasedOnUserRole();
    }
    public override string TopMenuName()
    {
        return "My Tasks";
    }
    public override string MenuItemName()
    {
        return "";
    }
    public override string AppObjectCode()
    {
        return "DVEIR DEFAULT";
    }

    /// <summary>
    /// This function sets Redirects based on the user role.
    /// </summary>
    private void RedirectBasedOnUserRole()
    {
        
        if (_user.GetRoles().Contains((int)RoleCode.DVEIR_DATA_ABSTRACTOR))
        {
            //start on new referrals queue
            Response.Redirect("Referrals.aspx?id=11");
        }
        else if (_user.GetRoles().Contains((int)RoleCode.DVEIR_MEDICAL_PROFESSIONAL))
        {
            //start on Ready for Review
            Response.Redirect("Referrals.aspx?id=13");
        }
        else if (_user.GetRoles().Contains((int)RoleCode.DVEIR_ADMINISTRATOR))
        {
            Response.Redirect("Referrals.aspx?id=14");
        }
        
    }

}
