﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.Reporting.WebForms;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class DveirReport : BasePage
{
    private UserAccountManager _currentUser;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!AccessAllowed())
        {
            Response.Redirect("ErrorPage.aspx?id=100");
        }

        string reportName = Request.QueryString["id"].ToString();
        if (reportName == DVEIRSharedConstant.DveirReportsDoDTransfer)
        {
            ReportParametersControl.DateFrom = true;
            ReportParametersControl.DateTo = true;
            ReportParametersControl.ServerReportName = "DoDInterfaceTransferReport";
        }
        else if (reportName == DVEIRSharedConstant.DveirReportsFrequencyEmbeddedFragment)
        {
            ReportParametersControl.StartYear = true;
            ReportParametersControl.EndYear = true;
            ReportParametersControl.ServerReportName = "FrequencyofOcularEmbeddedFragmentsReport";
        }
        else if (reportName == DVEIRSharedConstant.DveirReportsTreatmentEmbeddedFragment)
        {
            ReportParametersControl.StartYear = true;
            ReportParametersControl.EndYear = true;
            ReportParametersControl.Provider = true;
            ReportParametersControl.ServerReportName = "TreatmentCompforEmbeddedFragmentsReport";
        }

    }

    private bool AccessAllowed()
    {
        _currentUser = (UserAccountManager)HttpContext.Current.User;

        if (Request.QueryString["id"].ToString() == DVEIRSharedConstant.DveirReportsDoDTransfer)
        {
            return (_currentUser.IsInRole(19));
        }
        else
        {
            return (_currentUser.IsInRole(19)
                || _currentUser.IsInRole(24));
        }
    }
    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        string results = string.Empty;
        string reportName = Request.QueryString["id"].ToString();
        if (reportName == DVEIRSharedConstant.DveirReportsDoDTransfer)
        {
            results = "Dod Interface Transfer";
        }
        else if (reportName == DVEIRSharedConstant.DveirReportsFrequencyEmbeddedFragment)
        {
            results = "Frequency of Fragments";
        }
        else if (reportName == DVEIRSharedConstant.DveirReportsTreatmentEmbeddedFragment)
        {
            results = "Treatment for Fragments";
        }
        return "Average Procedure";
    }

    public override string AppObjectCode()
    {
        string results = string.Empty;
        string reportName = Request.QueryString["id"].ToString();
        if (reportName == DVEIRSharedConstant.DveirReportsDoDTransfer)
        {
            results = "DVEIR_REPORT_DOD_INTERFACE_TRANSFER";
        }
        else if (reportName == DVEIRSharedConstant.DveirReportsFrequencyEmbeddedFragment)
        {
            results = "DVEIR_REPORT_FREQUENCY_OCULAR_EMBEDDED_FRAGMENTS";
        }
        else if (reportName == DVEIRSharedConstant.DveirReportsTreatmentEmbeddedFragment)
        {
            results = "DVEIR_REPORT_TREATMENT_EMBEDDED_FRAGMENTS";
        }
        return results;
    }

}
