<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PatientRequests.aspx.cs" Inherits="PatientRequests" MasterPageFile ="~/Registry.master" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>



<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <link type = "text/css" href ="styles/StyleSheet.css"/>

</asp:Content> 

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    
    <script type ="text/javascript">

        $(document).ready(function() {

            var hiddenValue = $('#<%= HiddenFieldFocusOnBreadCrumb.ClientID %>');
            var hiddenValueSearchMode = $('#<%= HiddenFieldSearchMode.ClientID %>');

//            alert('hiddenValue ' + hiddenValue.val());
//            alert('hiddenValueSearchMode ' + hiddenValueSearchMode.val());


            if (hiddenValue.val() == '1') {
                $('[id *= LabelBreadCrumb]').focus();
                //alert('setting focus');
            }

            if ($("input[id*='TextBoxPatientSSNSearch']").val() != ''
            &&
            hiddenValueSearchMode.val() == 'SearchMode') {

                $("input[id*='TextBoxPatientFirstNameSearch']").attr('disabled', 'disabled');
                $("input[id*='TextBoxMiddleName']").attr('disabled', 'disabled');
                $("input[id*='TextBoxPatientLastNameSearch']").attr('disabled', 'disabled');
                $("input[id*='TextBoxDateOfBirth']").attr('disabled', 'disabled');

                $("input[id*='TextBoxPatientFirstNameSearch']").val('');
                $("input[id*='TextBoxMiddleName']").val('');
                $("input[id*='TextBoxPatientLastNameSearch']").val('');
                $("input[id*='TextBoxDateOfBirth']").val('');
            }

            $("input[id*='TextBoxPatientSSNSearch']").blur(function() {
            if ($(this).val() != "" 
                &&
                hiddenValueSearchMode.val() == 'SearchMode') {
                    //alert('setting disabled');
                    $("input[id*='TextBoxPatientFirstNameSearch']").attr('disabled', 'disabled');
                    $("input[id*='TextBoxMiddleName']").attr('disabled', 'disabled');
                    $("input[id*='TextBoxPatientLastNameSearch']").attr('disabled', 'disabled');
                    $("input[id*='TextBoxDateOfBirth']").attr('disabled', 'disabled');

                    $("input[id*='TextBoxPatientFirstNameSearch']").val('');
                    $("input[id*='TextBoxMiddleName']").val('');
                    $("input[id*='TextBoxPatientLastNameSearch']").val('');
                    $("input[id*='TextBoxDateOfBirth']").val('');

                }
                else {
                    //alert('setting enabled');

                    $("input[id*='TextBoxPatientFirstNameSearch']").removeAttr('disabled');
                    $("input[id*='TextBoxMiddleName']").removeAttr('disabled');
                    $("input[id*='TextBoxPatientLastNameSearch']").removeAttr('disabled');
                    $("input[id*='TextBoxDateOfBirth']").removeAttr('disabled');
                }
            });
            
        }
        );
    </script>
    
    <asp:HiddenField ID="HiddenFieldFocusOnBreadCrumb" runat="server"/>
    <asp:HiddenField ID="HiddenFieldSearchMode" runat="server"/>
    
    <asp:ValidationSummary ID="ValidationSummarySearchPatients"  runat="server"
        TabIndex="1" 
        HeaderText="The page has the following data errors:" 
        DisplayMode="BulletList" 
        ValidationGroup="SearchPatient"
        ShowMessageBox="True" ShowSummary="false"/>
    <asp:ValidationSummary ID="ValidationSummarySubmitRequest"  runat="server"
        TabIndex="1" 
        HeaderText="The page has the following data errors:" 
        DisplayMode="BulletList" 
        ValidationGroup="SubmitRequest"
        ShowMessageBox="True" ShowSummary="false"/>
    <asp:Panel ID="PanelObjectContent" runat="server">
        <uc1:ErrorList ID="ErrorList1" runat="server" />
        <br />
        <asp:Label ID="LabelPageInstructions" SkinID="DataLabel" runat="server">
        The <b>Manual Patient Request</b> process is used to submit a request to include 
        a patient into the Eye Injury Data Store for the following reasons:
        <br />
        <ul>
            <li>
            The patient was not included based on the pre-defined criteria for automatic 
            inclusion 
            </li>
            <li>
            The patient is a new patient with eye related encounters and their 
            record is not yet in the VA master patient list 
            </li>
            <li>
            The patient is known to have an eye 
            injury but is not in the Eye Injury Data Store 
            </li>
        </ul>
        </asp:Label>
        <asp:Panel ID="PanelPatientFields" runat="server" GroupingText="Select patient from VA master patient list&nbsp;&nbsp;" Width="90%">
            <asp:Literal ID="LiteralExcludeSaveWarningDiv" runat="server"></asp:Literal>
            <br />
            <asp:Label ID = "LabelSearchInstruction" runat = "server" 
                SkinID="DataLabel"
                Visible="true"
                Text="To begin, search for the patient that you want to include in the registry.  At least one field below is required.">
            </asp:Label> 
            <br /><br />
            <asp:Label ID="LabelforTextBoxSSNSearch" runat="server" 
                AssociatedControlID="TextBoxPatientSSNSearch">
                SSN:
            </asp:Label>
            <br />
            <asp:TextBox ID="TextBoxPatientSSNSearch" runat="server" Width = "350px"></asp:TextBox>
            <asp:RegularExpressionValidator ID = "SSNValidator" runat = "server" 
                ControlToValidate = "TextBoxPatientSSNSearch" 
                ValidationGroup="SearchPatient"
                Display = "Dynamic" 
                ErrorMessage = "SSN needs to be in the following format (dashes optional): XXX-XX-XXXX.  Include a 'P' or 'p' at the end for pseudo SSNs."
                SetFocusOnError = "true" 
                ValidationExpression = "^\s*\d{3}-?\d{2}-?\d{4}[pP]?\s*$">
            </asp:RegularExpressionValidator>
            <asp:RegularExpressionValidator ID = "SSNValidatorSubmit" runat = "server" 
                ControlToValidate = "TextBoxPatientSSNSearch" 
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                ErrorMessage = "SSN needs to be in the following format (dashes optional): XXX-XX-XXXX.  Include a 'P' or 'p' at the end for pseudo SSNs."
                SetFocusOnError = "true" 
                ValidationExpression = "^\s*\d{3}-?\d{2}-?\d{4}[pP]?\s*$">
            </asp:RegularExpressionValidator>         
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorSSN" runat="server" 
                ControlToValidate = "TextBoxPatientSSNSearch" 
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                ErrorMessage="SSN is required to submit request." 
                SetFocusOnError = "true" 
                >
            </asp:RequiredFieldValidator>                
            <br />
            <asp:Label ID="LabelforTextBoxPatientFirstNameSearch" runat="server" 
                AssociatedControlID="TextBoxPatientFirstNameSearch">
                First Name:
            </asp:Label>
            <br />
            <asp:TextBox ID="TextBoxPatientFirstNameSearch" runat="server" 
                Width = "350px">
            </asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorFirstName" runat="server" 
                ControlToValidate="TextBoxPatientFirstNameSearch"
                ValidationGroup="SearchPatient"
                Display = "Dynamic" 
                SetFocusOnError = "true" 
                ErrorMessage="First Name cannot accept numbers."
                ValidationExpression="[a-zA-Z\s\-]*"
            />
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorFirstNameSubmit" runat="server" 
                ControlToValidate="TextBoxPatientFirstNameSearch"
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                SetFocusOnError = "true" 
                ErrorMessage="First Name cannot accept numbers."
                ValidationExpression="[a-zA-Z\s\-]*"
            />
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorFirstName" runat="server" 
                ControlToValidate = "TextBoxPatientFirstNameSearch" 
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                ErrorMessage="First Name is required to submit request." 
                SetFocusOnError = "true" 
                >
            </asp:RequiredFieldValidator>                
            <br />
            <asp:Label ID="LabelTextBoxMiddleName" runat="server" 
                AssociatedControlID="TextBoxMiddleName">
                Middle Name:
            </asp:Label>
            <br />
            <asp:TextBox ID="TextBoxMiddleName" runat="server" 
                Width = "350px">
            </asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorMiddleName" runat="server" 
                ControlToValidate="TextBoxMiddleName"
                ValidationGroup="SearchPatient"
                Display = "Dynamic" 
                SetFocusOnError = "true" 
                ErrorMessage="Middle Name cannot accept numbers."
                ValidationExpression="[a-zA-Z\s\-]*"/>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorMiddleNameSubmit" runat="server" 
                ControlToValidate="TextBoxMiddleName"
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                SetFocusOnError = "true" 
                ErrorMessage="Middle Name cannot accept numbers."
                ValidationExpression="[a-zA-Z\s\-]*"/>
            <br />
            <asp:Label ID="LabelforTextBoxPatientLastNameSearch" runat="server" 
                AssociatedControlID="TextBoxPatientLastNameSearch">
                Last Name:
            </asp:Label>
            <br />
            <asp:TextBox ID="TextBoxPatientLastNameSearch" runat="server" 
                Width = "350px">
            </asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorLastName" runat="server" 
                ControlToValidate="TextBoxPatientLastNameSearch"
                ValidationGroup="SearchPatient"
                Display = "Dynamic" 
                SetFocusOnError = "true" 
                ErrorMessage="Last Name cannot accept numbers."
                ValidationExpression="[a-zA-Z\s\-]*"/>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorLastNameSubmit" runat="server" 
                ControlToValidate="TextBoxPatientLastNameSearch"
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                SetFocusOnError = "true" 
                ErrorMessage="Last Name cannot accept numbers."
                ValidationExpression="[a-zA-Z\s\-]*"/>
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorLastName" runat="server" 
                ControlToValidate = "TextBoxPatientLastNameSearch" 
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                ErrorMessage="Last Name is required to submit request." 
                SetFocusOnError = "true" 
                >
            </asp:RequiredFieldValidator>                
            <br />
            <asp:Label ID="LabelforTextBoxDateOfBirth" runat="server" 
                AssociatedControlID="TextBoxDateOfBirth">
                Date of Birth (mm/dd/yyyy):
            </asp:Label>
            <br />
            <asp:TextBox ID="TextBoxDateOfBirth" runat="server" 
                TabIndex="10" 
                Width = "350px">
            </asp:TextBox>
            <asp:RangeValidator ID = "RangeValidatorTextBoxDateOfBirth" runat= "server" 
                TabIndex="11"  
                SetFocusOnError="true"
                Type = "Date"  
                EnableClientScript="true"
                ControlToValidate = "TextBoxDateOfBirth"  
                Display = "Dynamic" 
                ErrorMessage = "Date of Birth needs to be in the following format: mm/dd/yyyy, not later than today, and makes the patient at least 18 years of age." 
                ValidationGroup = "SearchPatient">
            </asp:RangeValidator>
            <asp:RangeValidator ID = "RangeValidatorTextBoxDateOfBirthSubmit" runat= "server" 
                TabIndex="11"  
                SetFocusOnError="true"
                Type = "Date"  
                EnableClientScript="true"
                ControlToValidate = "TextBoxDateOfBirth"  
                Display = "Dynamic" 
                ErrorMessage = "Date of Birth needs to be in the following format: mm/dd/yyyy, not later than today, and makes the patient at least 18 years of age." 
                ValidationGroup = "SubmitRequest">
            </asp:RangeValidator>      
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorDateOfBirth" runat="server" 
                ControlToValidate = "TextBoxDateOfBirth" 
                ValidationGroup="SubmitRequest"
                Display = "Dynamic" 
                ErrorMessage="Date of Birth is required to submit request." 
                SetFocusOnError = "true" 
                >
            </asp:RequiredFieldValidator>                
            <br /><br /> 
            <asp:Button ID="ButtonSearchPatient" runat="server" 
                ValidationGroup="SearchPatient" 
                CausesValidation="true" 
                Width="160px"
                Text="Search" ToolTip="Select to search for patients"
                onclick="ButtonSearchPatient_Click" />
            &nbsp;
            <asp:Button ID="ButtonSubmitRequestFromVAMasterList" runat="server" 
                ValidationGroup="SubmitRequest" 
                CausesValidation="true" 
                Width="160px"
                Text="Submit Request" ToolTip="Select to submit a request from the VA Master List"
                onclick="ButtonSubmitRequestFromVAMasterList_Click" />
            &nbsp;
            <asp:Button ID="ButtonSubmitRequestManual" runat="server" 
                ValidationGroup="SubmitRequest" 
                CausesValidation="true" 
                Width="160px"
                Text="Submit Request" ToolTip="Select to submit a manual request"
                onclick="ButtonSubmitRequestManual_Click" />
            &nbsp;
            <asp:Button ID="ButtonConfirm" runat="server" 
                ValidationGroup="SubmitRequest" 
                CausesValidation="true" 
                Width="160px"
                Text="Confirm" ToolTip="Select to confirm request"
                onclick="ButtonConfirm_Click" />
            &nbsp;
            <asp:Button ID="ButtonCancel" runat="server" 
                CausesValidation="false" 
                Width="160px"
                Text="Cancel" ToolTip="Select to cancel request"
                onclick="ButtonCancel_Click" />             
            <br />
            <asp:Button ID="ButtonSearchAgain" runat="server" 
                CausesValidation="false" 
                Width="160px"
                Text="Search Again" ToolTip="Select to search again"
                onclick="ButtonSearchAgain_Click" />             
            <br />
            <asp:Label ID="LabelSearchNote" runat="server" SkinID="DataLabel">
                <i><u>Note:</u> This lookup searches the VA master patient list.  It does not search patients that are already in the Eye Injury Data Store.  If your search does not return the patient that you were expecting, the patient is either already in the Eye Injury Data Store or their record is still in process of being added to the VA master patient list.  To request a patient for inclusion into the Eye Injury data store that are in process of being added to the VA master patient list, use the manual request function below.</i>
            </asp:Label>
            <br />
            <br />
            <asp:Label ID = "LabelWarningNotificationMessage" runat = "server" 
                SkinID="DataLabel"
                Visible="false"
                Text="">
            </asp:Label> 
            <asp:Label ID = "LabelSearchResultInformation" runat = "server" 
                SkinID="DataLabel"
                Visible="false"
                Text="">
            </asp:Label>
            <asp:GridView ID="GridViewVAPatients" runat="server" Visible="False"
                TabIndex="15"  
                DataKeyNames="PATIENT_ID"
                AutoGenerateColumns="False" 
                Width="100%"
                AllowPaging="True" 
                AllowSorting="True" 
                DataSourceID = "ObjectDataSourceVAPatientSearch" 
                OnRowCommand = "Patients_RowCommand"
                OnRowDataBound="GridView_RowDataBound">
                <Columns>
                    <asp:TemplateField 
                        HeaderText = "Patient #" 
                        SortExpression = "PATIENT_ID" 
                        ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID = "LabelPatientID" runat = "server" 
                            Text = '<%# Eval("PATIENT_ID") %>' >
                        </asp:Label> 
                    </ItemTemplate> 
                    </asp:TemplateField>
                    <asp:BoundField 
                        HeaderText="SSN" 
                        DataField="SSN" 
                        SortExpression="SSN" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField 
                        HeaderText="First Name" 
                        DataField="FIRST_NAME" 
                        SortExpression="FIRST_NAME" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField 
                        HeaderText="Middle Name" 
                        DataField="MIDDLE_NAME" 
                        SortExpression="MIDDLE_NAME" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField 
                        HeaderText="Last Name" 
                        DataField="LAST_NAME" 
                        SortExpression="LAST_NAME" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:TemplateField 
                        HeaderText="Date of Birth" 
                        SortExpression="BIRTH_DATE">
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:Label ID="LabelDateOfBirth" runat="server" 
                                Text='<%# String.Format("{0:d}", Eval("BIRTH_DATE"))%>'>
                            </asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:ButtonField ItemStyle-HorizontalAlign="Center"
                        ButtonType = "Button" 
                        Text = "Select" 
                        CommandName = "Select" 
                        AccessibleHeaderText = "Select"  />
                </Columns>
            </asp:GridView>
            </div>
        </asp:Panel>
        
        <asp:Label ID="LabelOrMessage" runat="server" SkinID="DataLabel"><font size="+1"><br /><b>OR</b><br /><br /></font></asp:Label>
        
        <asp:Panel ID="PanelManualRequestStart" runat="server" 
            GroupingText="Manually enter patient request" Width="90%">
        <br />
            <asp:Label ID="LabelManualRequestInstructions" SkinID="DataLabel" runat="server" Text="If you can't find the patient above, you can enter the record manually here."></asp:Label>
            <br /><br />
            
            <asp:Button ID="ButtonGoToManualEntry" runat="server" 
                TabIndex="8" 
                Text=" Continue Without Selecting Patient " 
                ToolTip="If the patient is not found, continue to enter all patient data."
                onclick="ButtonGoToManualEntry_Click" />
            <br /><br />
        
        </asp:Panel>
        
    </asp:Panel> 

    <asp:ObjectDataSource ID="ObjectDataSourceVAPatientSearch" runat="server" 
                SelectMethod="SelectBySearchCriteriaPatient" 
                SelectCountMethod="SelectBySearchCriteriaCountPatient" 
                StartRowIndexParameterName="startRow" 
                MaximumRowsParameterName="maxRows" 
                SortParameterName="sort"
                EnablePaging="True"  
                TypeName="VeteransAffairs.Registries.BusinessManager.DVEIR.VAPatientManager"
                DataObjectTypeName="VeteransAffairs.Registries.Business.Staging_DupPatient">
                <SelectParameters>
                    <asp:ControlParameter ControlID="TextBoxPatientFirstNameSearch" 
                         ConvertEmptyStringToNull = "true"  
                         Direction="Input" 
                         Name="searchStringFirstName" 
                         Type="String"/>
                    <asp:ControlParameter ControlID="TextBoxMiddleName" 
                         ConvertEmptyStringToNull = "true"  
                         Direction="Input" 
                         Name="searchStringMiddleName" 
                         Type="String"/>
                    <asp:ControlParameter ControlID="TextBoxPatientLastNameSearch"
                         ConvertEmptyStringToNull = "true"  
                         Direction="Input" 
                         Name="searchStringLastName" 
                         Type="String"/>
                    <asp:ControlParameter ControlID="TextBoxPatientSSNSearch"
                         ConvertEmptyStringToNull = "true"  
                         Direction="Input" 
                         Name="searchStringSSN" 
                         Type="String"/>
                    <asp:ControlParameter ControlID="TextBoxDateOfBirth"
                         ConvertEmptyStringToNull = "true"  
                         Direction="Input" 
                         Name="searchStringDateOfBirth" 
                         Type="String"/>
                    <asp:Parameter Name="sort" Type="String" />
                    <asp:Parameter Name="startRow" Type="Int32" />
                    <asp:Parameter Name="maxRows" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>

</asp:Content> 