<%@ Page Title="DVEIR Referrals" EnableEventValidation="false" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="Referrals.aspx.cs" Inherits="Referrals" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <p>
        <br />
            <asp:GridView ID="GridViewReferrals" runat="server" OnRowCommand = "GridViewReferrals_RowCommand"
            AutoGenerateColumns="False" Width="100%"
            DataSourceID="ObjectDataSourceReferrals" OnRowDataBound="GridView_RowDataBound"
            AllowPaging="True" AllowSorting="True" DataKeyNames="REFERRAL_ID">
            <Columns>
                <asp:BoundField DataField="REFERRAL_ID" HeaderText="ID" 
                    SortExpression="REFERRAL_ID" AccessibleHeaderText="ID" >

                <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>

                <asp:TemplateField HeaderText="SSN" SortExpression="PATIENT.SSN">
                   
                    <ItemTemplate>
                        <asp:Label ID="LabelPatientSSN" runat="server" Text='<%# Eval("PATIENT.SSN") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Patient Name" SortExpression="PATIENT.LAST_NAME">
                   <ItemTemplate>
                        <asp:Label ID="LabelPatientLastName" runat="server" Text='<%# Eval("PATIENT.LAST_NAME") %>'></asp:Label>,&nbsp;
                        <asp:Label ID="LabelPatientFirstName" runat="server" Text='<%# Eval("PATIENT.FIRST_NAME") %>'></asp:Label>
                        <asp:Label ID="LabelPatientMiddleName" runat="server" Text='<%# Eval("PATIENT.MIDDLE_NAME") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Referral Date" SortExpression="REFERRAL_DATE">
                    <ItemStyle HorizontalAlign="Center" />
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemTemplate>
                        <asp:Label ID="LabelReferralDate" runat="server" Text='<%# Eval("REFERRAL_DATE","{0:d}") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
 
                <asp:TemplateField HeaderText="VISN" SortExpression="STD_INSTITUTION.VISN_ID">
                    <ItemStyle HorizontalAlign="Left" />
                    <ItemTemplate>
                        <asp:Label ID="LabelVamcVisn" runat="server" Text='<%# (Eval("STD_INSTITUTION.STD_INSTITUTION_PARENT.NAME")+"").ToString().Replace("VISN ", "")%>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="VAMC ID" SortExpression="STD_INSTITUTION.STATIONNUMBER">
                    <ItemStyle HorizontalAlign="Left" />
                    <ItemTemplate>
                        <asp:Label ID="LabelVamcStationNumber" runat="server" Text='<%# Eval("STD_INSTITUTION.STATIONNUMBER")%>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Facility" SortExpression="STD_INSTITUTION.VISTANAME">
                    <ItemStyle HorizontalAlign="Left" />
                    <ItemTemplate>
                        <asp:Label ID="LabelVamcVistaName" runat="server" Text='<%# Eval("STD_INSTITUTION.VISTANAME")%>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField  HeaderText="Status" SortExpression="STD_REFERRALST.NAME">
                    <ItemStyle HorizontalAlign="Center" />
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemTemplate>
                        <asp:Label ID="LabelStatusName" runat="server" 
                            Text='<%# Eval("STD_REFERRALST.NAME") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Abstraction Status" SortExpression="STD_REFERRALRANK.RANK">
                    <ItemStyle HorizontalAlign="Center" />
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemTemplate>
                        <asp:Label ID="LabelAbstractionStatus" runat="server"
                            Text='<%# Eval("STD_REFERRALRANK.Description") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                 
                <asp:ButtonField ButtonType = "Button" Text = "Select" CommandName = "Details" 
                   ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center" AccessibleHeaderText = "Select"  />
                
            </Columns>
        </asp:GridView>
        

        <br />
        <asp:Button ID="ButtonDownloadToExcel" runat="server" onclick="ButtonDownloadToExcel_Click" 
            Text="Download to Excel" ToolTip="Select to download list to Excel" Visible="false" />
        <br />
        <asp:ObjectDataSource ID="ObjectDataSourceReferrals" runat="server" 
            SelectMethod="SelectByStatus"
            SelectCountMethod="SelectByStatusCount" 
            StartRowIndexParameterName="startRow" 
            MaximumRowsParameterName="maxRows" 
            SortParameterName="sort"
            EnablePaging="True"  
            TypeName="VeteransAffairs.Registries.BusinessManager.DVEIR.DVEIRReferralManager"
            >
            <SelectParameters>
                <asp:QueryStringParameter ConvertEmptyStringToNull="true" 
                    DefaultValue="1" Direction="Input" Name="id" QueryStringField="id" Type="Int32" />
                <asp:Parameter Name="sort" Type="String" />
                <asp:Parameter Name="startRow" Type="Int32" />
                <asp:Parameter Name="maxRows" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
       
                
    </p>
</asp:Content>

