﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Text;
using System.IO;
using System.Reflection;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class Referrals : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int statusID = Helpers.getIntFromString(Request.QueryString["id"]);

        if (statusID == 0)
        {
            if (CurrentUser.IsInRole((int)RoleCode.DVEIR_MEDICAL_PROFESSIONAL))
            {
                //start on Ready for Review
                Response.Redirect("Referrals.aspx?id=13");
            }
            else 
            {
                //start on new referrals queue
                Response.Redirect("Referrals.aspx?id=11");
            }
        }

        // Only show abstraction status in new queue
        if ((DVEIRReferralStatus)statusID != DVEIRReferralStatus.DVEIR_NEW)
            GridViewReferrals.Columns[8].Visible = false;

        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewReferrals.ClientID + "');", true);
    }

    public override string TopMenuName()
    {
        return "My Tasks";
    }

    public override string MenuItemName()
    {
        return "DVEIR_REFERRAL";
    }

    public override string AppObjectCode()
    {
        return "DVEIR_REFERRAL_LIST";
    }

    protected void GridViewReferrals_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Details")
        {
            int index = Convert.ToInt32(e.CommandArgument);
            GridViewReferrals.SelectedIndex = index;
            int id = Convert.ToInt32(GridViewReferrals.SelectedValue);

            Response.Redirect(string.Format("referral.aspx?id={0}", id));
        }

    }

    protected void GridView_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            string s1 = e.Row.Cells[0].Text;

            Button btn = e.Row.Cells[9].Controls[0] as Button;
            if (btn != null)
            {
                btn.ToolTip = "Select the record for ID " + s1;
            }
        }
    }

    protected void ButtonDownloadToExcel_Click(object sender, EventArgs e)
    {

        ReferralManager referralManager = new ReferralManager();

        int countAll = referralManager.SelectByStatusCount("",0);

        GridViewReferrals.PageSize = countAll;


        GridViewReferrals.AutoGenerateColumns = true;

        GridViewReferrals.DataBind();
        
        ExportGridViewToExcel(GridViewReferrals, "Referrals.xls");

    }
}