﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="VisitTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_VisitTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>

<style type="text/css">
    .style1
    {
        width: 100%;
    }
    .SideBySideEyeExamPanel
    {
        width: 100%;
    }
    .EyeExamTableColumnIndent
    {
        width: 4%;
    }
    .eyeExamWidthBetweenODPanelOSPanel
    {
        width: 8px;
    }
    
</style>

<table width="100%">
<tr>
    <td>
        <asp:Panel ID="PanelEncounterList" runat="server" Visible="true" Width="100%">
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <asp:Panel ID="PanelEncounter" runat="server" Width="100%" GroupingText="Patient Encounters &nbsp;&nbsp;">
                            <br />
                            <asp:GridView ID="GridViewEncounters" runat="server" OnRowCommand = "GridViewEncounters_RowCommand"
                                AutoGenerateColumns="False" Width="100%"
                                DataSourceID="ObjectDataSourceEncounter"
                                AllowPaging="True" AllowSorting="True" DataKeyNames="ER_EXAM_ID">
                                <Columns>
                                    <asp:BoundField DataField="PATIENT_VISIT_COUNT" HeaderText="Encounter ID"  HeaderStyle-HorizontalAlign="Center"
                                        AccessibleHeaderText="Encounter ID"
                                        SortExpression="PATIENT_VISIT_COUNT" >

                                        <ItemStyle HorizontalAlign="Center" Width="100px" />
                                    </asp:BoundField>

                                    <asp:TemplateField HeaderText="Encounter Date" SortExpression="EXAM_DATE">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelExamDate" runat="server" Text='<%# Eval("EXAM_DATE","{0:d}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left"/>
                                    </asp:TemplateField>
                                    
                                    <asp:TemplateField HeaderText="Entered Date" SortExpression="CREATED">
                                       
                                        <ItemTemplate>
                                            <asp:Label ID="LabelCreatedDate" runat="server" Text='<%# Eval("CREATED","{0:d}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left" Width="100px"/>
                                    </asp:TemplateField>
                                    
                                    <asp:TemplateField HeaderText="Entered By" SortExpression="CREATEDBY">
                                       
                                        <ItemTemplate>
                                            <asp:Label ID="LabelCreatedBy" runat="server" Text='<%# Eval("CREATEDBY") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left" Width="200px"/>
                                    </asp:TemplateField>
                                    
                                    <asp:ButtonField ButtonType = "Button" Text = "Select" CommandName = "Details" 
                                       ItemStyle-VerticalAlign="Middle" 
                                       ItemStyle-HorizontalAlign="Center" 
                                       ItemStyle-Width="70px"
                                       AccessibleHeaderText = "Select"  />
                                    
                                </Columns>
                            </asp:GridView>
                            <br />
                            <asp:Button runat="server" ID="ButtonAddEncounter" Text=" Add Encounter " OnClick="ButtonAddEncounter_Click" />
                            <asp:ObjectDataSource ID="ObjectDataSourceEncounter" runat="server" 
                                SelectMethod="SelectByPatientID" 
                                SelectCountMethod="SelectByPatientIDCount" 
                                StartRowIndexParameterName="startRow" 
                                MaximumRowsParameterName="maxRows" 
                                SortParameterName="sort"
                                EnablePaging="True"  
                                TypeName="VeteransAffairs.Registries.BusinessManager.DVEIR.DVEIREyeExamManager"
                                >
                                <SelectParameters>
                                    <asp:ControlParameter ConvertEmptyStringToNull="true" 
                                         ControlID="HiddenFieldPatientId"  
                                         DefaultValue="1" Direction="Input" Name="id" Type="Int32" />
                                    <asp:Parameter Name="sort" Type="String" />
                                    <asp:Parameter Name="startRow" Type="Int32" />
                                    <asp:Parameter Name="maxRows" Type="Int32" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                            
                        </asp:Panel>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <asp:Panel ID="PanelEncounterDetails" runat="server" Visible="false" Width="100%">
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <asp:Panel ID="PanelEncounterInformation" runat="server" Width="100%" GroupingText="Encounter Information&nbsp;&nbsp;">
                            <table>
                                <tr>
                                    <td style="width:200px">
                                        <asp:HiddenField ID="HiddenFieldEncounterID" runat="server" />
                                        <asp:Label ID="LabelforEncounterId" AssociatedControlID="LabelEncounterId" runat="server" Text="Encounter ID"></asp:Label>
                                        &nbsp;
                                        <asp:Label ID="LabelEncounterId" runat="server" Text="<Encounter ID>"></asp:Label>
                                    </td>
                                    <td style="width:90px">
                                        <asp:Label ID="LabelDateOfEncounter" AssociatedControlID="TextBoxDateOfEncounter" runat="server" Text="Date of Encounter:"></asp:Label>
                                    </td>
                                    <td style="width:600px">
                                        <asp:TextBox ID="TextBoxDateOfEncounter" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"/>
                                        <rjs:PopCalendar ID="PopCalendarDateofEncounter" runat="server" 
                                            Visible="false" 
                                            Control="TextBoxDateOfEncounter" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                            To-Today="true" ToolTip="Click to Select" />
                                        &nbsp;(mm/dd/yyyy)
                                    </td>
                                    <td>
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width:200px">
                                    </td>
                                    <td style="width:90px">
                                        <asp:Label ID="LabelforDropDownListEncounterFacility" AssociatedControlID="DropDownListEncounterFacility" runat="server">Facility:</asp:Label>
                                    </td>
                                    <td style="width:600px" colspan="2">
                                        <asp:DropDownList ID="DropDownListEncounterFacility" runat="server" 
                                                ToolTip="Select Facility"
                                                AppendDataBoundItems="true" DataSourceID="ObjectDataSourceVAMC"
                                                DataTextField="FullVISNName" DataValueField="ID"
                                                >
                                                <asp:ListItem Value="0">-- Select a Value --</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                            </table>

                        </asp:Panel><br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelChiefComplaint" runat="server" 
                            GroupingText="Chief Complaint &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <asp:TextBox ID="TextBoxChiefComplaint" ToolTip="Enter chief complaint of patient for visit" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                            </asp:TextBox>
                        </asp:Panel>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <table border="0" cellpadding="0" cellspacing="0" width="99%">
                            <tr>
                                <td>
                                    <asp:Panel ID="PanelDocumentedPastConditionsMedical" runat="server" 
                                        GroupingText="Medical Conditions &nbsp;&nbsp;" 
                                        Width="100%">
                                        <br />
                                        <table width="100%">
                                            <tr>
                                                <th>
                                                   Condition
                                                </th>
                                                <th align="center">
                                                   Ongoing Active Treatment
                                                </th>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxAllergies" runat="server" Text="Allergies" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListAllergies" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxPregnancy" runat="server" Text="Pregnancy" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListPregnancy" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxDiabetes" runat="server" Text="Diabetes" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListDiabetes" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxGestationalDiabetes" runat="server" Text="Gestational Diabetes" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListGestationalDiabetes" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxInsulinDependent" runat="server" Text="Insulin Dependent" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListInsulinDependent" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxNonInsulinDependent" runat="server" Text="Non-Insulin Dependent (on oral medications)" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListNonInsulinDependent" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxCancer" runat="server" Text="Cancer" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListCancer" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxHivAids" runat="server" Text="HIV / AIDS" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListHivAids" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    &nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="CheckBoxAntiViralRetroTherapy" runat="server" Text="Anti-Retro Viral Therapy" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListAntiViralRetroTherapy" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxHypertension" runat="server" Text="Hypertension" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListHypertension" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxOtherDiseases" runat="server" Text="Other Diseases (add comments)" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListOtherDiseases" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <br />
                                                    <asp:Label ID="LabelforTextBoxDocumentedPastConditionsMedicalComments" AssociatedControlID="TextBoxDocumentedPastConditionsMedicalComments" runat="server" Text="Comments" >
                                                    </asp:Label>
                                                    <asp:TextBox ID="TextBoxDocumentedPastConditionsMedicalComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                                    </asp:TextBox>
                                                </td>
                                            </tr>
                                        </table>
                                   </asp:Panel> 
                                </td>
                                <td>&nbsp;</td>
                                <td>
                                    <asp:Panel ID="PanelDocumentedPastConditionsNeurological" runat="server" 
                                        GroupingText="Medical Conditions - Neurological &nbsp;&nbsp;" 
                                        Width="100%">
                                        <br />
                                        <table width="100%">
                                            <tr>
                                                <th colspan="2">
                                                   Condition
                                                </th>
                                                <th align="center">
                                                   Ongoing Active Treatment
                                                </th>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <asp:CheckBox ID="CheckBoxOrganicBrainSyndrome" runat="server" Text="Organic Brain Syndrome" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListOrganicBrainSyndrome" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    &nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="CheckBoxSeizures" runat="server" Text="Seizures" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListSeizures" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    &nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="CheckBoxEpilepsy" runat="server" Text="Epilepsy" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListEpilepsy" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <asp:CheckBox ID="CheckBoxPeripheralNervePalsy" runat="server" Text="Peripheral Nerve Palsy" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListPeripheralNervePalsy" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <asp:CheckBox ID="CheckBoxTBIEyeVisionSymptoms" runat="server" Text="TBI (with and without eye/vision symptoms)" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListTBIEyeVisionSymptoms" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    &nbsp;&nbsp;&nbsp;
                                                </td>
                                                <td colspan="2">
                                                    <b>If TBI, select from the following list</b>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIReadingProblems" runat="server" Text="Reading Problems" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListTBIReadingProblems" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIDiplopia" runat="server" Text="Diplopia" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListTBIDiplopia" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIDazzling" runat="server" Text="Dazzling" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListTBIDazzling" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIPhotophobia" runat="server" Text="Photophobia" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListTBIPhotophobia" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIVergenceDysfunction" runat="server" Text="Vergence Dysfunction" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListTBIVergenceDysfunction" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>&nbsp;&nbsp;&nbsp;</td>
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIAccommodationDysfunction" runat="server" Text="Accommodation Dysfunction" TextAlign="Right" />
                                                </td>
                                                <td align="center">
                                                    <asp:RadioButtonList ID="RadioButtonListTBIAccommodationDysfunction" runat="server" RepeatDirection="Horizontal">
                                                        <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                                        <asp:ListItem>No</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:Label ID="Label2" AssociatedControlID="TextBoxDocumentedPastConditionsMedicalComments" runat="server" Text="Comments" >
                                                    </asp:Label>
                                                    <asp:TextBox ID="TextBox2" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                                    </asp:TextBox>
                                                </td>
                                            </tr>
                                        </table>
                                   </asp:Panel> 
                                </td>
                            </tr>
                        </table>    
                    
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelEyeExam" runat="server" GroupingText="Eye Exam &nbsp;&nbsp;" Width="100%">
                            <br />
                            <table width="100%" >
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelExamDate" runat="server" GroupingText="Exam Date &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <asp:TextBox ID="TextBoxDateOfExam" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"/>
                                            <rjs:PopCalendar ID="PopCalendarDateOfExam" runat="server" 
                                                Visible="false"  
                                                Control="TextBoxDateOfExam" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                                To-Today="true" ToolTip="Click to Select Date of Exam"/>
                                            &nbsp;(mm/dd/yyyy)
                                            <br />
                                            <asp:CheckBox ID="CheckBoxExamDateNotApplicable" runat="server" Text="Not Applicable" TextAlign="Right" />
                                        </asp:Panel>
                                        <br />
                                        
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelGlasgowScale" runat="server" GroupingText="Glasgow Coma Scale &nbsp;&nbsp;" Width="100%">
                                            <asp:RadioButtonList ID="RadioButtonListGlasgowComaScale" Width="50%"  runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem Value="1">Mild (13-15)</asp:ListItem>
                                            <asp:ListItem Value="2">Moderate (9-12)</asp:ListItem>
                                            <asp:ListItem Value="3">Severe (3-8)</asp:ListItem>
                                            </asp:RadioButtonList>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelVisualAcuity1OD" runat="server" 
                                            GroupingText="Visual Acuity 1 Right Eye &nbsp;&nbsp;" 
                                            CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualAcuity1OD" ToolTip="Visual Acuity 1 Value for Right Eye" runat="server" Width="75px"></asp:TextBox>
                                            <asp:Label ID="LabelVisualAcuity1ODFormat" AssociatedControlID="TextBoxVisualAcuity1OD" runat="server">(XX/XXX)</asp:Label>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforDropDownListVisualAcuity1ODLessThan20_200" AssociatedControlID="DropDownListVisualAcuity1ODLessThan20_200" runat="server" Text="Label">If less than 20/400, specify</asp:Label>
                                            <br />
                                            <asp:DropDownList ID="DropDownListVisualAcuity1ODLessThan20_200" runat="server" 
                                                    ToolTip="If Visual Acuity valus is less than 20/400, select a value in this list">
                                                    <asp:ListItem Value=""></asp:ListItem>
                                                    <asp:ListItem Value="1">20/400</asp:ListItem>
                                                    <asp:ListItem Value="2">5/200</asp:ListItem>
                                                    <asp:ListItem Value="3">Counting Fingers (CF)</asp:ListItem>
                                                    <asp:ListItem Value="4">Hand Movements (HM)</asp:ListItem>
                                                    <asp:ListItem Value="5">Light Perception (LP)</asp:ListItem>
                                                    <asp:ListItem Value="6">No Light Perception (NLP)</asp:ListItem>
                                                </asp:DropDownList>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforRadioButtonListVisualAcuity1ODCorrected" AssociatedControlID="RadioButtonListVisualAcuity1ODCorrected" runat="server">Vision Corrected</asp:Label>
                                            <br />                            
                                            <asp:RadioButtonList ID="RadioButtonListVisualAcuity1ODCorrected" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem Value="1">Yes</asp:ListItem>
                                            <asp:ListItem Value="2">No</asp:ListItem>
                                            <asp:ListItem Value="3">Unknown</asp:ListItem>
                                            </asp:RadioButtonList>
                                        </asp:Panel><br />

                                    </td>
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                       <asp:Panel ID="PanelVisualAcuity1OS" runat="server" 
                                            GroupingText="Visual Acuity 1 Left Eye &nbsp;&nbsp;" 
                                            CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualAcuity1OS" ToolTip="Visual Acuity 1 Value for Left Eye" runat="server" Width="75px"></asp:TextBox>
                                            <asp:Label ID="LabelVisualAcuity1OSFormat" AssociatedControlID="TextBoxVisualAcuity1OS" runat="server">(XX/XXX)</asp:Label>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforDropDownListVisualAcuity1OSLessThan20_200" AssociatedControlID="DropDownListVisualAcuity1OSLessThan20_200" runat="server" Text="Label">If less than 20/400, specify</asp:Label>
                                            <br />
                                            <asp:DropDownList ID="DropDownListVisualAcuity1OSLessThan20_200" runat="server" 
                                                    ToolTip="If Visual Acuity valus is less than 20/400, select a value in this list">
                                                    <asp:ListItem Value=""></asp:ListItem>
                                                    <asp:ListItem Value="1">20/400</asp:ListItem>
                                                    <asp:ListItem Value="2">5/200</asp:ListItem>
                                                    <asp:ListItem Value="3">Counting Fingers (CF)</asp:ListItem>
                                                    <asp:ListItem Value="4">Hand Movements (HM)</asp:ListItem>
                                                    <asp:ListItem Value="5">Light Perception (LP)</asp:ListItem>
                                                    <asp:ListItem Value="6">No Light Perception (NLP)</asp:ListItem>
                                                </asp:DropDownList>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforRadioButtonListVisualAcuity1OSCorrected" AssociatedControlID="RadioButtonListVisualAcuity1OSCorrected" runat="server">Vision Corrected</asp:Label>
                                            <br />                            
                                            <asp:RadioButtonList ID="RadioButtonListVisualAcuity1OSCorrected" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem Value="1">Yes</asp:ListItem>
                                            <asp:ListItem Value="2">No</asp:ListItem>
                                            <asp:ListItem Value="3">Unknown</asp:ListItem>
                                            </asp:RadioButtonList>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelVisualAcuity2OD" runat="server" 
                                            GroupingText="Visual Acuity 2 Right Eye &nbsp;&nbsp;" 
                                            CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualAcuity2OD" ToolTip="Visual Acuity 2 Value for Right Eye" runat="server" Width="75px"></asp:TextBox>
                                            <asp:Label ID="LabelVisualAcuity2ODFormat" AssociatedControlID="TextBoxVisualAcuity2OD" runat="server">(XX/XXX)</asp:Label>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforDropDownListVisualAcuity2ODLessThan20_200" AssociatedControlID="DropDownListVisualAcuity2ODLessThan20_200" runat="server" Text="Label">If less than 20/400, specify</asp:Label>
                                            <br />
                                            <asp:DropDownList ID="DropDownListVisualAcuity2ODLessThan20_200" runat="server" 
                                                    ToolTip="If Visual Acuity valus is less than 20/400, select a value in this list">
                                                    <asp:ListItem Value=""></asp:ListItem>
                                                    <asp:ListItem Value="1">20/400</asp:ListItem>
                                                    <asp:ListItem Value="2">5/200</asp:ListItem>
                                                    <asp:ListItem Value="3">Counting Fingers (CF)</asp:ListItem>
                                                    <asp:ListItem Value="4">Hand Movements (HM)</asp:ListItem>
                                                    <asp:ListItem Value="5">Light Perception (LP)</asp:ListItem>
                                                    <asp:ListItem Value="6">No Light Perception (NLP)</asp:ListItem>
                                                </asp:DropDownList>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforRadioButtonListVisualAcuity2ODCorrected" AssociatedControlID="RadioButtonListVisualAcuity2ODCorrected" runat="server">Vision Corrected</asp:Label>
                                            <br />                            
                                            <asp:RadioButtonList ID="RadioButtonListVisualAcuity2ODCorrected" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem Value="1">Yes</asp:ListItem>
                                            <asp:ListItem Value="2">No</asp:ListItem>
                                            <asp:ListItem Value="3">Unknown</asp:ListItem>
                                            </asp:RadioButtonList>
                                        </asp:Panel><br />

                                    </td>
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                       <asp:Panel ID="PanelVisualAcuity2OS" runat="server" 
                                            GroupingText="Visual Acuity 2 Left Eye &nbsp;&nbsp;" 
                                            CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualAcuity2OS" ToolTip="Visual Acuity 2 Value for Left Eye" runat="server" Width="75px"></asp:TextBox>
                                            <asp:Label ID="LabelVisualAcuity2OSFormat" AssociatedControlID="TextBoxVisualAcuity2OS" runat="server">(XX/XXX)</asp:Label>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforDropDownListVisualAcuity2OSLessThan20_200" AssociatedControlID="DropDownListVisualAcuity2OSLessThan20_200" runat="server" Text="Label">If less than 20/400, specify</asp:Label>
                                            <br />
                                            <asp:DropDownList ID="DropDownListVisualAcuity2OSLessThan20_200" runat="server" 
                                                    ToolTip="If Visual Acuity valus is less than 20/400, select a value in this list">
                                                    <asp:ListItem Value=""></asp:ListItem>
                                                    <asp:ListItem Value="1">20/400</asp:ListItem>
                                                    <asp:ListItem Value="2">5/200</asp:ListItem>
                                                    <asp:ListItem Value="3">Counting Fingers (CF)</asp:ListItem>
                                                    <asp:ListItem Value="4">Hand Movements (HM)</asp:ListItem>
                                                    <asp:ListItem Value="5">Light Perception (LP)</asp:ListItem>
                                                    <asp:ListItem Value="6">No Light Perception (NLP)</asp:ListItem>
                                                </asp:DropDownList>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforRadioButtonListVisualAcuity2OSCorrected" AssociatedControlID="RadioButtonListVisualAcuity2OSCorrected" runat="server">Vision Corrected</asp:Label>
                                            <br />                            
                                            <asp:RadioButtonList ID="RadioButtonListVisualAcuity2OSCorrected" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem Value="1">Yes</asp:ListItem>
                                            <asp:ListItem Value="2">No</asp:ListItem>
                                            <asp:ListItem Value="3">Unknown</asp:ListItem>
                                            </asp:RadioButtonList>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelRefractionOD" runat="server" GroupingText="Refraction Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="LabelforRefractionOD" runat="server" Text="Refraction (+/- XX.XX)" 
                                                            AssociatedControlID="TextBoxRefractionOD"></asp:Label>    
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        
                                                        <asp:Label ID="LabelforSphereOD" runat="server" 
                                                            AssociatedControlID="TextBoxSphereOD" Text="Sphere (+/- XX.XX)"></asp:Label>
                                                        
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforCylinderOD" runat="server" 
                                                            AssociatedControlID="TextBoxCylinderOD" Text="Cylinder (XXX)"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRefractionOD" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        /&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxSphereOD" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        @&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCylinderOD" runat="server"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="5">
                                                        <asp:CheckBox ID="CheckBoxRefractionODUnknown" runat="server" Text="Unknown" 
                                                            ToolTip="Check if Refraction Unknown" />
                                                    </td>
                                                </tr>
                                            </table>
                                            
                                        </asp:Panel><br />
                                    </td>
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelRefractionOS" runat="server" 
                                            GroupingText="Refraction Left Eye &nbsp;&nbsp;"  
                                            CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="LabelforRefractionOS" runat="server" Text="Refraction (+/- XX.XX)" 
                                                            AssociatedControlID="TextBoxRefractionOS"></asp:Label>    
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        
                                                        <asp:Label ID="LabelforSphereOS" runat="server" 
                                                            AssociatedControlID="TextBoxSphereOS" Text="Sphere (+/- XX.XX)"></asp:Label>
                                                        
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforCylinderOS" runat="server" 
                                                            AssociatedControlID="TextBoxCylinderOS" Text="Cylinder (XXX)"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRefractionOS" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        /&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxSphereOS" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        @&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCylinderOS" runat="server"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="5">
                                                        <asp:CheckBox ID="CheckBoxRefractionOSUnknown" runat="server" Text="Unknown" 
                                                            ToolTip="Check if Refraction Unknown" />
                                                    </td>
                                                </tr>
                                            </table>
             
                                        </asp:Panel><br />

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelAmplitudeOfAccommodationOD" runat="server" GroupingText="Examination Findings - Amplitude of Accommodation Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxAmplitudeOfAccommodationOD" Width="50%" ToolTip="Enter Examination Findings - Amplitude of Accommodation Right Eye" runat="server"></asp:TextBox>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxAmplitudeOfAccommodationODComments" AssociatedControlID="TextBoxAmplitudeOfAccommodationODComments" runat="server" Text="Comments" >
                                            </asp:Label>
                                            <asp:TextBox ID="TextBoxAmplitudeOfAccommodationODComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>  
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelAmplitudeOfAccommodationOS" runat="server" GroupingText="Examination Findings - Amplitude of Accommodation Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxAmplitudeOfAccommodationOS" Width="50%" ToolTip="Enter Examination Findings - Amplitude of Accommodation Left Eye" runat="server"></asp:TextBox>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxAmplitudeOfAccommodationOSComments" AssociatedControlID="TextBoxAmplitudeOfAccommodationOSComments" runat="server" Text="Comments" >
                                            </asp:Label>
                                            <asp:TextBox ID="TextBoxAmplitudeOfAccommodationOSComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>  
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelColorVisionOD" runat="server" GroupingText="Color Vision Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:Label ID="LabelforTextBoxColorVisionOD" AssociatedControlID="TextBoxColorVisionOD" runat="server">Number of Correct Responses Over Number of Possible Responses</asp:Label>
                                            <asp:TextBox ID="TextBoxColorVisionOD" runat="server" Width="99%">
                                            </asp:TextBox>
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelColorVisionOS" runat="server" GroupingText="Color Vision Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:Label ID="LabelforTextBoxColorVisionOS" AssociatedControlID="TextBoxColorVisionOS" runat="server">Number of Correct Responses Over Number of Possible Responses</asp:Label>
                                            <asp:TextBox ID="TextBoxColorVisionOS" runat="server" Width="99%">
                                            </asp:TextBox>  
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelConfrontationVisualFieldsOD" runat="server" GroupingText="Confrontation Visual Fields Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxConfrontationVisualFieldsOD" ToolTip="Enter Confrontation Visual Fields Right Eye" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>  
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelConfrontationVisualFieldsOS" runat="server" GroupingText="Confrontation Visual Fields Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:TextBox ID="TextBoxConfrontationVisualFieldsOS" ToolTip="Enter Confrontation Visual Fields Left Eye" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>  
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelVisualFieldMeanDeviationOD" runat="server" GroupingText="Visual Field Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldMeanDeviationOD" AssociatedControlID="TextBoxVisualFieldMeanDeviationOD" runat="server" Text="Mean Deviation" >
                                            </asp:Label>&nbsp;(XX.XX)
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualFieldMeanDeviationOD" ToolTip="Enter Visual Field - Mean Deviation Right Eye in format (XX.XX)" runat="server" Width="50%">
                                            </asp:TextBox>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldPatternStandardDeviationOD" AssociatedControlID="TextBoxVisualFieldPatternStandardDeviationOD" runat="server" Text="Pattern Standard Deviation" >
                                            </asp:Label>&nbsp;(XX.XX)
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualFieldPatternStandardDeviationOD" ToolTip="Enter Visual Field - Pattern Standard Deviation Right Eye in format (XX.XX)" runat="server" Width="50%">
                                            </asp:TextBox> 
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldFixationLosesOD" AssociatedControlID="TextBoxVisualFieldFixationLosesOD" runat="server" Text="Fixation Losses" >
                                            </asp:Label>&nbsp;(XX.XX)
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualFieldFixationLosesOD" ToolTip="Enter Visual Field - Fixation Losses Right Eye in format (XX.XX)" runat="server" Width="50%">
                                            </asp:TextBox> 
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldMeanDeviationODDescription" AssociatedControlID="TextBoxVisualFieldMeanDeviationODDescription" runat="server" Text="Description" >
                                            </asp:Label>
                                            <asp:TextBox ID="TextBoxVisualFieldMeanDeviationODDescription" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelVisualFieldMeanDeviationOS" runat="server" GroupingText=" Visual Field Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldMeanDeviationOS" AssociatedControlID="TextBoxVisualFieldMeanDeviationOS" runat="server" Text="Mean Deviation" >
                                            </asp:Label>&nbsp;(XX.XX)
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualFieldMeanDeviationOS" ToolTip="Enter  Visual Field - Mean Deviation Left Eye in format (XX.XX)" runat="server" Width="50%">
                                            </asp:TextBox>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldPatternStandardDeviationOS" AssociatedControlID="TextBoxVisualFieldPatternStandardDeviationOS" runat="server" Text="Pattern Standard Deviation" >
                                            </asp:Label>&nbsp;(XX.XX)
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualFieldPatternStandardDeviationOS" ToolTip="Enter Visual Field - Pattern Standard Deviation Left Eye in format (XX.XX)" runat="server" Width="50%">
                                            </asp:TextBox>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldFixationLosesOS" AssociatedControlID="TextBoxVisualFieldFixationLosesOS" runat="server" Text="Fixation Losses" >
                                            </asp:Label>&nbsp;(XX.XX)
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualFieldFixationLosesOS" ToolTip="Enter Visual Field - Fixation Losses Left Eye in format (XX.XX)" runat="server" Width="50%">
                                            </asp:TextBox>
                                            <br />
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFieldMeanDeviationOSDescription" AssociatedControlID="TextBoxVisualFieldMeanDeviationOSDescription" runat="server" Text="Description" >
                                            </asp:Label>
                                            <asp:TextBox ID="TextBoxVisualFieldMeanDeviationOSDescription" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelLidsOD" runat="server" GroupingText="Lids Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLidsPtosisOD" runat="server" Text="Ptosis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLidsPtosisODValue" runat="server" 
                                                            AssociatedControlID="TextBoxLidsPtosisODValue" 
                                                            Text="Papebral Fissure Width or Lid Opening in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLidsPtosisODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLidsLacerationOD" runat="server" Text="Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLidsLacerationODValue" runat="server" 
                                                            AssociatedControlID="TextBoxLidsLacerationODValue" Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLidsLacerationODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLidsOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLidsCommentsODValue" runat="server" 
                                                            AssociatedControlID="TextBoxLidsCommentsODValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLidsCommentsODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                       <asp:Panel ID="PanelLidsOS" runat="server" GroupingText="Lids Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLidsPtosisOS" runat="server" Text="Ptosis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLidsPtosisOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxLidsPtosisOSValue" 
                                                            Text="Papebral Fissure Width or Lid Opening in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLidsPtosisOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLidsLacerationOS" runat="server" Text="Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLidsLacerationOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxLidsLacerationOSValue" Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLidsLacerationOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLidsOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLidsCommentsOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxLidsCommentsOSValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLidsCommentsOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelBrowOD" runat="server" GroupingText="Brow Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxBrowLacerationOD" runat="server" Text="Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxBrowLacerationODValue" runat="server" 
                                                            AssociatedControlID="TextBoxBrowLacerationODValue" 
                                                            Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxBrowLacerationODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxBrowOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxBrowOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxBrowOtherODValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxBrowOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />    
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                       <asp:Panel ID="PanelBrowOS" runat="server" GroupingText="Brow Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxBrowLacerationOS" runat="server" Text="Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxCheckBoxBrowLacerationOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxCheckBoxBrowLacerationOSValue" 
                                                            Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCheckBoxBrowLacerationOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxBrowOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxBrowOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxBrowOtherOSValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxBrowOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelPupilOD" runat="server" GroupingText="Pupil Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel" >
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxPupilSizeMeasuredOD" runat="server" Text="Size Measured" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforPupilSizeMeasuredODValue" runat="server" 
                                                            AssociatedControlID="TextBoxPupilSizeMeasuredODValue" 
                                                            Text="Size in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxPupilSizeMeasuredODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxPupilReactiveOD" runat="server" Text="Reactive" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBox1" runat="server" Text="Afferent Pupil Defect (APD)" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br /> 
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelPupilOS" runat="server" GroupingText="Pupil Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxPupilSizeMeasuredOS" runat="server" Text="Size Measured" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxPupilSizeMeasuredOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxPupilSizeMeasuredOSValue" 
                                                            Text="Size in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxPupilSizeMeasuredOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxPupilReactiveOS" runat="server" Text="Reactive" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxPupilAfferentPupilDefect" runat="server" Text="Afferent Pupil Defect (APD)" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br /> 
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelMotilityExtraOcularMusclesOD" runat="server" GroupingText="Motility/Extra - Ocular Muscles Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMotilityExtraOcularMusclesAbnormalitiesOD" runat="server" Text="Abnormalities (Pursuits, Saccades, Nystagmus)" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxMotilityExtraOcularMusclesAbnormalitiesODValue" runat="server" 
                                                            AssociatedControlID="TextBoxMotilityExtraOcularMusclesAbnormalitiesODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxMotilityExtraOcularMusclesAbnormalitiesODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />  
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelMotilityExtraOcularMusclesOS" runat="server" GroupingText="Motility/Extra - Ocular Muscles Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMotilityExtraOcularMusclesAbnormalitiesOS" runat="server" Text="Abnormalities (Pursuits, Saccades, Nystagmus)" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxMotilityExtraOcularMusclesAbnormalitiesOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxMotilityExtraOcularMusclesAbnormalitiesOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxMotilityExtraOcularMusclesAbnormalitiesOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelCorneaOD" runat="server" GroupingText="Cornea Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaSensationNormalOD" runat="server" Text="Sensation - Normal" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaSensationDecreaseOD" runat="server" Text="Sensation - Decreased" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaScarringOD" runat="server" Text="Scarring" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaVascularizationOD" runat="server" Text="Vascularization" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaEdemaOD" runat="server" Text="Edema" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaAbrasionOD" runat="server" Text="Abrasion" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxCorneaAbrasionODValue" runat="server" 
                                                            AssociatedControlID="TextBoxCorneaAbrasionODValue" 
                                                            Text="Diameter in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCorneaAbrasionODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaLacerationOD" runat="server" Text="Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxCorneaLacerationODValue" runat="server" 
                                                            AssociatedControlID="TextBoxCorneaLacerationODValue" 
                                                            Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCorneaLacerationODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxCorneaOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxCorneaOtherODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCorneaOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />  
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelCorneaOS" runat="server" GroupingText="Cornea Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaSensationNormalOS" runat="server" Text="Sensation - Normal" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaSensationDecreaseOS" runat="server" Text="Sensation - Decreased" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaScarringOS" runat="server" Text="Scarring" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaVascularizationOS" runat="server" Text="Vascularization" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaEdemaOS" runat="server" Text="Edema" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaAbrasionOS" runat="server" Text="Abrasion" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxCorneaAbrasionOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxCorneaAbrasionOSValue" 
                                                            Text="Diameter in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCorneaAbrasionOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaLacerationOS" runat="server" Text="Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxCorneaLacerationOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxCorneaLacerationOSValue" 
                                                            Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCorneaLacerationOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCorneaOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxCorneaOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxCorneaOtherOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCorneaOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />    
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelScleraOD" runat="server" GroupingText="Sclera Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraRuptureLacerationOD" runat="server" Text="Rupture / Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxScleraRuptureLacerationODValue" runat="server" 
                                                            AssociatedControlID="TextBoxScleraRuptureLacerationODValue" 
                                                            Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxScleraRuptureLacerationODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraThinningOD" runat="server" Text="Thinning" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraScarringOD" runat="server" Text="Scarring" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxScleraOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxScleraOtherODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxScleraOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />  
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelScleraOS" runat="server" GroupingText="Sclera Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraRuptureLacerationOS" runat="server" Text="Rupture / Laceration" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxScleraRuptureLacerationOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxScleraRuptureLacerationOSValue" 
                                                            Text="Length in mm"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxScleraRuptureLacerationOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraThinningOS" runat="server" Text="Thinning" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraScarringOS" runat="server" Text="Scarring" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxScleraOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxScleraOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxScleraOtherOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxScleraOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />    
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelAnteriorChamberOD" runat="server" GroupingText="Anterior Chamber Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="CheckBoxAnteriorChamberIritisOD" runat="server" Text="Iritis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="CheckBoxAnteriorChamberHyphemaOD" runat="server" Text="Hyphema" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="CheckBoxAnteriorChamberHypopyonOD" runat="server" Text="Hypopyon" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelAnteriorChamberOS" runat="server" GroupingText="Anterior Chamber Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="CheckBoxAnteriorChamberIritisOS" runat="server" Text="Iritis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="CheckBoxAnteriorChamberHyphemaOS" runat="server" Text="Hyphema" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="CheckBoxAnteriorChamberHypopyonOS" runat="server" Text="Hypopyon" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelIrisOD" runat="server" GroupingText="Iris Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisSphincterOrPupilTearOD" runat="server" Text="Sphincter or Pupil Tear" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxIrisSphincterOrPupilTearODValue" runat="server" 
                                                            AssociatedControlID="TextBoxIrisSphincterOrPupilTearODValue" 
                                                            Text="How many?"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxIrisSphincterOrPupilTearODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisIridectomyIridotomyOD" runat="server" Text="Iridectomy / Iridotomy" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisAngleRecessionOD" runat="server" Text="Angle of Recession" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxIrisAngleRecessionODValue" runat="server" 
                                                            AssociatedControlID="TextBoxIrisAngleRecessionODValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxIrisAngleRecessionODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxIrisOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxIrisOtherODValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxIrisOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                        
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelIrisOS" runat="server" GroupingText="Iris Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisSphincterOrPupilTearOS" runat="server" Text="Sphincter or Pupil Tear" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxIrisSphincterOrPupilTearOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxIrisSphincterOrPupilTearOSValue" 
                                                            Text="How many?"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxIrisSphincterOrPupilTearOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisIridectomyIridotomyOS" runat="server" Text="Iridectomy / Iridotomy" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisAngleRecessionOS" runat="server" Text="Angle of Recession" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxIrisAngleRecessionOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxIrisAngleRecessionOSValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxIrisAngleRecessionOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxIrisOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxIrisOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxIrisOtherOSValue" Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxIrisOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelLensOD" runat="server" GroupingText="Lens Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensCataractOD" runat="server" Text="Cataract, Nuclear Sclerosis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensCataractCorticalOD" runat="server" Text="Cataract, Cortical" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensCataractPostOD" runat="server" Text="Cataract, Post Sub Capsular" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensPseudophakicOD" runat="server" Text="Pseudophakic" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensAphakicOD" runat="server" Text="Aphakic" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLensOtherCommentsOD" runat="server" 
                                                            AssociatedControlID="TextBoxLensOtherCommentsOD" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLensOtherCommentsOD" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelLensOS" runat="server" GroupingText="Lens Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensCataractOS" runat="server" Text="Cataract, Nuclear Sclerosis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensCataractCorticalOS" runat="server" Text="Cataract, Cortical" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensCataractPostOS" runat="server" Text="Cataract, Post Sub Capsular" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensPseudophakicOS" runat="server" Text="Pseudophakic" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensAphakicOS" runat="server" Text="Aphakic" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxLensOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxLensOtherCommentsOS" runat="server" 
                                                            AssociatedControlID="TextBoxLensOtherCommentsOS" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxLensOtherCommentsOS" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelVitreousOD" runat="server" GroupingText="Vitreous Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxVitreousCellsOD" runat="server" Text="Cells" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxVitreousBloodOD" runat="server" Text="Blood / Hemorrhage" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxVitreousDetachmentOD" runat="server" Text="Vitreous Detachment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBox2" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="Label1" runat="server" 
                                                            AssociatedControlID="TextBoxVitreousOtherValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBox1" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelVitreousOS" runat="server" GroupingText="Vitreous Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxVitreousCellsOS" runat="server" Text="Cells" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxVitreousBloodOS" runat="server" Text="Blood / Hemorrhage" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxVitreousDetachmentOS" runat="server" Text="Vitreous Detachment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxVitreousOther" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxVitreousOtherValue" runat="server" 
                                                            AssociatedControlID="TextBoxVitreousOtherValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxVitreousOtherValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>

                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelOpticDiscOD" runat="server" GroupingText="Optic Disc Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscCupOD" runat="server" Text="Cup Size Specified" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOpticDiscCupODValue" runat="server" 
                                                            AssociatedControlID="TextBoxOpticDiscCupODValue" 
                                                            Text="(0.0 to 1.0)"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOpticDiscCupODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscSwellingOD" runat="server" Text="Swelling or Edema" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscPallorOD" runat="server" Text="Pallor or Atrophy" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOpticDiscOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxOpticDiscOtherODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOpticDiscOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelOpticDiscOS" runat="server" GroupingText="Optic Disc Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscCupOS" runat="server" Text="Cup Size Specified" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOpticDiscCupOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxOpticDiscCupOSValue" 
                                                            Text="(0.0 to 1.0)"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOpticDiscCupOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscSwellingOS" runat="server" Text="Swelling or Edema" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscPallorOS" runat="server" Text="Pallor or Atrophy" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOpticDiscOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOpticDiscOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxOpticDiscOtherOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOpticDiscOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td>
                                       <asp:Panel ID="PanelRetinaOD" runat="server" GroupingText="Retina Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaTearOD" runat="server" Text="Tear Defect" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxRetinaTearODValue" runat="server" 
                                                            AssociatedControlID="TextBoxRetinaTearODValue" 
                                                            Text="Specify Round Hole, Horse Shoe Tear, Giant Tear, Dialysis, Laceration"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRetinaTearODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaDetachmentOD" runat="server" Text="Detachment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxRetinaDetachmentODValue" runat="server" 
                                                            AssociatedControlID="TextBoxRetinaDetachmentODValue" 
                                                            Text="Specify Quadrant"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRetinaDetachmentODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaTractionalOD" runat="server" Text="Detachment - Tractional" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaRhegmatogenousOD" runat="server" Text="Detachment - Rhegmatogenous" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaMaculaOnOD" runat="server" Text="Detachment - Macula Is On" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaMaculaOffOD" runat="server" Text="Detachment - Macula Is Off" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaHemorrhageOD" runat="server" Text="Hemorrhage" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaChoroidalDetachOD" runat="server" Text="Choroidal Detachment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaChoroidalHemorrhageOD" runat="server" Text="Choroidal Hemorrhage" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaMacularHoleOD" runat="server" Text="Macular Hole / Cyst" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxRetinaOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxRetinaOtherODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRetinaOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br /> 
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelRetinaOS" runat="server" GroupingText="Retina Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaTearOS" runat="server" Text="Tear Defect" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxRetinaTearOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxRetinaTearOSValue" 
                                                            Text="Specify Round Hole, Horse Shoe Tear, Giant Tear, Dialysis, Laceration"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRetinaTearOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaDetachmentOS" runat="server" Text="Detachment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxRetinaDetachmentOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxRetinaDetachmentOSValue" 
                                                            Text="Specify Quadrant"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRetinaDetachmentOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaTractionalOS" runat="server" Text="Detachment - Tractional" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaRhegmatogenousOS" runat="server" Text="Detachment - Rhegmatogenous" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaMaculaOnOS" runat="server" Text="Detachment - Macula Is On" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaMaculaOffOS" runat="server" Text="Detachment - Macula Is Off" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaHemorrhageOS" runat="server" Text="Hemorrhage" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaChoroidalDetachOS" runat="server" Text="Choroidal Detachment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaChoroidalHemorrhageOS" runat="server" Text="Choroidal Hemorrhage" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaMacularHoleOS" runat="server" Text="Macular Hole / Cyst" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxRetinaOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxRetinaOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxRetinaOtherOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRetinaOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>

                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelGlobeOD" runat="server" GroupingText="Globe Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxGlobIOFBAntOD" runat="server" Text="Intra-Ocular Foreign Body (IOFB) - Ant Segment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxGlobIOFBAntODValue" runat="server" 
                                                            AssociatedControlID="TextBoxGlobIOFBAntODValue" 
                                                            Text="Specify Magnetic or Non-Magnetic"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxGlobIOFBAntODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxGlobIOFBVitreousOD" runat="server" Text="Intra-Ocular Foreign Body (IOFB) - Vitreous/Retina" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxGlobIOFBVitreousODValue" runat="server" 
                                                            AssociatedControlID="TextBoxGlobIOFBVitreousODValue" 
                                                            Text="Specify Magnetic or Non-Magnetic"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxGlobIOFBVitreousODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxGlobeOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxGlobeOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxGlobeOtherODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxGlobeOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br /> 
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelGlobeOS" runat="server" GroupingText="Globe Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxGlobIOFBAntOS" runat="server" Text="Intra-Ocular Foreign Body (IOFB) - Ant Segment" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxGlobIOFBAntOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxGlobIOFBAntOSValue" 
                                                            Text="Specify Magnetic or Non-Magnetic"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxGlobIOFBAntOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxGlobIOFBVitreousOS" runat="server" Text="Intra-Ocular Foreign Body (IOFB) - Vitreous/Retina" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxGlobIOFBVitreousOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxGlobIOFBVitreousOSValue" 
                                                            Text="Specify Magnetic or Non-Magnetic"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxGlobIOFBVitreousOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxGlobeOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxGlobeOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxGlobeOtherOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxGlobeOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br /> 
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelOrbitOD" runat="server" GroupingText="Orbit Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitNotchOD" runat="server" Text="Notch" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOrbitNotchODValue" runat="server" 
                                                            AssociatedControlID="TextBoxOrbitNotchODValue" 
                                                            Text="Specify Superior Orbital Rim or Inferior Orbital Rim"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOrbitNotchODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitalEnophthalmosOD" runat="server" Text="Enophthalmos" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCheckBoxOrbitalExophthalmosOD" runat="server" Text="Exophthalmos/Proptosis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitForeignBodyOD" runat="server" Text="Foreign Body" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelfroTextBoxOrbitForeignBodyODValue" runat="server" 
                                                            AssociatedControlID="TextBoxOrbitForeignBodyODValue" 
                                                            Text="Specify Magnetic or Non-Magnetic"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOrbitForeignBodyODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOrbitOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxOrbitOtherODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOrbitOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br /> 
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelOrbitOS" runat="server" GroupingText="Orbit Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitNotchOS" runat="server" Text="Notch" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOrbitNotchOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxOrbitNotchOSValue" 
                                                            Text="Specify Superior Orbital Rim or Inferior Orbital Rim"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOrbitNotchOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitalEnophthalmosOS" runat="server" Text="Enophthalmos" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxCheckBoxOrbitalExophthalmosOS" runat="server" Text="Exophthalmos/Proptosis" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitForeignBodyOS" runat="server" Text="Foreign Body" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelfroTextBoxOrbitForeignBodyOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxOrbitForeignBodyOSValue" 
                                                            Text="Specify Magnetic or Non-Magnetic"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOrbitForeignBodyOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxOrbitOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxOrbitOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxOrbitOtherOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxOrbitOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />    
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelMiscellaneousOD" runat="server" GroupingText="Miscellaneous Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMiscHearingLossOD" runat="server" Text="Hearing Loss" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMiscAuditorySymptomsOD" runat="server" Text="Other Auditory Symptoms" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMiscOtherOD" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxMiscOtherODValue" runat="server" 
                                                            AssociatedControlID="TextBoxMiscOtherODValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxMiscOtherODValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br /> 
                                    </td>                    
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelMiscellaneousOS" runat="server" GroupingText="Miscellaneous Left Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            <table class="style1">
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMiscHearingLossOS" runat="server" Text="Hearing Loss" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMiscAuditorySymptomsOS" runat="server" Text="Other Auditory Symptoms" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="CheckBoxMiscOtherOS" runat="server" Text="Other" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforTextBoxMiscOtherOSValue" runat="server" 
                                                            AssociatedControlID="TextBoxMiscOtherOSValue" 
                                                            Text="Comments"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="EyeExamTableColumnIndent">
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxMiscOtherOSValue" runat="server" Width="98%"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelEyeExamImagingTestingPerformed" runat="server" GroupingText="Imaging/Ancillary Testing Performed &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <asp:GridView ID = "GridViewImagingPerformed" 
                                                ShowFooter = "True" 
                                                AutoGenerateColumns = "False" 
                                                runat ="server" 
                                                DataKeyNames = "ER_IMAGING_DTL_ID" 
                                                OnRowCommand="GridViewImagingPerformed_RowCommand" 
                                                Caption="Select Methodologies:" CaptionAlign="Left"
                                                AllowPaging="false"
                                                Width="100%"
                                                >
                                                
                                                <EmptyDataTemplate>
                                                    <table width="100%">
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforDropDownListImagingMethodologyCodeEmpty" 
                                                                    AssociatedControlID="DropDownListImagingMethodologyCodeEmpty"
                                                                    runat="server" Text="Imaging Methodology"></asp:Label>  
                                                            </td>
                                                            <td>
                                                                <asp:Label ID="LabelforTextBoxImagingDateEmpty" 
                                                                    AssociatedControlID="TextBoxImagingDateEmpty"
                                                                    runat="server" Text="Test Date (optional)">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <asp:DropDownList ID="DropDownListImagingMethodologyCodeEmpty" runat="server" 
                                                                    ToolTip="Select Imaging Methodology"
                                                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourceImagingMetholodolgyCodes"
                                                                    DataTextField="Name" DataValueField="ID">
                                                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="TextBoxImagingDateEmpty" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"/>
                                                                <rjs:PopCalendar ID="PopCalendarImagingDateEmpty" runat="server" 
                                                                    Visible="false" 
                                                                    Control="TextBoxImagingDateEmpty" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                                                    To-Today="true" ToolTip="Click to Select" />
                                                                &nbsp;(mm/dd/yyyy)
                                                            </td>
                                                            <td>
                                                                <asp:Button Text="Add" Width="50px" CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" />
                                                            </td>
                                                        </tr>    
                                                    </table>
                                                     
                                                </EmptyDataTemplate>
                                                
                                                <Columns>
                                                
                                                    <asp:TemplateField HeaderText = "Imaging Methodology">
                                                        <ItemTemplate>
                                                                    
                                                            <asp:Label ID = "LabelImagingMethodologyCode" runat = "server" Text = '<%# Eval("STD_ER_IMG_MTHD.Name") %>'/>
                                                                   
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                            <asp:DropDownList ID="DropDownListImagingMethodologyCodes" runat="server" 
                                                                ToolTip="Select Imaging Methodology"
                                                                AppendDataBoundItems="true" DataSourceID="ObjectDataSourceImagingMetholodolgyCodes"
                                                                DataTextField="Name" DataValueField="ID">
                                                                <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </FooterTemplate> 
                                                            
                                                     </asp:TemplateField>
                                                    
                                                    
                                                    <asp:TemplateField HeaderText = "Test Date (optional)">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelImagingMethodologyDate" runat = "server" Text = '<%# Eval("EXAM_DATE","{0:d}") %>'/>        
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                            <asp:TextBox ID="TextBoxImagingDateInsert" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                                                Text='<%# Bind("EXAM_DATE") %>'/>
                                                                <rjs:PopCalendar ID="PopCalendarImagingDateInsert" runat="server" 
                                                                    Visible="false" 
                                                                    Control="TextBoxImagingDateInsert" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                                                    To-Today="true" ToolTip="Click to Select" />
                                                            &nbsp;(mm/dd/yyyy)<br /><br />
                                                        </FooterTemplate>
                                                             
                                                     </asp:TemplateField>
                                                     <asp:TemplateField FooterStyle-HorizontalAlign="Left">
                                                        <ItemTemplate>
                                                           <asp:Button Text="Delete" Width="50px" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" />
                                                        </ItemTemplate>
                                                        <FooterTemplate>
                                                           <asp:Button Text="Add" Width="50px" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" />&nbsp;
                                                        </FooterTemplate>
                                                     </asp:TemplateField>
                                                     
                                                </Columns>
                                                
                                            </asp:GridView>
                                            
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelProstheticDevicesOrdered" runat="server" GroupingText="Prosthetic Devices Ordered &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            
                                            <asp:CheckBoxList ID="CheckBoxListSubstanceAbuse" runat="server" RepeatDirection="Horizontal"
                                            ToolTip="Select Prosthetic Devices Ordered">
                                                <asp:ListItem Value="1">Contacts</asp:ListItem>
                                                <asp:ListItem Value="2">Glasses</asp:ListItem>
                                                <asp:ListItem Value="3">Ocular Prosthesis</asp:ListItem>
                                            </asp:CheckBoxList>
                                            <br />
                                            <asp:Label ID="LabelforTextBoxProstheticDevicesOrderedComments" AssociatedControlID="TextBoxProstheticDevicesOrderedComments" runat="server" Text="Comments" >
                                            </asp:Label>
                                            <asp:TextBox ID="TextBoxProstheticDevicesOrderedComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>
                                            
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelVisualFunctionalQuestionnaire" runat="server" GroupingText="Visual Functional Questionnaire &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <asp:Label ID="LabelforTextBoxVisualFunctionalQuestionnaire" AssociatedControlID="TextBoxVisualFunctionalQuestionnaire" runat="server" Text="Validated method of capturing visual functional on an analog scale (eg. VFQ is 20)" >
                                            </asp:Label>
                                            <br />
                                            <asp:TextBox ID="TextBoxVisualFunctionalQuestionnaire" runat="server" >
                                            </asp:TextBox>
                                            
                                        </asp:Panel><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelEyeExamComments" runat="server" GroupingText="Eye Exam Comments &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <asp:TextBox ID="TextBoxEyeExamComments"
                                             ToolTip="Enter Notes and Comments for Eye Exam" runat="server" 
                                             Width="100%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>
                                            
                                        </asp:Panel><br />
                                    </td>
                                </tr>        
                            </table>
                        </asp:Panel><br /> 
                    </td>
             
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelDiagnosisPrognosis" runat="server" 
                            GroupingText="Diagnosis / Prognosis &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <table width="100%" >
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelDiagnosis" runat="server" GroupingText="Diagnosis &nbsp;&nbsp;" Width="100%">
                                            <br />
                                                <asp:GridView ID = "GridViewDiagnosis" 
                                                ShowFooter = "True" 
                                                AutoGenerateColumns = "False" 
                                                runat ="server" 
                                                DataKeyNames = "ER_DIAG_DTL_ID" 
                                                OnRowCommand="GridViewDiagnosis_RowCommand" 
                                                Caption="Select Diagnosis Codes:" CaptionAlign="Left"
                                                AllowPaging="false"
                                                Width="100%">
                                                
                                                <EmptyDataTemplate>
                                                    <table width="100%">
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforDropDownListDiagnosisCodesEmpty1" 
                                                                    AssociatedControlID="DropDownListDiagnosisCodesEmpty"
                                                                    runat="server" Text="Diagnosis Codes (ICD-9)">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforTextBoxDiagnosisCodeEmpty" AssociatedControlID="TextBoxDiagnosisCodeEmpty" runat="server">Enter Code</asp:Label>
                                                                <b>or</b>
                                                                <asp:Label ID="LabelforDropDownListDiagnosisCodesEmpty" AssociatedControlID="DropDownListDiagnosisCodesEmpty" runat="server">Select from List</asp:Label>
                                                                <br />
                                                                <asp:TextBox ID="TextBoxDiagnosisCodeEmpty" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                                <br />
                                                                <asp:DropDownList ID="DropDownListDiagnosisCodesEmpty" runat="server" 
                                                                    ToolTip="Select Diagnosis Code"
                                                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourceICD9_EyeDiagnosisCodes"
                                                                    DataTextField="CodePlusName" DataValueField="ID"
                                                                    Width="800px">
                                                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </td>
                                                            <td>
                                                                <asp:Button Text="Add" Width="50px" CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" />
                                                            </td>
                                                        </tr>    
                                                    </table>
                                                     
                                                </EmptyDataTemplate>
                                                
                                                <Columns>
                                                
                                                    <asp:TemplateField HeaderText = "Diagnosis Code (ICD-9)">
                                                        <ItemTemplate>
                                                                    
                                                            <asp:Label ID = "LabelDiagnosisCode" runat = "server" Text = '<%# Eval("STD_ER_ICD9_CODE.CodePlusName") %>'/>
                                                                   
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                            <asp:Label ID="LabelforTextBoxDiagnosisCode" AssociatedControlID="TextBoxDiagnosisCode" runat="server">Enter Code</asp:Label>
                                                            <b>or</b>
                                                            <asp:Label ID="LabelforDropDownListDiagnosisCodes" AssociatedControlID="DropDownListDiagnosisCodes" runat="server">Select from List</asp:Label>
                                                            <br />
                                                            <asp:TextBox ID="TextBoxDiagnosisCode" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                            <br />
                                                            <asp:DropDownList ID="DropDownListDiagnosisCodes" runat="server" 
                                                                ToolTip="Select Diagnosis Code"
                                                                AppendDataBoundItems="true" DataSourceID="ObjectDataSourceICD9_EyeDiagnosisCodes"
                                                                DataTextField="CodePlusName" DataValueField="ID"
                                                                Width="800px">
                                                                <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </FooterTemplate> 
                                                            
                                                     </asp:TemplateField>
                                                     <asp:TemplateField FooterStyle-HorizontalAlign="Left">
                                                        <ItemTemplate>
                                                           <asp:Button Text="Delete" Width="50px" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" />
                                                        </ItemTemplate>
                                                        <FooterTemplate>
                                                           <asp:Button Text="Add" Width="50px" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" />&nbsp;
                                                        </FooterTemplate>
                                                     </asp:TemplateField>
                                                     
                                                </Columns>
                                                
                                            </asp:GridView>
                                        </asp:Panel>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelDiagnosticProcedures" runat="server" GroupingText="Diagnostic Procedures &nbsp;&nbsp;" Width="100%">
                                            <br />
                                                <asp:GridView ID = "GridViewDiagnosticProcedures" 
                                                ShowFooter = "True" 
                                                AutoGenerateColumns = "False" 
                                                runat ="server" 
                                                DataKeyNames = "ER_PROCEDURE_DTL_ID" 
                                                OnRowCommand="GridViewDiagnosticProcedures_RowCommand" 
                                                Caption="Select Diagnostic Procedure Codes:" CaptionAlign="Left"
                                                AllowPaging="false"
                                                Width="100%">
                                                
                                                <EmptyDataTemplate>
                                                    <table width="100%">
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforDropDownListDiagnosticProcedureCodesEmpty1" 
                                                                    AssociatedControlID="DropDownListDiagnosticProcedureCodesEmpty"
                                                                    runat="server" Text="Diagnostic Procedure Codes">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                                <asp:Label ID="LabelforTextBoxProcedureDateEmpty" 
                                                                    AssociatedControlID="TextBoxProcedureDateEmpty"
                                                                    runat="server" Text="Procedure Date (optional)">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforDiagnosticProcedureCodesEmpty" AssociatedControlID="TextBoxDiagnosticProcedureCodesEmpty" runat="server">Enter Code</asp:Label>
                                                                <b>or</b>
                                                                <asp:Label ID="LabelforDropDownListDiagnosticProcedureCodesEmpty" AssociatedControlID="DropDownListDiagnosticProcedureCodesEmpty" runat="server">Select from List</asp:Label>
                                                                <br />
                                                                <asp:TextBox ID="TextBoxDiagnosticProcedureCodesEmpty" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                                <br />
                                                                <asp:DropDownList ID="DropDownListDiagnosticProcedureCodesEmpty" runat="server" 
                                                                    ToolTip="Select Diagnostic Procedure Code"
                                                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourceDiagnosticProcedureCodes"
                                                                    DataTextField="CodePlusName" DataValueField="ID"
                                                                    Width="800px">
                                                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="TextBoxProcedureDateEmpty" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"/>
                                                                <rjs:PopCalendar ID="PopCalendarProcedureDateEmpty" runat="server" 
                                                                    Visible="false" 
                                                                    Control="TextBoxProcedureDateEmpty" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                                                    To-Today="true" ToolTip="Click to Select" />
                                                                &nbsp;(mm/dd/yyyy)
                                                            </td>
                                                            <td>
                                                                <asp:Button Text="Add" Width="50px" CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" />
                                                            </td>
                                                        </tr>    
                                                    </table>
                                                     
                                                </EmptyDataTemplate>
                                                
                                                <Columns>
                                                
                                                    <asp:TemplateField HeaderText = "Diagnostic Procedure Code">
                                                        <ItemTemplate>
                                                                    
                                                            <asp:Label ID = "LabelDiagnosticProcedureCodes" runat = "server" Text = '<%# Eval("STD_ER_CPT4_CODE.CodePlusName") %>'/>
                                                                   
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                                <asp:Label ID="LabelforDiagnosticProcedureCodes" AssociatedControlID="TextBoxDiagnosticProcedureCodes" runat="server">Enter Code</asp:Label>
                                                                <b>or</b>
                                                                <asp:Label ID="LabelforDropDownListDiagnosticProcedureCodes" AssociatedControlID="DropDownListDiagnosticProcedureCodes" runat="server">Select from List</asp:Label>
                                                                <br />
                                                                <asp:TextBox ID="TextBoxDiagnosticProcedureCodes" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                                <br />
                                                                <asp:DropDownList ID="DropDownListDiagnosticProcedureCodes" runat="server" 
                                                                ToolTip="Select Diagnostic Procedure Code"
                                                                AppendDataBoundItems="true" DataSourceID="ObjectDataSourceDiagnosticProcedureCodes"
                                                                DataTextField="CodePlusName" DataValueField="ID"
                                                                Width="800px">
                                                                <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </FooterTemplate> 
                                                            
                                                     </asp:TemplateField>
                                                     <asp:TemplateField HeaderText = "Procedure Date (optional)">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelProcedureDate" runat = "server" Text = '<%# Eval("EXAM_DATE","{0:d}") %>'/>        
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                            <asp:TextBox ID="TextBoxProcedureDateInsert" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                                                Text='<%# Bind("EXAM_DATE") %>'/>
                                                                <rjs:PopCalendar ID="PopCalendarProcedureDateInsert" runat="server" 
                                                                    Visible="false" 
                                                                    Control="TextBoxProcedureDateInsert" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                                                    To-Today="true" ToolTip="Click to Select" />
                                                            &nbsp;(mm/dd/yyyy)<br /><br />
                                                        </FooterTemplate>
                                                             
                                                     </asp:TemplateField>
                                                     <asp:TemplateField FooterStyle-HorizontalAlign="Left">
                                                        <ItemTemplate>
                                                           <asp:Button Text="Delete" Width="50px" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" />
                                                        </ItemTemplate>
                                                        <FooterTemplate>
                                                           <asp:Button Text="Add" Width="50px" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" />&nbsp;
                                                        </FooterTemplate>
                                                     </asp:TemplateField>
                                                     
                                                </Columns>
                                                
                                            </asp:GridView>
                                            
                                        </asp:Panel>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelReferredToRehabilitation" runat="server" GroupingText="Referred to Rehabilitation &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <asp:RadioButtonList ID="RadioButtonListReferredToRehabilitation" runat="server" RepeatDirection="Horizontal">
                                                <asp:ListItem Value="1">Yes</asp:ListItem>
                                                <asp:ListItem Value="2">No</asp:ListItem>
                                            </asp:RadioButtonList>
                                        </asp:Panel>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelDiagnosisComments" runat="server" GroupingText="Diagnosis / Prognosis Comments &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <asp:TextBox ID="TextBoxDiagnosisComments"
                                             ToolTip="Enter Notes and Comments for Diagnosis / Prognosis" runat="server" 
                                             Width="100%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>
                                            
                                        </asp:Panel><br />
                                    </td>
                                </tr>   
                            </table>
                        </asp:Panel>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>

</table>

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceImagingMetholodolgyCodes" runat="server" 
        SelectMethod="GetImagingMethodologyCodes" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource>

<asp:ObjectDataSource ID="ObjectDataSourceICD9_EyeDiagnosisCodes" runat="server" 
        SelectMethod="GetICD9Codes_EyeDiagnosticCodes" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource>    
    
<asp:ObjectDataSource ID="ObjectDataSourceDiagnosticProcedureCodes" runat="server" 
        SelectMethod="GetProcedureCodes" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource> 
    
<asp:ObjectDataSource ID="ObjectDataSourceVAMC" runat="server" 
    SelectMethod="GetVAMCList" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
    
    
