﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class clinicalDataUserControls_VisitTabUserControl : System.Web.UI.UserControl
{
 
    ER_ENCOUNTER encounter;
    DVEIREncounterManager encounterManager = new DVEIREncounterManager();

    
    /// <summary>
    /// Property to initialize control patient id.
    /// </summary>
    public int PatientId {get;set;}
    
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            //if page is loading for first time get ID from property and set to hidden field to use on postbacks
            HiddenFieldPatientId.Value = PatientId.ToString();

        }

        if (HiddenFieldEncounterID.Value != "")
        {
            //Create Entity object and Set properties to state of form
            getEntry(Helpers.getIntFromString(HiddenFieldEncounterID.Value));
        }
        else
        {
            HiddenFieldPatientId.Value = PatientId.ToString();
            GridViewEncounters.DataBind();
        }

        if (IsPostBack)
        {
            LoadObjectFromControls();
        }

    }


    protected void getEntry(int id)
    {
        encounter = encounterManager.SelectByID(id);
    }


    void Page_PreRender(object sender, EventArgs e)
    {
        if (encounter != null)
        {
            //This is the last event in the page life cycle where changes can be made to the page object
            //so enforce business rules on the object (which could possibly change the propertie of the object
            //then load the form controls from the object

            //Enforce business rules on the history object
            //need to call EnforceBusinessRules method in the ReferralManager because some rules require a database call
            //pass in the local instance of history to the method.  The method will return the object with modifications due to business rules.
            if (IsPostBack)
            {
                int ret;
                ret = encounterManager.EnforceBusinessRules(ref encounter);
            }

            //Load Controls from the Object
            LoadControlsFromObject();
        }

        //if (!this.ReadOnly)
        //{
        //    const string scriptName = "__dveirReferralClientSideScript";
        //    if (!Page.ClientScript.IsClientScriptIncludeRegistered(scriptName))
        //    {
        //        Page.ClientScript.RegisterClientScriptBlock(Page.GetType(), scriptName, GetPageJavaScript(), true);
        //    }

        //}

        //if (this.AllowUpdate)
        //{
        //    ButtonSave.Visible = true;
        //}
        //else
        //{
        //    ButtonSave.Visible = false;
        //}

    }

    private void ReBindChangedData()
    {
        GridViewImagingPerformed.DataBind();
        ReloadImagingMethodologyCodes();
    }

    private void ReloadImagingMethodologyCodes()
    {
            //if (GridViewNonOcularInjuries.Rows.Count > 0)
            //{

            //    DropDownList dropDownListDiagnosticCodes = GridViewNonOcularInjuries.FooterRow.FindControl("DropDownListDiagnosticCodes") as DropDownList;

            //    dropDownListDiagnosticCodes.Items.Clear();
            //    //dropDownListDiagnosticCodes.Items.Add(new ListItem("(Select One)", "0"));
            //    //dropDownListDiagnosticCodes.Items.AddRange(DropDownLists.GetWorkflowTypeList().Select(kvp => new ListItem(kvp.Value, kvp.Key.ToString())).ToArray());
            //    //dropDownListDiagnosticCodes.SelectedIndex = 0;

            //    dropDownListDiagnosticCodes.DataBind();

            //}
            //else
            //{
            //    DropDownList dropDownListDiagnosticCodesEmpty = GridViewNonOcularInjuries.Controls[0].Controls[0].FindControl("DropDownListDiagnosticCodesEmpty") as DropDownList;

            //    dropDownListDiagnosticCodesEmpty.Items.Clear();
            //    //dropDownListDiagnosticCodesEmpty.Items.Add(new ListItem("(Select One)", "0"));
            //    //dropDownListDiagnosticCodesEmpty.Items.AddRange(DropDownLists.GetWorkflowTypeList().Select(kvp => new ListItem(kvp.Value, kvp.Key.ToString())).ToArray());
            //    //dropDownListDiagnosticCodesEmpty.SelectedIndex = 0;
                
            //    dropDownListDiagnosticCodesEmpty.DataBind();

            //}
    }

   
    #region Postback Events

    protected void GridViewImagingPerformed_RowCommand(object sender, GridViewCommandEventArgs e)
    {


        if (e.CommandName == "ADD")
        {
            DropDownList dropDownListImagingMethodologies = GridViewImagingPerformed.FooterRow.FindControl("DropDownListMethodologyCodes") as DropDownList;

            int diagnosticCodeId;

            //if (int.TryParse(dropDownListNonOcularInjuries.SelectedValue, out diagnosticCodeId))
            //wfCase.STD_WKFCASETYPE_ID = caseType;

        }
        else if (e.CommandName == "EMPTYADD")
        {
            DropDownList dropDownListImagingMethodologies = GridViewImagingPerformed.Controls[0].Controls[0].FindControl("DropDownListMethodologyCodesEmpty") as DropDownList;

            int diagnosticCodeId;
            //if (int.TryParse(dropDownListNonOcularInjuries.SelectedValue, out diagnosticCodeId))
            //    wfCase.STD_WKFCASETYPE_ID = caseType;
        }


        //add newly generated diagnostic code to the history object

        //post changes to the database
        //manager.Update(referral);

        ReBindChangedData();
    }

    protected void GridViewDiagnosis_RowCommand(object sender, GridViewCommandEventArgs e)
    {


        //if (e.CommandName == "ADD")
        //{
        //    DropDownList dropDownListImagingMethodologies = GridViewDiagnosis.FooterRow.FindControl("DropDownListMethodologyCodes") as DropDownList;

        //    int diagnosticCodeId;

        //    //if (int.TryParse(dropDownListNonOcularInjuries.SelectedValue, out diagnosticCodeId))
        //    //wfCase.STD_WKFCASETYPE_ID = caseType;

        //}
        //else if (e.CommandName == "EMPTYADD")
        //{
        //    DropDownList dropDownListImagingMethodologies = GridViewDiagnosis.Controls[0].Controls[0].FindControl("DropDownListMethodologyCodesEmpty") as DropDownList;

        //    int diagnosticCodeId;
        //    //if (int.TryParse(dropDownListNonOcularInjuries.SelectedValue, out diagnosticCodeId))
        //    //    wfCase.STD_WKFCASETYPE_ID = caseType;
        //}


        //add newly generated diagnostic code to the history object

        //post changes to the database
        //manager.Update(referral);

        //ReBindChangedData();
    }

    protected void GridViewDiagnosticProcedures_RowCommand(object sender, GridViewCommandEventArgs e)
    {


        //if (e.CommandName == "ADD")
        //{
        //    DropDownList dropDownListImagingMethodologies = GridViewDiagnosis.FooterRow.FindControl("DropDownListMethodologyCodes") as DropDownList;

        //    int diagnosticCodeId;

        //    //if (int.TryParse(dropDownListNonOcularInjuries.SelectedValue, out diagnosticCodeId))
        //    //wfCase.STD_WKFCASETYPE_ID = caseType;

        //}
        //else if (e.CommandName == "EMPTYADD")
        //{
        //    DropDownList dropDownListImagingMethodologies = GridViewDiagnosis.Controls[0].Controls[0].FindControl("DropDownListMethodologyCodesEmpty") as DropDownList;

        //    int diagnosticCodeId;
        //    //if (int.TryParse(dropDownListNonOcularInjuries.SelectedValue, out diagnosticCodeId))
        //    //    wfCase.STD_WKFCASETYPE_ID = caseType;
        //}


        //add newly generated diagnostic code to the history object

        //post changes to the database
        //manager.Update(referral);

        //ReBindChangedData();
    }

    protected void GridViewEncounters_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Details")
        {
            int index = Convert.ToInt32(e.CommandArgument);
            GridViewEncounters.SelectedIndex = index;
            int id = Convert.ToInt32(GridViewEncounters.SelectedValue);

            //Response.Redirect(string.Format("referral.aspx?id={0}", id));

            HiddenFieldEncounterID.Value = id.ToString();

            getEntry(id);

            PanelEncounterList.Visible = false;
            PanelEncounterDetails.Visible = true;

        }

    }

    protected void ButtonCloseEncounterDetails_Click(object sender, EventArgs e)
    {
        HiddenFieldEncounterID.Value = "";

        PanelEncounterList.Visible = true;
        PanelEncounterDetails.Visible = false;

        GridViewEncounters.SelectedIndex = -1;
        

    }

    protected void ButtonAddEncounter_Click(object sender, EventArgs e)
    {
        HiddenFieldEncounterID.Value = "";

        PanelEncounterList.Visible = true;
        PanelEncounterDetails.Visible = false;

    }
    

    #endregion


    #region Object/Form Mapping

    private void LoadControlsFromObject()
    {

        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns();

        //GridViewNonOcularInjuries.DataSource = history.ER_PRE_INJURY_DIAG_DTLs;
        //GridViewNonOcularInjuries.DataBind();
        
        //GridViewImagingPerformed.DataSource = encounter.ER_IMAGING_DTLs;
        //GridViewImagingPerformed.DataBind();

        GridViewDiagnosis.DataSource = encounter.ER_DIAG_DTLs;
        GridViewDiagnosis.DataBind();

        GridViewDiagnosticProcedures.DataSource = encounter.ER_PROCEDURE_DTLs;
        GridViewDiagnosticProcedures.DataBind();

        //Encounter ID
        //LabelEncounterId.Text = Helpers.getStringFromNullableInt(encounter.PATIENT_VISIT_COUNT);

        //Date of Encounter
        //TextBoxDateOfEncounter.Text = Helpers.getShortDateStringFromNullableDate(encounter.EXAM_DATE);


        //SSN
        //TextBoxSSN.Text = patient.SSN;
        //LabelSSNReadOnly.Text = patient.SSN;

        //Home VAMC
        //DropDownListHomeVAMC.SelectedValue = patient.PATIENT_HOME_VAMC_ID.ToString();
        //LabelHomeVAMCReadOnly.Text = patientManager.getHomeVAMCName(patient.TBI_dveirReferral_ID);

        //Other Injury Description
        //if (DropDownListOtherInjury.SelectedValue == "Y")
        // {
        //     TextBoxOtherInjuryDescription.Text = patient.OTHER_INJRY_DSCR;

        //     if (!this.ReadOnly)
        //     {
        //         TextBoxOtherInjuryDescription.Enabled = true;
        //     }
        // }
        // else 
        // {
        //     //set other description to non editable
        //     TextBoxOtherInjuryDescription.Text = "";
        //     TextBoxOtherInjuryDescription.Enabled = false;
        //}

        //Injury Details
        //foreach (TBI_INJURY_DETAIL injury in patient.TBI_INJURY_DETAILs)
        //{
        //    ListItem foundListItem = CheckBoxListInjuryDetails.Items.FindByValue(injury.STD_TBIINJURYLIST_ID.ToString());
        //    foundListItem.Selected = true;
        //}

    }

    private void LoadObjectFromControls()
    {

        //JH 10/12/09 - Commenting next section : Client will use SSN within the dveirReferral application instead of VPID
        ////Patient ID
        ////if item is new and patient is selected then add Patient ID to dveirReferral entry
        //if (HiddenFieldPatientID.Value != "" && polyTraumEntry.PATIENT_ID == null)
        //{
        //    //polyTraumEntry = dveirReferralManager.getNewPatient
        //    //    (Helpers.getIntFromString(HiddenFieldPatientID.Value),polyTraumEntry);

        //    polyTraumEntry.PATIENT_ID = Helpers.getIntFromString(HiddenFieldPatientID.Value);
        //}

        //SSN
        //patient.SSN = TextBoxSSN.Text;

        //Home VAMC
        //patient.PATIENT_HOME_VAMC_ID = Helpers.getIntFromString(DropDownListHomeVAMC.SelectedValue);

        //Injury Details
        //foreach (ListItem checkboxListInjury in CheckBoxListInjuryDetails.Items)
        //{
        //    //for each item in the check box list check if it is an entity in TBI_INJURY_DETAILs
        //    TBI_INJURY_DETAIL existingInjury = (from e in patient.TBI_INJURY_DETAILs
        //                                       where e.STD_TBIINJURYLIST_ID == Helpers.getIntFromString(checkboxListInjury.Value)
        //                                       select e).FirstOrDefault();

        //    //check if the checkboxlist item was selected,  
        //    if (checkboxListInjury.Selected)
        //    {
        //        //if the item is selected then it needs to be in TBI_INJURY_DETAILs
        //        //if the entity exists, that signifies the item is already in TBI_INJURY_DETAILs therefore nothing needs to be done. 
        //        if (existingInjury == null)
        //        {
        //            TBI_INJURY_DETAIL newInjury = new TBI_INJURY_DETAIL();
        //            newInjury.TBI_dveirReferral_ID = patient.TBI_dveirReferral_ID;
        //            newInjury.STD_TBIINJURYLIST_ID = Helpers.getIntFromString(checkboxListInjury.Value);

        //            patient.TBI_INJURY_DETAILs.Add(newInjury);
        //        }
        //    }
        //    else
        //    {
        //        //if the item is not selected, then it needs to be taken out of TBI_INJURY_DETAILs if it is in the list
        //        if (existingInjury != null)
        //        {
        //            existingInjury.SetAsDeleteOnSubmit();
        //            //polyTraumEntry.TBI_INJURY_DETAILs.Remove(existingInjury);
        //        }
        //    }
        //}


    }

    private void PopulateDropDowns()
    {

        //if (DropDownListGender.Items.Count == 1)
        //{
        //    DropDownListGender.DataSourceID = "ObjectDataSourceGender";
        //    DropDownListGender.DataBind();
        //}



    }

    #endregion

 


    
}
