﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager.DVEIR;
using System.Text;

public partial class Referral : BasePage
{
    DVEIR_REFERRAL referral;
    DVEIRReferralManager referralManager = new DVEIRReferralManager();
    
    public override string TopMenuName()
    {
        return "My Tasks";
    }

    public override string MenuItemName()
    {
        return "DVEIR_REFERRAL";
    }

    public override string AppObjectCode()
    {
        return "DVEIR_REFERRAL";
    }

    protected void Menu1_MenuItemClick(Object sender , MenuEventArgs e)
    {
        MultiView1.ActiveViewIndex = Int32.Parse(e.Item.Value);
        
        //Make the selected menu item reflect the correct imageurl

        for (int i = 0; i < Menu1.Items.Count; i++)
        {
            if (i.ToString() == e.Item.Value )
            {
                //Menu1.Items[i].ImageUrl = "~/images/Tabs/selectedtab.gif";
                
            } else
            {
                //Menu1.Items[i].ImageUrl = "~/images/Tabs/unselectedtab.gif";
            }
        }
        
    }
   
    protected void Page_Load(object sender, EventArgs e)
    {
        
        if (!IsPostBack)
        {
            Menu1.Items[0].Selected = true;
            
            //if page is loading for first time get ID from querystring and set to hidden field to use on postbacks
            int? entryID = Helpers.getIntFromString(Request.QueryString["id"]);
            HiddenField1.Value = entryID.GetValueOrDefault().ToString();

            //Check if the request is to start a new item 
            //a new item page request is signified when the querystring parameter id equals zero or is not present
            if (entryID == null || entryID == 0)
            {
                //set entryID to zero so that a default linq entity will be instantiated
                entryID = 0;

                if (this.AllowInsert)
                {
                    //if a new item then set patient search to true and hide all others
                    //SetFormToNewPatientSearchMode();
                }
                else
                {
                    //SetFormToNoInsertAllowedMode();
                }

            }
            else
            {
                //if not a new item hide patient search, show patient read only and hide patient edit
               // SetFormToEditdveirReferralHidePatientDetails(entryID.GetValueOrDefault());

                //Modify breadcrumb to display editing ID
                LabelBreadCrumb.Text = LabelBreadCrumb.Text + " > Edit Referral ID : " + entryID;

            }

            

        }

        //Create dveirReferral Entity object and Set properties to state of form
        getEntry(Helpers.getIntFromString(HiddenField1.Value));

        
        if (IsPostBack)
        {
            LoadObjectFromControls();
        }

    }

    
    protected void getEntry(int id)
    {
        referral = referralManager.SelectByID(id, DVEIRReferralView.All);

        //initial display panels
        PanelNoAccess.Visible = false;
        PanelIdNotFound.Visible = false;
        PanelObjectContent.Visible = false;

        if (referral == null)
        {
            PanelObjectContent.Visible = false;

            if (referralManager.ReferralExists(id))
            {
                PanelNoAccess.Visible = true;
            }
            else
            {
                PanelIdNotFound.Visible = true;
            }
        }
        else
        {
            PanelObjectContent.Visible = true;
        }
    }

    

    void Page_PreRender(object sender, EventArgs e)
    {
        if (referral != null)
        {
            //This is the last event in the page life cycle where changes can be made to the page object
            //so enforce business rules on the object (which could possibly change the propertie of the object
            //then load the form controls from the object

            //Enforce business rules on the referral object
            //need to call EnforceBusinessRules method in the ReferralManager because some rules require a database call
            //pass in the local instance of referral to the method.  The method will return the object with modifications due to business rules.
            if (IsPostBack)
            {
                int ret;
                ret = referralManager.EnforceBusinessRules(ref referral);
            }

            //Load Controls from the Object
            LoadControlsFromObject();
        }

        if (!this.ReadOnly )
        {
            const string scriptName = "__dveirReferralClientSideScript";
            if (!Page.ClientScript.IsClientScriptIncludeRegistered(scriptName))
            {
                Page.ClientScript.RegisterClientScriptBlock(Page.GetType(), scriptName, GetPageJavaScript(),true);
            }
            
        }

        if (this.AllowUpdate)
        {
            ButtonSave.Visible = true;
        }
        else
        {
            ButtonSave.Visible = false;
        }

    }


    #region Postback Events


    #endregion


    #region Object/Form Mapping

    private void LoadControlsFromObject()
    {
        
        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns();
        
  
        //SSN
        //TextBoxSSN.Text = patient.SSN;
        //LabelSSNReadOnly.Text = patient.SSN;

        //Home VAMC
        //DropDownListHomeVAMC.SelectedValue = patient.PATIENT_HOME_VAMC_ID.ToString();
        //LabelHomeVAMCReadOnly.Text = patientManager.getHomeVAMCName(patient.TBI_dveirReferral_ID);
        
        //Other Injury Description
       //if (DropDownListOtherInjury.SelectedValue == "Y")
       // {
       //     TextBoxOtherInjuryDescription.Text = patient.OTHER_INJRY_DSCR;

       //     if (!this.ReadOnly)
       //     {
       //         TextBoxOtherInjuryDescription.Enabled = true;
       //     }
       // }
       // else 
       // {
       //     //set other description to non editable
       //     TextBoxOtherInjuryDescription.Text = "";
       //     TextBoxOtherInjuryDescription.Enabled = false;
       //}

        //Injury Details
        //foreach (TBI_INJURY_DETAIL injury in patient.TBI_INJURY_DETAILs)
        //{
        //    ListItem foundListItem = CheckBoxListInjuryDetails.Items.FindByValue(injury.STD_TBIINJURYLIST_ID.ToString());
        //    foundListItem.Selected = true;
        //}
        
    }

    private void LoadObjectFromControls()
    {

        //JH 10/12/09 - Commenting next section : Client will use SSN within the dveirReferral application instead of VPID
        ////Patient ID
        ////if item is new and patient is selected then add Patient ID to dveirReferral entry
        //if (HiddenFieldPatientID.Value != "" && polyTraumEntry.PATIENT_ID == null)
        //{
        //    //polyTraumEntry = dveirReferralManager.getNewPatient
        //    //    (Helpers.getIntFromString(HiddenFieldPatientID.Value),polyTraumEntry);

        //    polyTraumEntry.PATIENT_ID = Helpers.getIntFromString(HiddenFieldPatientID.Value);
        //}

        //SSN
        //patient.SSN = TextBoxSSN.Text;

        //Home VAMC
        //patient.PATIENT_HOME_VAMC_ID = Helpers.getIntFromString(DropDownListHomeVAMC.SelectedValue);

        //Injury Details
        //foreach (ListItem checkboxListInjury in CheckBoxListInjuryDetails.Items)
        //{
        //    //for each item in the check box list check if it is an entity in TBI_INJURY_DETAILs
        //    TBI_INJURY_DETAIL existingInjury = (from e in patient.TBI_INJURY_DETAILs
        //                                       where e.STD_TBIINJURYLIST_ID == Helpers.getIntFromString(checkboxListInjury.Value)
        //                                       select e).FirstOrDefault();
            
        //    //check if the checkboxlist item was selected,  
        //    if (checkboxListInjury.Selected)
        //    {
        //        //if the item is selected then it needs to be in TBI_INJURY_DETAILs
        //        //if the entity exists, that signifies the item is already in TBI_INJURY_DETAILs therefore nothing needs to be done. 
        //        if (existingInjury == null)
        //        {
        //            TBI_INJURY_DETAIL newInjury = new TBI_INJURY_DETAIL();
        //            newInjury.TBI_dveirReferral_ID = patient.TBI_dveirReferral_ID;
        //            newInjury.STD_TBIINJURYLIST_ID = Helpers.getIntFromString(checkboxListInjury.Value);

        //            patient.TBI_INJURY_DETAILs.Add(newInjury);
        //        }
        //    }
        //    else
        //    {
        //        //if the item is not selected, then it needs to be taken out of TBI_INJURY_DETAILs if it is in the list
        //        if (existingInjury != null)
        //        {
        //            existingInjury.SetAsDeleteOnSubmit();
        //            //polyTraumEntry.TBI_INJURY_DETAILs.Remove(existingInjury);
        //        }
        //    }
        //}

 
    }

    private void PopulateDropDowns()
    {

        //if (DropDownListGender.Items.Count == 1)
        //{
        //    DropDownListGender.DataSourceID = "ObjectDataSourceGender";
        //    DropDownListGender.DataBind();
        //}

 

    }

    #endregion

    protected void ButtonSave_Click(object sender, EventArgs e)
    {
        if (Page.IsValid)
        {
            //int returnSaveValue;

                //returnSaveValue = patientManager.Update(patient);

                ////Set Broken Rule Error Display
                //if (patient.BrokenRules.Count == 0)
                //{
                //    ErrorList1.Visible = false;
                //}
                //else
                //{
                //    ErrorList1.Visible = true;
                //}

                //ErrorList1.BrokenRules = patient.BrokenRules;

                //if (returnSaveValue > 0)
                //{
                //    //TO DO : display Save Success Message

                //    //redirect to page with id of saved item
                //    Response.Redirect(Request.Url.AbsolutePath + "?id=" + returnSaveValue);

                //}
                //else
                //{
     
                //    //Display Error Message
                //    //TO DO

                //}
            //}
        }

   
    }

 
    protected void ButtonCancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("Referrals.aspx");
    }

   
  
    private string GetPageJavaScript()
    {
        StringBuilder myStringBuilder = new StringBuilder();
           
        //myStringBuilder.Append("function SetTextBoxOtherInjuryDescriptionEnabledStatus()");
        //myStringBuilder.Append("{");
        //myStringBuilder.Append("var TextBoxOtherInjuryDescription = document.getElementById('" + TextBoxOtherInjuryDescription.ClientID + "');");
        //myStringBuilder.Append("if ($get('" + DropDownListOtherInjury.ClientID + "').value  != 'Y')");
        //myStringBuilder.Append("{");
        //myStringBuilder.Append("TextBoxOtherInjuryDescription.value = '';");
        //myStringBuilder.Append("TextBoxOtherInjuryDescription.disabled = true;");
        //myStringBuilder.Append("}");
        //myStringBuilder.Append("else");
        //myStringBuilder.Append("{");
        //myStringBuilder.Append("TextBoxOtherInjuryDescription.disabled = false;");
        //myStringBuilder.Append("}");
        //myStringBuilder.Append("}");

        return myStringBuilder.ToString();

    }


    

}
