﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ChiefComplaintTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_ChiefComplaintTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register src="EncounterInformationHeaderUserControl.ascx" tagname="EncounterHeaderUserControl" tagprefix="userControlEncounterHeader" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>

<style type="text/css">
    .SideBySideEyeExamPanel
    {
        width: 100%;
    }
    .EyeExamTableColumnIndent
    {
        width: 4%;
    }
    .eyeExamWidthBetweenODPanelOSPanel
    {
        width: 8px;
    }
    
</style>



<table width="100%">
<tr>
    <td>
        <asp:Panel ID="PanelChiefComplaintDetails" runat="server" Visible="true" Width="100%">
            <asp:ValidationSummary runat="server" 
                HeaderText="The page has the following data errors: " 
                ID="ValidationSummary1" 
                EnableClientScript="true" 
                DisplayMode="BulletList" 
                ShowSummary="false" 
                ShowMessageBox="True" />
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <userControlEncounterHeader:EncounterHeaderUserControl ID="EncounterHeaderUserControl" runat="server"/>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelChiefComplaint" runat="server" 
                            GroupingText="Chief Complaint &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <div style="width:99%">
                            <userControlReviewComments:ReviewCommentsEntryUserControl 
                                runat="server"
                                ID="ChiefComplaintReviewCommentUserControl" 
                                AnchorId="1"
                                LocationPage="ChiefComplaint"
                                LocationFriendlyName="Chief Complaint"
                                />
                            </div>
                            <asp:TextBox ID="TextBoxChiefComplaint" ToolTip="Enter chief complaint of patient for visit" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                            </asp:TextBox>
                            <asp:RegularExpressionValidator ID="RegularExpressionValidatorChiefCompliant" runat="server" 
                                ErrorMessage="Chief Complaint needs to be less than 4000 characters."
                                ControlToValidate="TextBoxChiefComplaint"
                                ValidationExpression="^[\s\S]{0,4000}$"
                            >
                            </asp:RegularExpressionValidator>
                        </asp:Panel>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        
                        <%--VHAISPBLANCT | RTC 20713 | Neurological Conditions displayed text 
                        updated to Documented Visual Conditions.  The related database column(s) 
                        still reference NEUROLOGICAL.--%>
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr>
                                <td>
                                    <asp:Panel ID="PanelNeurologicalConditions" runat="server" 
                                        GroupingText="Documented Visual Conditions &nbsp;&nbsp;" 
                                        Width="100%">
                                        <br />
                                        <userControlReviewComments:ReviewCommentsEntryUserControl 
                                            runat="server"
                                            ID="ReviewCommentsEntryUserControlNeurologicalConditions" 
                                            AnchorId="3"
                                            LocationPage="ChiefComplaint"
                                            LocationFriendlyName="Documented Visual Conditions"
                                            />
                                        <table width="60%">
                                            <tr>
                                                <th>
                                                   Condition
                                                </th>
                                            </tr>
                                            <tr class = "main">
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIEyeVisionSymptoms" 
                                                        runat="server" 
                                                        Text="Traumatic Brain Injury (with and without eye/vision symptoms)"  
                                                        TextAlign="Right" 
                                                         />
                                                </td>
                                            </tr>
                                            <tr class = "child">
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIReadingProblems" runat="server" 
                                                        Text="Reading Problems" TextAlign="Right" />
                                                </td>
                                            </tr>
                                            <tr class = "child">
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIDiplopia" runat="server" Text="Double Vision/Diplopia" 
                                                        TextAlign="Right" />
                                                </td>
                                            </tr>
                                            <tr class = "child">
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIDazzling" runat="server" Text="Dazzling/Glare" 
                                                        TextAlign="Right" />
                                                </td>
                                            </tr>
                                            <tr class = "child">
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIPhotophobia" runat="server" Text="Light Sensitivity/Photophobia" 
                                                        TextAlign="Right" />
                                                </td>
                                            </tr>
                                            <tr class = "child">
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIEyeStrain" runat="server" Text="Eye Strain" 
                                                        TextAlign="Right" />
                                                </td>
                                            </tr>
                                            <tr class = "child">
                                                <td>
                                                    <asp:CheckBox ID="CheckBoxTBIBlurredVision" runat="server" Text="Blurred Vision" 
                                                        TextAlign="Right" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <span><asp:CheckBox ID="CheckBoxOtherNeurologicalConditions" runat="server" 
                                                        Text="Other Documented Visual Conditions " 
                                                        TextAlign="Right" 
                                                         /></span>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    
                                            </tr>
                                            
                                        </table>
                                                <asp:Label ID="LabelforTextBoxNeurologicalConditionsComments" AssociatedControlID="TextBoxNeurologicalConditionsComments" runat="server" Text="Comments" >
                                                    </asp:Label>
                                                    <asp:TextBox ID="TextBoxNeurologicalConditionsComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                                    </asp:TextBox>
                                                    <asp:RegularExpressionValidator ID="RegularExpressionValidatorNeurologicalConditionsComments" runat="server" 
                                                        ErrorMessage="Comments need to be less than 4000 characters."
                                                        ControlToValidate="TextBoxNeurologicalConditionsComments"
                                                        ValidationExpression="^[\s\S]{0,4000}$"
                                                    >
                                                    </asp:RegularExpressionValidator>
                                                </td>
                                   </asp:Panel> 
                                </td>
                            </tr>
                        </table>    
                    
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>

</table>

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />    
    
