﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class clinicalDataUserControls_ChiefComplaintTabUserControl : BaseClinicalDataControl
{
    //private string _currentRegistry = Helpers.GetConfigEntry("Registry");
    #region Page Load
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    #endregion Page Load
    #region Postback Events
    //protected void CheckBoxTBIEyeVisionSymptoms_CheckedChanged(object sender, EventArgs e)
    //{
    //    CleanAndDisableRadioButtonList(CheckBoxTBIEyeVisionSymptoms, RadioButtonListTBIEyeVisionSymptoms);
    //}
    //protected void CheckBoxTBIReadingProblems_CheckedChanged(object sender, EventArgs e)
    //{
    //    CleanAndDisableRadioButtonList(CheckBoxTBIReadingProblems, RadioButtonListTBIReadingProblems);
    //}
    //protected void CheckBoxTBIDiplopia_CheckedChanged(object sender, EventArgs e)
    //{
    //    CleanAndDisableRadioButtonList(CheckBoxTBIDiplopia, RadioButtonListTBIDiplopia);
    //}
    //protected void CheckBoxTBIDazzling_CheckedChanged(object sender, EventArgs e)
    //{
    //    CleanAndDisableRadioButtonList(CheckBoxTBIDazzling, RadioButtonListTBIDazzling);
    //}
    //protected void CheckBoxTBIPhotophobia_CheckedChanged(object sender, EventArgs e)
    //{
    //    CleanAndDisableRadioButtonList(CheckBoxTBIPhotophobia, RadioButtonListTBIPhotophobia);
    //}
    //protected void CheckBoxTBIAccommodationDysfunction_CheckedChanged(object sender, EventArgs e)
    //{
    //    CleanAndDisableRadioButtonList(CheckBoxTBIAccommodationDysfunction, RadioButtonListTBIAccommodationDysfunction);
    //}
    //protected void CheckBoxOtherNeurologicalConditions_CheckedChanged(object sender, EventArgs e)
    //{
    //    CleanAndDisableRadioButtonList(CheckBoxOtherNeurologicalConditions, RadioButtonListOtherNeurologicalConditions);
    //}
    #endregion
    #region Private Methods
    /// <summary>
    /// Method to enable TBI Eye Vision Symptoms checkboxes and radio buttons
    /// </summary>
    /// <param name="tbiEyeVisionSymptomsChecked"></param>
    //private void EnableTbiEyeVisionSymptoms(bool tbiEyeVisionSymptomsChecked)
    //{
    //    CheckBoxTBIReadingProblems.Enabled =
    //    RadioButtonListTBIReadingProblems.Enabled =
    //    CheckBoxTBIDiplopia.Enabled =
    //    RadioButtonListTBIDiplopia.Enabled =
    //    CheckBoxTBIDazzling.Enabled =
    //    RadioButtonListTBIDazzling.Enabled =
    //    CheckBoxTBIPhotophobia.Enabled =
    //    RadioButtonListTBIPhotophobia.Enabled =
    //    CheckBoxTBIVergenceDysfunction.Enabled =
    //    RadioButtonListTBIVergenceDysfunction.Enabled =
    //    CheckBoxTBIAccommodationDysfunction.Enabled =
    //    RadioButtonListTBIAccommodationDysfunction.Enabled =
    //    RadioButtonListTBIEyeVisionSymptoms.Enabled =
    //    //CheckBoxOtherNeurologicalConditions.Enabled =
    //    //RadioButtonListOtherNeurologicalConditions.Enabled = 

    //        tbiEyeVisionSymptomsChecked;
    //}
    /// <summary>
    /// Method to clean and disable Radio Button List when corresponding checkbox is unchecked
    /// </summary>
    /// <param name="checkBox"></param>
    /// <param name="radioButtonList"></param>
    //private void CleanAndDisableRadioButtonList(CheckBox checkBox, RadioButtonList radioButtonList)
    //{
    //    if (!checkBox.Checked)
    //    {
    //        foreach (ListItem listItem in radioButtonList.Items)
    //        {
    //            listItem.Selected = false;
    //        }

    //        radioButtonList.Enabled = false;
    //    }
    //    else
    //    {
    //        radioButtonList.Enabled = true;
    //    }
    //}
    #endregion
    #region Object/Form Mapping

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="encounter"></param>
    /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter)
    {

        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns(encounter);

        //populate controls

        //load Encounter Information Control
        EncounterHeaderUserControl.LoadControlsFromObject(encounter);

        //Chief Complaint Review Comments
        ChiefComplaintReviewCommentUserControl.LoadControlsFromObject(encounter);
        
        //Chief Complaint
        TextBoxChiefComplaint.Text = encounter.CHIEF_COMPLAINT_TEXT;


        //Neurological Conditions Review Comments
        ReviewCommentsEntryUserControlNeurologicalConditions.LoadControlsFromObject(encounter);

        //TBI 
        if (encounter.TBI_IND.HasValue)
        {
            CheckBoxTBIEyeVisionSymptoms.Checked = (encounter.TBI_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxTBIEyeVisionSymptoms.Checked = false;
        }

        //enable or disable additional controls related to CheckBoxTBIEyeVisionSymptoms
        //EnableTbiEyeVisionSymptoms( CheckBoxTBIEyeVisionSymptoms.Checked );

        ////TBI ongoing treatment
        //if (encounter.TBI_TRMT_IND.HasValue)
        //{
        //    RadioButtonListTBIEyeVisionSymptoms.Text = encounter.TBI_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListTBIEyeVisionSymptoms.ClearSelection();
        //}

        //Reading Problems
        if (encounter.TBI_READ_PRBLM_IND.HasValue)
        {
            CheckBoxTBIReadingProblems.Checked = (encounter.TBI_READ_PRBLM_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxTBIReadingProblems.Checked = false;
        }

        //RadioButtonListTBIReadingProblems.Enabled = CheckBoxTBIReadingProblems.Checked && CheckBoxTBIEyeVisionSymptoms.Checked;

        ////Reading Problems Ongoing Treatment
        //if (encounter.TBI_READ_PRBLM_TRMT_IND.HasValue)
        //{
        //    RadioButtonListTBIReadingProblems.Text = encounter.TBI_READ_PRBLM_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListTBIReadingProblems.ClearSelection();
        //}

        //Diplopia
        if (encounter.TBI_DIPLOPIA_IND.HasValue)
        {
            CheckBoxTBIDiplopia.Checked = (encounter.TBI_DIPLOPIA_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxTBIDiplopia.Checked = false;
        }

        //RadioButtonListTBIDiplopia.Enabled = CheckBoxTBIDiplopia.Checked && CheckBoxTBIEyeVisionSymptoms.Checked;

        ////Diplopia Ongoing Treatment
        //if (encounter.TBI_DIPLOPIA_TRMT_IND.HasValue)
        //{
        //    RadioButtonListTBIDiplopia.Text = encounter.TBI_DIPLOPIA_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListTBIDiplopia.ClearSelection();
        //}

        //Dazzling
        if (encounter.TBI_DAZZLING_IND.HasValue)
        {
            CheckBoxTBIDazzling.Checked = (encounter.TBI_DAZZLING_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxTBIDazzling.Checked = false; 
        }

        //RadioButtonListTBIDazzling.Enabled = CheckBoxTBIDazzling.Checked && CheckBoxTBIEyeVisionSymptoms.Checked;

        ////Dazzling Ongoing Treatment
        //if (encounter.TBI_DAZZLING_TRMT_IND.HasValue)
        //{
        //    RadioButtonListTBIDazzling.Text = encounter.TBI_DAZZLING_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListTBIDazzling.ClearSelection();
        //}

        //Photophobia
        if (encounter.TBI_PHOTOPHOBIA_IND.HasValue)
        {
            CheckBoxTBIPhotophobia.Checked = (encounter.TBI_PHOTOPHOBIA_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxTBIPhotophobia.Checked = false;

        }

        //Eye Strain
        if (encounter.TBI_EYE_STRAIN_IND.HasValue)
        {
            CheckBoxTBIEyeStrain.Checked = (encounter.TBI_EYE_STRAIN_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxTBIEyeStrain.Checked = false;

        }

        //Blurred Vision
        if (encounter.TBI_BLURRED_VISION_IND.HasValue)
        {
            CheckBoxTBIBlurredVision.Checked = (encounter.TBI_BLURRED_VISION_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxTBIBlurredVision.Checked = false;

        }


        //RadioButtonListTBIPhotophobia.Enabled = CheckBoxTBIPhotophobia.Checked && CheckBoxTBIEyeVisionSymptoms.Checked;

        ////Photophobia Ongoing Treatment
        //if (encounter.TBI_PHOTOPHOBIA_TRMT_IND.HasValue)
        //{
        //    RadioButtonListTBIPhotophobia.Text = encounter.TBI_PHOTOPHOBIA_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListTBIPhotophobia.ClearSelection();
        //}

        ////Vergence Dysfunction
        //if (encounter.TBI_VERGENCE_IND.HasValue)
        //{
        //    CheckBoxTBIVergenceDysfunction.Checked = (encounter.TBI_VERGENCE_IND.Value.ToString() == "Y" ? true : false);
        //}
        //else
        //{
        //    CheckBoxTBIVergenceDysfunction.Checked = false;
        //}

        //RadioButtonListTBIVergenceDysfunction.Enabled = CheckBoxTBIVergenceDysfunction.Checked && CheckBoxTBIEyeVisionSymptoms.Checked;

        ////Vergence Dysfunction Ongoing Treatment
        //if (encounter.TBI_VERGENCE_TRMT_IND.HasValue)
        //{
        //    RadioButtonListTBIVergenceDysfunction.Text = encounter.TBI_VERGENCE_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListTBIVergenceDysfunction.ClearSelection();
        //}

        ////Accommodation Dysfunction
        //if (encounter.TBI_ACM_DYSFN_IND.HasValue)
        //{
        //    CheckBoxTBIAccommodationDysfunction.Checked = (encounter.TBI_ACM_DYSFN_IND.Value.ToString() == "Y" ? true : false);
        //}
        //else
        //{
        //    CheckBoxTBIAccommodationDysfunction.Checked = false;
        //}

        //RadioButtonListTBIAccommodationDysfunction.Enabled = CheckBoxTBIAccommodationDysfunction.Checked && CheckBoxTBIEyeVisionSymptoms.Checked;

        ////Accommodation Dysfunction Ongoing Treatment
        //if (encounter.TBI_ACM_DYSFN_TRMT_IND.HasValue)
        //{
        //    RadioButtonListTBIAccommodationDysfunction.Text = encounter.TBI_ACM_DYSFN_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListTBIAccommodationDysfunction.ClearSelection();
        //}

        //Other Neurological Conditions
        if (encounter.OTHER_NEUROLOGICAL_IND.HasValue)
        {
            CheckBoxOtherNeurologicalConditions.Checked = (encounter.OTHER_NEUROLOGICAL_IND.Value.ToString() == "Y" ? true : false);
        }
        else
        {
            CheckBoxOtherNeurologicalConditions.Checked = false; 
        }

        //RadioButtonListOtherNeurologicalConditions.Enabled = CheckBoxOtherNeurologicalConditions.Checked;

        ////Other Neurological Conditions Ongoing Treatment
        //if (encounter.OTHER_NEUROLOGICAL_TRMT_IND.HasValue)
        //{
        //    RadioButtonListOtherNeurologicalConditions.Text = encounter.OTHER_NEUROLOGICAL_TRMT_IND.Value.ToString();
        //}
        //else
        //{
        //    RadioButtonListOtherNeurologicalConditions.ClearSelection();
        //}

        //Neurological Conditions Comments
        TextBoxNeurologicalConditionsComments.Text = encounter.NEUROLOGICAL_COMMENT_TEXT;

        return 0;
    }

    /// <summary>
    /// Method to populate an entity object (passed by reference) form the user controls form elements
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eyeExam"></param>
    /// <returns>int</returns>
    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter)
    {
        int returnStatus = 0;

        //update object with data from controls

        //Chief Complaint Review Comments
        BaseClinicalDataControlIdentifiers identifier = new BaseClinicalDataControlIdentifiers();

        identifier.AnchorId = ChiefComplaintReviewCommentUserControl.AnchorId;
        identifier.LocationFriendlyName = ChiefComplaintReviewCommentUserControl.LocationFriendlyName;
        identifier.LocationPage = ChiefComplaintReviewCommentUserControl.LocationPage;

        returnStatus = ChiefComplaintReviewCommentUserControl.LoadObjectFromControls(ref encounter, identifier);
        
        //Chief Complaint
        encounter.CHIEF_COMPLAINT_TEXT = TextBoxChiefComplaint.Text;

        //NeurologicalConditions Review Comments
        identifier.AnchorId = ReviewCommentsEntryUserControlNeurologicalConditions.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentsEntryUserControlNeurologicalConditions.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentsEntryUserControlNeurologicalConditions.LocationPage;
        
        returnStatus = ReviewCommentsEntryUserControlNeurologicalConditions.LoadObjectFromControls(ref encounter, identifier);
     

        //TBI 
        encounter.TBI_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIEyeVisionSymptoms.Checked == true ? "Y" : "N");

        ////TBI ongoing treatment

        //encounter.TBI_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListTBIEyeVisionSymptoms.Text);
            
        //Reading Problems
        encounter.TBI_READ_PRBLM_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIReadingProblems.Checked == true ? "Y" : "N");
        
        ////Reading Problems Ongoing Treatment
        //encounter.TBI_READ_PRBLM_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListTBIReadingProblems.Text);

        //Diplopia
        encounter.TBI_DIPLOPIA_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIDiplopia.Checked == true ? "Y" : "N");

        ////Diplopia Ongoing Treatment
        //encounter.TBI_DIPLOPIA_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListTBIDiplopia.Text);
        
        //Dazzling
        encounter.TBI_DAZZLING_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIDazzling.Checked == true ? "Y" : "N");

        ////Dazzling Ongoing Treatment
        //encounter.TBI_DAZZLING_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListTBIDazzling.Text);
        
        //Photophobia
        encounter.TBI_PHOTOPHOBIA_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIPhotophobia.Checked == true ? "Y" : "N");
        
        //Eye Strain
        encounter.TBI_EYE_STRAIN_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIEyeStrain.Checked == true ? "Y" : "N");
        
        //Blurred Vision
        encounter.TBI_BLURRED_VISION_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIBlurredVision.Checked == true ? "Y" : "N");
        

        ////Photophobia Ongoing Treatment
        //encounter.TBI_PHOTOPHOBIA_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListTBIPhotophobia.Text);
        
        ////Vergence Dysfunction
        //encounter.TBI_VERGENCE_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIVergenceDysfunction.Checked == true ? "Y" : "N");
        
        ////Vergence Dysfunction Ongoing Treatment
        //encounter.TBI_VERGENCE_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListTBIVergenceDysfunction.Text);
            
        ////Accommodation Dysfunction
        //encounter.TBI_ACM_DYSFN_IND = Helpers.ConvertStringToNullable<char>(CheckBoxTBIAccommodationDysfunction.Checked == true ? "Y" : "N");
        
        ////Accommodation Dysfunction Ongoing Treatment
        //encounter.TBI_ACM_DYSFN_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListTBIAccommodationDysfunction.Text);
        
        //Other Neurological Conditions
        encounter.OTHER_NEUROLOGICAL_IND = Helpers.ConvertStringToNullable<char>(CheckBoxOtherNeurologicalConditions.Checked == true ? "Y" : "N");
        
        ////Other Neurological Conditions Ongoing Treatment
        //encounter.OTHER_NEUROLOGICAL_TRMT_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListOtherNeurologicalConditions.Text);
        
        //Neurological Conditions Comments
        encounter.NEUROLOGICAL_COMMENT_TEXT = TextBoxNeurologicalConditionsComments.Text;

        return returnStatus;

    }

    private void PopulateDropDowns(ER_ENCOUNTER encounter)
    {

    }

    #endregion
}
