﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DiagnosisTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_DiagnosisTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register src="EncounterInformationHeaderUserControl.ascx" tagname="EncounterHeaderUserControl" tagprefix="userControlEncounterHeader" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>

<style type="text/css">
    .style1
    {
        width: 100%;
    }
    .SideBySideEyeExamPanel
    {
        width: 100%;
    }
    .EyeExamTableColumnIndent
    {
        width: 4%;
    }
    .eyeExamWidthBetweenODPanelOSPanel
    {
        width: 8px;
    }
    
</style>

<table width="100%">
<tr>
    <td>
        <asp:Panel ID="PanelDiagnosisDetails" runat="server" Visible="true" Width="100%">
            <asp:ValidationSummary runat="server" 
                HeaderText="The page has the following data errors: " 
                ID="ExamTabValidationSummary" 
                EnableClientScript="true" 
                DisplayMode="BulletList" 
                ShowSummary="false" 
                ShowMessageBox="true"/> 
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <userControlEncounterHeader:EncounterHeaderUserControl ID="EncounterHeaderUserControl" runat="server"/>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelDiagnosis" runat="server" 
                            GroupingText="Diagnosis &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <table width="100%" >
                                <tr>
                                    <td>
                                        <asp:GridView ID = "GridViewDiagnosis" 
                                                ShowFooter = "false" 
                                                AutoGenerateColumns = "False" 
                                                runat ="server" 
                                                DataKeyNames = "ER_DIAG_DTL_ID" 
                                                OnRowCommand="GridViewDiagnosis_RowCommand" 
                                                AllowPaging="false"
                                                Width="100%">
                                                
                                                <EmptyDataTemplate>
                                                    No diagnosis (ICD) for this encounter.
                                                    <table width="100%" style="display:none">
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforDropDownListDiagnosisCodesEmpty1" 
                                                                    AssociatedControlID="DropDownListDiagnosisCodesEmpty"
                                                                    runat="server" Text="Diagnosis Codes (ICD-9)">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforTextBoxDiagnosisCodeEmpty" AssociatedControlID="TextBoxDiagnosisCodeEmpty" runat="server">Enter Code</asp:Label>
                                                                <b>or</b>
                                                                <asp:Label ID="LabelforDropDownListDiagnosisCodesEmpty" AssociatedControlID="DropDownListDiagnosisCodesEmpty" runat="server">Select from List</asp:Label>
                                                                <br />
                                                                <asp:TextBox ID="TextBoxDiagnosisCodeEmpty" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                                <br />
                                                                <asp:DropDownList ID="DropDownListDiagnosisCodesEmpty" runat="server" 
                                                                    Enabled="false"
                                                                    ToolTip="Select Diagnosis Code"
                                                                    AppendDataBoundItems="true" DataSourceID=""
                                                                    DataTextField="CodePlusName" DataValueField="ID"
                                                                    Width="800px">
                                                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </td>
                                                            <td>
                                                                <asp:Button Text="Add" Width="50px" CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" ToolTip="Select to add Diagnosis (ICD) code" />
                                                            </td>
                                                        </tr>    
                                                    </table>
                                                     
                                                </EmptyDataTemplate>
                                                 
                                                <Columns>
                                                
                                                    <asp:TemplateField HeaderText = "ICD Code Set" 
                                                    ItemStyle-Width="30"  >
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelDiagnosisCodeSet" runat = "server" Text = '<%# Eval("ICD_CODESET")%>'/>
                                                        </ItemTemplate>
                                                        
                                                     </asp:TemplateField>
                                                    <asp:TemplateField HeaderText = "Diagnosis Code (ICD)" ItemStyle-Width="50" >
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelDiagnosisCode" runat = "server" Text = '<%# Eval("CODE")%>'/>
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                            <asp:Label ID="LabelforTextBoxDiagnosisCode" AssociatedControlID="TextBoxDiagnosisCode" runat="server">Enter Code</asp:Label>
                                                            <b>or</b>
                                                            <asp:Label ID="LabelforDropDownListDiagnosisCodes" AssociatedControlID="DropDownListDiagnosisCodes" runat="server">Select from List</asp:Label>
                                                            <br />
                                                            <asp:TextBox ID="TextBoxDiagnosisCode" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                            <br />
                                                            <asp:DropDownList ID="DropDownListDiagnosisCodes" runat="server" 
                                                                Enabled="false"
                                                                ToolTip="Select Diagnosis Code"
                                                                AppendDataBoundItems="true" DataSourceID=""
                                                                DataTextField="CodePlusName" DataValueField="ID"
                                                                Width="800px">
                                                                <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </FooterTemplate> 
                                                            
                                                     </asp:TemplateField>
                                                    <asp:TemplateField HeaderText = "ICD Description">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelDiagnosisCodeText" runat = "server" Text = '<%# Eval("DESCRIPTION_TEXT")%>'/>
                                                        </ItemTemplate>
                                                            
                                                     </asp:TemplateField>
                                                     
                                                     <asp:TemplateField FooterStyle-HorizontalAlign="Left" Visible="false">
                                                        <ItemTemplate>
                                                           <asp:Button Text="Delete" Width="50px" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" ToolTip="Select to delete Diagnosis (ICD) code" />
                                                        </ItemTemplate>
                                                        <FooterTemplate>
                                                           <asp:Button Text="Add" Width="50px" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" ToolTip="Select to add Diagnosis (ICD) code" />&nbsp;
                                                        </FooterTemplate>
                                                     </asp:TemplateField>
                                                     
                                                </Columns>
                                                
                                            </asp:GridView>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelReferredToRehabilitation" runat="server" 
                                            GroupingText="Referred to/currently in Vision Rehabilitation &nbsp;&nbsp;" 
                                            Width="100%">
                                            <br />
                                            <userControlReviewComments:ReviewCommentsEntryUserControl 
                                                runat="server"
                                                ID="ReviewCommentUserControlReferredToRehabilitation" 
                                                AnchorId="1"
                                                LocationPage="Diagnosis"
                                                LocationFriendlyName="Referred to/currently in Vision Rehabilitation"
                                                />
                                            <asp:RadioButtonList ID="RadioButtonListReferredToRehabilitation" runat="server" RepeatDirection="Horizontal">
                                                <asp:ListItem Value="Y">Yes</asp:ListItem>
                                                <asp:ListItem Value="N">No</asp:ListItem>
                                            </asp:RadioButtonList>
                                        </asp:Panel>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Panel ID="PanelDiagnosisComments" runat="server" GroupingText="Comments &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <userControlReviewComments:ReviewCommentsEntryUserControl 
                                                runat="server"
                                                ID="ReviewCommentsEntryUserControlDiagnosisComments" 
                                                AnchorId="2"
                                                LocationPage="Diagnosis"
                                                LocationFriendlyName="Comments"
                                                />
                                            <asp:TextBox ID="TextBoxDiagnosisComments"
                                             ToolTip="Enter Notes and Comments for Diagnosis" runat="server" 
                                             Width="100%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>
                                            <asp:RegularExpressionValidator ID="RegularExpressionValidatorDiagnosisComments" runat="server" 
                                                ErrorMessage="Comments need to be less than 4000 characters."
                                                ControlToValidate="TextBoxDiagnosisComments"
                                                ValidationExpression="^[\s\S]{0,4000}$"
                                            >
                                            </asp:RegularExpressionValidator>
                                        </asp:Panel><br />
                                    </td>
                                </tr>   
                            </table>
                        </asp:Panel>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>

</table>

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceICD9_EyeDiagnosisCodes" runat="server" 
        SelectMethod="GetICD9Codes_EyeDiagnosticCodes"
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource>    
    
<asp:ObjectDataSource ID="ObjectDataSourceVAMC" runat="server" 
    SelectMethod="GetVAMCList" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
    
    
