﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class clinicalDataUserControls_DiagnosisTabUserControl : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewDiagnosis.ClientID + "');", true);
    }

    #region Postback Events
    
    #endregion

    #region Private Methods

    
    protected void GridViewDiagnosis_RowCommand(object sender, GridViewCommandEventArgs e)
    {

    }

    #endregion

    #region Object/Form Mapping

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="encounter"></param>
    /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter, ER_OUTCOME outcome)
    {

        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns(encounter);

        //populate controls

        //load Encounter Information Control
        EncounterHeaderUserControl.LoadControlsFromObject(encounter);

        //Diagnosis Codes
        //GridViewDiagnosis.DataSource = encounter.ER_DIAG_DTLs;

        //VHAISPBLANCT | RTC 29158 | Display code description for "parent" ICD codes
        //GridViewDiagnosis.DataSource = new DVEIREncounterManager().GetEncounterDiagnosisCodes(encounter.ER_ENCOUNTER_ID).OrderBy(x => x.CODE);
        GridViewDiagnosis.DataSource = new DVEIREncounterManager().GetEncounterDiagnosisCodesCustom(encounter.ER_ENCOUNTER_ID).OrderBy(x => x.CODE);
        GridViewDiagnosis.DataBind();

        //Referred to Rehabilitation
        if (encounter.ER_OUTCOME != null && outcome.REHABILITATION_REFERRAL_IND.HasValue)
        {
            RadioButtonListReferredToRehabilitation.Text = outcome.REHABILITATION_REFERRAL_IND.Value.ToString();
        }

        else
        {
            RadioButtonListReferredToRehabilitation.ClearSelection();
        }

        //Diagnosis Comments
        TextBoxDiagnosisComments.Text = encounter.DIAGNOSIS_SUMMARY_COMMENT_TEXT;

        //Review Comments Controls
        ReviewCommentUserControlReferredToRehabilitation.LoadControlsFromObject(encounter);
        ReviewCommentsEntryUserControlDiagnosisComments.LoadControlsFromObject(encounter);


        return 0;
    }

    /// <summary>
    /// Method to populate an entity object (passed by reference) form the user controls form elements
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eyeExam"></param>
    /// <returns>int</returns>
    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter, ref ER_OUTCOME outcome)
    {
        int returnStatus = 0;

        //update object with data from controls

        //Referred to Rehabilitation
        if (encounter.ER_OUTCOME != null)
        {
            outcome.REHABILITATION_REFERRAL_IND = Helpers.ConvertStringToNullable<char>(RadioButtonListReferredToRehabilitation.Text);
        }
        //Diagnosis Comments
        encounter.DIAGNOSIS_SUMMARY_COMMENT_TEXT = TextBoxDiagnosisComments.Text;

        //Review Comments
        BaseClinicalDataControlIdentifiers identifier = new BaseClinicalDataControlIdentifiers();

        identifier.AnchorId = ReviewCommentUserControlReferredToRehabilitation.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentUserControlReferredToRehabilitation.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentUserControlReferredToRehabilitation.LocationPage;

        returnStatus = ReviewCommentUserControlReferredToRehabilitation.LoadObjectFromControls(ref encounter, identifier);

        identifier.AnchorId = ReviewCommentsEntryUserControlDiagnosisComments.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentsEntryUserControlDiagnosisComments.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentsEntryUserControlDiagnosisComments.LocationPage;


        returnStatus = ReviewCommentsEntryUserControlDiagnosisComments.LoadObjectFromControls(ref encounter, identifier);
     
        return 0;

    }

    private void PopulateDropDowns(ER_ENCOUNTER encounter)
    {
        //if (DropDownListDiagnosisCodesEmpty.Items.Count == 0)
        //{
        //    DropDownListDiagnosisCodesEmpty.DataSourceID = "ObjectDataSourceICD9_EyeDiagnosisCodes";
        //    DropDownListDiagnosisCodesEmpty.DataBind();
        //}

        //if (DropDownListDiagnosisCodes.Items.Count == 0)
        //{
        //    DropDownListDiagnosisCodes.DataSourceID = "ObjectDataSourceICD9_EyeDiagnosisCodes";
        //    DropDownListDiagnosisCodes.DataBind();
        //}

        

            


            
    }

    #endregion


}
