﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EncounterTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_EncounterTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>

<style type="text/css">
    .style1
    {
        width: 100%;
    }
    .SideBySideEyeExamPanel
    {
        width: 100%;
    }
    .EyeExamTableColumnIndent
    {
        width: 4%;
    }
    .eyeExamWidthBetweenODPanelOSPanel
    {
        width: 8px;
    }
    .addButton
    {
        text-align: right;
        padding: 5px;
    }
    
</style>

<asp:ValidationSummary ID="ValidationSummarEncounterSearchGroup"  runat="server"
        TabIndex="1" 
        HeaderText="The page has the following data errors:" 
        DisplayMode="BulletList" 
        ValidationGroup="EncounterSearch"
        ShowMessageBox="True" 
        ShowSummary="false"/>
     
<table width="100%">
<tr>
    <td>
        <asp:Panel ID="PanelEncounterList" runat="server" Visible="true" Width="100%">
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <asp:Panel ID="PanelEncounter" runat="server" Width="100%" GroupingText="Patient Encounters &nbsp;&nbsp;">
                            <br />
                            <asp:GridView ID="GridViewEncounters" runat="server" 
                                OnRowCommand = "GridViewEncounters_RowCommand" OnRowDataBound="GridViewEncounters_RowDataBound"
                                AutoGenerateColumns="False" Width="100%" DataSourceID="ObjectDataSourceEncounter" 
                                AllowPaging="True" AllowSorting="True" DataKeyNames="ER_ENCOUNTER_ID">
                                <Columns>
                                    <asp:TemplateField HeaderText="Encounter Date Time" SortExpression="VISIT_DATE">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelExamDate" runat="server" Text='<%# Eval("VISIT_DATE","{0:d}") + " " + Eval("VISIT_DATE","{0:t}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center"/>
                                    </asp:TemplateField>
                                     <asp:TemplateField HeaderText="Stop Code" SortExpression="PRIMARYCLINICSTOP">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelStopCode" runat="server" Text='<%# Eval("PRIMARYCLINICSTOP") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Stop Code Desc" SortExpression="PRIMARYCLINICSTOPDESC">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelStopCodeDesc" runat="server" Text='<%# Eval("PRIMARYCLINICSTOPDESC") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left"/>
                                    </asp:TemplateField>
                                   <asp:TemplateField HeaderText="Last Updated Date" SortExpression="UPDATED">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelUpdatedDate" runat="server" Text='<%# Eval("UPDATED","{0:d}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center" Width="180px"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Updated By" SortExpression="UPDATEDBY">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelUpdatedBy" runat="server" Text='<%# Eval("UPDATEDBY") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left"/>
                                    </asp:TemplateField>
                                    <asp:ButtonField ButtonType = "Button" Text = "Select" CommandName = "Details" 
                                       ItemStyle-VerticalAlign="Middle" 
                                       ItemStyle-HorizontalAlign="Center" 
                                       ItemStyle-Width="70px"
                                       AccessibleHeaderText = "Select"  />
                                </Columns>
                            </asp:GridView>
                            <br /> 
                            <div class="addButton" >
                                <asp:Button runat="server" ID="ButtonAddEncounter" Text=" Add Encounter " OnClick="ButtonAddEncounter_Click" ToolTip="Select to add Encounter to this Referral" />
                            </div>
                        </asp:Panel>
                        
                        <asp:Panel ID="PanelSearch" runat="server" Width="100%" Visible="false" GroupingText="Add New Encounters &nbsp;&nbsp;">
                            <br />
                            <asp:Label ID="LabelDate" runat="server" Text="Encounter Date (mm/dd/yyyy):" AssociatedControlID="TextBoxDate" />
                            <asp:TextBox ID="TextBoxDate" runat="server" />
                            <asp:Button ID="ButtonSearch" runat="server" OnClick="ButtonSearch_Click" Text=" Search " ValidationGroup="EncounterSearch" ToolTip="Select to search encounters with specified date" />
                            <br />
                            <asp:CustomValidator ID="CustomValidator1" runat="server" ControlToValidate="TextBoxDate" ErrorMessage="Please enter a valid encounter date"
                                EnableClientScript= "true"  SetFocusOnError= "true" 
                                ClientValidationFunction="ValidateDate" 
                                ValidateEmptyText="true" ValidationGroup="EncounterSearch" />
                            <br />
                            <asp:GridView ID="GridViewSearch" runat="server" 
                                OnRowCommand = "GridViewSearch_RowCommand"
                                AutoGenerateColumns="False" Width="100%" OnRowDataBound="GridViewSearch_RowDataBound"
                                AllowPaging="True" AllowSorting="True" DataKeyNames="ER_ENCOUNTER_ID">
                                <Columns>
                                    <asp:TemplateField HeaderText="Encounter Date" SortExpression="VISIT_DATE">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelExamDate" runat="server" Text='<%# Eval("VISIT_DATE","{0:d}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Encounter Time" SortExpression="VISIT_DATE" >
                                        <ItemTemplate>
                                            <asp:Label ID="LabelExamTime" runat="server" Text='<%# Eval("VISIT_DATE","{0:t}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center"/>
                                    </asp:TemplateField>
                                    <asp:ButtonField ButtonType = "Button" Text = " Add " CommandName = "Add" 
                                       ItemStyle-VerticalAlign="Middle" 
                                       ItemStyle-HorizontalAlign="Center" 
                                       ItemStyle-Width="70px"
                                       AccessibleHeaderText = "Add"  />
                                </Columns>
                            </asp:GridView>
                            <br />
                            <div class="addButton" >
                                <asp:Button runat="server" ID="ButtonCancelAdd" Text=" Return to Patient's Encounter List " OnClick="ButtonCancelAdd_Click" ToolTip="Cancel and return to Patient's Encounter list" />
                            </div>
                        </asp:Panel>
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>
</table>
<asp:ObjectDataSource ID="ObjectDataSourceEncounter" runat="server" 
    SelectMethod="SelectByReferralID" 
    SelectCountMethod="SelectByReferralIDCount" 
    StartRowIndexParameterName="startRow" 
    MaximumRowsParameterName="maxRows" 
    SortParameterName="sort"
    EnablePaging="True"  
    TypeName="VeteransAffairs.Registries.BusinessManager.DVEIR.DVEIREncounterManager"
    >
    <SelectParameters>
        <asp:ControlParameter ConvertEmptyStringToNull="true"
            DefaultValue="0" Direction="Input" Name="id" ControlID="HiddenFieldReferralId" Type="Int32" />
        <asp:Parameter Name="sort" Type="String" />
        <asp:Parameter Name="startRow" Type="Int32" />
        <asp:Parameter Name="maxRows" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>
<asp:HiddenField ID="HiddenFieldReferralId" runat="server" />
<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />
<asp:HiddenField ID="HiddenFieldEncounterID" runat="server" />
   
    
