﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class clinicalDataUserControls_ExamTabAccomodationTestUserControl : BaseClinicalDataControl
{
    private string panelName = "Set Panel Name in ASPX";

    public List<KeyValuePair<int, string>> examData { get; set; }
    
    public string PanelName 
    {
        get
        {
            return panelName;
        }
        
        set
        {
            PanelAmplitudeOfAccommodation.GroupingText = value;
        }
    }

    
    /// <summary>
    /// Set the value to the eye that the test was performed on (Right Eye or Left Eye)
    /// </summary>
    public EyeSettingType EyeSetting { get; set; }
    
    


    public bool getLeftEye
    {
        get
        {
            return (EyeSetting == EyeSettingType.LeftEye ? true : false);
        }

    }

    public bool getRightEye
    {
        get
        {
            return (EyeSetting == EyeSettingType.RightEye ? true : false);
        }

    }


 

    protected void Page_Load(object sender, EventArgs e)
    {
        //TO DO : need to add javascript to handle the proper values of the items

        ReviewCommentUserControlAmplitudeOfAccommodation.LocationFriendlyName = this.LocationFriendlyName;
        ReviewCommentUserControlAmplitudeOfAccommodation.LocationPage = this.LocationPage;
        ReviewCommentUserControlAmplitudeOfAccommodation.AnchorId = this.AnchorId;
    }

    #region Postback Events
    
    #endregion

    #region Private Methods
    
    #endregion

   
    #region Postback Events


    #endregion


    #region Object/Form Mapping

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="exam">Exam entity used to populate controls</param>
    /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter)
    {
        ER_EXAM exam = encounter.ER_EXAM;

        //Set tooltips
        
        //use following as sample if tool tips need to be created that included Right Eye/Left Eye value
        //TextBoxVisualAcuity.ToolTip = "Visual Acuity " + (int)TestNumber + " Value for " ;
           
        TextBoxAmplitudeOfAccommodation.ToolTip = "Enter Examination Findings - Amplitude of Accommodation " + DVEIR_REFERRAL.GetEyeSettingDisplay(EyeSetting);
        TextBoxAmplitudeOfAccommodationComments.ToolTip = 
            "Comments for Amplitude of Accommodation " + DVEIR_REFERRAL.GetEyeSettingDisplay(EyeSetting);

        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns();
          
        //Accomodation
        TextBoxAmplitudeOfAccommodation.MaxLength = 100;
        //TextBoxAmplitudeOfAccommodation.Text = (getLeftEye ? exam.LEFT_ACCOMODATION_NUMBER : exam.RIGHT_ACCOMODATION_NUMBER);
        
        //Accomodation Text
        //TextBoxAmplitudeOfAccommodationComments.Text = (getLeftEye ? exam.LEFT_ACCOMODATION_COMMENTS : exam.RIGHT_ACCOMODATION_COMMENTS);

        ReviewCommentUserControlAmplitudeOfAccommodation.LoadControlsFromObject(encounter);

        return 0;
    }

    /// <summary>
    /// Method to populate an entity object (passed by reference) form the user controls form elements
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eye">Exam used to fill witn form data</param>
    /// <returns>int</returns>
    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter)
    {
        ER_EXAM exam = encounter.ER_EXAM;

        int returnStatus = 0;

        if (getLeftEye)
        {
            //Accomodation
           // exam.LEFT_ACCOMODATION_NUMBER = TextBoxAmplitudeOfAccommodation.Text;

            //Accomodation Text
           // exam.LEFT_ACCOMODATION_COMMENTS = TextBoxAmplitudeOfAccommodationComments.Text;
            
        }
        else  //Right eye
        {
            //Accomodation
           // exam.RIGHT_ACCOMODATION_NUMBER = TextBoxAmplitudeOfAccommodation.Text;

            //Accomodation Text
           // exam.RIGHT_ACCOMODATION_COMMENTS = TextBoxAmplitudeOfAccommodationComments.Text;

        }

        returnStatus = ReviewCommentUserControlAmplitudeOfAccommodation.LoadObjectFromControls(ref encounter, this.getIdentifyingData());

        return returnStatus;

    }



    private void PopulateDropDowns()
    {
        //if (DropDownListVisualAcuityLessThan20_400.Items.Count == 1)
        //{
        //    DropDownListVisualAcuityLessThan20_400.DataBind();
        //}
    }
 
    #endregion

}
