﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabDynamicTestUserControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabDynamicTestsUserControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

        if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
            $('#<%= PanelTestContent.ClientID %>').show();
        }
        else {
            $('#<%= PanelTestContent.ClientID %>').hide();
        }

        // If the test performed control is invisible, show the panel
        if (!$('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':visible')) {
            $('#<%= PanelTestContent.ClientID %>').show();
        }
    });
    </script>

<asp:Panel ID="PanelTestResults" runat="server" 
    Width="100%" 
    GroupingText="Change Grouping Text with Panel Name Property">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControl" 
        />
     <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Motility/Extraocular Muscles" runat="server" />

     <asp:Panel ID="PanelTestContent" runat="server" BorderWidth="0" Width="100%" >
                <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" runat="server" />
   <asp:Repeater ID="RepeaterTestResults" runat="server" OnItemDataBound="RepeaterTestResults_OnItemDataBound" >
        <HeaderTemplate>
            <table id="TableTestResults" width="100%" cellspacing="-2" cellpadding="2">
        </HeaderTemplate>
        <ItemTemplate>
            <asp:TableRow ID="TableRow1" runat="server" Visible="true">
                <asp:TableCell ID="TableCell1" runat="server" ColumnSpan="2">
                    <asp:Label ID="LabelForExtraSpace" runat="server" Text="&nbsp;&nbsp;&nbsp;&nbsp;">
                    </asp:Label>
                    <asp:CheckBox ID="CheckBoxExamIndicator" runat="server" CssClass="dynamicExamTabCheckBox" 
                    Value='<%# Eval("ID")%>' 
                    Text='<%# Eval("NAME")%>' />
                    <asp:HiddenField ID="HiddenFieldTextBoxValue" runat="server" 
                        Value='<%# Eval("ID")%>' />
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow ID="TableRow2" runat="server" Visible='<%# Eval("DETAIL_FLAG")%>' CssClass="dynamicExamTabDetailLabel" >
                <asp:TableCell ID="TableCell2" runat="server" CssClass="EyeExamTableColumnIndent">
                    &nbsp;</asp:TableCell>
                <asp:TableCell ID="TableCell3" runat="server">
                    <asp:Label ID="LabelforExtraSpace2" runat="server" Text="&nbsp;&nbsp;&nbsp;&nbsp;">
                    </asp:Label>
                   <asp:Label ID="LabelforTextBoxExamIndicatorValue" runat="server" 
                        AssociatedControlID="TextBoxExamIndicatorValue" 
                        Value='<%# Eval("ID")%>'
                        Text='<%# Eval("DETAIL_NAME")%>'></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow ID="TableRow3" runat="server" Visible='<%# Eval("DETAIL_FLAG")%>' CssClass="dynamicExamTabDetailData">
                <asp:TableCell ID="TableCell4" runat="server" 
                    CssClass="EyeExamTableColumnIndent"
                >
                   <asp:Label ID="LabelforExtraSpace3" runat="server" Text="&nbsp;&nbsp;&nbsp;&nbsp;">
                   </asp:Label>
                </asp:TableCell>
                <asp:TableCell ID="TableCell5" runat="server" 
                >
                   <asp:Label ID="LabelforExtraSpace4" runat="server" Text="&nbsp;&nbsp;&nbsp;&nbsp;">
                   </asp:Label>
                  <asp:TextBox ID="TextBoxExamIndicatorValue" runat="server" 
                        CssClass="dynamicExamTabDetailDataElement"
                        Width="400px"  
                        Text=""  
                        Wrap="true"
                        TextMode="SingleLine" 
                        Visible="false">
                     </asp:TextBox>
                    <asp:DropDownList ID="DropDownListExamIndicatorValue" runat="server" CssClass="dynamicExamTabDetailDataElement"
                        AppendDataBoundItems="true"   
                        Visible="false"
                        Width="98%"
                        DataTextField="Value"
                        DataValueField="Key">
                    </asp:DropDownList>
                    <br />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorExamIndicatorValue" runat="server"  
                        Enabled="false"
                        InitialValue=""
                        ControlToValidate="DropDownListExamIndicatorValue">
                    </asp:RequiredFieldValidator>                   
                    <br />
                    <asp:RegularExpressionValidator ID="RegularExpressionValidatorExamIndicatorValue" runat="server" 
                        ErrorMessage='Error Message not set in database.'
                        ControlToValidate="TextBoxExamIndicatorValue"
                        ValidationExpression="">
                    </asp:RegularExpressionValidator>
                    <asp:HiddenField ID="HiddenFieldLastIndicatorValue" runat="server" 
                        Value='' />
                    <asp:HiddenField ID="HiddenFieldHasDetail" runat="server" 
                        Value='<%# Eval("DETAIL_FLAG")%>' />
                    <asp:HiddenField ID="HiddenFieldDetailType" runat="server" 
                        Value='<%# Eval("ISSUE_DETAIL_TYPE_ID")%>' />
                    <asp:HiddenField ID="HiddenFieldDetailList" runat="server" 
                        Value='<%# Eval("DETAIL_LIST")%>' />
                    <asp:HiddenField ID="HiddenFieldDetailRequiredFlag" runat="server" 
                        Value='<%# Eval("DETAIL_REQUIRED_FLAG")%>' />
                    <asp:HiddenField ID="HiddenFieldValidationType" runat="server" 
                        Value='<%# Eval("ISSUE_VALIDATION_TYPE_ID")%>' />
                    <asp:HiddenField ID="HiddenFieldValidationValue" runat="server" 
                        Value='<%# Eval("VALIDATION_VALUE")%>' />
                    <asp:HiddenField ID="HiddenFieldValidationMessage" runat="server" 
                        Value='<%# Eval("VALIDATION_MESSAGE")%>' />
                </asp:TableCell>
            </asp:TableRow>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
  </asp:Panel>
  <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" runat="server" />
</asp:Panel>  
<asp:HiddenField runat="server" ID="HiddenFieldCategoryIdTestPerformed" />
<asp:HiddenField runat="server" ID="HiddenFieldCategoryIdTestResult" />
<asp:HiddenField runat="server" ID="HiddenFieldCategoryIdComments" />