﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class clinicalDataUserControls_ExamTabRelativeAfferentPupilDefectControl 
    : BaseClinicalDataControl
{
    private string panelName = "Set Panel Name in ASPX";
    private ER_RAPD_EXAM_DTL _rapdExamDtl = null;
    private bool _delete = false;

    public string PanelName 
    {
        get
        {
            return panelName;
        }
        
        set
        {
           PanelVisualAcuity.GroupingText = value;
        }
    }
    public List<KeyValuePair<int, string>> examData { get; set; }
    /// <summary>
    /// Set the value to the test number performed 
    /// </summary>
    
    protected void Page_Load(object sender, EventArgs e)
    {
        ReviewCommentUserControlAfferentPupilDefect.LocationPage = this.LocationPage;
        ReviewCommentUserControlAfferentPupilDefect.LocationFriendlyName = this.LocationFriendlyName;
        ReviewCommentUserControlAfferentPupilDefect.AnchorId = this.AnchorId;
    }

     #region Object/Form Mapping

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="exam">Exam entity used to populate controls</param>
     /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter)
    {
        ClearAllControlValues(this.Controls);
        CheckBoxRelativeAfferentPupilDefect.Checked = false;
        
        ExamTestPerformedUserControl.TestPerformed = Helpers.GetExamDetailValue(encounter,
            DVEIRSharedConstant.ExamDataElementRelativeAfferentTestPerformed,
            DveirBaseControlType.RadioButtonList, false, false);

        // Only load the following controls if the test was performed
        if (ExamTestPerformedUserControl.TestPerformed == DVEIRSharedConstant.TestPerformedLookupIdYes.ToString())
        {
            ExamTestResultUserControl.TestResult = Helpers.GetExamDetailValue(encounter,
            DVEIRSharedConstant.ExamDataElementRelativeAfferentTestResult,
            DveirBaseControlType.RadioButtonList, false, false);

            ER_EXAM exam = encounter.ER_EXAM;

            _rapdExamDtl = GetRapdExamDtl(exam);

            if (_rapdExamDtl == null)
            {
                CheckBoxRelativeAfferentPupilDefect.Checked = false;
            }

            if (_rapdExamDtl != null && !_delete)
            {
                CheckBoxRelativeAfferentPupilDefect.Checked = true;
                //RadioButtonListRightEyeLeftEye.Visible = true;

                if (_rapdExamDtl.RIGHT_FLAG)
                {
                    RadioButtonListRightEyeLeftEye.SelectedValue = "1";
                }
                else if (_rapdExamDtl.LEFT_FLAG)
                {
                    RadioButtonListRightEyeLeftEye.SelectedValue = "2";
                }
                else
                {
                    RadioButtonListRightEyeLeftEye.SelectedValue = "3";
                }
            }
            else
            {
                CheckBoxRelativeAfferentPupilDefect.Checked = false;
            }

        }

        ExamCommentsUserControl.Comments = Helpers.GetExamDetailValue(encounter,
            DVEIRSharedConstant.ExamDataElementRelativeAfferentComments,
            DveirBaseControlType.TextBox, false, false);

        ReviewCommentUserControlAfferentPupilDefect.LoadControlsFromObject(encounter);

        return 0;
    }

    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter)
    {
        int returnStatus = 0;

        Helpers.LoadOneObjectForExamDetail(ref encounter,
            DVEIRSharedConstant.ExamDataElementRelativeAfferentTestPerformed,
            ExamTestPerformedUserControl.TestPerformed, false, false,
            DveirBaseControlType.RadioButtonList);

        // Only load the following controls if the test was performed
        if (ExamTestPerformedUserControl.TestPerformed == DVEIRSharedConstant.TestPerformedLookupIdYes.ToString())
        {
            Helpers.LoadOneObjectForExamDetail(ref encounter,
                DVEIRSharedConstant.ExamDataElementRelativeAfferentTestResult,
                ExamTestResultUserControl.TestResult, false, false,
                DveirBaseControlType.RadioButtonList);

            ER_EXAM exam = encounter.ER_EXAM;

            _rapdExamDtl = GetRapdExamDtl(exam);

            if (_rapdExamDtl == null &&
                    CheckBoxRelativeAfferentPupilDefect.Checked)
            {
                _rapdExamDtl = new ER_RAPD_EXAM_DTL();
                _rapdExamDtl.ER_EXAM_ID = exam.ER_EXAM_ID;
                exam.ER_RAPD_EXAM_DTLs.Add(_rapdExamDtl);
                _delete = false;
            }

            if (_rapdExamDtl != null)
            {
                //set value of control to object
                SetRadioButtons(_rapdExamDtl);
            }

            //if unchecked delete record from ER_RAPD_EXAM_DTL
            if (!CheckBoxRelativeAfferentPupilDefect.Checked
                    && _rapdExamDtl != null
               )
            {
                DVEIREyeExamManager dveirEyeExamManager = new DVEIREyeExamManager();
                dveirEyeExamManager.DeleteRapdItemFromExam(_rapdExamDtl.ER__RAPD_EXAM_DTL_ID);
                _rapdExamDtl = null;
                _delete = true;
            }
        }
        else
        {
            Helpers.RemoveOneRowForExamDetail(ref encounter,
                DVEIRSharedConstant.ExamDataElementRelativeAfferentTestResult,
                ExamTestResultUserControl.TestResult, false, false);
        }

        Helpers.LoadOneObjectForExamDetail(ref encounter,
            DVEIRSharedConstant.ExamDataElementRelativeAfferentComments,
            ExamCommentsUserControl.Comments, false, false,
            DveirBaseControlType.TextBox);

        returnStatus = ReviewCommentUserControlAfferentPupilDefect.LoadObjectFromControls(ref encounter, this.getIdentifyingData());

        return returnStatus;
    }

    private void SetRadioButtons(ER_RAPD_EXAM_DTL rapdExamDtl)
    {
        if (RadioButtonListRightEyeLeftEye.SelectedValue == "1")
        {
            rapdExamDtl.RIGHT_FLAG = true;
            rapdExamDtl.LEFT_FLAG = false;
        }
        else if (RadioButtonListRightEyeLeftEye.SelectedValue == "2")
        {
            rapdExamDtl.RIGHT_FLAG = false;
            rapdExamDtl.LEFT_FLAG = true;
        }
        else if (RadioButtonListRightEyeLeftEye.SelectedValue == "3")
        {
            rapdExamDtl.RIGHT_FLAG = false;
            rapdExamDtl.LEFT_FLAG = false;
        }
    }

    private ER_RAPD_EXAM_DTL GetRapdExamDtl(ER_EXAM exam)
    {
        ER_RAPD_EXAM_DTL rapdExamDtl = null;

        rapdExamDtl = (from e in exam.ER_RAPD_EXAM_DTLs
                        where e.ER_EXAM_ID == exam.ER_EXAM_ID
                        select e).FirstOrDefault();
        return rapdExamDtl;
    }
    protected void ClearAllControlValues(ControlCollection controls)
    {
        foreach (Control c in controls)
        {
            if (c is TextBox)
            {
                ((TextBox)c).Text = "";
            }
            else if (c is RadioButton)
            {
                ((RadioButton)c).Checked = false;
            }
            else if (c is DropDownList)
            {
                ((DropDownList)c).ClearSelection();
            }
            else if (c is CheckBox)
            {
                ((CheckBox)c).Checked = false;
            }
            else if (c is RadioButtonList)
            {
                ((RadioButtonList)c).ClearSelection();
            }
            else if (c is CheckBoxList)
            {
                ((CheckBoxList)c).ClearSelection();
            }
            else
            {
                //break
            }

            if (c.HasControls())
            {
                ClearAllControlValues(c.Controls);
            }
        }
    }
    #endregion
}
