﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;
using VeteransAffairs.Registries.BusinessManager;

public partial class clinicalDataUserControls_ExamTabUserControl : System.Web.UI.UserControl
{
    #region private fields
        bool _buttonAddDeleteClicked;
        UsersManager _usersManager = new UsersManager();
        private DVEIREyeExamManager _examManager = new DVEIREyeExamManager();
    #endregion private fields

    #region Protected Methods
    protected void Page_Load(object sender, EventArgs e)
    {
        _buttonAddDeleteClicked = false;
        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewImagingPerformed.ClientID + "');", true);
    }
    protected void GridViewImagingPerformed_PreRender(object sender, EventArgs e)
    {
        HookOnFocus(GridViewImagingPerformed);

    }
    protected void Page_PreRender(object sender, EventArgs e)
    {
        if (_buttonAddDeleteClicked)
        {
            DropDownList dropDownListImagingMethodologies =
                GridViewImagingPerformed.FooterRow.FindControl("DropDownListImagingMethodologyCodes") as DropDownList;
            dropDownListImagingMethodologies.Focus();
            GridViewImagingPerformed.DataBind();
        }
    }
    #endregion
    #region Postback Events
    protected void GridViewImagingPerformed_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        DropDownList dropDownListImagingMethodologies;
        TextBox textBoxImagingDate;
        int imagingId;

        switch (e.CommandName)
            {
            case "ADD":
                
                dropDownListImagingMethodologies = GridViewImagingPerformed.FooterRow.FindControl("DropDownListImagingMethodologyCodes") as DropDownList;
                textBoxImagingDate = GridViewImagingPerformed.FooterRow.FindControl("TextBoxImagingDateInsert") as TextBox;

                if (int.TryParse(dropDownListImagingMethodologies.SelectedValue, out imagingId))
                {
                    RaiseNewImagingItemEvent(imagingId, textBoxImagingDate.Text);
                }
                else
                {
                    //display to user that a value needs to be selected.
                }
                break;

            case "EMPTYADD":
                
                dropDownListImagingMethodologies = GridViewImagingPerformed.Controls[0].Controls[0].FindControl("DropDownListImagingMethodologyCodeEmpty") as DropDownList;
                textBoxImagingDate = GridViewImagingPerformed.Controls[0].Controls[0].FindControl("TextBoxImagingDateEmpty") as TextBox;

                if (int.TryParse(dropDownListImagingMethodologies.SelectedValue, out imagingId))
                {
                    RaiseNewImagingItemEvent(imagingId, textBoxImagingDate.Text);
                }
                else
                {
                    //display to user that a value needs to be selected.
                }

            break;

            case "DELETE":

                var index = Convert.ToInt32(e.CommandArgument);
                //GridViewImagingPerformed.SelectedIndex = index;
                //var id = Convert.ToInt32(GridViewImagingPerformed.SelectedValue);

                //int index = Convert.ToInt32(e.CommandArgument);
                //GridView1.SelectedIndex = index;
                //AnalysisId = Convert.ToInt32(GridView1.SelectedDataKey.Values[0]);


                //delete the row in the gridview based on the index.

                break;
            }
        _buttonAddDeleteClicked = true;
        
        //post changes to the database
        //manager.Update(referral);

        //ReBindChangedData();
    }
    protected void GridViewImagingPerformed_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        var index = Convert.ToInt32(e.RowIndex);
        GridViewImagingPerformed.SelectedIndex = index;
        var id = Convert.ToInt32(GridViewImagingPerformed.SelectedValue);

        RaiseDeleteImagingItemEvent(id);

        GridViewImagingPerformed.SelectedIndex = -1;
        GridViewImagingPerformed.Focus();
    }
    protected void DropDownListVfqTest_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (DropDownListVfqTest.SelectedIndex > 0)
        {
            ReqFldValTextBoxVisFuncQuestSc.Enabled = true;
            TextBoxVisFuncQuestSc.Focus();
        }
        else
        {
            ReqFldValTextBoxVisFuncQuestSc.Enabled = false;
        }
    }
    #endregion

    #region public events
    /// <summary>
    /// Event to raise when an imaging methodology is selected to add
    /// The EventArgs for the event will contain new imaging entity to insert.
    /// </summary>
    public event ImagingAddClickEvent ImagingMethodologySelectedToAdd;
    public delegate void ImagingAddClickEvent(object sender, ImagingAddClickEventArgs e);
    public class ImagingAddClickEventArgs : EventArgs
    {
        //public int ImagingID { get; set; }
        //public string ImagingDate { get; set; }

        public ER_IMAGING_DTL NewImagingItem { get; set; }

    }
    private void RaiseNewImagingItemEvent (int ImagingId, string ImagingDate)
    {
        ER_IMAGING_DTL newImagingItem = new ER_IMAGING_DTL();

        newImagingItem.STD_ER_IMG_MTHD_ID = ImagingId;
        newImagingItem.EXAM_DATE = Helpers.getNullableDateFromString(ImagingDate);

        //Raise an Event to give notice that an imaging item has been selected to add

        if (this.ImagingMethodologySelectedToAdd != null) //check for listeners
        {
            //create an instance of the custom eventArgs in order to populate the id selected
            ImagingAddClickEventArgs eventArgs = new ImagingAddClickEventArgs();
            //eventArgs.ImagingID = imagingId;
            //eventArgs.ImagingDate = textBoxImagingDate.Text;

            eventArgs.NewImagingItem = newImagingItem;

            //raise event
            this.ImagingMethodologySelectedToAdd(this, eventArgs);
        }
        
    }
    /// <summary>
    /// Event to raise when an imaging methodology is selected to delete
    /// The EventArgs for the event will contain imaging dtl id to delete.
    /// </summary>
    public event ImagingDeleteClickEvent ImagingMethodologySelectedToDelete;
    public delegate void ImagingDeleteClickEvent(object sender, ImagingDeleteClickEventArgs e);
    public class ImagingDeleteClickEventArgs : EventArgs
    {
        public int ImagingDtlId { get; set; }
        
    }
    private void RaiseDeleteImagingItemEvent(int ImagingDtlId)
    {
        
        //Raise an Event to give notice that an imaging item has been selected to add

        if (this.ImagingMethodologySelectedToDelete != null) //check for listeners
        {
            //create an instance of the custom eventArgs in order to populate the id selected
            ImagingDeleteClickEventArgs eventArgs = new ImagingDeleteClickEventArgs();
            //eventArgs.ImagingID = imagingId;
            //eventArgs.ImagingDate = textBoxImagingDate.Text;

            eventArgs.ImagingDtlId = ImagingDtlId;

            //raise event
            this.ImagingMethodologySelectedToDelete(this, eventArgs);
        }

    }
    #endregion
    #region Object/Form Mapping
    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="encounter"></param>
    /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter, ER_EXAM exam, ER_OUTCOME outcome)
    {
        ClearAllControlValues(this.Controls);

        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns(exam);

        //populate controls

        //load Encounter Information Control
        EncounterHeaderUserControl.LoadControlsFromObject(encounter);

        //Acuity One
        userControlAcuity1OD.LoadControlsFromObject(encounter);
        userControlAcuity1OS.LoadControlsFromObject(encounter);

        //Acuity Two
        userControlAcuity2OD.LoadControlsFromObject(encounter);
        userControlAcuity2OS.LoadControlsFromObject(encounter);

        //Intraocular Pressure
        userControlIntraocularPressureOD.LoadControlsFromObject(encounter);
        userControlIntraocularPressureOS.LoadControlsFromObject(encounter);

        //Color Vision
        userControlColorVisionOD.LoadControlsFromObject(encounter);
        userControlColorVisionOS.LoadControlsFromObject(encounter);

        //Confrontation Visual
        userControlConfrontionVisualOD.LoadControlsFromObject(encounter);
        userControlConfrontionVisualOS.LoadControlsFromObject(encounter);

        //Visual Field
        userControlVisualFieldOD.LoadControlsFromObject(encounter);
        userControlVisualFieldOS.LoadControlsFromObject(encounter);

        //Kinetic Visual Fields
        ExamTabKineticVisualFieldTestUserControlOD.LoadControlsFromObject(encounter);
        ExamTabKineticVisualFieldTestUserControlOS.LoadControlsFromObject(encounter);

        //Lids
        userControlLidsTestsOD.LoadControlsFromObject<ER_LID_EXAM_DTL>(exam.ER_LID_EXAM_DTLs.ToList(),
            "STD_ER_LID_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_LID_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementLidsTestPerformed,
            DVEIRSharedConstant.ExamDataElementLidsTestResult,
            DVEIRSharedConstant.ExamDataElementLidsComments);
        userControlLidsTestsOS.LoadControlsFromObject<ER_LID_EXAM_DTL>(exam.ER_LID_EXAM_DTLs.ToList(),
            "STD_ER_LID_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_LID_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementLidsTestPerformed,
            DVEIRSharedConstant.ExamDataElementLidsTestResult,
            DVEIRSharedConstant.ExamDataElementLidsComments);

        //Brow
        userControlBrowTestsOD.LoadControlsFromObject<ER_BROW_EXAM_DTL>(exam.ER_BROW_EXAM_DTLs.ToList(),
            "STD_ER_BROW_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_BROW_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementBrowTestPerformed,
            DVEIRSharedConstant.ExamDataElementBrowTestResult,
            DVEIRSharedConstant.ExamDataElementBrowComments);

        userControlBrowTestsOS.LoadControlsFromObject<ER_BROW_EXAM_DTL>(exam.ER_BROW_EXAM_DTLs.ToList(),
            "STD_ER_BROW_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_BROW_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementBrowTestPerformed,
            DVEIRSharedConstant.ExamDataElementBrowTestResult,
            DVEIRSharedConstant.ExamDataElementBrowComments);

        //Pupil
        userControlPupilTestsOD.LoadControlsFromObject(encounter);
        userControlPupilTestsOS.LoadControlsFromObject(encounter);

        //Relative Afferent Pupil Defect
        userControlRelativeAfferentPupilDefect.LoadControlsFromObject(encounter);
        
        //Motility/Extra - Ocular Muscles
        userControlMotilityExtraTestsOD.LoadControlsFromObject(encounter);
        userControlMotilityExtraTestsOS.LoadControlsFromObject(encounter);

        //Cornea
        userControlCorneaTestsOD.LoadControlsFromObject<ER_CORNEA_EXAM_DTL>(exam.ER_CORNEA_EXAM_DTLs.ToList(),
            "STD_ER_CORNEA_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_CORNEA_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementCorneaTestPerformed,
            DVEIRSharedConstant.ExamDataElementCorneaTestResult,
            DVEIRSharedConstant.ExamDataElementCorneaComments);
        userControlCorneaTestsOS.LoadControlsFromObject<ER_CORNEA_EXAM_DTL>(exam.ER_CORNEA_EXAM_DTLs.ToList(),
            "STD_ER_CORNEA_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_CORNEA_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementCorneaTestPerformed,
            DVEIRSharedConstant.ExamDataElementCorneaTestResult,
            DVEIRSharedConstant.ExamDataElementCorneaComments);

        //Sclera
        userControlScleraTestsOD.LoadControlsFromObject<ER_SCLERA_EXAM_DTL>(exam.ER_SCLERA_EXAM_DTLs.ToList(),
            "STD_ER_SCLERA_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_SCLERA_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementScleraTestPerformed,
            DVEIRSharedConstant.ExamDataElementScleraTestResult,
            DVEIRSharedConstant.ExamDataElementScleraComments);
        userControlScleraTestsOS.LoadControlsFromObject<ER_SCLERA_EXAM_DTL>(exam.ER_SCLERA_EXAM_DTLs.ToList(),
            "STD_ER_SCLERA_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_SCLERA_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementScleraTestPerformed,
            DVEIRSharedConstant.ExamDataElementScleraTestResult,
            DVEIRSharedConstant.ExamDataElementScleraComments);

        //Anterior Chamber
        userControlAnteriorChamberTestsOD.LoadControlsFromObject<ER_ANTERIOR_EXAM_DTL>(exam.ER_ANTERIOR_EXAM_DTLs.ToList(),
            "STD_ER_ANTERIOR_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_ANTERIOR_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementAnteriorChamberTestPerformed,
            DVEIRSharedConstant.ExamDataElementAnteriorChamberTestResult,
            DVEIRSharedConstant.ExamDataElementAnteriorChamberComments);

        userControlAnteriorChamberTestsOS.LoadControlsFromObject<ER_ANTERIOR_EXAM_DTL>(exam.ER_ANTERIOR_EXAM_DTLs.ToList(),
            "STD_ER_ANTERIOR_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_ANTERIOR_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementAnteriorChamberTestPerformed,
            DVEIRSharedConstant.ExamDataElementAnteriorChamberTestResult,
            DVEIRSharedConstant.ExamDataElementAnteriorChamberComments);

        //Iris
        userControlIrisTestsOD.LoadControlsFromObject<ER_IRIS_EXAM_DTL>(exam.ER_IRIS_EXAM_DTLs.ToList(),
            "STD_ER_IRIS_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_IRIS_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementIrisTestPerformed,
            DVEIRSharedConstant.ExamDataElementIrisTestResult,
            DVEIRSharedConstant.ExamDataElementIrisComments);
        userControlIrisTestsOS.LoadControlsFromObject<ER_IRIS_EXAM_DTL>(exam.ER_IRIS_EXAM_DTLs.ToList(),
            "STD_ER_IRIS_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_IRIS_ISSUE>()
            , encounter, DVEIRSharedConstant.ExamDataElementIrisTestPerformed,
            DVEIRSharedConstant.ExamDataElementIrisTestResult,
            DVEIRSharedConstant.ExamDataElementIrisComments);

        //Angle Recession
        userControlAngleRecessionTestsOD.LabelforTestPerformed = "Was Gonioscopy Performed?";
        userControlAngleRecessionTestsOD.LoadControlsFromObject(encounter);

        userControlAngleRecessionTestsOS.LabelforTestPerformed = "Was Gonioscopy Performed?";
        userControlAngleRecessionTestsOS.LoadControlsFromObject(encounter);

        //Lens
        userControlLensTestsOD.LoadControlsFromObject<ER_LENS_EXAM_DTL>(exam.ER_LENS_EXAM_DTLs.ToList(),
            "STD_ER_LENS_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_LENS_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementLensTestPerformed,
            DVEIRSharedConstant.ExamDataElementLensTestResult,
            DVEIRSharedConstant.ExamDataElementLensComments);
        userControlLensTestsOS.LoadControlsFromObject<ER_LENS_EXAM_DTL>(exam.ER_LENS_EXAM_DTLs.ToList(),
            "STD_ER_LENS_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_LENS_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementLensTestPerformed,
            DVEIRSharedConstant.ExamDataElementLensTestResult,
            DVEIRSharedConstant.ExamDataElementLensComments);

        //Vitreous
        userControlVitreousTestsOD.LoadControlsFromObject<ER_VITREOUS_EXAM_DTL>(exam.ER_VITREOUS_EXAM_DTLs.ToList(),
            "STD_ER_VITREOUS_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_VITREOUS_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementVitreousTestPerformed,
            DVEIRSharedConstant.ExamDataElementVitreousTestResult,
            DVEIRSharedConstant.ExamDataElementVitreousComments);

        userControlVitreousTestsOS.LoadControlsFromObject<ER_VITREOUS_EXAM_DTL>(exam.ER_VITREOUS_EXAM_DTLs.ToList(),
            "STD_ER_VITREOUS_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_VITREOUS_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementVitreousTestPerformed,
            DVEIRSharedConstant.ExamDataElementVitreousTestResult,
            DVEIRSharedConstant.ExamDataElementVitreousComments);

        //Optic Disc
        userControlOpticDiscTestsOD.LoadControlsFromObject<ER_DISC_EXAM_DTL>(exam.ER_DISC_EXAM_DTLs.ToList(),
            "STD_ER_DISC_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_DISC_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementOpticDiscTestPerformed,
            DVEIRSharedConstant.ExamDataElementOpticDiscTestResult,
            DVEIRSharedConstant.ExamDataElementOpticDiscComments);

        userControlOpticDiscTestsOS.LoadControlsFromObject<ER_DISC_EXAM_DTL>(exam.ER_DISC_EXAM_DTLs.ToList(),
            "STD_ER_DISC_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_DISC_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementOpticDiscTestPerformed,
            DVEIRSharedConstant.ExamDataElementOpticDiscTestResult,
            DVEIRSharedConstant.ExamDataElementOpticDiscComments);

        //Retina
        userControlRetinaTestsOD.LoadControlsFromObject(encounter);
        userControlRetinaTestsOS.LoadControlsFromObject(encounter);
 

        //Globe
        userControlGlobeTestsOD.LoadControlsFromObject<ER_GLOBE_EXAM_DTL>(exam.ER_GLOBE_EXAM_DTLs.ToList(),
            "STD_ER_GLOBE_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_GLOBE_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementGlobeTestPerformed,
            DVEIRSharedConstant.ExamDataElementGlobeTestResult,
            DVEIRSharedConstant.ExamDataElementGlobeComments);

        userControlGlobeTestsOS.LoadControlsFromObject<ER_GLOBE_EXAM_DTL>(exam.ER_GLOBE_EXAM_DTLs.ToList(),
            "STD_ER_GLOBE_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_GLOBE_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementGlobeTestPerformed,
            DVEIRSharedConstant.ExamDataElementGlobeTestResult,
            DVEIRSharedConstant.ExamDataElementGlobeComments);

        //Orbit
        userControlOrbitTestsOD.LoadControlsFromObject<ER_ORBIT_EXAM_DTL>(exam.ER_ORBIT_EXAM_DTLs.ToList(),
            "STD_ER_ORBIT_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_ORBIT_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementOrbitTestPerformed,
            DVEIRSharedConstant.ExamDataElementOrbitTestResult,
            DVEIRSharedConstant.ExamDataElementOrbitComments);

        userControlOrbitTestsOS.LoadControlsFromObject<ER_ORBIT_EXAM_DTL>(exam.ER_ORBIT_EXAM_DTLs.ToList(),
            "STD_ER_ORBIT_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_ORBIT_ISSUE>()
            , encounter,
            DVEIRSharedConstant.ExamDataElementOrbitTestPerformed,
            DVEIRSharedConstant.ExamDataElementOrbitTestResult,
            DVEIRSharedConstant.ExamDataElementOrbitComments);

        //Miscellaneous
        userControlMiscellaneousTests.HideTestPerformedControls = true;
        userControlMiscellaneousTests.LoadControlsFromObject<ER_MISC_EXAM_DTL>(exam.ER_MISC_EXAM_DTLs.ToList(),
            "STD_ER_MISC_ISSUE_ID", "COMMENT_TEXT", DropDownLists.GetStdIssueFor<STD_ER_MISC_ISSUE>()
            , encounter, 0, 0, 0);
        
        //Prosthetic Devices Ordered
        foreach (ER_PROSTHETIC_DTL prostheticDevice in outcome.ER_PROSTHETIC_DTLs)
        {
            ListItem foundListItem = CheckBoxListProstheticDevicesOrdered.Items.FindByValue(prostheticDevice.STD_ER_PROSTHETIC_TYPE_ID.ToString());

            if (foundListItem != null)
            {
                foundListItem.Selected = true;
            }
        }

        //Prosthetic Devices Ordered Comments
        TextBoxProstheticDevicesOrderedComments.Text = outcome.PROSTHETICS_ORDERED_COMMENTS;

        //VFQ Questionnaire Type
        DropDownListVfqTest.Text = outcome.STD_ER_VFQ_QUESTIONNAIRE_TYPE_ID.ToString();
        ReqFldValTextBoxVisFuncQuestSc.Enabled = (DropDownListVfqTest.SelectedIndex > 0);

        //VFQ Questionnaire Score
        //TextBoxVisualFunctionalQuestionnaireScore.MaxLength = 100;
        TextBoxVisFuncQuestSc.Text = outcome.VFQ_NUMBER;

        //Eye Exam Comments
        TextBoxEyeExamComments.Text = exam.COMMENT_TEXT;

        ReviewCommentUserControlImagingTestingPerformed.LoadControlsFromObject(encounter);

        ReviewCommentsEntryUserControlProstheticDevicesOrdered.LoadControlsFromObject(encounter);

        ReviewCommentsEntryUserControlVisualFunctionalQuestionnaire.LoadControlsFromObject(encounter);

        ReviewCommentsEntryUserControlEyeExamComments.LoadControlsFromObject(encounter);

        return 0;
    }
    /// <summary>
    /// Method to populate an entity object (passed by reference) form the user controls form elements
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eyeExam"></param>
    /// <returns>int</returns>
    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter ,ref ER_EXAM exam, ref ER_OUTCOME outcome)
    {
        int returnStatus = 0;

        //update object with data from controls

        //Acuity One
        userControlAcuity1OD.LoadObjectFromControls(ref encounter);
        userControlAcuity1OS.LoadObjectFromControls(ref encounter);

        //Acuity Two
        userControlAcuity2OD.LoadObjectFromControls(ref encounter);
        userControlAcuity2OS.LoadObjectFromControls(ref encounter);

        //Intraocular Pressure
        userControlIntraocularPressureOD.LoadObjectFromControls(ref encounter);
        userControlIntraocularPressureOS.LoadObjectFromControls(ref encounter);

        //Accomodation
        //userControlAccomodationOD.LoadObjectFromControls(ref encounter);
        //userControlAccomodationOS.LoadObjectFromControls(ref encounter);
        
        //Color Vision
        userControlColorVisionOD.LoadObjectFromControls(ref encounter);
        userControlColorVisionOS.LoadObjectFromControls(ref encounter);

        //Confrontaion Visual
        userControlConfrontionVisualOD.LoadObjectFromControls(ref encounter);
        userControlConfrontionVisualOS.LoadObjectFromControls(ref encounter);

        //Visual Field
        userControlVisualFieldOD.LoadObjectFromControls(ref encounter);
        userControlVisualFieldOS.LoadObjectFromControls(ref encounter);

        //Kinetic Visual
        ExamTabKineticVisualFieldTestUserControlOD.LoadObjectFromControls(ref encounter);
        ExamTabKineticVisualFieldTestUserControlOS.LoadObjectFromControls(ref encounter);
        
        //Lids
        returnStatus = userControlLidsTestsOD.LoadObjectFromControls<ER_LID_EXAM_DTL>(exam, exam.ER_LID_EXAM_DTLs.ToList(), "STD_ER_LID_ISSUE_ID",encounter);
        returnStatus = userControlLidsTestsOS.LoadObjectFromControls<ER_LID_EXAM_DTL>(exam, exam.ER_LID_EXAM_DTLs.ToList(), "STD_ER_LID_ISSUE_ID",encounter);

        //Brow
        returnStatus = userControlBrowTestsOD.LoadObjectFromControls<ER_BROW_EXAM_DTL>(exam, exam.ER_BROW_EXAM_DTLs.ToList(), "STD_ER_BROW_ISSUE_ID",encounter);
        returnStatus = userControlBrowTestsOS.LoadObjectFromControls<ER_BROW_EXAM_DTL>(exam, exam.ER_BROW_EXAM_DTLs.ToList(), "STD_ER_BROW_ISSUE_ID", encounter);

        //Pupil
        returnStatus = userControlPupilTestsOD.LoadObjectFromControls(ref encounter);
        returnStatus = userControlPupilTestsOS.LoadObjectFromControls(ref encounter);

        //Relative Afferent Pupil Defect
        returnStatus = userControlRelativeAfferentPupilDefect.LoadObjectFromControls(ref encounter);

        //Motility/Extra - Ocular Muscles
        returnStatus = userControlMotilityExtraTestsOD.LoadObjectFromControls(ref encounter);
        returnStatus = userControlMotilityExtraTestsOS.LoadObjectFromControls(ref encounter);
        
        //Cornea
        returnStatus = userControlCorneaTestsOD.LoadObjectFromControls<ER_CORNEA_EXAM_DTL>(exam, exam.ER_CORNEA_EXAM_DTLs.ToList(), "STD_ER_CORNEA_ISSUE_ID", encounter);
        returnStatus = userControlCorneaTestsOS.LoadObjectFromControls<ER_CORNEA_EXAM_DTL>(exam, exam.ER_CORNEA_EXAM_DTLs.ToList(), "STD_ER_CORNEA_ISSUE_ID", encounter);

        //Sclera
        returnStatus = userControlScleraTestsOD.LoadObjectFromControls<ER_SCLERA_EXAM_DTL>(exam, exam.ER_SCLERA_EXAM_DTLs.ToList(), "STD_ER_SCLERA_ISSUE_ID", encounter);
        returnStatus = userControlScleraTestsOS.LoadObjectFromControls<ER_SCLERA_EXAM_DTL>(exam, exam.ER_SCLERA_EXAM_DTLs.ToList(), "STD_ER_SCLERA_ISSUE_ID", encounter);

        //Anterior Chamber
        returnStatus = userControlAnteriorChamberTestsOD.LoadObjectFromControls<ER_ANTERIOR_EXAM_DTL>(exam, exam.ER_ANTERIOR_EXAM_DTLs.ToList(), "STD_ER_ANTERIOR_ISSUE_ID", encounter);
        returnStatus = userControlAnteriorChamberTestsOS.LoadObjectFromControls<ER_ANTERIOR_EXAM_DTL>(exam, exam.ER_ANTERIOR_EXAM_DTLs.ToList(), "STD_ER_ANTERIOR_ISSUE_ID", encounter);

        //Iris
        returnStatus = userControlIrisTestsOD.LoadObjectFromControls<ER_IRIS_EXAM_DTL>(exam, exam.ER_IRIS_EXAM_DTLs.ToList(), "STD_ER_IRIS_ISSUE_ID", encounter);
        returnStatus = userControlIrisTestsOS.LoadObjectFromControls<ER_IRIS_EXAM_DTL>(exam, exam.ER_IRIS_EXAM_DTLs.ToList(), "STD_ER_IRIS_ISSUE_ID", encounter);

        //Angle Recession
        returnStatus = userControlAngleRecessionTestsOD.LoadObjectFromControls(ref encounter);
        returnStatus = userControlAngleRecessionTestsOS.LoadObjectFromControls(ref encounter);

        //Lens
        returnStatus = userControlLensTestsOD.LoadObjectFromControls<ER_LENS_EXAM_DTL>(exam, exam.ER_LENS_EXAM_DTLs.ToList(), "STD_ER_LENS_ISSUE_ID", encounter);
        returnStatus = userControlLensTestsOS.LoadObjectFromControls<ER_LENS_EXAM_DTL>(exam, exam.ER_LENS_EXAM_DTLs.ToList(), "STD_ER_LENS_ISSUE_ID", encounter);

        //Vitreous
        returnStatus = userControlVitreousTestsOD.LoadObjectFromControls<ER_VITREOUS_EXAM_DTL>(exam, exam.ER_VITREOUS_EXAM_DTLs.ToList(), "STD_ER_VITREOUS_ISSUE_ID", encounter);
        returnStatus = userControlVitreousTestsOS.LoadObjectFromControls<ER_VITREOUS_EXAM_DTL>(exam, exam.ER_VITREOUS_EXAM_DTLs.ToList(), "STD_ER_VITREOUS_ISSUE_ID", encounter);

        //Optic Disc
        returnStatus = userControlOpticDiscTestsOD.LoadObjectFromControls<ER_DISC_EXAM_DTL>(exam, exam.ER_DISC_EXAM_DTLs.ToList(), "STD_ER_DISC_ISSUE_ID", encounter);
        returnStatus = userControlOpticDiscTestsOS.LoadObjectFromControls<ER_DISC_EXAM_DTL>(exam, exam.ER_DISC_EXAM_DTLs.ToList(), "STD_ER_DISC_ISSUE_ID", encounter);

        //Retina
        returnStatus = userControlRetinaTestsOD.LoadObjectFromControls(ref encounter);
        returnStatus = userControlRetinaTestsOS.LoadObjectFromControls(ref encounter);

        //Globe
        returnStatus = userControlGlobeTestsOD.LoadObjectFromControls<ER_GLOBE_EXAM_DTL>(exam, exam.ER_GLOBE_EXAM_DTLs.ToList(), "STD_ER_GLOBE_ISSUE_ID", encounter);
        returnStatus = userControlGlobeTestsOS.LoadObjectFromControls<ER_GLOBE_EXAM_DTL>(exam, exam.ER_GLOBE_EXAM_DTLs.ToList(), "STD_ER_GLOBE_ISSUE_ID", encounter);

        //Orbit
        returnStatus = userControlOrbitTestsOD.LoadObjectFromControls<ER_ORBIT_EXAM_DTL>(exam, exam.ER_ORBIT_EXAM_DTLs.ToList(), "STD_ER_ORBIT_ISSUE_ID", encounter);
        returnStatus = userControlOrbitTestsOS.LoadObjectFromControls<ER_ORBIT_EXAM_DTL>(exam, exam.ER_ORBIT_EXAM_DTLs.ToList(), "STD_ER_ORBIT_ISSUE_ID", encounter);

        //Miscellaneous
        returnStatus = userControlMiscellaneousTests.LoadObjectFromControls<ER_MISC_EXAM_DTL>(exam, exam.ER_MISC_EXAM_DTLs.ToList(), "STD_ER_MISC_ISSUE_ID", encounter);

        //Prosthetic Devices Ordered
        foreach (ListItem checkboxListProstheticDeviceItem in CheckBoxListProstheticDevicesOrdered.Items)
        {
            //for each item in the check box list, check if it is an entity in 
            ER_PROSTHETIC_DTL existingDevice = (from e in outcome.ER_PROSTHETIC_DTLs
                                                where e.STD_ER_PROSTHETIC_TYPE_ID == Helpers.getIntFromString(checkboxListProstheticDeviceItem.Value)
                                                select e).FirstOrDefault();

            //check if the checkboxlist item was selected,  
            if (checkboxListProstheticDeviceItem.Selected)
            {
                //if the item is selected then it needs to be in details object
                //if the entity exists, that signifies the item is already in details therefore nothing needs to be done. 
                if (existingDevice == null)
                {
                    ER_PROSTHETIC_DTL newDevice = new ER_PROSTHETIC_DTL();
                    newDevice.STD_ER_PROSTHETIC_TYPE_ID = Helpers.getIntFromString(checkboxListProstheticDeviceItem.Value);

                    outcome.ER_PROSTHETIC_DTLs.Add(newDevice);
                }
            }
            else
            {
                //if the item is not selected, then it needs to be taken out of the details object if it is in the list
                if (existingDevice != null)
                {
                    existingDevice.SetAsDeleteOnSubmit();
                }
            }
        }

        //Prosthetic Devices Ordered Comments
        outcome.PROSTHETICS_ORDERED_COMMENTS = TextBoxProstheticDevicesOrderedComments.Text;
        
        //VFQ Questionnaire Type
        outcome.STD_ER_VFQ_QUESTIONNAIRE_TYPE_ID = Helpers.getNullableIntFromString(DropDownListVfqTest.Text);

        //VFQ Questionnaire Score
        outcome.VFQ_NUMBER = TextBoxVisFuncQuestSc.Text;

        //Eye Exam Comments
        exam.COMMENT_TEXT = TextBoxEyeExamComments.Text;

        //UPDATEDBY
        string updatedby = _usersManager.SelectByUsername(Page.User.Identity.Name).FULL_NAME;
        exam.UPDATEDBY = updatedby;

        BaseClinicalDataControlIdentifiers identifier = new BaseClinicalDataControlIdentifiers();

        identifier.AnchorId = ReviewCommentUserControlImagingTestingPerformed.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentUserControlImagingTestingPerformed.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentUserControlImagingTestingPerformed.LocationPage;

        returnStatus = ReviewCommentUserControlImagingTestingPerformed.LoadObjectFromControls(ref encounter, identifier);

        identifier.AnchorId = ReviewCommentsEntryUserControlProstheticDevicesOrdered.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentsEntryUserControlProstheticDevicesOrdered.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentsEntryUserControlProstheticDevicesOrdered.LocationPage;

        returnStatus = ReviewCommentsEntryUserControlProstheticDevicesOrdered.LoadObjectFromControls(ref encounter, identifier);

        identifier.AnchorId = ReviewCommentsEntryUserControlVisualFunctionalQuestionnaire.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentsEntryUserControlVisualFunctionalQuestionnaire.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentsEntryUserControlVisualFunctionalQuestionnaire.LocationPage;

        returnStatus = ReviewCommentsEntryUserControlVisualFunctionalQuestionnaire.LoadObjectFromControls(ref encounter, identifier);

        identifier.AnchorId = ReviewCommentsEntryUserControlEyeExamComments.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentsEntryUserControlEyeExamComments.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentsEntryUserControlEyeExamComments.LocationPage;

        returnStatus = ReviewCommentsEntryUserControlEyeExamComments.LoadObjectFromControls(ref encounter, identifier);

        return returnStatus;

    }
    #endregion
    #region Public Methods
    public void DisableActionButtons()
    {
        DisableButtons(GridViewImagingPerformed.Controls);
    }
    public void ReloadImagingMethodologyCodes(ER_EXAM exam)
    {
        GridViewImagingPerformed.DataSource = exam.ER_IMAGING_DTLs;
        GridViewImagingPerformed.DataBind();
    }
    #endregion
    #region Private Methods
    private void PopulateDropDowns(ER_EXAM exam)
    {
        if (exam != null)
        {
            GridViewImagingPerformed.DataSource = exam.ER_IMAGING_DTLs;
            GridViewImagingPerformed.DataBind();
        }

        if (CheckBoxListProstheticDevicesOrdered.Items.Count == 0)
        {
            CheckBoxListProstheticDevicesOrdered.DataSourceID = "ObjectDataSourceProstheticDevices";
            CheckBoxListProstheticDevicesOrdered.DataBind();
        }

        if (DropDownListVfqTest.Items.Count == 1)
        {
            DropDownListVfqTest.DataSourceID = "ObjectDataSourceVFQQuestionnaireType";
            DropDownListVfqTest.DataBind();
        }

    }
    private void DisableButtons(ControlCollection controls)
    {
        foreach (Control ctl in controls)
        {
            if (ctl is Button)
            {
                Button button = ctl as Button;

                button.Enabled = false;
            }

            if (ctl.HasControls())
            {
                DisableButtons(ctl.Controls);
            }
        }
    }
    /// <summary>
    /// This script sets a focus to the control with a name to which
    /// REQUEST_LASTFOCUS was replaced. Setting focus heppens after the page
    /// (or update panel) was rendered. To delay setting focus the function
    /// window.setTimeout() will be used.
    /// </summary>
    private const string SCRIPT_DOFOCUS =
        @"window.setTimeout('DoFocus()', 1);
        function DoFocus()
        {
            try {
                document.getElementById('REQUEST_LASTFOCUS').focus();
            } catch (ex) {}
        }";
    /// <summary>
    /// This function goes recursively all child controls and sets 
    /// onfocus attribute if the control has one of defined types.
    /// </summary>
    /// <param name="currentControl">the control to hook.</param>
    private void HookOnFocus(Control currentControl)
    {
        //checks if control is one of TextBox, DropDownList, ListBox or Button

        if ((currentControl is TextBox) ||
            (currentControl is DropDownList) ||
            (currentControl is ListBox) ||
            (currentControl is Button) ||
            (currentControl is Table) ||
            (currentControl is GridView))
            //adds a script which saves active control on receiving focus 
            //in the hidden field __LASTFOCUS.

            (currentControl as WebControl).Attributes.Add(
               "onfocus",
               "try{document.getElementById('__LASTFOCUS').value=this.id; } catch(e) {}"
            );
        //checks if the control has children

        if (currentControl != null && currentControl.HasControls())
            //if yes do them all recursively

            foreach (Control CurrentChildControl in currentControl.Controls)
                HookOnFocus(CurrentChildControl);
    }
    #endregion
    protected void ClearAllControlValues(ControlCollection controls)
    {
        foreach (Control c in controls)
        {
            if (c is TextBox)
            {
                ((TextBox)c).Text = "";
            }
            else if (c is RadioButton)
            {
                ((RadioButton)c).Checked = false;
            }
            else if (c is DropDownList)
            {
                ((DropDownList)c).ClearSelection();
            }
            else if (c is CheckBox)
            {
                ((CheckBox)c).Checked = false;
            }
            else if (c is RadioButtonList)
            {
                ((RadioButtonList)c).ClearSelection();
            }
            else if (c is CheckBoxList)
            {
                ((CheckBoxList)c).ClearSelection();
            }
            else
            {
                //break
            }

            if (c.HasControls())
            {
                ClearAllControlValues(c.Controls);
            }
        }
    }
}