﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabVisualFieldTestUserControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabVisualFieldTestUserControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>

<%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
<%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResult" %>
<%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>

    <script type = "text/javascript">
        $(document).ready(function() {

        if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
            $('#<%= PanelVisualFieldTestContent.ClientID %>').show();
        }
        else {
            $('#<%= PanelVisualFieldTestContent.ClientID %>').hide();
        }
    });
    </script>
<asp:Panel ID="PanelVisualField" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <br />
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlVisualField" 
        />
    <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Static Threshold Perimetry (Humphrey)" runat="server" />
     <asp:Panel ID="PanelVisualFieldTestContent" runat="server" BorderWidth="0" Width="100%" >
        <ucTestResult:ExamTestResultUserControl ID="ExamTestResultUserControl" 
        runat="server" ExamTestName="Static Threshold Perimetry (Humphrey)" />
        <table>
        <tr>
        <td>
            <asp:Label ID="LabelforRadioButtonVisualFieldScale" runat="server"
            AssociatedControlID="RadioButtonVisualFieldScale" SkinID="DataLabel" 
            Text="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reference Scale" />
        </td>
        <td>
        <asp:RadioButtonList ID="RadioButtonVisualFieldScale" runat="server"
            RepeatDirection="Horizontal" ToolTip="Select a value for Visual Acuity Corrected.">
            <asp:ListItem Value="1">10-2</asp:ListItem>
            <asp:ListItem Value="2">24-2</asp:ListItem>
            <asp:ListItem Value="3">30-2</asp:ListItem>
        </asp:RadioButtonList>
        </td>
        </tr>
        <tr>
        <td colspan="2">
        <table>
        <tr>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>
            <asp:Label SkinID="DataLabel" ID="LabelforTextBoxVisualFieldMeanDeviation" runat="server" 
                AssociatedControlID="TextBoxVisualFieldMeanDeviation" 
                Text="Mean Deviation (+5.00dB to -35.35dB)" >
            </asp:Label>&nbsp;
            <br />
            <asp:TextBox ID="TextBoxVisualFieldMeanDeviation" ToolTip="" 
            runat="server" Width="100" MaxLength="6">
            </asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxVisualFieldMeanDeviation" runat="server" 
                ErrorMessage="Mean Deviation needs to be a number within the following range: +5.00dB to -35.35dB."
                ControlToValidate="TextBoxVisualFieldMeanDeviation"
                ValidationExpression="^(-(0?\d|[12]\d|3[0-4])?\.\d\d)|(-35\.([0-2]\d|3[0-5]))|((\+?0?[0-4])?\.\d\d)|(\+?0?5\.00)$" EnableClientScript ="true">
            </asp:RegularExpressionValidator>
            <br />
            <br />
            <asp:Label SkinID="DataLabel" ID="LabelforTextBoxVisualFieldPatternStandardDeviation" 
                runat="server" 
                AssociatedControlID="TextBoxVisualFieldPatternStandardDeviation" 
                Text="Pattern Standard Deviation (00.00dB to 35.35dB)" >
            </asp:Label>&nbsp;
            <br />
            <asp:TextBox ID="TextBoxVisualFieldPatternStandardDeviation" ToolTip="" runat="server"  Width="100" MaxLength="5">
            </asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxVisualFieldPatternStandardDeviation" runat="server" 
                ErrorMessage="Pattern Standard Deviation needs to be a number within the following range: +5.00dB to -35.35dB."
                ControlToValidate="TextBoxVisualFieldPatternStandardDeviation"
                ValidationExpression="^(0?\d|[12]\d|3[0-4])?\.\d\d$|^35\.([0-2]\d|3[0-5])$" EnableClientScript = "true" >
            </asp:RegularExpressionValidator> 
            <br />
            <br />
            <asp:Label  SkinID="DataLabel" ID="LabelforTextBoxVisualFieldFixationLoses" AssociatedControlID="TextBoxVisualFieldFixationLoses" runat="server" Text="Fixation Losses (00/01 to 35/35)" >
            </asp:Label>&nbsp;
            <br />
            <asp:TextBox ID="TextBoxVisualFieldFixationLoses" ToolTip="" 
            runat="server" Width="100" MaxLength="5">
            </asp:TextBox> 
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxVisualFieldFixationLoses" runat="server" 
                        ErrorMessage="Fixation Losses needs to be in the following format: XX/XX and within the following range: 00/01 to 35/35."
                        ControlToValidate="TextBoxVisualFieldFixationLoses" EnableClientScript = "true"  
                        ValidationExpression="^(0\d|[12]\d|3[0-5])\/(0[1-9]|[12]\d|3[0-5])$">
            </asp:RegularExpressionValidator> 
        </td>
        </tr>
        </table>

        </td>
        </tr>
        </table>
    </asp:Panel>
    <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
        runat="server" ExamTestName="Static Threshold Perimetry (Humphrey)" />
</asp:Panel>