﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="InjuryTabUserControl.ascx.cs" Inherits="controls_InjuryTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>

<asp:Panel ID="PanelDateAndOccurrence" runat="server" GroupingText="Injury Date and Occurrence" Width="100%">
    <table Width="91%">
        <tr>
            <td>
                <asp:Label ID="LabelInjuryDate" runat="server" Text="Injury Date:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td>
                <asp:TextBox ID="TextBoxInjuryDateValue" runat="server" ToolTip="Enter date in format: mm/dd/yyyy" Width="130px"/>
                <rjs:PopCalendar ID="PopCalendarInjuryDateValue" runat="server" 
                    Visible="false" 
                    Control="TextBoxInjuryDateValue" Format="mm dd yyyy" Separator="/" Shadow="True" 
                    To-Today="true" ToolTip="Click to Select" />
                &nbsp;(mm/dd/yyyy)
                  
            </td>
             <td>
                <asp:Label ID="LabelExamDate" runat="server" Text="Exam Date:" Font-Bold="true">
                </asp:Label>  
            </td>
             <td>
                <asp:TextBox ID="TextBoxExamDate" runat="server" ToolTip="Enter date in format: mm/dd/yyyy" Width="130px"/>
                <rjs:PopCalendar ID="PopCalendarExamDate" runat="server" 
                    Visible="false"  
                    Control="TextBoxExamDate" Format="mm dd yyyy" Separator="/" Shadow="True" 
                    To-Today="true" ToolTip="Click to Select" />
                &nbsp;(mm/dd/yyyy)
            </td>
       </tr>
        <tr>
            <td>
                <asp:Label ID="LabelInjuryOccurredInTheater" runat="server" Text="Injury Occurred in Theater:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td>
                <asp:RadioButtonList ID="RadioButtonListInjuryOccurredInTheater" runat="server" RepeatDirection="Horizontal">
                    <asp:ListItem>Yes</asp:ListItem>
                    <asp:ListItem>No</asp:ListItem>
                    <asp:ListItem>Unknown</asp:ListItem>
                </asp:RadioButtonList>
            </td>
       </tr>
        <tr>
            <td>
                <asp:Label ID="LabelOccupationRelated" runat="server" Text="Occupation Related:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td>
                <asp:RadioButtonList ID="RadioButtonListOccupationRelated" runat="server" RepeatDirection="Horizontal">
                    <asp:ListItem>Yes</asp:ListItem>
                    <asp:ListItem>No</asp:ListItem>
                    <asp:ListItem>Unknown</asp:ListItem>
                </asp:RadioButtonList>
            </td>
       </tr>
    </table>
</asp:Panel>
<br />
<asp:Panel ID="PanelInjuryTypeAndCause" runat="server" 
    GroupingText="Injury Type and Cause" Width="100%">
    <table Width="100%">
        <tr>
            <td>
                <asp:Label ID="LabelInjuryType" runat="server" Text="Injury Type:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td>
                <asp:DropDownList ID="DropDownListInjuryType" runat="server" 
                    Enabled="false"
                    ToolTip="Injury Type"
                    AppendDataBoundItems="true" 
                    DataSourceID="ObjectDataSourceInjuryType"
                    DataTextField="CodePlusName" DataValueField="ID"
                    Width="400px">
                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                </asp:DropDownList>
            </td>
            <td>
                <asp:Label ID="LabelInjuryCause" runat="server" Text="Injury Cause:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td>
                <asp:DropDownList ID="DropDownListInjuryCause" runat="server" 
                    Enabled="false"
                    ToolTip="Injury Type"
                    AppendDataBoundItems="true" 
                    DataSourceID="ObjectDataSourceInjuryCause"
                    DataTextField="CodePlusName" DataValueField="ID"
                    Width="400px">
                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                </asp:DropDownList>
            </td>
       </tr>
        <tr>
            <td>
                <asp:Label ID="LabelWoundedBy" runat="server" Text="Wounded By:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td>
                <asp:DropDownList ID="WoundedBy" runat="server" 
                    Enabled="false"
                    ToolTip="Injury Type"
                    AppendDataBoundItems="true" 
                    DataSourceID="ObjectDataSourceWoundedBy"
                    DataTextField="CodePlusName" DataValueField="ID"
                    Width="400px">
                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                </asp:DropDownList>
            </td>
            <td>
                <asp:Label ID="LabelPlaceOfInjury" runat="server" Text="Place of Injury:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td>
                <asp:DropDownList ID="DropDownListPlaceOfInjury" runat="server" 
                    Enabled="false"
                    ToolTip="Injury Type"
                    AppendDataBoundItems="true" 
                    DataSourceID="ObjectDataSourceInjuryPlaces"
                    DataTextField="CodePlusName" DataValueField="ID"
                    Width="400px">
                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                </asp:DropDownList>
            </td>
       </tr>
    </table>
</asp:Panel>
<br />
<asp:Panel ID="PanelWhereInjuryOccurred" runat="server" 
    GroupingText="Where Injury Occurred" Width="100%">
    <table Width="100%">
        <tr>
            <td>
                <asp:Label ID="LabelStateCountryCityRegion" runat="server"  
                    Font-Bold="true"
                    Text="State, Country, City or Region injury occurred" >
                </asp:Label>
                <br />
                <asp:Label ID="LabelListCombatAreaFirstIraqAfghanistan" runat="server"  
                    Font-Bold="true"
                    Text="List combat area first, e.g. Iraq, Afghanistan, then other countries" >
                </asp:Label>
                <br />
                <asp:Label ID="LabelCityRegionListPrimarySitesFirstMosulBaghdad" runat="server"  
                    Font-Bold="true"
                    Text="City, region - list primary sites first, e.g. Mosul, Baghdad" >
                </asp:Label>
            </td>
       </tr>
        <tr>
            <td>
                <asp:TextBox ID="TextBoxWhereInjuryOccurred" runat="server" Width="89%" Height="90px" 
                    TextMode="MultiLine">
                </asp:TextBox>
            </td>
       </tr>
    </table>
</asp:Panel>
<br />
<asp:Panel ID="PanelComments" runat="server" 
    GroupingText="Comments" Width="100%">
    <table Width="100%">
        <tr>
            <td>
                <asp:TextBox ID="TextBox2" runat="server" Width="89%" Height="90px" TextMode="MultiLine">
                </asp:TextBox>
            </td>
       </tr>
    </table>
</asp:Panel>
 
<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />
<asp:ObjectDataSource ID="ObjectDataSourceInjuryType" runat="server" 
    SelectMethod="GetInjuryTypes" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
<asp:ObjectDataSource ID="ObjectDataSourceInjuryCause" runat="server" 
    SelectMethod="GetInjuryCauses" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
<asp:ObjectDataSource ID="ObjectDataSourceWoundedBy" runat="server" 
    SelectMethod="GetInjuryMethods" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
<asp:ObjectDataSource ID="ObjectDataSourceInjuryPlaces" runat="server" 
    SelectMethod="GetInjuryPlaces" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>


