﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MedicalHistoryTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_MedicalHistoryTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>

<table class="contentLayoutTable" cellpadding="0" cellspacing="0">
    <tr>
        <td>
            <asp:Panel ID="PanelPastNonOcular" runat="server" 
                GroupingText="Past Non-Ocular Injuries &nbsp;&nbsp;" Height="391px" 
                Width="99%">
            
                <asp:RadioButtonList ID="RadioButtonListNonOcularInjuriesExist" runat="server" RepeatDirection="Horizontal"
                ToolTip="Do Past Non-Ocular Injuries Exist?">
                    <asp:ListItem Value="1">Yes&nbsp;</asp:ListItem>
                    <asp:ListItem Value="2">No&nbsp;</asp:ListItem>
                    <asp:ListItem Value="3">Unknown&nbsp;</asp:ListItem>
                </asp:RadioButtonList>
                <br />
                
                <asp:GridView ID = "GridViewNonOcularInjuries" 
                    ShowFooter = "True" 
                    AutoGenerateColumns = "False" 
                    runat ="server" 
                    DataKeyNames = "ER_PRE_INJURY_DIAG_DTL_ID" 
                    OnRowCommand="GridViewNonOcularInjuries_RowCommand" 
                    Caption="If yes, add injuries below:" CaptionAlign="Left"
                    AllowPaging="false">
                    
                    <EmptyDataTemplate>
                        <table width="100%">
                            <tr>
                                <td>
                                    <asp:Label ID="LabelforDropDownListDiagnosticCodesEmpty" 
                                        AssociatedControlID="DropDownListDiagnosticCodesEmpty"
                                        runat="server" Text="Diagnostic Code (ICD9)">
                                    </asp:Label>  
                                </td>
                                <td>
                                    <asp:Label ID="LabelforTextBoxDiagnosisDateEmpty" 
                                        AssociatedControlID="TextBoxDiagnosisDateEmpty"
                                        runat="server" Text="Diagnostic Date (optional)">
                                    </asp:Label>  
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:DropDownList ID="DropDownListDiagnosticCodesEmpty" runat="server" Width="800"
                                        Enabled="false"
                                        ToolTip="Select ICD9 Diagnostic Code"
                                        AppendDataBoundItems="true" DataSourceID="ObjectDataSourceICD9_NonOcular"
                                        DataTextField="CodePlusName" DataValueField="ID">
                                        <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxDiagnosisDateEmpty" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"/>
                                    <rjs:PopCalendar ID="PopCalendarDiagnosisDateEmpty" runat="server" 
                                        Visible="false" 
                                        Control="TextBoxDiagnosisDateEmpty" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                    &nbsp;(mm/dd/yyyy)
                                </td>
                                <td>
                                    <asp:Button Text="Add" Width="50px" CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" ToolTip="Select to add ICD9 Diagnostic code" />
                                </td>
                            </tr>    
                        </table>
                         
                    </EmptyDataTemplate>
                     
                    <Columns>
                    
                        <asp:TemplateField HeaderText = "Diagnostic Code (ICD9)">
                            <ItemTemplate>
                                        
                                <asp:Label ID = "LabelDiagnosticCode" runat = "server" Text = '<%# Eval("STD_ER_ICD9_CODE.CodePlusName") %>'/>
                                       
                            </ItemTemplate>
                            
                            <FooterTemplate>
                                <asp:DropDownList ID="DropDownListDiagnosticCodes" runat="server" Width="800"
                                    Enabled="false"
                                    ToolTip="Select ICD9 Diagnostic Code"
                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourceICD9_NonOcular"
                                    DataTextField="CodePlusName" DataValueField="ID">
                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                </asp:DropDownList>
                            </FooterTemplate> 
                                
                         </asp:TemplateField>
                        
                        
                        <asp:TemplateField HeaderText = "Diagnostic Date (optional)">
                            <ItemTemplate>
                                <asp:Label ID = "LabelDiagnosticDate" runat = "server" Text = '<%# Eval("DIAGNOSIS_DATE","{0:d}") %>'/>        
                            </ItemTemplate>
                            
                            <FooterTemplate>
                                <asp:TextBox ID="TextBoxDiagnosisDateInsert" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                    Text='<%# Bind("DIAGNOSIS_DATE") %>'/>
                                    <rjs:PopCalendar ID="PopCalendarDiagnosisDateInsert" runat="server" 
                                        Visible="false" 
                                        Control="TextBoxDiagnosisDateInsert" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                &nbsp;(mm/dd/yyyy)<br /><br />
                            </FooterTemplate>
                                 
                         </asp:TemplateField>
                         <asp:TemplateField FooterStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                               <asp:Button Text="Delete" Width="50px" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" ToolTip="Select to delete ICD9 Diagnostic code" />
                            </ItemTemplate>
                            <FooterTemplate>
                               <asp:Button Text="Add" Width="50px" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" ToolTip="Select to add ICD9 Diagnostic code" />&nbsp;
                            </FooterTemplate>
                         </asp:TemplateField>
                         
                    </Columns>
                    
                </asp:GridView>
            
                <br />
                <asp:Label ID="LabelforNonOcularComments" AssociatedControlID="TextBoxNonOcularComments" runat="server" Text="Comments" >
                </asp:Label>
                <asp:TextBox ID="TextBoxNonOcularComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                </asp:TextBox>
                <br />
                <table>
                    <tr>
                        <td colspan="2" valign="bottom">
                            <asp:Label ID="LabelforBlastExposure" AssociatedControlID="RadioButtonListBlastExposure" runat="server" Text="Blast Exposure"></asp:Label>
                        </td>
                        <td valign="top">
                            <asp:RadioButtonList ID="RadioButtonListBlastExposure" runat="server" RepeatDirection="Horizontal">
                                <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                <asp:ListItem>No</asp:ListItem>
                            </asp:RadioButtonList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td valign="bottom">
                            <asp:Label ID="LabelforAssociatedTBI" AssociatedControlID="RadioButtonListAssociatedTBI" runat="server" Text="If yes, associated TBI?"></asp:Label>
                        </td>
                        <td valign="top">
                            <asp:RadioButtonList ID="RadioButtonListAssociatedTBI" runat="server" RepeatDirection="Horizontal">
                                <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                <asp:ListItem>No</asp:ListItem>
                            </asp:RadioButtonList>
                        </td>
                    </tr>
                </table>
           </asp:Panel> 
        </td>
    </tr>
    <tr>
        <td>
            <br />
            <table border="0" cellpadding="0" cellspacing="0" width="99%">
                <tr>
                    <td>
                        <asp:Panel ID="PanelDocumentedPastConditionsMedical" runat="server" 
                            GroupingText="Documented Past Conditions - Medical &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <table width="100%">
                                <tr>
                                    <th>
                                       Condition
                                    </th>
                                    <th align="center">
                                       Ongoing Active Treatment
                                    </th>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxAllergies" runat="server" Text="Allergies" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListAllergies" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxPregnancy" runat="server" Text="Pregnancy" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListPregnancy" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxDiabetes" runat="server" Text="Diabetes" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListDiabetes" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxGestationalDiabetes" runat="server" Text="Gestational Diabetes" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListGestationalDiabetes" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxInsulinDependent" runat="server" Text="Insulin Dependent" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListInsulinDependent" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxNonInsulinDependent" runat="server" Text="Non-Insulin Dependent (on oral medications)" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListNonInsulinDependent" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxCancer" runat="server" Text="Cancer" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListCancer" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxHivAids" runat="server" Text="HIV / AIDS" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListHivAids" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        &nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="CheckBoxAntiViralRetroTherapy" runat="server" Text="Anti-Retro Viral Therapy" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListAntiViralRetroTherapy" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxHypertension" runat="server" Text="Hypertension" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListHypertension" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxOtherDiseases" runat="server" Text="Other Diseases (add comments)" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListOtherDiseases" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <br />
                                        <asp:Label ID="LabelforTextBoxDocumentedPastConditionsMedicalComments" AssociatedControlID="TextBoxDocumentedPastConditionsMedicalComments" runat="server" Text="Comments" >
                                        </asp:Label>
                                        <asp:TextBox ID="TextBoxDocumentedPastConditionsMedicalComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                        </asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                       </asp:Panel> 
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:Panel ID="PanelDocumentedPastConditionsNeurological" runat="server" 
                            GroupingText="Documented Past Conditions - Neurological &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <table width="100%">
                                <tr>
                                    <th colspan="2">
                                       Condition
                                    </th>
                                    <th align="center">
                                       Ongoing Active Treatment
                                    </th>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <asp:CheckBox ID="CheckBoxOrganicBrainSyndrome" runat="server" Text="Organic Brain Syndrome" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListOrganicBrainSyndrome" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        &nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="CheckBoxSeizures" runat="server" Text="Seizures" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListSeizures" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        &nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="CheckBoxEpilepsy" runat="server" Text="Epilepsy" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListEpilepsy" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <asp:CheckBox ID="CheckBoxPeripheralNervePalsy" runat="server" Text="Peripheral Nerve Palsy" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListPeripheralNervePalsy" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <asp:CheckBox ID="CheckBoxTBIEyeVisionSymptoms" runat="server" Text="TBI (with and without eye/vision symptoms)" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListTBIEyeVisionSymptoms" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        &nbsp;&nbsp;&nbsp;
                                    </td>
                                    <td colspan="2">
                                        <b>If TBI, select from the following list</b>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxTBIReadingProblems" runat="server" Text="Reading Problems" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListTBIReadingProblems" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxTBIDiplopia" runat="server" Text="Diplopia" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListTBIDiplopia" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxTBIDazzling" runat="server" Text="Dazzling" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListTBIDazzling" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxTBIPhotophobia" runat="server" Text="Photophobia" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListTBIPhotophobia" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxTBIVergenceDysfunction" runat="server" Text="Vergence Dysfunction" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListTBIVergenceDysfunction" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxTBIAccommodationDysfunction" runat="server" Text="Accommodation Dysfunction" TextAlign="Right" />
                                    </td>
                                    <td align="center">
                                        <asp:RadioButtonList ID="RadioButtonListTBIAccommodationDysfunction" runat="server" RepeatDirection="Horizontal">
                                            <asp:ListItem>Yes&nbsp;&nbsp;&nbsp;</asp:ListItem>
                                            <asp:ListItem>No</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="Label1" AssociatedControlID="TextBoxDocumentedPastConditionsMedicalComments" runat="server" Text="Comments" >
                                        </asp:Label>
                                        <asp:TextBox ID="TextBox1" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                        </asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                       </asp:Panel> 
                    </td>
                </tr>
            </table>
       </td>
    </tr>
</table>

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceICD9_NonOcular" runat="server" 
        SelectMethod="GetICD9Codes_NonOcular" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource>
