﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PatientOcularHxTabUserControl.ascx.cs" Inherits="controls_PatientOcularHxTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>

<table>
    <tr>
        <td>
            <asp:Panel ID="PanelPastConditions" runat="server" 
                GroupingText="Past Conditions – Eye/Vision &nbsp;&nbsp;" 
                Height="391px" Width="100%">
                <br />
                <asp:RadioButtonList ID="RadioButtonListPastConditions" runat="server" RepeatDirection="Horizontal">
                    <asp:ListItem Selected="True">Yes</asp:ListItem>
                    <asp:ListItem>No</asp:ListItem>
                    <asp:ListItem>Unknown</asp:ListItem>
                </asp:RadioButtonList>
                <br />
                <asp:GridView ID = "GridViewPastConditionsEyeVision" 
                    Enabled="false"
                    ShowFooter = "True" 
                    AutoGenerateColumns = "False" 
                    runat ="server" 
                    DataKeyNames = "ER_PRE_INJURY_DIAG_DTL_ID" 
                    OnRowCommand="GridViewPastConditionsEyeVision_RowCommand" 
                    Caption="If yes, add injuries below:" CaptionAlign="Left"
                    Width="100%">
                    
                    <EmptyDataTemplate>
                        <table width="100%">
                            <tr>
                                <td>
                                    <asp:Label ID="LabelforDropDownListDiagnosticCodesEmpty" 
                                        AssociatedControlID="DropDownListDiagnosticCodesEmpty"
                                        runat="server" Text="Diagnostic Code (ICD9)">
                                    </asp:Label>  
                                </td>
                                <td>
                                    <asp:Label ID="LabelforTextBoxDiagnosisDateEmpty" 
                                        AssociatedControlID="TextBoxDiagnosisDateEmpty"
                                        runat="server" Text="Diagnostic Date (optional)">
                                    </asp:Label>  
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:DropDownList ID="DropDownListDiagnosticCodesEmpty" runat="server" 
                                        enabled="false"
                                        ToolTip="Select ICD9 Diagnostic Code"
                                        AppendDataBoundItems="true" DataSourceID="ObjectDataSourceICD9_EyeDiagnosticCodes"
                                        DataTextField="CodePlusName" DataValueField="ID"
                                        Width="838px">
                                        <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                                <td Width="130px">
                                    <asp:TextBox ID="TextBoxDiagnosisDateEmpty" runat="server" ToolTip="Enter date in format: mm/dd/yyyy" Width="130px"/>
                                    <rjs:PopCalendar ID="PopCalendarDiagnosisDateEmpty" runat="server" 
                                        Visible="false" 
                                        Control="TextBoxDiagnosisDateEmpty" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                                </td>
                                <td> 
                                    <asp:Button Text=" Add " CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" Width="55px" ToolTip="Select to add ICD9 Diagnostic code" />
                                </td>
                            </tr>    
                        </table>
                    </EmptyDataTemplate>
                    <Columns>
                        <asp:TemplateField HeaderText = "Diagnostic Code (ICD9)" ControlStyle-Width = "840px">
                            <ItemTemplate>
                                <asp:Label ID = "LabelDiagnosticCode" runat = "server" Text = '<%# Eval("STD_ER_ICD9_CODE.CodePlusName") %>'/>
                            </ItemTemplate>
                            <FooterTemplate>
                                <asp:DropDownList ID="DropDownListDiagnosticCodes" runat="server" 
                                    Enabled="false"
                                    ToolTip="Select ICD9 Diagnostic Code"
                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourceICD9_EyeDiagnosticCodes"
                                    DataTextField="CodePlusName" DataValueField="ID"
                                    Width="838px">
                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                </asp:DropDownList>
                            </FooterTemplate> 
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText = "Diagnostic Date (optional)">
                            <ItemTemplate>
                                <asp:Label ID = "LabelDiagnosticDate" runat = "server" Text = '<%# Eval("DIAGNOSIS_DATE","{0:d}") %>'/>        
                            </ItemTemplate>
                            <FooterTemplate>
                                <asp:TextBox ID="TextBoxDiagnosisDateInsert" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                    Text='<%# Bind("DIAGNOSIS_DATE") %>'  Width="90px"/>
                                    <rjs:PopCalendar ID="PopCalendarDiagnosisDateInsert" runat="server" 
                                        Visible="false" 
                                        Control="TextBoxDiagnosisDateInsert" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                            </FooterTemplate>
                         </asp:TemplateField>
                         <asp:TemplateField FooterStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                               <asp:Button Text="Delete" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" Width="55px" ToolTip="Select to delete ICD9 Diagnostic code" />
                            </ItemTemplate>
                            <EditItemTemplate>
                               <asp:Button Text="Update" CommandName="Update" CausesValidation="true" runat="server" ID="ButtonUpdate" ToolTip="Select to update ICD9 Diagnostic code" />&nbsp;
                               <asp:Button Text="Cancel" CommandName="Cancel" CausesValidation="false" runat="server" ID="ButtonCancel" ToolTip="Select to cancel changes to ICD9 Diagnostic code" />
                            </EditItemTemplate>
                            <FooterTemplate>
                               <asp:Button Text=" Add " CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" Width="55px" ToolTip="Select to add ICD9 Diagnostic code" />&nbsp;
                            </FooterTemplate>
                         </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:Table ID="TablePastConditions" runat="server" 
                    style="margin-top: 13px; margin-bottom: 11px;" 
                    Width="100%" Height="95px">
                    <asp:TableHeaderRow>
                        <asp:TableHeaderCell >
                            <asp:Label ID="Label1" runat="server" Text="Comments" >
                            </asp:Label>
                    </asp:TableHeaderCell>
                    </asp:TableHeaderRow>
                    <asp:TableFooterRow>
                        <asp:TableHeaderCell>
                            <asp:TextBox ID="TextBoxComments" runat="server" Width="100%" Height="80px" TextMode="MultiLine">
                            </asp:TextBox>
                    </asp:TableHeaderCell>
                    </asp:TableFooterRow>
                    <asp:TableHeaderRow>
                        <asp:TableHeaderCell >
                            <table>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelRefractionOD" runat="server" GroupingText="Refraction Right Eye &nbsp;&nbsp;" CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="LabelforRefractionOD" runat="server" Text="Refraction (+/- XX.XX)" 
                                                            AssociatedControlID="TextBoxRefractionOD"></asp:Label>    
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        
                                                        <asp:Label ID="LabelforSphereOD" runat="server" 
                                                            AssociatedControlID="TextBoxSphereOD" Text="Sphere (+/- XX.XX)"></asp:Label>
                                                        
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforCylinderOD" runat="server" 
                                                            AssociatedControlID="TextBoxCylinderOD" Text="Cylinder (XXX)"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRefractionOD" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        /&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxSphereOD" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        @&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCylinderOD" runat="server"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="5">
                                                        <asp:CheckBox ID="CheckBoxRefractionODUnknown" runat="server" Text="Unknown" 
                                                            ToolTip="Check if Refraction Unknown" />
                                                    </td>
                                                </tr>
                                            </table>
                                            
                                        </asp:Panel><br />
                                    </td>
                                    <td class="eyeExamWidthBetweenODPanelOSPanel">
                                        &nbsp;</td>
                                    <td>
                                        <asp:Panel ID="PanelRefractionOS" runat="server" 
                                            GroupingText="Refraction Left Eye &nbsp;&nbsp;"  
                                            CssClass="SideBySideEyeExamPanel">
                                            
                                            <table class="style1">
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="LabelforRefractionOS" runat="server" Text="Refraction (+/- XX.XX)" 
                                                            AssociatedControlID="TextBoxRefractionOS"></asp:Label>    
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        
                                                        <asp:Label ID="LabelforSphereOS" runat="server" 
                                                            AssociatedControlID="TextBoxSphereOS" Text="Sphere (+/- XX.XX)"></asp:Label>
                                                        
                                                    </td>
                                                    <td>
                                                        &nbsp;</td>
                                                    <td>
                                                        <asp:Label ID="LabelforCylinderOS" runat="server" 
                                                            AssociatedControlID="TextBoxCylinderOS" Text="Cylinder (XXX)"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxRefractionOS" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        /&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxSphereOS" runat="server"></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        @&nbsp;</td>
                                                    <td>
                                                        <asp:TextBox ID="TextBoxCylinderOS" runat="server"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="5">
                                                        <asp:CheckBox ID="CheckBoxRefractionOSUnknown" runat="server" Text="Unknown" 
                                                            ToolTip="Check if Refraction Unknown" />
                                                    </td>
                                                </tr>
                                            </table>
             
                                        </asp:Panel><br />

                                    </td>
                                </tr>
                            
                            </table>
                            
                            <asp:Label ID="LabelPastConditionsRefractiveError" runat="server" Visible="false"
                                Text="Past Conditions – Refractive Error" >
                            </asp:Label>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <asp:TextBox ID="TextBoxPastConditionsRefractiveError" runat="server"  Visible="false">
                            </asp:TextBox>
                            
                        </asp:TableHeaderCell>
                    </asp:TableHeaderRow>
                </asp:Table> 
            </asp:Panel>
            <br />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="PanelPreviousNonInjuryRelatedEyeSurgeryOtherProcedures" runat="server" 
                GroupingText="Previous Non-Injury Related Eye Surgery/Other Procedures (include only surgery)&nbsp;&nbsp;" Height="391px" 
                Width="100%">
                <br />
                <asp:RadioButtonList ID="RadioButtonListPreviousNonInjuryRelatedEyeSurgery" runat="server" RepeatDirection="Horizontal">
                    <asp:ListItem>Yes</asp:ListItem>
                    <asp:ListItem>No</asp:ListItem>
                    <asp:ListItem>Unknown</asp:ListItem>
                </asp:RadioButtonList>
                <br />
                <asp:Label ID="LabelIfYesSelect" runat="server" 
                    Text="If yes, select:" Font-Bold="true">
                </asp:Label>&nbsp;&nbsp;
                <br />
                <asp:CheckBox ID="CheckBoxWorkRelated" runat="server" Text="Work Related">
                </asp:CheckBox>
                <br />
                <br />
                <asp:GridView ID = "GridViewProceduresCpt4Codes" 
                    Enabled="false"
                    ShowFooter = "True" 
                    AutoGenerateColumns = "False" 
                    runat ="server" 
                    DataKeyNames = "ER_PRE_INJURY_PROCEDURE_DTL_ID" 
                    OnRowCommand="GridViewProceduresCpt4Codes_RowCommand" 
                    Caption="Procedures (CPT-4 Codes):" CaptionAlign="Left"
                    Width="100%">
                    
                    <EmptyDataTemplate>
                        <table width="100%">
                            <tr>
                                <td>
                                    <asp:Label ID="LabelforDropDownListProceduresCpt4CodesEmpty" 
                                        AssociatedControlID="DropDownListProceduresCpt4CodesEmpty"
                                        runat="server" Text="Procedure Code (CPT-4 Code)">
                                    </asp:Label>  
                                </td>
                                <td>
                                    <asp:Label ID="LabelforTextBoxProcedureDateEmpty" 
                                        AssociatedControlID="TextBoxProcedureDateEmpty"
                                        runat="server" Text="Procedure Date (optional)">
                                    </asp:Label>  
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:DropDownList ID="DropDownListProceduresCpt4CodesEmpty" runat="server" 
                                        enabled="false"
                                        ToolTip="Select Procedure Code (CPT-4 Code) "
                                        AppendDataBoundItems="true" DataSourceID="ObjectDataSourceProcedureCodes"
                                        DataTextField="CodePlusName" DataValueField="ID" 
                                        Width="838px">
                                        <asp:ListItem Value="">-- Select Procedure Code --</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                                <td>
                                    <asp:TextBox ID="TextBoxProcedureDateEmpty" runat="server" ToolTip="Enter date in format: mm/dd/yyyy" Width="90px"/>
                                    <rjs:PopCalendar ID="PopCalendarProcedureDateEmpty" runat="server" 
                                        Visible="false" 
                                        Control="TextBoxProcedureDateEmpty" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                                </td>
                                <td>
                                    <asp:Button Text=" Add " CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" Width="55px" ToolTip="Select to add Procedure Code (CPT-4 Code)" />
                                </td>
                            </tr>    
                        </table>
                         
                    </EmptyDataTemplate>
                    
                    <Columns>
                    
                        <asp:TemplateField HeaderText = "Procedure Code (CPT-4)" ControlStyle-Width = "840px">
                            <ItemTemplate>
                                <asp:Label ID = "LabelProcedureCodeCpt4" runat = "server" Text = '<%# Eval("STD_ER_CPT4_CODE.CodePlusName") %>'/>
                            </ItemTemplate>
                            <EditItemTemplate>
                                <asp:DropDownList ID="DropDownListProceduresCpt4Codes" runat="server" 
                                    enabled="false"
                                    ToolTip="Select CPT4 Procedure Code"
                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourceProcedureCodes"
                                    DataTextField="CodePlusName" DataValueField="ID"
                                     Width="838px">
                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                </asp:DropDownList>
                            </EditItemTemplate>
                            <FooterTemplate>
                                <asp:DropDownList ID="DropDownListProceduresCpt4Codes" runat="server" 
                                    enabled="false"
                                    ToolTip="Select CPT4 Procedure Code"
                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourceProcedureCodes"
                                    DataTextField="CodePlusName" DataValueField="ID"
                                    Width="838px">
                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                </asp:DropDownList>
                            </FooterTemplate> 
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText = "Procedure Date (optional)">
                            <ItemTemplate>
                                <asp:Label ID = "LabelProcedureCodeCpt4" runat = "server" Text = '<%# Eval("PROCEDURE_DATE","{0:d}") %>'/>
                            </ItemTemplate>
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBoxProcedureDate" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                Text='<%# Eval("PROCEDURE_DATE","{0:d}") %>' Width="90px"/>
                                <rjs:PopCalendar ID="PopCalendarDiagnosisDate" runat="server" 
                                    Control="TextBoxProcedureDate" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                    To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                            </EditItemTemplate>
                            <FooterTemplate>
                                <asp:TextBox ID="TextBoxProcedureDateInsert" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                    Text='<%# Bind("PROCEDURE_DATE") %>' Width="90px"/>
                                    <rjs:PopCalendar ID="PopCalendarProcedureDateInsert" runat="server" 
                                        Visible="false" 
                                        Control="TextBoxProcedureDateInsert" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                            </FooterTemplate>
                         </asp:TemplateField>
                         <asp:TemplateField FooterStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                               <asp:Button Text="Delete" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" Width="55px" ToolTip="Select to delete Procedure Code (CPT-4 Code)" />
                            </ItemTemplate>
                            <EditItemTemplate>
                               <asp:Button Text="Update" CommandName="Update" CausesValidation="true" runat="server" ID="ButtonUpdate" ToolTip="Select to update Procedure Code (CPT-4 Code)" />&nbsp;
                               <asp:Button Text="Cancel" CommandName="Cancel" CausesValidation="false" runat="server" ID="ButtonCancel" ToolTip="Select to cancel changes to Procedure Code (CPT-4 Code)" />
                            </EditItemTemplate>
                            <FooterTemplate>
                               <asp:Button Text=" Add " CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" Width="55px" ToolTip="Select to add Procedure Code (CPT-4 Code)" />&nbsp;
                            </FooterTemplate>
                         </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </asp:Panel>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="PanelPreInjuryImagingAncillaryTestingPerformed" runat="server" 
                GroupingText="Pre-Injury Imaging Ancillary Testing Performed&nbsp;&nbsp;" Height="391px" 
                Width="100%">
                <br />
                <asp:RadioButtonList ID="RadioButtonList1" runat="server" RepeatDirection="Horizontal">
                    <asp:ListItem>Yes</asp:ListItem>
                    <asp:ListItem>No</asp:ListItem>
                </asp:RadioButtonList><br />
                <asp:GridView ID = "GridViewImagingAncillaryTestingPerformed" 
                    Enabled="false"
                    ShowFooter = "True" 
                    AutoGenerateColumns = "False" 
                    runat ="server" 
                    DataKeyNames = "ER_PRE_INJURY_IMAGING_DTL_ID" 
                    OnRowCommand="GridViewImagingAncillaryTestingPerformed_RowCommand" 
                    Caption="If yes, add imaging methodologies:" CaptionAlign="Left"
                    Width="100%">
                    
                    <EmptyDataTemplate>
                        <table width="100%">
                            <tr>
                                <td>
                                    <asp:Label ID="LabelForDropDownListImagingMethodologyEmpty" 
                                        AssociatedControlID="DropDownListImagingMethodologyEmpty"
                                        runat="server" Text="Methodology">
                                    </asp:Label></td><td>
                                    <asp:Label ID="LabelForTextBoxTestDateEmpty" 
                                        AssociatedControlID="TextBoxTestDateEmpty"
                                        runat="server" Text="Test Date(optional)">
                                    </asp:Label></td><td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:DropDownList ID="DropDownListImagingMethodologyEmpty" runat="server" 
                                        enabled="false"
                                        ToolTip="Select Imaging Methodology "
                                        AppendDataBoundItems="true" DataSourceID="ObjectDataSourceProcedureCodes"
                                        DataTextField="CodePlusName" DataValueField="ID" 
                                        Width="838px">
                                        <asp:ListItem Value="">-- Select Procedure Code --</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                                <td Width="200px">
                                    <asp:TextBox ID="TextBoxTestDateEmpty" runat="server" ToolTip="Enter date in format: mm/dd/yyyy" Width="90px"/>
                                    <rjs:PopCalendar ID="PopCalendarDiagnosisDateEmpty" runat="server" 
                                        Visible="false" 
                                        Control="TextBoxTestDateEmpty" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                                </td>
                                <td>
                                    <asp:Button Text=" Add " CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" Width="55px" ToolTip="Select to add Imaging Methodology" />
                                </td>
                            </tr>    
                        </table>
                         
                    </EmptyDataTemplate>
                    
                    <Columns>
                    
                        <asp:TemplateField HeaderText = "Imaging Methodology Code" ControlStyle-Width = "840px">
                            <ItemTemplate>
                                <asp:Label ID = "LabelImagingMethodologyCode" runat = "server" Text = '<%# Eval("STD_ER_IMG_MTHD.CodePlusName") %>'/>
                            </ItemTemplate>
                            <EditItemTemplate>
                                <asp:DropDownList ID="DropDownListImagingMethodologyCodes" runat="server" 
                                    Enabled="false"
                                    ToolTip="Select Imaging Methodology"
                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourcePreInjuryImagingAncillaryTesting"
                                    DataTextField="CodePlusName" DataValueField="ID"
                                     Width="838px">
                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                </asp:DropDownList>
                            </EditItemTemplate>
                            <FooterTemplate>
                                <asp:DropDownList ID="DropDownListImagingMethodologyCodes" runat="server" 
                                    enabled="false"
                                    ToolTip="Select Imaging Methodology"
                                    AppendDataBoundItems="true" DataSourceID="ObjectDataSourcePreInjuryImagingAncillaryTesting"
                                    DataTextField="CodePlusName" DataValueField="ID"
                                    Width="838px">
                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                </asp:DropDownList>
                            </FooterTemplate> 
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText = "Test Date (optional)">
                            <ItemTemplate>
                                <asp:Label ID = "LabelTestDate" runat = "server" Text = '<%# Eval("IMAGING_DATE","{0:d}") %>'/>
                            </ItemTemplate>
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBoxImagingDate" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                Text='<%# Eval("IMAGING_DATE","{0:d}") %>' Width="90px"/>
                                <rjs:PopCalendar ID="PopCalendarImagingDate" runat="server" 
                                    Visible="false" 
                                    Control="TextBoxImagingDate" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                    To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                            </EditItemTemplate>
                            <FooterTemplate>
                                <asp:TextBox ID="TextBoxImagingDateInsert" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                    Text='<%# Bind("IMAGING_DATE") %>' Width="90px"/>
                                    <rjs:PopCalendar ID="PopCalendarImagingDateInsert" runat="server" 
                                        Control="TextBoxImagingDateInsert" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                        To-Today="true" ToolTip="Click to Select" />
                                <!--&nbsp;(mm/dd/yyyy)-->
                            </FooterTemplate>
                         </asp:TemplateField>
                         <asp:TemplateField FooterStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                               <asp:Button Text="Delete" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" Width="55px"  ToolTip="Select to delete Imaging Methodology" />
                            </ItemTemplate>
                            <EditItemTemplate>
                               <asp:Button Text="Update" CommandName="Update" CausesValidation="true" runat="server" ID="ButtonUpdate"  ToolTip="Select to update Imaging Methodology" />&nbsp;
                               <asp:Button Text="Cancel" CommandName="Cancel" CausesValidation="false" runat="server" ID="ButtonCancel"  ToolTip="Select to cancel changes to Imaging Methodology" />
                            </EditItemTemplate>
                            <FooterTemplate>
                               <asp:Button Text=" Add " CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" Width="55px"  ToolTip="Select to add Imaging Methodology" />&nbsp;
                            </FooterTemplate>
                         </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </asp:Panel>
        </td>
    </tr>
</table>
 
<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceICD9_All" runat="server" 
    SelectMethod="GetICD9Codes_All" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>

<asp:ObjectDataSource ID="ObjectDataSourceICD9_EyeDiagnosticCodes" runat="server" 
    SelectMethod="GetICD9Codes_EyeDiagnosticCodes" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>


<asp:ObjectDataSource ID="ObjectDataSourceProcedureCodes" runat="server" 
    SelectMethod="GetProcedureCodes" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
<asp:ObjectDataSource ID="ObjectDataSourcePreInjuryImagingAncillaryTesting" runat="server" 
    SelectMethod="GetImagingMethodologyCodes" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>

