﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class clinicalDataUserControls_ProceduresTabUserControl : System.Web.UI.UserControl
{

    #region Postback Events

    protected void Page_Load(object sender, EventArgs e)
    {
        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewDiagnosticProcedures.ClientID + "');", true);
        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewProcedures.ClientID + "');", true);
    }

    #endregion

    #region Private Methods


    #endregion

    #region Object/Form Mapping

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="encounter"></param>
    /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter)
    {

        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns(encounter);

        //populate controls

        //load Encounter Information Control
        EncounterHeaderUserControl.LoadControlsFromObject(encounter);
        
        //Diagnostic Procedures
        GridViewDiagnosticProcedures.DataSource =  new DVEIREncounterManager().GetEncounterDiagnositicProcedureCodes(encounter.ER_ENCOUNTER_ID).OrderBy(x => x.CODE);
        GridViewDiagnosticProcedures.DataBind();
        
        //Procedures
        GridViewProcedures.DataSource = new DVEIREncounterManager().GetEncounterProcedureCodes(encounter.ER_ENCOUNTER_ID).OrderBy(x => x.CODE);
        GridViewProcedures.DataBind();

        //Diagnosis Comments
        TextBoxProceduresComments.Text = encounter.PROCEDURE_SUMMARY_COMMENT_TEXT;
        
        //Review Comments
        ReviewCommentUserControlProceduresComments.LoadControlsFromObject(encounter);

        return 0;
    }

    /// <summary>
    /// Method to populate an entity object (passed by reference) form the user controls form elements
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eyeExam"></param>
    /// <returns>int</returns>
    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter)
    {
        int returnStatus = 0;

        //update object with data from controls

        //Diagnosis Comments
        encounter.PROCEDURE_SUMMARY_COMMENT_TEXT = TextBoxProceduresComments.Text;
        
        //Review Comments
        BaseClinicalDataControlIdentifiers identifier = new BaseClinicalDataControlIdentifiers();

        identifier.AnchorId = ReviewCommentUserControlProceduresComments.AnchorId;
        identifier.LocationFriendlyName = ReviewCommentUserControlProceduresComments.LocationFriendlyName;
        identifier.LocationPage = ReviewCommentUserControlProceduresComments.LocationPage;

        returnStatus = ReviewCommentUserControlProceduresComments.LoadObjectFromControls(ref encounter, identifier);


        return returnStatus;

    }

    private void PopulateDropDowns(ER_ENCOUNTER encounter)
    {
      
    }

    #endregion


}
