﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class controls_ProviderTabUserControl : System.Web.UI.UserControl
{
    #region Postback Events
    
    #endregion

    #region Private Methods

    
    #endregion

    #region Object/Form Mapping

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="encounter"></param>
    /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter)
    {

        //populate dropdowns
        //TO DO : modify drop down population to add archived item if persisted in entity 
        //          and remove "-- Select a Value --" when an item is selected and field is not nullable 
        PopulateDropDowns(encounter);

        //populate controls

        //load Encounter Information Control
        EncounterHeaderUserControl.LoadControlsFromObject(encounter);

        //Provider selected
        //Provider will not be editable by the user so a drop down is not needed
        //DropDownListProvider

        if (encounter.PROVIDER != null)
        {
            //Last Name
            LabelLastNameValue.Text = encounter.PROVIDER.LAST_NAME;

            //First Name
            LabelFirstNameValue.Text = encounter.PROVIDER.FIRST_NAME;

            //Middle Name
            LabelMiddleNameValue.Text = encounter.PROVIDER.MIDDLE_NAME;

            //Street 1
            LabelStreetLine1Value.Text = encounter.PROVIDER.ADDRESS_LINE1;

            //Street 2
            LabelStreetLine2Value.Text = encounter.PROVIDER.ADDRESS_LINE2;

            //Street 3
            LabelStreetLine3Value.Text = encounter.PROVIDER.ADDRESS_LINE3;

            //City
            LabelCityValue.Text = encounter.PROVIDER.CITY;

            //State
            LabelStateValue.Text = encounter.PROVIDER.STATE;

            //Zip
            if (!string.IsNullOrEmpty(encounter.PROVIDER.POSTAL_CODE))
            {
                LabelZipValue.Text = encounter.PROVIDER.POSTAL_CODE.ToString() + (encounter.PROVIDER.ZIP_PLUS_4.Length > 0 ? " - " + encounter.PROVIDER.ZIP_PLUS_4.ToString() : "");
            }

            //Business Phone
            LabelBusinessPhoneNumberValue.Text = encounter.PROVIDER.WORK_PHONE;

            //Fax
            LabelFaxNumberValue.Text = encounter.PROVIDER.FAX_NUMBER;

            //Type
            if (encounter.PROVIDER.PROVIDER_CLASS_DTLs.FirstOrDefault() != null
                && encounter.PROVIDER.PROVIDER_CLASS_DTLs.FirstOrDefault().STD_PROVIDER_CLASS != null)
            {
                LabelTypeValue.Text = encounter.PROVIDER.PROVIDER_CLASS_DTLs.FirstOrDefault().STD_PROVIDER_CLASS.NAME;
            }
            else
            {
                LabelTypeValue.Text = "";
            }

            //NPI
            LabelNPIValue.Text = encounter.PROVIDER.NPI_NUMBER;
        
            //Referred Date
            LabelDateReferred.Text = Helpers.getShortDateStringFromNullableDate(encounter.CREATED);
        }

        return 0;
    }

    /// <summary>
    /// Method to populate an entity object (passed by reference) form the user controls form elements
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eyeExam"></param>
    /// <returns>int</returns>
    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter)
    {
        int returnStatus = 0;

        //update object with data from controls

        //All the following object property updates are commented out because the entire page is read only for now
        //////////////////////////////////////////////////////////////////////////////////////////////////////////
        ////load Encounter Information Control
        //returnStatus = EncounterHeaderUserControl.LoadObjectFromControls(ref encounter);

        ////Provider selected
        ////Provider will not be editable by the user so a drop down is not needed
        ////DropDownListProvider

        ////Last Name
        //encounter.PROVIDER.LAST_NAME = LabelLastNameValue.Text;

        ////First Name
        //encounter.PROVIDER.FIRST_NAME = LabelFirstNameValue.Text;

        ////Middle Name
        //encounter.PROVIDER.MIDDLE_NAME = LabelMiddleNameValue.Text;

        ////Street 1
        //encounter.PROVIDER.ADDRESS_LINE1 = LabelStreetLine1Value.Text;

        ////Street 2
        //encounter.PROVIDER.ADDRESS_LINE2 = LabelStreetLine2Value.Text;

        ////Street 3
        //encounter.PROVIDER.ADDRESS_LINE3 = LabelStreetLine3Value.Text;

        ////City
        //encounter.PROVIDER.CITY = LabelCityValue.Text;

        ////State
        //encounter.PROVIDER.STATE = LabelStateValue.Text;

        ////Zip
        //encounter.PROVIDER.ZIP_PLUS_4 = LabelZipValue.Text;

        ////Business Phone
        //encounter.PROVIDER.WORK_PHONE = LabelBusinessPhoneNumberValue.Text;

        ////Fax
        ////TO DO : add when database is updated
        ////encounter.PROVIDER. = LabelFaxNumberValue.Text;
        
        ////Type
        //encounter.PROVIDER.PROVIDER_CLASS_DTLs.FirstOrDefault().STD_PROVIDER_CLASS.NAME = LabelTypeValue.Text;

        ////NPI
        //encounter.PROVIDER.NPI_NUMBER = LabelNPIValue.Text;

        ////Referred Date
        ////TO DO : udpate when database is updated
        ////encounter.PROVIDER. = LabelDateReferred.Text;
        //////////////////////////////////////////////////////////////////////////////////////////////////////////
        
        return 0;

    }

    private void PopulateDropDowns(ER_ENCOUNTER encounter)
    {

    }

    #endregion


}