﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ReportParametersControl.ascx.cs" Inherits="controls_ReportParametersControl" %>
<%@ Register TagPrefix="rsweb" Namespace="Microsoft.Reporting.WebForms" %>
<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<style type="text/css">
    
    .hintLabel
    {
        color:#999999;
    }
    
</style>

<script type ="text/javascript">
    $(document).ready(function() {
        if ($('#<%= CheckBoxDiagnosesUseAll.ClientID %>').is(':checked')) {
            $('#<%= TextBoxDiagnosesSearch.ClientID %>').attr('disabled', 'disabled');
            $('#<%= ButtonDiagnosesSearch.ClientID %>').attr('disabled', 'disabled');
            $('#<%= ListBoxDiagnoses.ClientID %>').attr('disabled', 'disabled');
            $('#<%= TextBoxDiagnosesSearch.ClientID %>').val('');
            $('#<%= ListBoxDiagnoses.ClientID %>').children().remove();
        }
        
        $('#<%= CheckBoxDiagnosesUseAll.ClientID %>').click(function() {
            if ($(this).is(':checked')) {
                $('#<%= TextBoxDiagnosesSearch.ClientID %>').attr('disabled', 'disabled');
                $('#<%= ButtonDiagnosesSearch.ClientID %>').attr('disabled', 'disabled');
                $('#<%= ListBoxDiagnoses.ClientID %>').attr('disabled', 'disabled');
                $('#<%= TextBoxDiagnosesSearch.ClientID %>').val('');
                $('#<%= ListBoxDiagnoses.ClientID %>').children().remove();
            }
            else {
                $('#<%= TextBoxDiagnosesSearch.ClientID %>').removeAttr('disabled');
                $('#<%= ButtonDiagnosesSearch.ClientID %>').removeAttr('disabled');
                $('#<%= ListBoxDiagnoses.ClientID %>').removeAttr('disabled');
            }
        });
    });

    function validateDiagnoses(oSrc, args) {
        //Valid if 'Use All' is checked or at least 1 item is selected in list box
        args.IsValid =
            $('#<%= CheckBoxDiagnosesUseAll.ClientID %>').is(':checked') ||
            $('#<%= ListBoxDiagnoses.ClientID %> :selected').length > 0;
    }
</script>

<script runat="server" type="text/C#">
    void ValidateDiagnoses(Object source, ServerValidateEventArgs args)
    {
        //Valid if 'Use All' is checked or at least 1 item is selected in list box
        args.IsValid =
            CheckBoxDiagnosesUseAll.Checked ||
            ListBoxDiagnoses.GetSelectedIndices().Length > 0;
    }
</script>

<asp:ValidationSummary ID="ValidationSummaryReferralOverviewReport"  runat="server"
    TabIndex="1" 
    ValidationGroup="OnRunReport"
    HeaderText="The page has the following data errors:" 
    DisplayMode="BulletList" 
    ShowSummary="false" 
    ShowMessageBox="True" />
<asp:Panel ID="Panel2" runat="server"  
    GroupingText=" Selection Criteria " 
    Width="100%"> 
    <div class = "excludeSaveWarnings">
        <table width="95%">
            <asp:TableRow>
                <asp:TableCell runat="server" ID="CellForTextBoxUserName" Width="200px">
                    <asp:Label ID="LabelForTextBoxUserName" runat="server" 
                        Text="Username*:" 
                        Font-Bold="true" 
                        AssociatedControlID="TextBoxUserName">
                    </asp:Label>
                    <br />
                    <asp:TextBox ID="TextBoxUserName" runat="server" MaxLength="30" Width="90px" >
                    </asp:TextBox>
                    <br />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorUserName" runat="server" 
                        ControlToValidate = "TextBoxUserName" 
                        Display = "Dynamic" 
                        ErrorMessage="Username is required." 
                        SetFocusOnError = "true"
                        ValidationGroup="OnRunReport"
                        Enabled="true">
                    </asp:RequiredFieldValidator>  
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForTextBoxReferralId" Width="200px">
                    <asp:Label ID="LabelReferralId" runat="server" 
                        Text="Referral ID:" 
                        Font-Bold="true" 
                        AssociatedControlID="TextBoxReferralId">
                    </asp:Label>
                    <br />
                    <asp:TextBox ID="TextBoxReferralId" runat="server"
                        Width="90px"/>
                    <br />
                    <asp:RangeValidator runat="server" ID="RangeValidatorTextBoxReferralId"
                        Enabled="true"
                        ForeColor="Red"
                        Display="Dynamic"  
                        ValidationGroup="OnRunReport"
                        EnableClientScript="true"  
                        SetFocusOnError="true" 
                        Type="Integer"    
                        ControlToValidate = "TextBoxReferralId"                         
                        MinimumValue="0"
                        MaximumValue="2147483647"
                        ErrorMessage="Referral Id needs to be a positive integer number and less than 2,147,483,647.">
                    </asp:RangeValidator>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForTextBoxDateFrom" Width="260px">
                    <asp:Label ID="LabelDateFrom" runat="server" 
                        Text="Date From (mm/dd/yyyy)*:" 
                        Font-Bold="true" 
                        AssociatedControlID="TextBoxDateFrom">
                    </asp:Label>
                    <br />  
                    <asp:TextBox ID="TextBoxDateFrom" runat="server"
                        Width="90px"  
                    />
                    <br />
                     <asp:RequiredFieldValidator ID="RequiredFieldValidatorFromDate" runat="server" 
                        ControlToValidate = "TextBoxDateFrom" 
                        Display = "Dynamic" 
                        ErrorMessage="Date From is required." 
                        SetFocusOnError = "true"
                        ValidationGroup="OnRunReport"
                        Enabled="true">
                    </asp:RequiredFieldValidator>  
                   <asp:CompareValidator runat="server" ID="CompareValidatorTextBoxDateFrom" 
                        Enabled="true"
                        ForeColor="Red"  
                        Display="Dynamic"  
                        ValidationGroup="OnRunReport"
                        EnableClientScript="true"  
                        SetFocusOnError="true" 
                        Type="Date"    
                        ValueToCompare="01/01/4000" 
                        ControlToValidate = "TextBoxDateFrom"                         
                        Operator = "LessThanEqual" 
                        ErrorMessage="Date From needs to be in the following format: mm/dd/yyyy and today or earlier.">
                    </asp:CompareValidator>
               </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForTextBoxDateTo" Width="260px">
                    <asp:Label ID="LabelDateTo" runat="server" 
                        Text="Date To (mm/dd/yyyy)*:" 
                        Font-Bold="true" 
                        AssociatedControlID="TextBoxDateTo">
                    </asp:Label>
                    <br />
                    <asp:TextBox ID="TextBoxDateTo" runat="server"
                        Width="90px"  
                    />
                    <br />
                     <asp:RequiredFieldValidator ID="RequiredFieldValidatorToDate" runat="server" 
                        ControlToValidate = "TextBoxDateTo" 
                        Display = "Dynamic" 
                        ErrorMessage="Date To is required." 
                        SetFocusOnError = "true"
                        ValidationGroup="OnRunReport"
                        Enabled="true">
                    </asp:RequiredFieldValidator>  
                   <asp:CompareValidator runat="server" ID="CompareValidatorTextBoxDateTo" 
                        Enabled="true"
                        ForeColor="Red"  
                        Display="Dynamic"  
                        ValidationGroup="OnRunReport"
                        EnableClientScript="true"  
                        SetFocusOnError="true" 
                        Type="Date"    
                        ValueToCompare="01/01/4000" 
                        ControlToValidate = "TextBoxDateTo"                         
                        Operator = "LessThanEqual" 
                        ErrorMessage="Date To needs to be in the following format: mm/dd/yyyy and today or earlier.">
                    </asp:CompareValidator>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForListBoxVisns"  Width="120px">
                    <asp:Label ID="LabelVisn" runat="server" 
                        Text="VISN:" 
                        Font-Bold="true" 
                        AssociatedControlID="ListBoxVisns">
                    </asp:Label>
                    <br />
                    <asp:ListBox ID="ListBoxVisns" runat="server"  
                        Rows="5" 
                        SelectionMode="Multiple" 
                        Enabled="true"
                        DataTextField="FullVISNName" 
                        DataValueField="ID" >
                    </asp:ListBox>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForDropDownListYearDefinition" Width="220px">
                    <asp:Label ID="LabelYearDefinition" runat="server" 
                        Text="Report Year Definition *:" 
                        Font-Bold="true" 
                        AssociatedControlID="DropDownListYearDefinition">
                    </asp:Label>
                    <br />
                    <asp:DropDownList ID="DropDownListYearDefinition" runat="server" >
                        <asp:ListItem Value="0">Select One</asp:ListItem>
                        <asp:ListItem Value="1">Fiscal Year</asp:ListItem>
                        <asp:ListItem Value="2">Calendar Year</asp:ListItem>
                    </asp:DropDownList>
                    <br />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorDropDownListYearDefinition" runat="server" 
                        Enabled="true"
                        ControlToValidate="DropDownListYearDefinition"  
                        EnableClientScript="true"
                        ErrorMessage="Report Year Definition is required." 
                        InitialValue="0"  
                        ValidationGroup="OnRunReport"
                        SetFocusOnError="true"
                        Display="Dynamic">
                    </asp:RequiredFieldValidator>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForListBoxYearSelection" Width="220px">
                    <asp:Label ID="LabelYearSelection" runat="server" 
                        Text="Report Year Selection:" 
                        Font-Bold="true" 
                        AssociatedControlID="ListBoxYearSelection">
                    </asp:Label>
                    <br />
                    <asp:ListBox ID="ListBoxYearSelection" runat="server"  
                        Rows="5" 
                        SelectionMode="Multiple" 
                        Enabled="true">
                    </asp:ListBox>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForDropdownListStartYear" Width="220px">
                    <asp:Label ID="LabelStartYear" runat="server" 
                        Text="Start Year:" 
                        Font-Bold="true" 
                        AssociatedControlID="DropdownListStartYear">
                    </asp:Label>
                    <br />
                    <asp:DropdownList ID="DropdownListStartYear" runat="server" Enabled="true">
                    </asp:DropdownList>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForDropdownListEndYear" Width="220px">
                    <asp:Label ID="LabelEndYear" runat="server" 
                        Text="End Year:" 
                        Font-Bold="true" 
                        AssociatedControlID="DropdownListEndYear">
                    </asp:Label>
                    <br />
                    <asp:DropdownList ID="DropdownListEndYear" runat="server" Enabled="true">
                    </asp:DropdownList>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForDropdownListProvider">
                    <asp:Label ID="LabelProvider" runat="server" 
                        Text="Provider:" 
                        Font-Bold="true" 
                        AssociatedControlID="ListBoxProvider">
                    </asp:Label>
                    <br />
                    <asp:ListBox ID="ListBoxProvider" runat="server"  
                        Rows="5" 
                        SelectionMode="Multiple"                                                    Enabled="true">
                    </asp:ListBox>
                    <asp:Table runat="server">
                        <asp:TableRow>
                            <asp:TableCell CssClass="hintLabel">*To make multiple selections, hold [CTRL] key and click on a provider</asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell CssClass="hintLabel">*To select all entries between two providers, hold [CTRL][SHIFT] keys together</asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
               </asp:TableCell>
                <asp:TableCell runat="server" ID="CellForListBoxDiagnoses" Width="120px">
                    <asp:Table runat="server">
                        <asp:TableRow>
                            <asp:TableCell>
                                <asp:Label ID="LabelDiagnoses" runat="server" 
                                    Text="Diagnoses:" 
                                    Font-Bold="true" 
                                    AssociatedControlID="ListBoxDiagnoses">
                                </asp:Label>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>
                                <asp:Label ID="LabelDiagnosesUseAll" runat="server"
                                    Text="Use All:"
                                    Width="150px"
                                    Font-Bold="true"
                                    AssociatedControlID="CheckBoxDiagnosesUseAll">
                                </asp:Label>
                                <asp:CheckBox ID="CheckBoxDiagnosesUseAll" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>
                                <asp:Label ID="LabelDiagnosesSearch" runat="server"
                                    Text="Search:"
                                    Width="150px"
                                    Font-Bold="true"
                                    AssociatedControlID="TextBoxDiagnosesSearch">
                                </asp:Label>&nbsp;
                                <asp:TextBox ID="TextBoxDiagnosesSearch" runat="server" Enabled="true"></asp:TextBox>&nbsp;
                                <asp:Button ID="ButtonDiagnosesSearch" runat="server"
                                    Text="Go" ToolTip="Select to search Diagnoses"
                                    Width="60px"
                                    onclick="ButtonDiagnosisSearchClick" 
                                    Enabled="true" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow> 
                            <asp:TableCell>
                                <asp:ListBox ID="ListBoxDiagnoses" runat="server"  
                                    Rows="5" 
                                    Width="550px"
                                    SelectionMode="Multiple"                                         
                                    DataTextField="Code" 
                                    DataValueField="ID"
                                    Enabled="true">
                                </asp:ListBox>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell CssClass="hintLabel">*Leave search field empty to show all results</asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell CssClass="hintLabel">*To make multiple selections, hold [CTRL] key and click on a code</asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell CssClass="hintLabel">*To select all entries between two codes, hold [CTRL][SHIFT] keys together</asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>

            
                    <asp:CustomValidator ID="CustomValidatorDiagnoses"
                        runat="server"
                        ValidationGroup="OnRunReport"
                        ErrorMessage="Choose 'Use All' or select at least one ICD9 code"
                        ClientValidationFunction="validateDiagnoses"
                        OnServerValidate="ValidateDiagnoses"></asp:CustomValidator>
                </asp:TableCell>
                <asp:TableCell runat="server" ID="TableCell16">
                        &nbsp;
                </asp:TableCell>
            </asp:TableRow>
            <tr>
               <td>
                    <asp:Button ID="ButtonRunReport" runat="server" 
                        Text="Run Report" ToolTip="Select to Run Report"
                        Width="90px"  
                        ValidationGroup="OnRunReport"
                        onclick="ButtonRunReportClick" 
                        style="margin-left: 0px; margin-top: 8px"/>
                </td>
            </tr>
        </table>
    </div>
</asp:Panel>
<div class = "excludeSaveWarnings">
    <rsweb:ReportViewer ID="ReportViewerReport" runat="server"  
        Width="100%"
        ProcessingMode="Remote" Height="700px" >
    </rsweb:ReportViewer> 
</div>
<asp:ObjectDataSource ID="ObjectDataSourceRegistryVISNs" runat="server" 
    SelectMethod="GetVISNOnlyList" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists"> 
</asp:ObjectDataSource>
<asp:ObjectDataSource ID="ObjectDataSourceICD9EyeDiagnosticCodes" runat="server" 
    SelectMethod="GetICD9Codes_EyeDiagnosticCodes" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>

