﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ReviewCommentsTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_ReviewCommentsTabUserControl" %>
<%@ Register src="EncounterInformationHeaderUserControl.ascx" tagname="EncounterHeaderUserControl" tagprefix="userControlEncounterHeader" %>

<script type ="text/javascript">
    $(document).ready(function() {

        $('span.invisibleAccess').each(function() {
            var l = $("<label class='invisibleAccess' />")
       .html($(this).html())
            //.attr('for', $(this).next(":input").attr("id"));
        .attr('for', $(this).next(':input').attr('id'));
            $(this).replaceWith(l);
            //$(this).css({ "width": "0", "height": "0", "overflow": "hidden", "position": "absolute" });

        });

        $('label.invisibleAccess').css({ "width": "0", "height": "0", "overflow": "hidden", "position": "absolute" });
    }
    );
</script>


<table width="100%">
<tr>
    <td>
        <asp:Panel ID="PanelReviewCommentsDetails" runat="server" Width="100%">
            <asp:ValidationSummary runat="server" 
                HeaderText="The page has the following data errors: " 
                ID="ExamTabValidationSummary" 
                EnableClientScript="true" 
                DisplayMode="BulletList" 
                ShowSummary="false" 
                ShowMessageBox="True" />
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <asp:Panel ID="PanelReviewComments" runat="server" 
                            GroupingText="Review Comments &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <table width="100%" >
                                <tr>
                                    <td>
                                        <asp:GridView ID = "GridViewReviewComments"
                                                AutoGenerateColumns = "False" 
                                                runat ="server" 
                                                DataKeyNames = "ID" 
                                                Width="100%"
                                                DataSourceID="ObjectDataSourceReviewComments"
                                                OnRowCommand = "GridViewReviewComments_RowCommand"
                                                AllowPaging="True" 
                                                AllowSorting="True" 
                                                onrowdatabound="GridViewReviewComments_RowDataBound" >
                                                <EmptyDataTemplate>
                                                    No review comments for this referral
                                                </EmptyDataTemplate>
                                                <Columns>
                                                    <asp:TemplateField HeaderText = "Comment" AccessibleHeaderText="Comment">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelComment" runat = "server" Text = '<%# Eval("Comment")%>'/>
                                                        </ItemTemplate>
                                                     </asp:TemplateField>
                                                     <asp:TemplateField HeaderText = "Panel Name" AccessibleHeaderText="Panel Name" SortExpression="LOCATION_FRIENDLY_NAME">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelPanelName" runat = "server" Text = '<%# Eval("FriendlyPanelName")%>'/>
                                                        </ItemTemplate>
                                                     </asp:TemplateField>
                                                     <asp:TemplateField HeaderText = "Date" AccessibleHeaderText="Date" SortExpression="DATE_ENTERED" 
                                                            HeaderStyle-HorizontalAlign="Center"
                                                            ItemStyle-HorizontalAlign="Center" >
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelReviewCommentDate" runat = "server" Text = '<%# Eval("Date","{0:d}")%>'/>
                                                        </ItemTemplate>
                                                     </asp:TemplateField>
                                                     <asp:TemplateField HeaderText = "Resolved" AccessibleHeaderText="Resolved" SortExpression="RESOLVED_FLAG" 
                                                             HeaderStyle-HorizontalAlign="Center"
                                                             ItemStyle-HorizontalAlign="Center">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelForCheckBoxReviewCommentResolved" runat = "server" Enabled="true"
                                                                Text = "Resolved" SkinID = "InvisibleGridViewLabel"></asp:Label>
                                                            <asp:CheckBox ID="CheckBoxReviewCommentResolved" runat="server" Enabled="false" Checked = '<%# Eval("Resolved")%>' />
                                                        </ItemTemplate>
                                                     </asp:TemplateField>
                                                     <asp:TemplateField HeaderText = "Approved" AccessibleHeaderText="Approved" SortExpression="APPROVED_FLAG" 
                                                            HeaderStyle-HorizontalAlign="Center"
                                                            ItemStyle-HorizontalAlign="Center">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelForCheckBoxReviewCommentApproved" runat = "server" Enabled="true"
                                                                Text = "Approved" SkinID = "InvisibleGridViewLabel"></asp:Label>
                                                            <asp:CheckBox ID="CheckBoxReviewCommentApproved" runat="server" Enabled="false"  Checked = '<%# Eval("Approved")%>'/>
                                                        </ItemTemplate>
                                                     </asp:TemplateField>
                                                     <asp:TemplateField AccessibleHeaderText = "Select Review Comment"
                                                            HeaderStyle-HorizontalAlign="Center"
                                                            ItemStyle-HorizontalAlign="Center">
                                                        <ItemTemplate>
                                                           <asp:Button ID="ButtonGoToReviewComment" runat="server"
                                                                Text="Select"  
                                                                ToolTip='<%# string.Format("Review comment from date {0}", Eval("Date","{0:d}")) %>' 
                                                                CommandName="GoToReviewComment" 
                                                                CommandArgument='<%# Eval("Type") + ";" + Eval("ID") %>' 
                                                                CausesValidation="false"/>
                                                        </ItemTemplate>
                                                         
                                                    </asp:TemplateField>
                                                
                                                </Columns>
                                            </asp:GridView>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                        </asp:Panel>
                        <br />
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>
</table>

<asp:HiddenField ID="HiddenFieldReferralId" runat="server" />


<asp:ObjectDataSource ID="ObjectDataSourceReviewComments" runat="server" 
    SelectMethod="SelectReviewCommentsByReferralId" 
    SelectCountMethod="SelectReviewCommentsByReferralIdCount" 
    StartRowIndexParameterName="startRow" 
    MaximumRowsParameterName="maxRows" 
    SortParameterName="sort"
    EnablePaging="True"  
    TypeName="VeteransAffairs.Registries.BusinessManager.DVEIR.DVEIRReferralManager"
    >
    <SelectParameters>
        <asp:ControlParameter ConvertEmptyStringToNull="true"
            DefaultValue="0" Direction="Input" Name="id" ControlID="HiddenFieldReferralId" Type="Int32" />
        <asp:Parameter Name="sort" Type="String" />
        <asp:Parameter Name="startRow" Type="Int32" />
        <asp:Parameter Name="maxRows" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>
    

    
    
