﻿using System;
using System.Collections;
using System.Web.UI.WebControls;
using BusinessManagerClasses;

public partial class AdminListUsers : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        HiddenFieldRegistryName.Value = CurrentRegistry;

        if (!IsPostBack)
            HiddenFieldClearFlag.Value = "0";

        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewUsers.ClientID + "');", true);
    }

    public override string MenuItemName()
    {
        //return "List Users";
        return "DVEIR ADMIN LIST USERS";
    }

    public override string AppObjectCode()
    {
        return "DVEIR ADMIN LIST USERS";
    }

    public override string TopMenuName()
    {
        return "Administration";
    }

    protected void ButtonClear_Click(object sender, EventArgs e)
    {
        this.TextBoxSearchCriteria.Text = "";
        HiddenFieldClearFlag.Value = "1";
    }

    protected void ButtonSearch_Click(object sender, EventArgs e)
    {
        GridViewUsers.PageIndex = 0;
        HiddenFieldClearFlag.Value = "0";
    }

    protected void GridViewUsers_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        switch (e.CommandName)
        {
            case "Edit":
                var index1 = Convert.ToInt32(e.CommandArgument);
                GridViewUsers.SelectedIndex = index1;
                var id1 = Convert.ToInt32(GridViewUsers.SelectedValue);

                this.Redirect(string.Format("AdminEditUsers.aspx?id={0}", id1));
                break;
            case "Edit Roles":
                var index2 = Convert.ToInt32(e.CommandArgument);
                GridViewUsers.SelectedIndex = index2;
                var id2 = Convert.ToInt32(GridViewUsers.SelectedValue);

                this.Redirect(string.Format("AdminEditUsersRoles.aspx?id={0}", id2));
                break;
        }

        GridViewUsers.SelectedIndex = -1;

    }

    protected void ObjectDataSourceUsers_Deleting(object source, ObjectDataSourceMethodEventArgs e)
    {
        IDictionary paramsFromPage = e.InputParameters;
        if (paramsFromPage["USER_ID"] != null)
        {
            CreateLoggingRecord(DVEIRUserActivityType.ADMIN_REMOVE_USER, "User ID: " + paramsFromPage["USER_ID"]);

        }

    }

    protected void GridView_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            string s1 = string.Empty; // e.Row.Cells[0].Text;
            HyperLink hl = e.Row.Cells[0].Controls[0] as HyperLink;
            if (hl != null)
            {
                s1 = hl.Text;
                hl.ToolTip = "Edit the record for ID " + s1;
            }

            Button btn1 = e.Row.Cells[3].Controls[0] as Button;
            if (btn1 != null)
            {
                btn1.ToolTip = "Edit the record for ID " + s1;
            }

            Button btn2 = e.Row.Cells[4].Controls[0] as Button;
            if (btn2 != null)
            {
                btn2.ToolTip = "Edit Roles for record ID " + s1;
            }

            Button btn3 = e.Row.Cells[5].Controls[1] as Button;
            if (btn3 != null)
            {
                btn3.ToolTip = "Remove the record for ID " + s1;
            }
        }
    }
}
