﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.Utilities;

/// <summary>
/// Summary description for BaseClinicalDataControl
/// </summary>
public class BaseClinicalDataControl : System.Web.UI.UserControl
{
    protected int _anchorId = 0;
    protected string _locationFriendlyName = "Set Location Friendly Name in Aspx";
    protected TabLocationNames _locationPage;


    public BaseClinicalDataControl()
    {
        //
        // TODO: Add constructor logic here
        //
    }

    /// <summary>
    /// Set the value to Tab where the review comment is located
    /// </summary>
    public TabLocationNames LocationPage
    {
        get
        {
            return _locationPage;
        }

        set
        {
            _locationPage = value;
        }
    }


    /// <summary>
    /// Set the value to a unique number per tab/page where the review comment is located.
    /// The LocationPage and AnchorID properties will determine which data row in the database represents the instance of this control.
    /// </summary>
    public int AnchorId
    {
        get
        {
            return _anchorId;
        }

        set
        {
            _anchorId = value;
        }
    }

    /// <summary>
    /// Set the value to a friendly name that will give the user an understanding of which data element the comment is for.
    /// Example: Pupil Right Eye
    /// </summary>
    public string LocationFriendlyName
    {
        get
        {
            return _locationFriendlyName;
        }

        set
        {
            _locationFriendlyName = value;
        }
    }

    /// <summary>
    /// If true this control will ignore the ReadOnly status of the page, allowing it to control its own read-only logic.
    /// </summary>
    public bool OverrideReadOnly { get; set; }

    public BaseClinicalDataControlIdentifiers getIdentifyingData()
    {
        BaseClinicalDataControlIdentifiers identifier = new BaseClinicalDataControlIdentifiers();

        identifier.AnchorId = this._anchorId;
        identifier.LocationFriendlyName = this.LocationFriendlyName;
        identifier.LocationPage = this.LocationPage;

        return identifier;
    }
}

public class BaseClinicalDataControlIdentifiers
{

    public int AnchorId { get; set; }
    public string LocationFriendlyName { get; set; }
    public TabLocationNames LocationPage { get; set; }

}

public class GoToReviewCommentListEventArgs : EventArgs
{
    public string Type { get; set; }
    public int ReviewCommentID { get; set; }
}