﻿using System.Web;
using System.Web.UI;
using Managers;
using VeteransAffairs.Registries.BusinessManager;

/// <summary>
/// Summary description for Base Web Control
/// </summary>
public class BaseWebControl : UserControl
{
    protected UserAccountManager CurrentUser
    {
        get { return (UserAccountManager)HttpContext.Current.User; }
    }

    protected void CreateLoggingRecord(int referralId, int encounterId, string patientName, string activity, string description)
    {
        var sessionManager = new SessionManager(CurrentUser);

        int? refId = referralId == 0 ? (int?)null : referralId;
        int? encId = encounterId == 0 ? (int?)null : encounterId;

        sessionManager.AddSessionLog(refId, encId, patientName, activity, description, Request.RawUrl);
    }

    protected void CreateLoggingRecord(int referralId, int encounterId, string activity, string description)
    {
        var sessionManager = new SessionManager(CurrentUser);

        int? refId = referralId == 0 ? (int?)null : referralId;
        int? encId = encounterId == 0 ? (int?)null : encounterId;

        sessionManager.AddSessionLog(refId, encId, string.Empty, activity, description, Request.RawUrl);
    }
}
