﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using System.Data;
using System.Data.Linq;
using VeteransAffairs.Registries.Business;

namespace Legacy.DVEIR
{
    public enum DveirBaseControlType
    {
        None = 0,
        TextBox = 1,
        DropdownList = 2,
        Checkbox = 3,
        RadioButtonList = 5
    }
    
    [Serializable()]
    [System.ComponentModel.DataObject]
    public class DVEIRBaseControlManager : BaseBO
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="guid"></param>
        /// <returns></returns>
        public IEnumerable<VIEW_LOOKUP> SelectLookupList(string lookupCategory)
        {
            using (_db = GetDataContext())
            {
                if (DVEIRGlobal.ViewLookupAll == null)
                {
                    DVEIRGlobal.ViewLookupAll = SelectViewLookupAll().ToList();
                }

                List<VIEW_LOOKUP> entities = (from e in DVEIRGlobal.ViewLookupAll
                                              where e.LOOKUP_TYPE == lookupCategory
                                              select e).ToList();

                return entities;

            }
        }

        /// <summary>
        /// Select GUI Controls from VIEW_GUI_CONTROL view by category
        /// </summary>
        /// <param name="category"></param>
        /// <returns></returns>
        public IEnumerable<VIEW_GUI_CONTROL> SelectGuiControlList(string category)
        {
            using (_db = GetDataContext())
            {
                if (DVEIRGlobal.ViewGuiControlAll == null)
                {
                    DVEIRGlobal.ViewGuiControlAll = SelectGuiControlAll().ToList();
                }

                List<VIEW_GUI_CONTROL> entities = (from e in DVEIRGlobal.ViewGuiControlAll
                                              where e.CATEGORY == category
                                              select e).ToList();

                return entities;

            }
        }

        /// <summary>
        /// Select all values from VIEW_LOOKUP view
        /// </summary>
        /// <returns></returns>
        private IQueryable<VIEW_LOOKUP> SelectViewLookupAll()
        {
            IQueryable<VIEW_LOOKUP> linqFilter = (from e in _db.VIEW_LOOKUPs
                                                  orderby e.LOOKUP_TYPE, e.SORT, e.NAME
                                                  select e);
            return linqFilter;
        }


        /// <summary>
        /// Select all values from VIEW_GUI_CONTROL view
        /// </summary>
        /// <returns></returns>
        private IQueryable<VIEW_GUI_CONTROL> SelectGuiControlAll()
        {
            IQueryable<VIEW_GUI_CONTROL> linqFilter = (from e in _db.VIEW_GUI_CONTROLs
                                                       select e);
            return linqFilter;
        }
    }
}
