﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using System.Data;
using System.Data.Linq;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;

namespace Legacy.DVEIR
{
    [Serializable()]
    [System.ComponentModel.DataObject]
    public class DVEIREyeExamManager : BaseBO
    {
        private UserAccountManager _user = (UserAccountManager)System.Threading.Thread.CurrentPrincipal;
        private DVEIRCommonManager _commonManagerDveir = new DVEIRCommonManager();

        public DVEIREyeExamManager() 
        {
            _defaultSortField = "ER_EXAM_ID";
            
        }

        private IQueryable<ER_EXAM> LinqAll()
        {
            //populate LinqAll
            IQueryable<ER_EXAM> tempLinq = (from e in _db.ER_EXAMs
                                                 select e);
            
            return tempLinq;

        }

        private void SetLoadWith(RegistriesDataAccess db)
        {
            DataLoadOptions lo = new DataLoadOptions();

            
            //lo.LoadWith<ER_EXAM>(e => e.ER_PROCEDURE_DTLs);
            //lo.LoadWith<ER_PROCEDURE_DTL>(e => e.STD_ER_CPT4_CODE);
            
            //lo.LoadWith<ER_EXAM>(e => e.ER_DIAG_DTLs);
            //lo.LoadWith<ER_DIAG_DTL>(e => e.STD_ER_ICD9_CODE);

            lo.LoadWith<ER_EXAM>(e => e.ER_ACUITY_EXAM_DTLs);
                lo.LoadWith<ER_ACUITY_EXAM_DTL>(e => e.STD_ER_ACUITY_TYPE);
            lo.LoadWith<ER_EXAM>(e => e.ER_ANTERIOR_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_BROW_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_CORNEA_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_DISC_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_GLOBE_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_IMAGING_DTLs);
                lo.LoadWith<ER_IMAGING_DTL>(e => e.STD_ER_IMG_MTHD);
            lo.LoadWith<ER_EXAM>(e => e.ER_IRIS_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_ANGLE_RECESSION_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_LENS_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_LID_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_MISC_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_MOTILITY_EXAM_DTLs);
            //lo.LoadWith<ER_EXAM>(e => e.ER_NERVE_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_ORBIT_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_PUPIL_EXAM_DTLs);

            lo.LoadWith<ER_EXAM>(e => e.ER_RAPD_EXAM_DTLs);

            lo.LoadWith<ER_EXAM>(e => e.ER_RETINA_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_SCLERA_EXAM_DTLs);
            lo.LoadWith<ER_EXAM>(e => e.ER_VITREOUS_EXAM_DTLs);

            

            db.LoadOptions = lo;
            db.DeferredLoadingEnabled = false;


        }

        private void SetLoadWithForListViews(RegistriesDataAccess db)
        {
            DataLoadOptions lo = new DataLoadOptions();

            //lo.LoadWith<ER_EXAM>(e => e.ER_IMAGING_DTLs);
            //lo.LoadWith<ER_IMAGING_DTL>(e => e.STD_ER_IMG_MTHD);

            //lo.LoadWith<ER_EXAM>(e => e.ER_PROCEDURE_DTLs);
            //lo.LoadWith<ER_PROCEDURE_DTL>(e => e.STD_ER_CPT4_CODE);

            //lo.LoadWith<ER_EXAM>(e => e.ER_DIAG_DTLs);
            //lo.LoadWith<ER_DIAG_DTL>(e => e.STD_ER_ICD9_CODE);
            
            db.LoadOptions = lo;
            db.DeferredLoadingEnabled = false;


        }


        public void AddChild<P, C>(P parent, C child)
            where P : LINQEntityBase
            where C : LINQEntityBase
        {
            using (_db = GetDataContext())
            {
                var parentMapping = _db.Mapping.GetTable(typeof(P));
                var childAssociation =
                         parentMapping.RowType.Associations
                                 .Where(a => a.IsMany && a.OtherType.Type == typeof(C))
                                 .FirstOrDefault();

                if (childAssociation != null)
                {
                    var entitySet = (EntitySet<C>)childAssociation.ThisMember
                                                                   .MemberAccessor
                                                                   .GetBoxedValue(parent);
                    entitySet.Add(child);
                }
            }
        }

        #region Method for Check Existence
        
        public bool ItemExists(int id)
        {
            using (_db = GetDataContext())
            {
                int count = (from e in _db.ER_EXAMs where e.ER_EXAM_ID == id select e).Count();
                
                if (count > 0)
                {
                    return true;
                }
                else 
                {
                    return false;
                }
            }
        }

        #endregion

        #region Methods for Select

        public IEnumerable<ER_EXAM> Select(string sort, int startRow, int maxRows)
        {
            if (string.IsNullOrEmpty(sort))
            {
                sort = _defaultSortField;

            }

            using (_db = GetDataContext())
            {
                SetLoadWithForListViews(_db);
                List<ER_EXAM> entities;
                entities = SelectLinqFilter().OrderBy(sort).Skip(startRow).Take(maxRows).ToList();

                return entities;
                 
            }
        }

        public int SelectCount(string sort, int startRow, int maxRows)
        {
            using (_db = GetDataContext())
            {
                SetLoadWithForListViews(_db);
                return SelectLinqFilter().Count();
            }
        }

        private IQueryable<ER_EXAM> SelectLinqFilter()
        {
            IQueryable<ER_EXAM> linqFilter = LinqAll();
            return linqFilter;
        }

        #endregion

        #region Methods for SelectByID

        public ER_EXAM SelectByID(int id)
        {
            bool refresh = true;

            if (DVEIR.DVEIRGlobal.CurrentEyeExam != null)
            {
                if (DVEIR.DVEIRGlobal.CurrentEyeExam.ER_EXAM_ID == id)
                {
                    refresh = false;
                }
            }

             if (refresh)
             {
                 using (_db = GetDataContext())
                 {
                     SetLoadWith(_db);
                     ER_EXAM eyeExam = SelectByIDLinqFilter(id).SingleOrDefault();

                     if (eyeExam != null)
                     {
                         eyeExam.SetAsChangeTrackingRoot(true);

                         int status = eyeExam.EnforceBusinessRules(false, _db);
                     }

                     DVEIR.DVEIRGlobal.CurrentEyeExam = eyeExam;

                 }
             }
             return DVEIR.DVEIRGlobal.CurrentEyeExam;
        }

        private IQueryable<ER_EXAM> SelectByIDLinqFilter(int id)
        {
            IQueryable<ER_EXAM> linqFilter = LinqAll();
            
            linqFilter = from t in linqFilter where t.ER_EXAM_ID == id select t;

            return linqFilter;
        }

        #endregion

        #region Methods for SelectByPatientID

        public IEnumerable<ER_EXAM> SelectByPatientID(int id, string sort, int startRow, int maxRows)
        {
            if (string.IsNullOrEmpty(sort))
            {
                sort = _defaultSortField;

            }

            using (_db = GetDataContext())
            {
                SetLoadWithForListViews(_db);
                List<ER_EXAM> entities;
                entities = SelectByPatientIDLinqFilter(id).OrderBy(sort).Skip(startRow).Take(maxRows).ToList();

                return entities;

            }
        }

        public int SelectByPatientIDCount(int id, string sort, int startRow, int maxRows)
        {
            using (_db = GetDataContext())
            {
                SetLoadWithForListViews(_db);
                return SelectLinqFilter().Count();
            }
        }

        private IQueryable<ER_EXAM> SelectByPatientIDLinqFilter(int id)
        {
            IQueryable<ER_EXAM> linqFilter = LinqAll();
           
            linqFilter = from t in linqFilter where t.PATIENT_ID == id select t;

            return linqFilter;
        }

        #endregion

        #region Methods for Update


        public int Update(ER_EXAM eyeExam)
        {
            int returnStatus = 0;
            BOSaveSuccessEventArgs eventArgs = new BOSaveSuccessEventArgs();

            using (_db = GetDataContext())
            {
                _db.DeferredLoadingEnabled = false;

                int status = eyeExam.EnforceBusinessRules(true, _db);
                
                if (eyeExam.BrokenRules.Count == 0)
                {
                    eyeExam.SynchroniseWithDataContext(_db); //this line traverses all entities, attaching all of them as appropriate to the data context.
                    
                    //Check if any actual changes will occur
                    ChangeSet changeSet = _db.GetChangeSet();

                    if (changeSet.Deletes.Count > 0 || changeSet.Inserts.Count > 0
                    || changeSet.Updates.Count > 0)
                    {
                        _commonManagerDveir.ResetGlobalVariables();

                        //if changes present then submit changes
                        try
                        {
                            _db.SubmitChanges(ConflictMode.ContinueOnConflict);
                            
                            returnStatus =
                            eventArgs.SavedItemId = eyeExam.ER_EXAM_ID;
                            eventArgs.SaveStatusArg = SaveStatus.SaveSuccess;
                            RaiseSaveEvent(this, eventArgs);

                        }
                        catch (ChangeConflictException)
                        {
                            _db.ChangeConflicts.ResolveAll(RefreshMode.KeepChanges);
                            
                            returnStatus =
                            eventArgs.SavedItemId = eyeExam.ER_EXAM_ID;
                            eventArgs.SaveStatusArg = SaveStatus.SaveSuccess;
                            RaiseSaveEvent(this, eventArgs);
                        }
                        catch
                        {
                            returnStatus = -1;
                            eventArgs.SavedItemId = -1;
                            eventArgs.SaveStatusArg = SaveStatus.SaveFail;
                            RaiseSaveEvent(this, eventArgs);
                        }
                    }
                }
            }
            return returnStatus;
        }

        public ER_IMAGING_DTL AddImagingItemToExam(int examId, ER_IMAGING_DTL newImagingItem)
        {
            _commonManagerDveir.ResetGlobalVariables();

            int returnStatus = 0;
            ER_IMAGING_DTL returnImagingDetail = null;
            BOSaveSuccessEventArgs eventArgs = new BOSaveSuccessEventArgs();

            using (_db = GetDataContext())
            {
                DataLoadOptions lo = new DataLoadOptions();

                lo.LoadWith<ER_EXAM>(e => e.ER_IMAGING_DTLs);
                lo.LoadWith<ER_IMAGING_DTL>(e => e.STD_ER_IMG_MTHD);

                _db.LoadOptions = lo;
                _db.DeferredLoadingEnabled = false;

                ER_EXAM eyeExam = SelectByIDLinqFilter(examId).SingleOrDefault();

                if (eyeExam != null)
                {
                    eyeExam.ER_IMAGING_DTLs.Add(newImagingItem);

                    try
                    {
                        _db.SubmitChanges(ConflictMode.ContinueOnConflict);

                        returnStatus =
                        eventArgs.SavedItemId = eyeExam.ER_EXAM_ID;
                        eventArgs.SaveStatusArg = SaveStatus.SaveSuccess;
                        RaiseSaveEvent(this, eventArgs);
                    }
                    catch (ChangeConflictException)
                    {
                        _db.ChangeConflicts.ResolveAll(RefreshMode.KeepChanges);

                        returnStatus =
                        eventArgs.SavedItemId = eyeExam.ER_EXAM_ID;
                        eventArgs.SaveStatusArg = SaveStatus.SaveSuccess;
                        RaiseSaveEvent(this, eventArgs);
                    }
                    catch
                    {
                        returnStatus =
                        eventArgs.SavedItemId = -1;
                        eventArgs.SaveStatusArg = SaveStatus.SaveSuccess;
                        RaiseSaveEvent(this, eventArgs);
                    }
                }

                if (returnStatus > 0)
                {

                    returnImagingDetail = (from e in _db.ER_IMAGING_DTLs
                                           where e.ER_EXAM_ID == examId
                                           where e.STD_ER_IMG_MTHD_ID == newImagingItem.STD_ER_IMG_MTHD_ID
                                           && e.ER_IMAGING_DTL_ID == newImagingItem.ER_IMAGING_DTL_ID
                                           select e).FirstOrDefault();


                    returnImagingDetail.STD_ER_IMG_MTHD = (from e in _db.STD_ER_IMG_MTHDs
                                                           where e.ID == returnImagingDetail.STD_ER_IMG_MTHD_ID
                                                           select e).FirstOrDefault();

                }

            }
            return returnImagingDetail;
        }

        public int DeleteImagingItemFromExam(int ImagingDtlId)
        {
            int returnStatus = -1;

            _commonManagerDveir.ResetGlobalVariables();

            using (_db = GetDataContext())
            {
                ER_IMAGING_DTL ImagingDetail = (from e in _db.ER_IMAGING_DTLs
                                                where e.ER_IMAGING_DTL_ID == ImagingDtlId 
                                                select e).FirstOrDefault();

                _db.ER_IMAGING_DTLs.DeleteOnSubmit(ImagingDetail);
            
                try
                {
                    _db.SubmitChanges(ConflictMode.ContinueOnConflict);
                    returnStatus = 0;

                }
                catch (ChangeConflictException)
                {
                    _db.ChangeConflicts.ResolveAll(RefreshMode.KeepChanges);
                    returnStatus = 0;
                }
                catch
                {
                    returnStatus = -1;
                }
            }
            return returnStatus;
        }

        public int DeleteRapdItemFromExam(int rapdDtlId)
        {
            int returnStatus = -1;

            _commonManagerDveir.ResetGlobalVariables();

            using (_db = GetDataContext())
            {
                ER_RAPD_EXAM_DTL rapdDetail = (from e in _db.ER_RAPD_EXAM_DTLs
                                               where e.ER__RAPD_EXAM_DTL_ID == rapdDtlId
                                                select e).FirstOrDefault();
                if (rapdDetail != null)
                {
                    _db.ER_RAPD_EXAM_DTLs.DeleteOnSubmit(rapdDetail);
                }
                try
                {
                    _db.SubmitChanges(ConflictMode.ContinueOnConflict);
                    returnStatus = 0;
                }
                catch (ChangeConflictException)
                {
                    _db.ChangeConflicts.ResolveAll(RefreshMode.KeepChanges);
                    returnStatus = 0;
                }
                catch
                {
                    returnStatus = -1;
                }
            }
            return returnStatus;
        }

        #endregion

        #region Methods to change foreign key references


        #endregion


        #region EnforceBusinessRules

        public int EnforceBusinessRules(ref ER_EXAM eyeExam) 
        {
            using (_db = GetDataContext())
            {
                int status = eyeExam.EnforceBusinessRules(false, _db);
            }

            return 0;
        }


        #endregion


    }
}

