﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VeteransAffairs.Registries.Business;

namespace Legacy.DVEIR
{
    [Serializable()]
    [System.ComponentModel.DataObject]
    public class DVEIRGlobal
    {
        /// <summary>
        /// Get or set the static ViewLookupAll data.  This will be retrieved only once.
        /// </summary>
        public static List<VIEW_LOOKUP> ViewLookupAll { get; set; }


        /// <summary>
        /// Get or set the static ViewGuiControlAll data.  This will be retrieved only once.
        /// </summary>
        public static List<VIEW_GUI_CONTROL> ViewGuiControlAll { get; set; }


        /// <summary>
        /// The DVEIR_REFERRAL object
        /// </summary>
        public static DVEIR_REFERRAL CurrentDveivrReferral { get; set; }


        /// <summary>
        /// The DVEIR_REFERRAL object with the encounter detailed info
        /// </summary>
        public static DVEIR_REFERRAL CurrentDveivrReferralWithEncounter { get; set; }

        /// <summary>
        /// The ER_ENCOUNTER object 
        /// </summary>
        public static ER_ENCOUNTER CurrentEncounter { get; set; }

        /// <summary>
        /// The current patient object
        /// </summary>
        public static PATIENT CurrentPatient { get; set; }


        /// <summary>
        /// The current eye exam object
        /// </summary>
        public static ER_EXAM CurrentEyeExam { get; set; }
    }
}
