﻿using System.Collections.Generic;
using System.Linq;
using DataAccess;
using VeteransAffairs.Registries.BusinessManager;
using ViewModels;
using ViewModels.Encounter;

namespace Managers
{
    /// <summary>
    /// Summary description for Session Manager
    /// </summary>
    public class SessionManager
    {
        protected UserAccountManager CurrentUser { get; private set; }

        protected DataAccessManager DataAccessManager { get; private set; }

        public SessionManager(UserAccountManager currentUser)
        {
            this.CurrentUser = currentUser;
            this.DataAccessManager = new DataAccessManager(currentUser.UserName);
        }

        public void AddSessionLog(int? referralId, int? encounterId, string patientName, string activity, string description, string webUrl)
        {
            var sessionLog = new SESSION_LOG()
            {
                USERNAME = CurrentUser.UserName,
                REFERRAL_ID = referralId,
                ENCOUNTER_ID = encounterId,
                PATIENT_NAME = patientName,
                ACTIVITY = activity,
                DESCRIPTION = description,
                WEB_URL = webUrl
            };

            DataAccessManager.AddSessionLog(sessionLog);
        }
    }
}