﻿using System;
using System.Collections.Generic;

namespace ViewModels.Encounter
{
    /// <summary>
    /// Summary description for Encounter View Model
    /// </summary>
    [Serializable]
    public class EncounterViewModel
    {
        public int ReferralId { get; set; }

        public int EncounterId { get; set; }

        public string PatientName { get; set; }

        public EncounterStatusType StatusType { get; set; }
        
        public bool AllowReviewerComments { get; set; }

        public IEnumerable<EncounterOperation> AvaiilableEncounterOperations { get; set; }

        public GeneralViewModel GeneralView { get; set; }

        public ProviderViewModel ProviderView { get; set; }

        public ChiefComplaintViewModel ChiefComplaintView { get; set; }

        public ExamViewModel ExamView { get; set; }

        public DiagnosisViewModel DiagnosisView { get; set; }

        public ProceduresViewModel ProceduresView { get; set; }

        public HistoryViewModel HistoryView { get; set; }
    }

    [Serializable]
    public enum EncounterStatusType
    {
        New = 1,
        InProc = 2,
        Review = 3,
        SendBack = 4,
        ReadyToSend = 5,
        Completed = 6
    }

    [Serializable]
    public enum EncounterOperation
    {
        Save = 1,
        ReadyForReview = 2,
        ReturnToAbstractor = 3,
        SendToDVEIVR = 4,
        Cancel = 5
    }
}