﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ViewModels.Encounter
{
    /// <summary>
    /// Summary description for General View Model
    /// </summary>
    [Serializable]
    public class GeneralViewModel
    {
        public int ReferralId { get; set; }

        public int EncounterId { get; set; }

        public string PatientName { get; set; }

        public bool IsReadOnly { get; set; }

        public DateTime VisitDate { get; set; }

        public Facility Facility
        {
            get { return Facilities.FirstOrDefault(f => f.Id == FacilityId); }
        }

        public int FacilityId { get; set; }

        public string EncounterType { get; set; }

        public DateTime DateReferred { get; set; }

        public IEnumerable<Facility> Facilities { get; set; }

        public IEnumerable<ReviewCommentSummary> ReviewCommentSummaries { get; set; }
    }

    [Serializable]
    public class ReviewCommentSummary
    {
        public string CommentLocation { get; set; }

        public bool IsResolved { get; set; }

        public string ResolvedBy { get; set; }

        public DateTime? ResolvedDate { get; set; }

        public bool IsApproved { get; set; }

        public string ApprovedBy { get; set; }

        public DateTime? ApprovedDate { get; set; }

        public int AnchorId { get; set; }

        public string QuestionCode { get; set; }

        public string LateralityCode { get; set; }

        public long? GroupingId { get; set; }

        public DateTime CreatedDate { get; set; }

        public string CreatedBy { get; set; }

        public DateTime UpdatedDate { get; set; }

        public string UpdatedBy { get; set; }
    }

    [Serializable]
    public class Facility
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public string StationNumber { get; set; }
    }
}