﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ViewModels.Encounter
{
    /// <summary>
    /// Summary description for Procedures View Model
    /// </summary>
    [Serializable]
    public class ProceduresViewModel
    {
        public int ReferralId { get; set; }

        public int EncounterId { get; set; }

        public string PatientName { get; set; }

        public bool IsReadOnly { get; set; }

        public string VisitId { get; set; }

        public ProceduresSummary ProcedureSummary { get; set; }

        public IEnumerable<Laterality> AvailableLateralities { get; set; }

        public IEnumerable<Laterality> AvailableLateralitiesOrdered
        {
            get { return AvailableLateralities.OrderBy(l => l.SortOrder); }
        }

        public string InitialLateralityCode { get; set; }

        public IEnumerable<ProceduresSummary> ProceduresSummaries { get; set; }
    }

    [Serializable]
    public class ProceduresSummary
    {
        public int Id { get; set; }

        public string LateralityCode { get; set; }

        public string Laterality { get; set; }

        public string Code { get; set; }

        public string CodeType { get; set; }

        public string Name { get; set; }

        public string CodeDescription { get; set; }
    }
}