﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Angle Recession Event
    /// </summary>
    [Serializable]
    public class ColorVisionEventModel : BaseEventModel
    {
        public TextQuestion NumberCorrect { get; set; }

        public TextQuestion TotalNumber { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.PIP,
                    ChoiceCodes.TestPerformed.PIPTypeNS,
                    ChoiceCodes.TestPerformed.PIPDetails,
                    ChoiceCodes.TestPerformed.PIPDvorine,
                    ChoiceCodes.TestPerformed.PIPIsh,
                    ChoiceCodes.TestPerformed.PIPIshDet,
                    ChoiceCodes.TestPerformed.PIPC
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "CV_TP";

            public static string EventComment = "CV_C";

            public static string NumberCorrect = "CV_NC";

            public static string TotalNumber = "CV_TN";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string PIP = "CV_TP5";

                public static string PIPTypeNS = "CV_TP6";

                public static string PIPDetails = "CV_TP7";

                public static string PIPDvorine = "CV_TP8";

                public static string PIPIsh = "CV_TP9";

                public static string PIPIshDet = "CV_TP10";

                public static string PIPC = "CV_TP11";
            }
        }
    }
}