﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Imaging Ancillary Event
    /// </summary>
    [Serializable]
    public class ImagingAncillaryEventModel : BaseEventModel
    {
        public MultiSelectQuestion ImagingMethodology { get; set; }

        public Dictionary<string, TextQuestion>  TestDates { get; set; }

        public Dictionary<string, TextQuestion>  TestResults { get; set; }

        public List<ImagingMethodologyView> ImagingMethodologyViews
        {
            get
            {
                return ImagingMethodology.SelectedChoicesOrderd.Select(
                    c =>
                        new ImagingMethodologyView()
                        {
                            ChoiceCode = c.Code,
                            DisplayText = c.DisplayText,
                            RequiresComment = c.RequiresComment,
                            Comment = c.Comment,
                            TestDate = TestDates.ContainsKey(c.Code) ? TestDates[c.Code].ResponseText : string.Empty,
                            TestResult = TestResults.ContainsKey(c.Code) ? TestResults[c.Code].ResponseText : string.Empty
                        })
                    .ToList();
            }
        } 

        public class ImagingMethodologyView
        {
            public string ChoiceCode { get; set; }
            public string DisplayText { get; set; }
            public bool RequiresComment { get; set; }
            public string Comment { get; set; }
            public string TestDate { get; set; }
            public string TestResult { get; set; }
        }

        public static class QuestionCodes
        {
            public static string ImagingMethodology = "IAT_IM";

            public static string TestDateSuffix = "_TD";

            public static string TestResultSuffix = "_TR";
        }
    }
}