﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Intraocular Pressure Event Model
    /// </summary>
    [Serializable]
    public class IntraocularPressureEventModel : BaseEventModel
    {
        public TextQuestion Method { get; set; }
        public TextQuestion MethodComment { get; set; }
        public TextQuestion Number { get; set; }
        public TextQuestion Time { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "IOP_TP";

            public static string TestResult = "IOP_TR";

            public static string EventComment = "IOP_C";

            public static string Method = "IOP_M";

            public static string MethodComment = "IOP_M_C";

            public static string Number = "IOP_N";

            public static string Time = "IOP_T";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "IOP_TP_Y";

                public static string NotDocumented = "IOP_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "IOP_TR_N";

                public static string Abnormal = "IOP_TR_A";
            }
        }
    }
}