﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Lens Event Model
    /// </summary>
    [Serializable]
    public class LensEventModel : BaseEventModel
    {
        public MultiSelectQuestion VisitData { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "LN_TP";

            public static string TestResult = "LN_TR";

            public static string EventComment = "LN_C";

            public static string VisitData = "LN_VD";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "LN_TP_Y";

                public static string NotDocumented = "LN_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "LN_TR_N";

                public static string Abnormal = "LN_TR_A";
            }
        }
    }
}