﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Motility Event
    /// </summary>
    [Serializable]
    public class MotilityEventModel : BaseEventModel
    {
        public SingleSelectQuestion Pursuit { get; set; }

        public SingleSelectQuestion Saccades { get; set; }

        public SingleSelectQuestion Nystagmus { get; set; }

        public MultiSelectQuestion NystagmusOptions { get; set; }

        public MultiSelectQuestion Motility { get; set; }

        public MultiSelectQuestion CranialNerve { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static IEnumerable<string> MotilityNumberComment
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.Motility.Esophoria,
                    ChoiceCodes.Motility.Esotropia,
                    ChoiceCodes.Motility.Exophoria,
                    ChoiceCodes.Motility.Exotropia,
                    ChoiceCodes.Motility.Hyperphoria,
                    ChoiceCodes.Motility.Hypertropia,
                    ChoiceCodes.Motility.Hypotropia
                };
            }
        } 

        public static class QuestionCodes
        {
            public static string TestPerformed = "MO_TP";

            public static string TestResult = "MO_TR";

            public static string EventComment = "MO_C";

            public static string Pursuit = "MO_P";

            public static string Saccades = "MO_S";

            public static string Nystagmus = "MO_N";

            public static string NystagmusOptions = "MO_NO";

            public static string Motility = "MO_MOT";

            public static string CranialNerve = "MO_CN";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "MO_TP_Y";

                public static string NotDocumented = "MO_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "MO_TR_N";

                public static string Abnormal = "MO_TR_A";
            }

            public static class Pursuit
            {
                public static string NotDocumented = "MO_P3";
            }

            public static class Saccades
            {
                public static string NotDocumented = "MO_S3";
            }

            public static class Nystagmus
            {
                public static string Present = "MO_N1";

                public static string NotDocumented = "MO_N3";
            }

            public static class Motility
            {
                public static string Esophoria = "MO_MOT13";

                public static string Esotropia = "MO_MOT14";

                public static string Exophoria = "MO_MOT15";

                public static string Exotropia = "MO_MOT16";

                public static string Hyperphoria = "MO_MOT20";

                public static string Hypertropia = "MO_MOT21";

                public static string Hypotropia = "MO_MOT22";
            }
        }
    }
}