﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Optic Disc Event Model
    /// </summary>
    [Serializable]
    public class OpticDiscEventModel : BaseEventModel
    {
        public MultiSelectQuestion VisitData { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "OD_TP";

            public static string TestResult = "OD_TR";

            public static string EventComment = "OD_C";

            public static string VisitData = "OD_VD";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "OD_TP_Y";

                public static string NotDocumented = "OD_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "OD_TR_N";

                public static string Abnormal = "OD_TR_A";
            }
        }
    }
}