﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Orbit Event Model
    /// </summary>
    [Serializable]
    public class OrbitEventModel : BaseEventModel
    {
        public MultiSelectQuestion VisitData { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "OR_TP";

            public static string TestResult = "OR_TR";

            public static string EventComment = "OR_C";

            public static string VisitData = "OR_VD";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "OR_TP_Y";

                public static string NotDocumented = "OR_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "OR_TR_N";

                public static string Abnormal = "OR_TR_A";
            }
        }
    }
}