﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ViewModels.Referral
{
    /// <summary>
    /// 
    /// </summary>
    [Serializable]
    public class ReferralSearchViewModel
    {
        private IEnumerable<ReferralSearchSummary> _referralSearchSummaries;

        public ReferralSearchViewModel()
        {
            VISNs = new Dictionary<int, string>();
            Facilities = new Dictionary<int, string>();
            EncounterStatuses = new Dictionary<int, string>();
            ReferralSearchSummaries = new ReferralSearchSummary[0];
        }

        public Dictionary<int, string> VISNs { get; set; }

        public Dictionary<int, string> Facilities { get; set; }

        public Dictionary<int, string> EncounterStatuses { get; set; }

        public string PatientNameSSN { get; set; }

        public int SelectedVisn { get; set; }

        public int SelectedFacility { get; set; }

        public int SelectedEncounterStatus { get; set; }

        public IEnumerable<ReferralSearchSummary> ReferralSearchSummaries
        {
            get { return _referralSearchSummaries ?? new ReferralSearchSummary[0]; } 
            set { _referralSearchSummaries = value.ToArray(); }
        } 
    }

    /// <summary>
    /// 
    /// </summary>
    [Serializable]
    public class ReferralSearchSummary
    {
        public int ReferralId { get; set; }

        public int ReferralSTSId { get; set; }

        public DateTime ReferralDate { get; set; }

        public string PatientSSN { get; set; }

        public string PatientName { get; set; }

        public string StationNumber { get; set; }

        public string VISNName { get; set; }

        public int TotalEncounterCount { get; set; }
    }
}