﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ViewModels.Reporting
{
    /// <summary>
    /// 
    /// </summary>
    [Serializable]
    public class UserEventLogReportViewModel
    {
        private IEnumerable<UserEventLog> _userEventLogs;

        public Dictionary<string, string> Users { get; set; } 

        public string Username { get; set; }

        public int ReferralId { get; set; }

        public int EncounterId { get; set; }

        public DateTime DateFrom { get; set; }

        public DateTime DateTo { get; set; }

        public IEnumerable<UserEventLog> UserEventLogs
        {
            get { return _userEventLogs; }
            set { _userEventLogs = value.ToArray(); }
        }
    }

    /// <summary>
    /// User event log
    /// </summary>
    [Serializable]
    public class UserEventLog
    {
        /// <summary>Gets or sets the username.</summary>
        /// <value>The username.</value>
        public string Username { get; set; }

        /// <summary>Gets or sets the event time.</summary>
        /// <value>The event time.</value>
        public DateTime EventTime { get; set; }

        /// <summary>Gets or sets the event description.</summary>
        /// <value>The event description.</value>
        public string EventDescription { get; set; }

        /// <summary>Gets or sets the referral identifier.</summary>
        /// <value>The referral identifier.</value>
        public int? ReferralId { get; set; }

        /// <summary>Gets or sets the encounter identifier.</summary>
        /// <value>The encounter identifier.</value>
        public int? EncounterId { get; set; }

        /// <summary>Gets or sets the name of the patient.</summary>
        /// <value>The name of the patient.</value>
        public string PatientName { get; set; }
    }
}