﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ViewModels
{
    [Serializable]
    public class SingleSelectQuestion : BaseQuestion
    {
        public Choice SelectedChoice { get; set; }

        public List<Choice> AllChoices { get; private set; }

        public IEnumerable<Choice> AllChoicesOrdered
        {
            get { return AllChoices.OrderBy(c => c.SortOrder); }
        } 

        public SingleSelectQuestion()
        {
            AllChoices = new List<Choice>();
        }

        public override bool IsAnswered
        {
            get { return SelectedChoice != null && !string.IsNullOrEmpty(SelectedChoice.Code); }
        }
    }
}