﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DiagnosisControl.ascx.cs" Inherits="Controls.Encounter.DiagnosisControl" %>

<%@ Register Src="~/controls/ReviewComment/ReviewerCommentControl.ascx" TagName="ReviewerCommentControl" TagPrefix="mevir" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadAjaxManagerProxy ID="ajaxProxyDiagnosis" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="rbAddDiagnosis">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlDiagnosisContents" LoadingPanelID="ralpLoadingPanelDiagnosis"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbAddDiagnosisEntry">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlDiagnosisContents" LoadingPanelID="ralpLoadingPanelDiagnosis"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbCancelAddDiagnosisEntry">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlDiagnosisContents" LoadingPanelID="ralpLoadingPanelDiagnosis"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rgDiagnosis">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlDiagnosisContents" LoadingPanelID="ralpLoadingPanelDiagnosis"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
<telerik:RadAjaxLoadingPanel ID="ralpLoadingPanelDiagnosis" runat="server" Skin="Office2010Blue"></telerik:RadAjaxLoadingPanel>

<asp:Panel ID="pnlBlindRehabRegion" runat="server" Width="100%" GroupingText="Vision Rehabilitation&nbsp;">
    <div class="paddedTabContent">
        <mevir:ReviewerCommentControl ID="rccDiagnosisBlindRehab" runat="server"
            OnReviewSavedSuccessfully="rccDiagnosisBlindRehab_OnReviewSavedSuccessfully" />
        <asp:Label ID="lblForBlindRehab" runat="server" Text="Referred to/currently in Vision Rehabilitation" />&nbsp;
            <telerik:RadButton ID="rbBlindRehabYes" runat="server" Text="Yes" ToggleType="Radio"
                ButtonType="StandardButton" GroupName="BlindRehabPatient" AutoPostBack="false"
                ToolTip="Vision Rehabilitation - Click to indicate yes" />
        &nbsp;&nbsp;
            <telerik:RadButton ID="rbBlindRehabNo" runat="server" Text="No" ToggleType="Radio"
                ButtonType="StandardButton" GroupName="BlindRehabPatient" AutoPostBack="false"
                ToolTip="Vision Rehabilitation - Click to indicate no" />
        &nbsp;&nbsp;
            <telerik:RadButton ID="rbBlindRehabNA" runat="server" Text="Unknown" ToggleType="Radio"
                ButtonType="StandardButton" GroupName="BlindRehabPatient" AutoPostBack="false"
                ToolTip="Vision Rehabilitation - Click to indicate unknown" />
    </div>
</asp:Panel>
<br />
<asp:Panel ID="pnlDiagnosisInformation" runat="server" Width="100%" GroupingText="Diagnosis Information&nbsp;">
    <asp:Panel runat="server" ID="pnlDiagnosisContents" CssClass="paddedTabContent">

        <asp:Panel ID="pnlAddDiagnosisBtn" runat="server" Visible="false">
            <telerik:RadButton ID="rbAddDiagnosis" runat="server" Text="Add Diagnosis"
                ToolTip="Click to add a Diagnosis Entry for Encounter" OnClick="rbAddDiagnosis_Click" />
            <br />
            <br />
        </asp:Panel>

        <telerik:RadGrid ID="rgDiagnosis" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top"
            OnItemCommand="rgDiagnosis_ItemCommand" OnNeedDataSource="rgDiagnosis_NeedDataSource"
            AllowMultiRowSelection="false" PageSize="20" MasterTableView-EnableSplitHeaderText="false">
            <MasterTableView Caption="Diagnosis List" AutoGenerateColumns="false" DataKeyNames="Id" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                <NoRecordsTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                No Diagnosis Records for Encounter
                                </asp:Label>
                            </td>
                        </tr>
                    </table>
                </NoRecordsTemplate>
                <SortExpressions>
                    <telerik:GridSortExpression FieldName="Code" SortOrder="Ascending" />
                </SortExpressions>
                <Columns>
                    <telerik:GridButtonColumn ButtonType="LinkButton" Text="Edit" CommandName="EditDiagnosis" Exportable="false" HeaderText="Edit"
                        HeaderTooltip="Click to Edit the Diagnosis record." UniqueName="EditDiagnosisColumn" />
                    <telerik:GridButtonColumn ButtonType="LinkButton" Text="Delete" CommandName="DeleteDiagnosis" Exportable="false" HeaderText="Delete"
                        HeaderTooltip="Click to Delete the Diagnosis record." ConfirmText="Are you sure you would like to delete this record?" UniqueName="DeleteDiagnosisColumn" />
                    <telerik:GridBoundColumn DataField="Laterality" DataType="System.String" HeaderTooltip="Click to sort by laterality"
                        HeaderText="Laterality" ReadOnly="True" SortExpression="Laterality" UniqueName="Laterality_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CodeType" DataType="System.String" HeaderTooltip="Click to sort by Code Type"
                        HeaderText="Code Type" ReadOnly="True" SortExpression="CodeType" UniqueName="Type_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Code" DataType="System.String" HeaderTooltip="Click to sort by Code"
                        HeaderText="Code" ReadOnly="True" SortExpression="Code" UniqueName="Value_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CodeDescription" DataType="System.String" HeaderTooltip="Click to sort by Code Description"
                        HeaderText="Code Description" ReadOnly="True" SortExpression="CodeDescription" UniqueName="Description_Report">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
            <ClientSettings>
            </ClientSettings>
        </telerik:RadGrid>

        <%--Used for Edit - holds the ENCOUNTER_DETAIL_ID--%>
        <asp:HiddenField ID="hfEncounterDetailID" runat="server" />

        <asp:Panel ID="pnlAddDiagnosisRegion" runat="server" GroupingText="Add Diagnosis&nbsp;&nbsp;" ToolTip="Add Diagnosis Region" Visible="false">
            <table>
                <tr>
                    <td style="vertical-align: top;">
                        <%--<asp:Label ID="lblForLaterality" runat="server" AssociatedControlID="ddlLaterality" Text="Laterality:" ToolTip="Select a laterality from the drop down list." />--%>
                        <label for="<%=ddlLaterality.ClientID%>_Input">Laterality:</label>
                    </td>
                    <td style="vertical-align: top;">
                        <telerik:RadComboBox runat="server" ID="ddlLaterality" AllowCustomText="true"
                            EmptyMessage="Laterality...." Width="200px" Filter="Contains" ToolTip="Select A Laterality"
                            IsCaseSensitive="False" MarkFirstMatch="True"
                            OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                            OnClientTextChange="MEVIR.Common.RadComboBoxValidateText" />
                        <asp:RequiredFieldValidator ID="reqValLaterallity" runat="server" Display="Dynamic" ControlToValidate="ddlLaterality" TabIndex="0"
                            ErrorMessage="* Laterality must be provided." CssClass="requiredField" ToolTip="Laterality is a required field"
                            ValidationGroup="addDiagnosis" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;">
                        <asp:Label ID="lblForDetailCode" runat="server" AssociatedControlID="rtbDetailCode" Text="ICD Code:"
                            ToolTip="Enter the ICD Code in the associated textbox." />
                    </td>
                    <td style="vertical-align: top;">
                        <telerik:RadTextBox ID="rtbDetailCode" runat="server" Width="200" EmptyMessage="Enter the ICD Code"
                            ToolTip="Enter the ICD Code in this textbox" ValidationGroup="addDiagnosis" />
                        <asp:RequiredFieldValidator ID="ICDCodeRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rtbDetailCode" TabIndex="0"
                            ErrorMessage="* ICD Code must be provided." CssClass="requiredField" ToolTip="ICD Code is a required field"
                            ValidationGroup="addDiagnosis" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;">
                        <asp:Label ID="lblForDescription" runat="server" AssociatedControlID="rtbDescription" Text="Description:" ToolTip="Enter the description for the ICD Code in the associated textbox." />
                    </td>
                    <td style="vertical-align: top;">
                        <telerik:RadTextBox ID="rtbDescription" runat="server" Width="200" TextMode="MultiLine" EmptyMessage="Enter the description text for the ICD Code"
                            ToolTip="Enter the ICD Code Description in this area" ValidationGroup="addDiagnosis" />
                        <asp:RequiredFieldValidator ID="DescriptionRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rtbDescription" TabIndex="0"
                            ErrorMessage="* ICD Description must be provided." CssClass="requiredField" ToolTip="ICD Description is a required field"
                            ValidationGroup="addDiagnosis" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;"></td>
                    <td style="vertical-align: top;"></td>
                </tr>
                <tr>
                    <td colspan="2" style="vertical-align: top;">
                        <telerik:RadButton ID="rbAddDiagnosisEntry" runat="server" Text="Add Diagnosis" ToolTip="Click to add diagnosis entry to the encounter"
                            OnClick="rbAddDiagnosisEntry_Click" TabIndex="0" ValidationGroup="addDiagnosis" />
                        <telerik:RadButton ID="rbCancelAddDiagnosisEntry" runat="server" Text="Cancel" ToolTip="Click to cancel adding diagnosis entry"
                            OnClick="rbCancelAddDiagnosisEntry_Click" TabIndex="0" CausesValidation="false" />
                    </td>
                </tr>
            </table>
        </asp:Panel>

    </asp:Panel>
</asp:Panel>
