﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamControl.ascx.cs" Inherits="Controls.Encounter.ExamControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ReviewComment/ReviewerCommentControl.ascx" TagName="ReviewerCommentControl" TagPrefix="mevir" %>

<style type="text/css">
    .fullWidth {
        width: 99%;
    }

    .examTabWrapper {
        width: 99%;
        padding: 5px;
    }

    .SideBySideEyeExamPanel {
        width: 99%;
    }

    .EyeExamTableColumnIndent {
        width: 4%;
    }

    .eyeExamWidthBetweenODPanelOSPanel {
        width: 8px;
    }

    .btnSaveEvent {
        float: right;
        width: 50px;
        display: none;
    }
</style>
<div class="examTabWrapper">
    <telerik:RadAjaxManagerProxy ID="ajaxProxyExam" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="btnSaveEvent">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvEventList" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnUpdateEvent">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvEventList" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnCancelUpdate">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ddlEventTypes">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="gvEventList">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvEventList" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnlExam"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <asp:Panel ID="pnlEyeExamEventList" runat="server" GroupingText="Eye Exam Events &nbsp;&nbsp;" CssClass="fullWidth">
        <telerik:RadGrid ID="gvEventList" runat="server" AutoGenerateColumns="False" OnItemCommand="gvEventList_OnItemCommand"
            OnNeedDataSource="gvEventList_OnNeedDataSource" PageSize="10" AllowPaging="True">
            <MasterTableView Caption="Eye Exam Event List" AutoGenerateColumns="false" DataKeyNames="CategoryCode, LateralityCode, GroupingId">
                <Columns>
                    <telerik:GridTemplateColumn>
                        <ItemTemplate>
                            <asp:PlaceHolder runat="server" ID="phReadOnly" Visible='<%# ((bool)Eval("IsReadOnly")) %>'>
                                <asp:LinkButton runat="server" ID="lbtnViewSummary" Text="View" CommandName="ViewEvent"
                                    ToolTip="Click to edit the event" />
                            </asp:PlaceHolder>
                            <asp:PlaceHolder runat="server" ID="phEditable" Visible='<%# (!(bool)Eval("IsReadOnly")) %>'>
                                <asp:LinkButton runat="server" ID="lbtnEditSummary" Text="Edit" CommandName="EditEvent"
                                    ToolTip="Click to edit the event" />
                                &nbsp;
                                <asp:LinkButton runat="server" ID="lbtnDeleteSummary" Text="Delete" Visible='<%# ((bool)Eval("AllowDelete")) %>'
                                    CommandName="DeleteEvent"
                                    OnClientClick="return confirm('Are you sure you want to delete this event');"
                                    ToolTip="Click to delete the event" />
                            </asp:PlaceHolder>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" />
                    <telerik:GridBoundColumn DataField="Laterality" HeaderText="Laterality" />
                    <telerik:GridBoundColumn DataField="FullDescription" HeaderText="Details" />
                    <telerik:GridBoundColumn DataField="CreatedBy" HeaderText="Created By" />
                    <telerik:GridBoundColumn DataField="CreatedDate" HeaderText="Created Date" />
                    <telerik:GridBoundColumn DataField="ReviewComment" HeaderText="Review" />
                    <telerik:GridCheckBoxColumn DataField="IsResolved" HeaderText="Resolved" />
                    <telerik:GridCheckBoxColumn DataField="IsApproved" HeaderText="Approved" />
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </asp:Panel>
    <!-- Contains all eye injury user controls default hidden -->
    <asp:Panel ID="pnlEyeExamEventDetail" runat="server" GroupingText="Add/Update Event Detail &nbsp;" CssClass="fullWidth">
        <asp:Panel runat="server" ID="pnlExamDetailContents">
            <div id="EventType">
                <span>
                    <b>
                        <%--<asp:Label runat="server" ID="lblEventType" AssociatedControlID="ddlEventTypes">Event Type: </asp:Label>--%>
                        <label for="<%= ddlEventTypes.ClientID %>_Input">Event Type: </label>
                    </b>
                </span>
                <span>
                    <telerik:RadComboBox runat="server" ID="ddlEventTypes" Width="300px" AutoPostBack="True"
                        OnSelectedIndexChanged="ddlEventTypes_OnSelectedIndexChanged"
                        ToolTip="Select an event category" AllowCustomText="True" Filter="Contains"
                        IsCaseSensitive="False" MarkFirstMatch="True"
                        OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                        OnClientTextChange="MEVIR.Common.RadComboBoxValidateText">
                        <DefaultItem Text="" Value=""></DefaultItem>
                    </telerik:RadComboBox>
                </span>
                <div style="clear: both;"></div>
            </div>
            <mevir:ReviewerCommentControl ID="rccExamEvent" runat="server" OnReviewSavedSuccessfully="rccExamEvent_OnReviewSavedSuccessfully" />
            <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="eventCategorySave"
                HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
            <asp:Panel ID="pnlEyeExamEventCategory" runat="server" GroupingText="" CssClass="fullWidth">
                <asp:PlaceHolder runat="server" ID="phEventCategory"></asp:PlaceHolder>
            </asp:Panel>
            <asp:Button runat="server" ID="btnSaveEvent" Text="Save" Visible="False" ValidationGroup="eventCategorySave"
                ToolTip="Click to save the event" OnClick="btnSaveEvent_OnClick" />
            <asp:Button runat="server" ID="btnUpdateEvent" Text="Update" Visible="False" ValidationGroup="eventCategorySave"
                ToolTip="Click to update the event" OnClick="btnSaveEvent_OnClick" />
            <asp:Button runat="server" ID="btnCancelUpdate" Text="Cancel" Visible="False"
                ToolTip="Click to cancel updating the event" OnClick="btnCancelUpdate_OnClick" />
        </asp:Panel>
    </asp:Panel>
</div>
