﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProcedureControl.ascx.cs" Inherits="Controls.Encounter.ProcedureControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadAjaxManagerProxy ID="ajaxProxyProcedure" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="rbAddProcedure">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlProcedureContents" LoadingPanelID="ralpLoadingPnlProcedure"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbAddProcedureEntry">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlProcedureContents" LoadingPanelID="ralpLoadingPnlProcedure"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbCancelAddProcedureEntry">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlProcedureContents" LoadingPanelID="ralpLoadingPnlProcedure"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rgProcedures">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlProcedureContents" LoadingPanelID="ralpLoadingPnlProcedure"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
<telerik:RadAjaxLoadingPanel ID="ralpLoadingPnlProcedure" runat="server" Skin="Office2010Blue"></telerik:RadAjaxLoadingPanel>

<asp:Panel ID="pnlProcedureInformation" runat="server" Width="100%" GroupingText="Procedure Information&nbsp;">
    <asp:Panel ID="pnlProcedureContents" runat="server" CssClass="paddedTabContent">
        <asp:Panel ID="pnlAddProcedureBtn" runat="server" Visible="false">
            <telerik:RadButton ID="rbAddProcedure" runat="server" Text="Add Procedure"
                ToolTip="Click to add a Procedure Entry for Encounter" OnClick="rbAddProcedure_Click" />
            <br />
            <br />
        </asp:Panel>

        <telerik:RadGrid ID="rgProcedures" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgProcedures_ItemCommand"
            OnNeedDataSource="rgProcedures_NeedDataSource" AllowMultiRowSelection="false" PageSize="20" TabIndex="0" MasterTableView-EnableSplitHeaderText="false">
            <MasterTableView Caption="Procedure List" AutoGenerateColumns="false" DataKeyNames="Id" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                <NoRecordsTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                No Procedure Records for Encounter
                                </asp:Label>
                            </td>
                        </tr>
                    </table>
                </NoRecordsTemplate>
                <SortExpressions>
                    <%--<telerik:GridSortExpression FieldName="StaffName" SortOrder="Ascending" />--%>
                </SortExpressions>
                <Columns>
                    <telerik:GridButtonColumn ButtonType="LinkButton" Text="Edit" CommandName="EditProcedure" Exportable="false" HeaderText="Edit"
                        HeaderTooltip="Click to Edit the Procedure record." UniqueName="EditProcedureColumn" />
                    <telerik:GridButtonColumn ButtonType="LinkButton" Text="Delete" CommandName="DeleteProcedure" Exportable="false" HeaderText="Delete"
                        HeaderTooltip="Click to Delete the Procedure record." ConfirmText="Are you sure you would like to delete this record?" UniqueName="DeleteProcedureColumn" />
                    <telerik:GridBoundColumn DataField="Laterality" DataType="System.String" HeaderTooltip="Click to sort by Laterality"
                        HeaderText="Laterality" ReadOnly="True" SortExpression="Laterality" UniqueName="Laterality_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CodeType" DataType="System.String" HeaderTooltip="Click to sort by Code Type" HeaderText="Code Type" ReadOnly="True" SortExpression="CodeType" UniqueName="Type_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Name" DataType="System.String" HeaderTooltip="Click to sort by Name" HeaderText="Name" ReadOnly="True" SortExpression="Name" UniqueName="Name_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Code" DataType="System.String" HeaderTooltip="Click to sort by Code" HeaderText="Code" ReadOnly="True" SortExpression="Code" UniqueName="Value_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CodeDescription" DataType="System.String" HeaderTooltip="Click to sort by Description" HeaderText="Code Description" ReadOnly="True" SortExpression="CodeDescription" UniqueName="Description_Report">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

        <%--Used for Edit - holds the ENCOUNTER_DETAIL_ID--%>
        <asp:HiddenField ID="hfEncounterDetailID" runat="server" />

        <asp:Panel ID="pnlAddProcedureRegion" runat="server" GroupingText="Add Procedure&nbsp;&nbsp;" ToolTip="Add Procedure Region" Visible="false">
            <table>
                <tr>
                    <td style="vertical-align: top;">
                        <%--<asp:Label ID="lblForLaterality" runat="server" AssociatedControlID="ddlLaterality" Text="Laterality:" ToolTip="Select a laterality from the drop down list." />--%>
                        <label for="<%=ddlLaterality.ClientID%>_Input">Laterality:</label>
                    </td>
                    <td style="vertical-align: top;">
                        <telerik:RadComboBox runat="server" ID="ddlLaterality" AllowCustomText="true"
                            EmptyMessage="Laterality...." Width="200px" Filter="Contains" ToolTip="Required - Select A Laterality"
                            IsCaseSensitive="False" MarkFirstMatch="True"
                            OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                            OnClientTextChange="MEVIR.Common.RadComboBoxValidateText" />
                        <asp:RequiredFieldValidator ID="reqValLaterallity" runat="server" Display="Dynamic" ControlToValidate="ddlLaterality" TabIndex="0"
                            ErrorMessage="* Laterality must be provided." CssClass="requiredField" ToolTip="Laterality is a required field"
                            ValidationGroup="addProcedure" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;">
                        <asp:Label ID="lblForDetailCode" runat="server" AssociatedControlID="rtbDetailCode" Text="CPT Code:"
                            ToolTip="Enter the CPT Code in the associated textbox." />
                    </td>
                    <td style="vertical-align: top;">
                        <telerik:RadTextBox ID="rtbDetailCode" runat="server" Width="200" EmptyMessage="Enter the CPT Code"
                            ToolTip="Required - CPT Code" ValidationGroup="addProcedure" />
                        <asp:RequiredFieldValidator ID="CPTCodeRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rtbDetailCode" TabIndex="0"
                            ErrorMessage="* CPT Code must be provided." CssClass="requiredField" ToolTip="CPT Code is a required field"
                            ValidationGroup="addProcedure" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;">
                        <asp:Label ID="lblForDetailName" runat="server" AssociatedControlID="rtbDetailName" Text="Short Description:" ToolTip="Enter the CPT Short Description in the associated textbox." />
                    </td>
                    <td style="vertical-align: top;">
                        <telerik:RadTextBox ID="rtbDetailName" runat="server" Width="200" EmptyMessage="Enter the CPT Short Description"
                            ToolTip="Required - CPT Short Description" ValidationGroup="addProcedure" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;">
                        <asp:Label ID="lblForDescription" runat="server" AssociatedControlID="rtbDescription" Text="Long Description:" ToolTip="Enter the long description for the CPT Code in the associated textbox." />
                    </td>
                    <td style="vertical-align: top;">
                        <telerik:RadTextBox ID="rtbDescription" runat="server" Width="200" TextMode="MultiLine" EmptyMessage="Enter the description text for the CPT Code"
                            ToolTip="Required - CPT Code Long Description" ValidationGroup="addProcedure" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;"></td>
                    <td style="vertical-align: top;"></td>
                </tr>
                <tr>
                    <td colspan="2" style="vertical-align: top;">
                        <telerik:RadButton ID="rbAddProcedureEntry" runat="server" Text="Add Procedure"
                            ToolTip="Click to add procedure entry to the encounter"
                            OnClick="rbAddProcedureEntry_Click" TabIndex="0" ValidationGroup="addProcedure" />
                        <telerik:RadButton ID="rbCancelAddProcedureEntry" runat="server" Text="Cancel"
                            ToolTip="Click to cancel adding procedure entry"
                            OnClick="rbCancelAddProcedureEntry_Click" TabIndex="0" CausesValidation="false" />
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </asp:Panel>
</asp:Panel>
