﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProviderControl.ascx.cs" Inherits="Controls.Encounter.ProviderControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="rbAddProvider">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlProviderContents" LoadingPanelID="ralpLoadingPanel"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbAddProviderEntry">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlProviderContents" LoadingPanelID="ralpLoadingPanel"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbCancelAddProviderEntry">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlProviderContents" LoadingPanelID="ralpLoadingPanel"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rgProviders">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="rgProviders" LoadingPanelID="ralpLoadingPanel"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rcbInstitution">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlAddProviderRegion" LoadingPanelID="ralpLoadingPanel"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
<telerik:RadAjaxLoadingPanel ID="ralpLoadingPanel" runat="server" Skin="Office2010Blue"></telerik:RadAjaxLoadingPanel>

<asp:Panel ID="pnlProviderInformation" runat="server" Width="100%" GroupingText="Provider Information&nbsp;">
    <asp:Panel runat="server" ID="pnlProviderContents" CssClass="paddedTabContent">
        <asp:Panel ID="pnlProviderSummary" runat="server">
            <asp:PlaceHolder runat="server" Visible="True" ID="phAddProvider">
                <telerik:RadButton ID="rbAddProvider" runat="server" Text="Add Provider" ToolTip="Click to search and add a provider" OnClick="rbAddProvider_Click" />
                <br />
                <br />
            </asp:PlaceHolder>
            <telerik:RadGrid ID="rgProviders" runat="server" AllowPaging="True" AllowSorting="True" 
                GroupPanelPosition="Top" OnItemCommand="rgProviders_ItemCommand"
                OnNeedDataSource="rgProviders_NeedDataSource" PageSize="20" MasterTableView-EnableSplitHeaderText="false">
                <MasterTableView Caption="Provider List" AutoGenerateColumns="False" DataKeyNames="Id" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                        No Provider Records for Encounter
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <Columns>
                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Delete" CommandName="Delete" HeaderText="Delete"
                            HeaderTooltip="Click to Delete the Provider record." ConfirmText="Are you sure you would like to delete this record?" />
                        <telerik:GridBoundColumn DataField="Id" DataType="System.Int32" HeaderTooltip="Click to sort by ID" HeaderText="StaffSID" ReadOnly="True" SortExpression="Id" UniqueName="StaffSID_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridTemplateColumn HeaderText="Primary Provider" HeaderTooltip="Click to sort by Is Primary" SortExpression="IsPrimary" UniqueName="IsPrimary_Report">
                            <ItemTemplate>
                                <asp:Label runat="server" ID="lblPrimary" Text="Primary" Visible='<%# ((bool)Eval("IsPrimary")) %>' />
                                <asp:LinkButton runat="server" ID="lbtnSecondary" Text="Make Primary" CommandName="MakePrimary" 
                                    Visible='<%# !ProviderViewModel.IsReadOnly && !((bool)Eval("IsPrimary")) %>' />
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                        <telerik:GridBoundColumn DataField="Name" DataType="System.String" HeaderTooltip="Click to sort by Staff Name" HeaderText="Staff Name" ReadOnly="True" SortExpression="Name" UniqueName="StaffName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Sta3n" DataType="System.Int16" HeaderTooltip="Click to sort by Sta3n" HeaderText="Sta3n" ReadOnly="True" SortExpression="Sta3n" UniqueName="Sta3n_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="InstitutionName" DataType="System.String" HeaderTooltip="Click to sort by Institution Name" HeaderText="Institution Name" ReadOnly="True" SortExpression="InstitutionName" UniqueName="InstitutionName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Address1" DataType="System.String" HeaderTooltip="Click to sort by Street Address 1" HeaderText="Street Address 1" ReadOnly="True" SortExpression="Address1" UniqueName="StreetAddress1_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Address2" DataType="System.String" HeaderTooltip="Click to sort by Street Address 2" HeaderText="Street Address 2" ReadOnly="True" SortExpression="Address2" UniqueName="StreetAddress2_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="City" DataType="System.String" HeaderTooltip="Click to sort by City" HeaderText="City" ReadOnly="True" SortExpression="City" UniqueName="City_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="State" DataType="System.String" HeaderTooltip="Click to sort by State" HeaderText="State" ReadOnly="True" SortExpression="State" UniqueName="StateAbbrev_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Zip" DataType="System.String" HeaderTooltip="Click to sort by Zip" HeaderText="Zip" ReadOnly="True" SortExpression="Zip" UniqueName="Zip_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="BusinessPhone" DataType="System.String" HeaderTooltip="Click to sort by Business Phone" HeaderText="Business Phone" ReadOnly="True" SortExpression="BusinessPhone" UniqueName="BusinessPhone_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Fax" DataType="System.String" HeaderTooltip="Click to sort by Fax" HeaderText="Fax" ReadOnly="True" SortExpression="Fax" UniqueName="Fax_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
            </telerik:RadGrid>
        </asp:Panel>
        <asp:Panel ID="pnlAddProviderRegion" runat="server" GroupingText="Add Provider&nbsp;&nbsp;" Visible="false">
            <%--<asp:Label ID="lblForProviderFacility" AssociatedControlID="rcbInstitution" runat="server" Text="Select Provider's Facility: "/>--%>
            <label for="<%=rcbInstitution.ClientID%>_Input">Select Provider's Facility:</label>
            <br />
            <telerik:RadComboBox ID="rcbInstitution" runat="server" AllowCustomText="true" AutoPostBack="True" EnableViewState="True" 
                OnSelectedIndexChanged="rcbInstitution_OnSelectedIndexChanged" CausesValidation="False"
                EmptyMessage="Search for Facility...." Width="350" Filter="Contains" DataTextField="Value"
                DataValueField="Key" ToolTip="Required Field - Facility" ValidationGroup="addProvider"
                IsCaseSensitive="False" MarkFirstMatch="True"
                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText">
                <DefaultItem Value="" Text=""></DefaultItem>
            </telerik:RadComboBox>
            <asp:RequiredFieldValidator ID="reqValFacility" runat="server" Display="Dynamic" ControlToValidate="rcbInstitution"
                ErrorMessage="* Facility must be selected." CssClass="requiredField" Enabled="True"
                ValidationGroup="addProvider" />
            <br />
            <br />
            <%--<asp:Label ID="lblForProviderList" AssociatedControlID="rcbProviders" runat="server" Text="Select/Search for Provider: "></asp:Label>--%>
            <label for="<%=rcbProviders.ClientID%>_Input">Select/Search for Provider:</label>
            <br />
            <telerik:RadComboBox ID="rcbProviders" runat="server" AllowCustomText="false"
                EmptyMessage="Search for Provider...." Width="350" Filter="Contains" EnableViewState="True" DataTextField="Value"
                DataValueField="Key" ToolTip="Required Field - Provider" ValidationGroup="addProvider"
                IsCaseSensitive="False" MarkFirstMatch="True"
                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText">
                <DefaultItem Value="" Text=""></DefaultItem>
            </telerik:RadComboBox>
            <asp:RequiredFieldValidator ID="ProviderRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rcbProviders"
                ErrorMessage="* Provider must be selected." CssClass="requiredField" Enabled="True" ToolTip="Provider is a required field and must be selected"
                ValidationGroup="addProvider" />
            <br />
            <br />
            <asp:CheckBox runat="server" ID="cbIsPrimaryProvider" Text="Is Primary Provider" ToolTip="Select to make primary provider" />
            <br />
            <br />
            <telerik:RadButton ID="rbAddProviderEntry" runat="server" Text="Add Provider" ToolTip="Click to add provider to the encounter"
                OnClick="rbAddProviderEntry_Click" ValidationGroup="addProvider" />
            <telerik:RadButton ID="rbCancelAddProviderEntry" runat="server" Text="Cancel" ToolTip="Click to cancel adding providers"
                OnClick="rbCancelAddProviderEntry_Click" CausesValidation="false" />
        </asp:Panel>
    </asp:Panel>
</asp:Panel>
