﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EncounterInformationUserControl.ascx.cs" Inherits="controls_EncounterInformationUserControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Panel ID="pnlEncounterInformation" runat="server" GroupingText="Encounter Information">
    <asp:Panel ID="pnlReadOnlyEncounterInfo" runat="server" class="paddedTabContent">
        <asp:Table ID="tblEncounterInformation" runat="server">
            <asp:TableRow>
                <asp:TableCell HorizontalAlign="Left">
                    <asp:Label ID="lblDate" runat="server" Text="Date:" AssociatedControlID="lblActualDate" ToolTip="Encounter Date" />&nbsp;&nbsp;
                    <asp:Label ID="lblActualDate" runat="server" Width="250px" Text="" />
                </asp:TableCell>
                <asp:TableCell HorizontalAlign="Left">
                    <asp:Label ID="lblFacility" runat="server" Text="Facility:" AssociatedControlID="lblActualFacility" ToolTip="Encounter Facility" />&nbsp;&nbsp;
                    <asp:Label ID="lblActualFacility" runat="server" Width="350px" Text="" />
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
        <br />
        <asp:Panel ID="pnlOtherInformation" runat="server" Width="100%" GroupingText="Other Information&nbsp;" class="paddedTabContent">
            <table>
                <tr>
                    <td style="width: 100px">
                        <asp:Label ID="lblForEncounterType" AssociatedControlID="lblEncounterType" runat="server" Text="Encounter Type: "></asp:Label>
                    </td>
                    <td colspan="3">
                        <asp:Label ID="lblEncounterType" runat="server" Text="" SkinID="DataLabel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 100px;">
                        <asp:Label ID="lblForReferralDate" AssociatedControlID="lblReferralDate" runat="server" Text="Date Referred: "></asp:Label>
                    </td>
                    <td colspan="3">
                        <asp:Label ID="lblReferralDate" runat="server" Text="" SkinID="DataLabel"></asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </asp:Panel>

    <asp:Panel ID="pnlEditableEncounterInfo" runat="server" class="paddedTabContent" Visible="false">
        <asp:Table ID="tblEncounterInformationEditable" runat="server">
            <asp:TableRow>
                <asp:TableCell HorizontalAlign="Left">
                    <%--<asp:Label ID="lblForDateOfEncounterEditable" AssociatedControlID="rdtpDateOfEncounterEditable" runat="server" Text="Date:" ToolTip="Date of Encounter" />--%>
                    <label for="<%=rdtpDateOfEncounterEditable.ClientID%>_dateInput">Date:</label>&nbsp;&nbsp;
                    <telerik:RadDateTimePicker ID="rdtpDateOfEncounterEditable" runat="server" Width="200" DateInput-EmptyMessage="Please Provide an Encounter Date" ToolTip="Date of Encounter" />

                    <asp:RequiredFieldValidator ID="EncounterDateRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rdtpDateOfEncounterEditable" TabIndex="0"
                        ErrorMessage="* Visit Date must be selected." CssClass="requiredField" ToolTip="Provider Tab: Visit Date is a required field and must be selected" SetFocusOnError="true" />
                </asp:TableCell>
                <asp:TableCell Width="10">&nbsp;</asp:TableCell>
                <asp:TableCell HorizontalAlign="Left">
                    <%--<asp:Label ID="lblForInstitution" AssociatedControlID="rcbInstitution" runat="server" Text="Facility:" ToolTip="Encounter Facility" />--%>
                    <label for="<%=rcbInstitution.ClientID%>_Input">Facility:</label>
                    &nbsp;&nbsp;
                    <telerik:RadComboBox ID="rcbInstitution" runat="server" AllowCustomText="false" DataSourceID="ObjectDataSourceVISNStationOnlyList"
                        EmptyMessage="Search for Facility...." Width="350" Filter="Contains" EnableViewState="True" DataTextField="FullVISNName"
                        DataValueField="ID" ToolTip="Required Field - Institution" TabIndex="0"
                        IsCaseSensitive="False" MarkFirstMatch="True"
                        OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                        OnClientTextChange="MEVIR.Common.RadComboBoxValidateText">
                        <DefaultItem Value="" Text=""></DefaultItem>
                    </telerik:RadComboBox>
                    <asp:RequiredFieldValidator ID="InstitutionRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rcbInstitution" TabIndex="0"
                        ErrorMessage="* Institution must be selected." CssClass="requiredField" ToolTip="Institution is a required field and must be selected" />

                    <asp:ObjectDataSource ID="ObjectDataSourceVISNStationOnlyList" runat="server" SelectMethod="GetVISNStationOnlyList"
                        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists"></asp:ObjectDataSource>
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>

        <br />
        <asp:Panel ID="pnlOtherInfoEditable" runat="server" Width="100%" GroupingText="Other Information&nbsp;" class="paddedTabContent">
            <table>
                <tr>
                    <td>
                        <%--<asp:Label ID="lblForEncounterTypeEditable" AssociatedControlID="rcbEncounterType" runat="server" Text="Encounter Type: "></asp:Label>--%>
                        <label for="<%=rcbEncounterType.ClientID%>_Input">Encounter Type:</label>
                    </td>
                    <td style="padding-left: 10px;" colspan="3">
                        <div style="display: inline;" class="requiredField" title="Required Field">*</div>
                        <telerik:RadComboBox ID="rcbEncounterType" runat="server" Width="200" TabIndex="0" EmptyMessage="Select an Encounter Type" 
                            ToolTip="Required Field - Encounter Type">
                            <Items>
                                <telerik:RadComboBoxItem Text="Inpatient" Value="I" />
                                <telerik:RadComboBoxItem Text="Outpatient" Value="O" />
                            </Items>
                        </telerik:RadComboBox>

                        <asp:RequiredFieldValidator ID="EncounterTypeRequiredFieldValidator" runat="server" CssClass="requiredField" Display="Dynamic" ControlToValidate="rcbEncounterType"
                            ErrorMessage="* Encounter Type must be selected." InitialValue="" TabIndex="0" ToolTip="Encounter Type is a required field and must be selected." />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblForReferralDateEditable" AssociatedControlID="lblReferralDateEditable" runat="server" Text="Date Referred: "></asp:Label>
                    </td>
                    <td style="padding-left: 10px;" colspan="3">
                        <asp:Label ID="lblReferralDateEditable" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

    </asp:Panel>
</asp:Panel>
