﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamMultiSelectUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamMultiSelectUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
<telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="gvMultiSelect">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="gvMultiSelect" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>

<asp:Panel runat="server" ID="pnlMultiSelectWrapper" CssClass="gvMultiSelectWrapper">
    <telerik:RadGrid runat="server" ID="gvMultiSelect" AutoGenerateColumns="False"
        OnItemDataBound="gvMultiSelect_OnItemDataBound" OnItemCommand="gvMultiSelect_OnItemCommand">
        <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
            <Columns>
                <telerik:GridTemplateColumn HeaderText="">
                    <ItemTemplate>
                        <%# Eval("DisplayText") %>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <%# Eval("DisplayText") %>
                    </EditItemTemplate>
                    <FooterTemplate>
                        <telerik:RadComboBox ID="ddlMultiSelect" runat="server" AllowCustomText="true"
                                             Filter="Contains" EnableViewState="True" CssClass="ddlMultiSelect"
                                             OnItemDataBound="ddlMultiSelect_OnItemDataBound"
                                             OnClientLoad=" MEVIR.Exam.Common.MultiSelectOnLoad "
                                             OnClientSelectedIndexChanged=" MEVIR.Exam.Common.MultiSelectSelectionChanged "/>
                    </FooterTemplate>
                    <ItemStyle CssClass="multiSelectCol"></ItemStyle>
                    <HeaderStyle CssClass="multiSelectCol"></HeaderStyle>
                    <FooterStyle CssClass="multiSelectCol"></FooterStyle>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="Additional Details" HeaderTooltip="Additional Details">
                    <ItemTemplate>
                        <%# Eval("Comment") %>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox runat="server" ID="tbMultiSelectAdditionalDetails" CssClass="tbMultiSelectAdditionalDetails"
                            Text='<%# Bind("Comment") %>' Visible='<%# Bind("RequiresComment") %>' />
                    </EditItemTemplate>
                    <FooterTemplate>
                        <span id="multiSelectAdditionalDetailsWrapper">
                            <asp:TextBox runat="server" ID="tbMultiSelectAdditionalDetails" CssClass="tbMultiSelectAdditionalDetails" />
                        </span>
                    </FooterTemplate>
                    <ItemStyle CssClass="multiSelectAdditionalDetailsCol"></ItemStyle>
                    <HeaderStyle CssClass="multiSelectAdditionalDetailsCol"></HeaderStyle>
                    <FooterStyle CssClass="multiSelectAdditionalDetailsCol"></FooterStyle>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="">
                    <ItemTemplate>
                        <asp:PlaceHolder runat="server" ID="phMSEdit" Visible='<%# Eval("RequiresComment") %>'>
                            <asp:LinkButton runat="server" ID="lbtnMultiSelectEdit" CommandName="Edit" Text="Edit" />
                            &nbsp;
                        </asp:PlaceHolder>
                        <asp:LinkButton runat="server" ID="lbtnMultiSelectDelete" CommandName="Delete" Text="Delete" />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:LinkButton runat="server" ID="lbtnMultiSelectUpdate" CommandName="Update" Text="Update" />
                        &nbsp;
                        <asp:LinkButton runat="server" ID="lbtnMultiSelectCancel" CommandName="Cancel" Text="Cancel" />
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:LinkButton runat="server" ID="lbtnMultiSelectAdd" CommandName="Add" Text="Add" />
                    </FooterTemplate>
                    <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                    <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                    <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                </telerik:GridTemplateColumn>
            </Columns>
        </MasterTableView>
    </telerik:RadGrid>
</asp:Panel>
