﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabAngleRecessionUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabAngleRecessionUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>

<div id="angleRecessionEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvVisitData">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvVisitData" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="gvVisitDataWrapper">
                <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="chAdd"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <asp:ValidationSummary runat="server" ID="valSummaryEdit" EnableClientScript="True" ValidationGroup="chEdit"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <telerik:RadGrid runat="server" ID="gvVisitData" AutoGenerateColumns="False"
                    OnItemDataBound="gvVisitData_OnItemDataBound" OnItemCommand="gvVisitData_OnItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
                        <Columns>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox ID="ddlVisitData" runat="server" AllowCustomText="true"
                                                         EmptyMessage="Angle Recession...." Filter="Contains" EnableViewState="True" CssClass="ddlVisitData"
                                                         OnItemDataBound="ddlVisitData_OnItemDataBound"
                                                         OnClientLoad=" MEVIR.Exam.AngleRecession.VisitDataOnLoad "
                                                         OnClientSelectedIndexChanged=" MEVIR.Exam.AngleRecession.VisitDataSelectionChanged" />
                                </FooterTemplate>
                                <ItemStyle CssClass="visitDataCol"></ItemStyle>
                                <HeaderStyle CssClass="visitDataCol"></HeaderStyle>
                                <FooterStyle CssClass="visitDataCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Additional Details">
                                <ItemTemplate>
                                    <%# Eval("Comment") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox runat="server" ID="tbVisitDataAdditionalDetails" CssClass="tbVisitDataAdditionalDetails"
                                        Text='<%# Bind("Comment") %>' Visible='<%# Bind("RequiresComment") %>' />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <span id="visitDataAdditionalDetailsWrapper">
                                        <asp:TextBox runat="server" ID="tbVisitDataAdditionalDetails" CssClass="tbVisitDataAdditionalDetails" />
                                    </span>
                                </FooterTemplate>
                                <ItemStyle CssClass="visitDataAdditionalDetailsCol"></ItemStyle>
                                <HeaderStyle CssClass="visitDataAdditionalDetailsCol"></HeaderStyle>
                                <FooterStyle CssClass="visitDataAdditionalDetailsCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <%# Eval("ClockHour") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour1" ValidationGroup="chEdit" AllowCustomText="true"
                                        Filter="StartsWith" CssClass="ddlClockHour" />
                                    <b>&nbsp;-&nbsp;</b>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour2" ValidationGroup="chEdit" AllowCustomText="true"
                                        Filter="StartsWith" CssClass="ddlClockHour" />
                                    <asp:CompareValidator runat="server" ID="cvClockHours1" ValidationGroup="chEdit" CssClass="examTabError"
                                        ControlToValidate="ddlClockHour2" ControlToCompare="ddlClockHour1" Type="Integer" Operator="GreaterThan"
                                        Display="Dynamic" EnableClientScript="True" ErrorMessage="Second clock hour should be more than the first" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour1" ValidationGroup="chAdd" AllowCustomText="true"
                                        Filter="StartsWith" CssClass="ddlClockHour" />
                                    <b>&nbsp;-&nbsp;</b>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour2" ValidationGroup="chAdd" AllowCustomText="true"
                                        Filter="StartsWith" CssClass="ddlClockHour" />
                                    <asp:CompareValidator runat="server" ID="cvClockHours2" ValidationGroup="chAdd" CssClass="examTabError"
                                        ControlToValidate="ddlClockHour2" ControlToCompare="ddlClockHour1" Type="Integer" Operator="GreaterThan"
                                        Display="Dynamic" EnableClientScript="True" ErrorMessage="Second clock hour should be more than the first" />
                                </FooterTemplate>
                                <ItemStyle CssClass="clockHoursCol"></ItemStyle>
                                <HeaderStyle CssClass="clockHoursCol"></HeaderStyle>
                                <FooterStyle CssClass="clockHoursCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataEdit" CommandName="Edit" Text="Edit" />
                                    &nbsp;
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataDelete" CommandName="Delete" Text="Delete" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataUpdate" ValidationGroup="chEdit" CommandName="Update" Text="Update" />
                                    &nbsp;
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataCancel" CommandName="Cancel" Text="Cancel" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataAdd" ValidationGroup="chAdd" CommandName="Add" Text="Add" />
                                </FooterTemplate>
                                <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
