﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabAnteriorChamberUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabAnteriorChamberUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>

<div id="anteriorChamberEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvVisitData">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvVisitData" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="gvVisitDataWrapper">
                <asp:ValidationSummary runat="server" ID="valSummaryEdit" EnableClientScript="True" ValidationGroup="vdEdit"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="vdAdd"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <telerik:RadGrid runat="server" ID="gvVisitData" AutoGenerateColumns="False"
                    OnItemDataBound="gvVisitData_OnItemDataBound" OnItemCommand="gvVisitData_OnItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
                        <Columns>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox ID="ddlVisitData" runat="server" AllowCustomText="true"
                                        EmptyMessage="Anterior Chamber...." Filter="Contains" EnableViewState="True" CssClass="ddlVisitData"
                                        OnItemDataBound="ddlVisitData_OnItemDataBound"
                                        OnClientLoad=" MEVIR.Exam.AnteriorChamber.VisitDataOnLoad "
                                        OnClientSelectedIndexChanged=" MEVIR.Exam.AnteriorChamber.VisitDataSelectionChanged " />
                                </FooterTemplate>
                                <ItemStyle CssClass="visitDataCol"></ItemStyle>
                                <HeaderStyle CssClass="visitDataCol"></HeaderStyle>
                                <FooterStyle CssClass="visitDataCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Additional Details">
                                <ItemTemplate>
                                    <%# Eval("Comment") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox runat="server" ID="tbVisitDataAdditionalDetails" CssClass="tbVisitDataAdditionalDetails"
                                        Visible="False" />
                                    <telerik:RadTextBox runat="server" ID="tbVisitDataHeight" MaxLength="8" EmptyMessage="1.00 mm - 10.00 mm" ValidationGroup="vdEdit"
                                        WrapperCssClass="tbVisitDataHeight" Visible="False" ToolTip="Required - Height between 1.00 mm and 10.00 mm" />
                                    <telerik:RadTextBox runat="server" ID="tbVisitDataPercentage" MaxLength="4" EmptyMessage="1% - 100%" ValidationGroup="vdEdit"
                                        WrapperCssClass="tbVisitDataPercentage" Visible="False" ToolTip="Required - Percentage between 1% and 100%" />
                                    <asp:RequiredFieldValidator runat="server" ID="reqValHeight" ValidationGroup="vdEdit" CssClass="examTabError"
                                        ControlToValidate="tbVisitDataHeight" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                        ErrorMessage="Additional details height is required" />
                                    <asp:RequiredFieldValidator runat="server" ID="reqValPercentage" ValidationGroup="vdEdit" CssClass="examTabError"
                                        ControlToValidate="tbVisitDataPercentage" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                        ErrorMessage="Additional details percentage is required" />
                                    <asp:RegularExpressionValidator runat="server" ID="regExValHeight" ValidationGroup="vdEdit" CssClass="examTabError"
                                        ControlToValidate="tbVisitDataHeight" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                        ValidationExpression="^(?:10(\.00?)?|[1-9](\.[0-9][0-9]?)?)(\s?mm)?$" ErrorMessage="Height must be between 1.00 mm and 10.00 mm" />
                                    <asp:RegularExpressionValidator runat="server" ID="regExValPercentage" ValidationGroup="vdEdit" CssClass="examTabError"
                                        ControlToValidate="tbVisitDataPercentage" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                        ValidationExpression="^(?:100|[1-9][0-9]?)%?" ErrorMessage="Percentage must be between 1% and 100%" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <div>
                                        <asp:RequiredFieldValidator runat="server" ID="reqValHeight" ValidationGroup="vdAdd" CssClass="examTabError"
                                            ControlToValidate="tbVisitDataHeight" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                            ErrorMessage="Additional details height is required" Text="*" />
                                        <asp:RequiredFieldValidator runat="server" ID="reqValPercentage" ValidationGroup="vdAdd" CssClass="examTabError"
                                            ControlToValidate="tbVisitDataPercentage" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                            ErrorMessage="Additional details percentage is required" Text="*" />
                                        <asp:TextBox runat="server" ID="tbVisitDataAdditionalDetails" ValidationGroup="vdAdd" CssClass="tbVisitDataAdditionalDetails" />
                                        <telerik:RadTextBox runat="server" ID="tbVisitDataHeight" MaxLength="8" EmptyMessage="1.00 mm - 10.00 mm" ValidationGroup="vdAdd" 
                                            WrapperCssClass="tbVisitDataHeight" ToolTip="Required - Height between 1.00 mm and 10.00 mm" />
                                        <telerik:RadTextBox runat="server" ID="tbVisitDataPercentage" MaxLength="4" EmptyMessage="1% - 100%" ValidationGroup="vdAdd" 
                                            WrapperCssClass="tbVisitDataPercentage" ToolTip="Required - Percentage between 1% and 100%" />
                                    </div>
                                    <div>
                                        <asp:RegularExpressionValidator runat="server" ID="regExValHeight" ValidationGroup="vdAdd" CssClass="examTabError"
                                            ControlToValidate="tbVisitDataHeight" Display="Static" EnableClientScript="True" Enabled="False"
                                            ValidationExpression="^(?:10(\.00?)?|[1-9](\.[0-9][0-9]?)?)(\s?mm)?$" ErrorMessage="Height must be between 1.00 mm and 10.00 mm millimeters" />
                                        <asp:RegularExpressionValidator runat="server" ID="regExValPercentage" ValidationGroup="vdAdd" CssClass="examTabError"
                                            ControlToValidate="tbVisitDataPercentage" Display="Static" EnableClientScript="True" Enabled="False"
                                            ValidationExpression="^(?:100|[1-9][0-9]?)%?" ErrorMessage="Percentage must be between 1% and 100% percent" />
                                    </div>
                                </FooterTemplate>
                                <ItemStyle CssClass="visitDataAdditionalDetailsCol"></ItemStyle>
                                <HeaderStyle CssClass="visitDataAdditionalDetailsCol"></HeaderStyle>
                                <FooterStyle CssClass="visitDataAdditionalDetailsCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:PlaceHolder runat="server" ID="phVDEdit" Visible='<%# Eval("RequiresComment") %>'>
                                        <asp:LinkButton runat="server" ID="lbtnVisitDataEdit" CommandName="Edit" Text="Edit" />
                                        &nbsp;
                                    </asp:PlaceHolder>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataDelete" CommandName="Delete" Text="Delete" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataUpdate" ValidationGroup="vdEdit" CommandName="Update" Text="Update" />
                                    &nbsp;
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataCancel" CommandName="Cancel" Text="Cancel" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataAdd" ValidationGroup="vdAdd" CommandName="Add" Text="Add" />
                                </FooterTemplate>
                                <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
