﻿using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabColorVisionUserControl : BaseEventItem<ColorVisionEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
            tbNumberCorrect.ValidationGroup = ValidationGroup;
            tbTotalNumber.ValidationGroup = ValidationGroup;
            compValColorVision.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = ColorVisionEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            // Number Correct
            MapTextField(tbNumberCorrect, EventViewModel.NumberCorrect, EventViewModel.IsReadOnly);

            // Total Number
            MapTextField(tbTotalNumber, EventViewModel.TotalNumber, EventViewModel.IsReadOnly);
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override ColorVisionEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            EventViewModel.NumberCorrect.ResponseText = GetNumberResponse(tbNumberCorrect.TextWithLiterals);
            EventViewModel.TotalNumber.ResponseText = GetNumberResponse(tbTotalNumber.TextWithLiterals);

            return EventViewModel;
        }

        #endregion
    }
}