﻿using System;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabConjuctivaUserControl : BaseEventItem<ConjuctivaEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = ConjuctivaEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            ucVisitData.Question = EventViewModel.VisitData;
            ucVisitData.IsReadOnly = EventViewModel.IsReadOnly;
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override ConjuctivaEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);
            EventViewModel.VisitData = ucVisitData.GetUpdatedQuestion();

            return EventViewModel;
        }

        #endregion
    }
}