﻿using System;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabDepthPerceptionUserControl : BaseEventItem<DepthPerceptionEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = DepthPerceptionEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            // Randot Fly
            lblRandotFly.Text = EventViewModel.RandotFly.DisplayText;
            tbRandotFly.ToolTip = string.Format("Input The {0}", EventViewModel.RandotFly.DisplayText);
            tbRandotFly.Text = EventViewModel.RandotFly.ResponseText;
            tbRandotFly.ReadOnly = EventViewModel.IsReadOnly;

            // Verhoeff Steropter
            lblVerhoeffSteropter.Text = EventViewModel.VerhoeffSteropter.DisplayText;
            tbVerhoeffSteropter.ToolTip = string.Format("Input The {0}", EventViewModel.VerhoeffSteropter.DisplayText);
            tbVerhoeffSteropter.Text = EventViewModel.VerhoeffSteropter.ResponseText;
            tbVerhoeffSteropter.ReadOnly = EventViewModel.IsReadOnly;

            // Randot Stereo Test
            ucRandotStereoTest.Question = EventViewModel.RandotStereoTest;
            ucRandotStereoTest.IsReadOnly = EventViewModel.IsReadOnly;

            // Titmus Stereo Test
            ucTitmusStereoTest.Question = EventViewModel.TitmusStereoTest;
            ucTitmusStereoTest.IsReadOnly = EventViewModel.IsReadOnly;

            // Vectographic Projector Slides
            ucVectographicProjectorSlides.Question = EventViewModel.VectographicProjectorSlides;
            ucVectographicProjectorSlides.IsReadOnly = EventViewModel.IsReadOnly;

            // Vision Tester Depth Perception Slide
            ucVisionTesterDepth.Question = EventViewModel.VisionTesterDepth;
            ucVisionTesterDepth.IsReadOnly = EventViewModel.IsReadOnly;

            // Borish Vectographic Nearpoint Card
            ucBorishVectographic.Question = EventViewModel.BorishVectographicNearpoint;
            ucBorishVectographic.IsReadOnly = EventViewModel.IsReadOnly;
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override DepthPerceptionEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            // Randot Fly
            EventViewModel.RandotFly.ResponseText = tbRandotFly.Text;

            // Verhoeff Steropter
            EventViewModel.VerhoeffSteropter.ResponseText = tbVerhoeffSteropter.Text;

            // Randot Stereo Test
            EventViewModel.RandotStereoTest = ucRandotStereoTest.GetUpdatedQuestion();

            // Titmus Stereo Test
            EventViewModel.TitmusStereoTest = ucTitmusStereoTest.GetUpdatedQuestion();

            // Vectographic Projector Slides
            EventViewModel.VectographicProjectorSlides = ucVectographicProjectorSlides.GetUpdatedQuestion();

            // Vision Tester Depth Perception Slide
            EventViewModel.VisionTesterDepth = ucVisionTesterDepth.GetUpdatedQuestion();

            // Borish Vectographic Nearpoint Card
            EventViewModel.BorishVectographicNearpoint = ucBorishVectographic.GetUpdatedQuestion();

            return EventViewModel;
        }

        #endregion
    }
}