﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabFunctionalTestingUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabFunctionalTestingUserControl" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<div id="functionalTestingEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.FunctionalTesting.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.FunctionalTesting.TestPerformedSelectionChanged">
        <Contents>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblVergenceRanges" AssociatedControlID="tbVergenceRanges"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <asp:RequiredFieldValidator runat="server" ID="reqValVergenceRanges" ControlToValidate="ddlVergenceRangesType"
                        ErrorMessage="VERGENCE RANGE TYPE is required when entering a value!" Text="*" Display="Dynamic" CssClass="examTabError" />
                    <telerik:RadComboBox ID="ddlVergenceRangesType" runat="server" AllowCustomText="true" Filter="Contains" CssClass="smallDropDown" />
                    <asp:TextBox runat="server" ID="tbReadOnlyVergenceRangesType" CssClass="smallDropDown" Visible="false" ReadOnly="True"/>
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadMaskedTextBox ID="tbVergenceRanges" runat="server" EmptyMessage="##/##/##" Mask="##/##/##"
                        HideOnBlur="True" CssClass="tbVergenceRanges" WrapperCssClass="tbVergenceRanges"
                        ClientEvents-OnLoad="MEVIR.Exam.FunctionalTesting.VergenceRangesOnLoad"
                        ClientEvents-OnBlur="MEVIR.Exam.FunctionalTesting.VergenceRangesOnBlur" />
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValVergenceRanges" CssClass="examTabError"
                    ControlToValidate="tbVergenceRanges" ValidationExpression="^\d\d\/\d\d\/\d\d$" Display="Dynamic"
                    ErrorMessage="VERGENCE RANGES should be in the following format: ##/##/##!" />
            </div>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblNearPointConvergence" AssociatedControlID="tbNearPointConvergence"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadMaskedTextBox ID="tbNearPointConvergence" runat="server" EmptyMessage="(1-99)" Mask="##"
                        HideOnBlur="True" CssClass="tbNearPointConvergence" WrapperCssClass="tbNearPointConvergence"
                        ClientEvents-OnLoad="MEVIR.Exam.FunctionalTesting.NearPointConvergenceOnLoad"
                        ClientEvents-OnBlur="MEVIR.Exam.FunctionalTesting.NearPointConvergenceOnBlur" />
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadComboBox ID="ddlNearPointConvergenceUnit" runat="server" AllowCustomText="true" Filter="Contains" CssClass="smallDropDown" />
                    <asp:RequiredFieldValidator runat="server" ID="reqValNearPointConvergence" ControlToValidate="ddlNearPointConvergenceUnit"
                        ErrorMessage="VERGENCE RANGE TYPE is required when entering a value!" Text="*" Display="Dynamic" CssClass="examTabError" />
                    <asp:TextBox runat="server" ID="tbReadOnlyNearPointConvergenceUnit" CssClass="smallDropDown" Visible="false" ReadOnly="True"/>
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValNearPointConvergence" CssClass="examTabError"
                    ControlToValidate="tbNearPointConvergence" ValidationExpression="^[1-9]\d?$" Display="Dynamic"
                    ErrorMessage="NEAR POINT CONVERGENCE should be between 1 and 99!" />
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblAccommodativeAmplitude" AssociatedControlID="tbAccommodativeAmplitude"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadMaskedTextBox ID="tbAccommodativeAmplitude" runat="server" EmptyMessage="(1-99)" Mask="##"
                        HideOnBlur="True" CssClass="tbAccommodativeAmplitude" WrapperCssClass="tbAccommodativeAmplitude"
                        ClientEvents-OnLoad="MEVIR.Exam.FunctionalTesting.AccommodativeAmplitudeOnLoad"
                        ClientEvents-OnBlur="MEVIR.Exam.FunctionalTesting.AccommodativeAmplitudeOnBlur" />
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadComboBox ID="ddlAccommodativeAmplitudeUnit" runat="server" AllowCustomText="true" Filter="Contains" CssClass="smallDropDown" />
                    <asp:RequiredFieldValidator runat="server" ID="reqValAccommodativeAmplitutde" ControlToValidate="ddlAccommodativeAmplitudeUnit"
                        ErrorMessage="ACCOMMODATIVE AMPLITUDE UNIT is required when entering a value!" Text="*" Display="Dynamic" CssClass="examTabError" />
                    <asp:TextBox runat="server" ID="tbReadOnlyAccommodativeAmplitudeUnit" CssClass="smallDropDown" Visible="false" ReadOnly="True"/>
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValAccommodativeAmplitude" CssClass="examTabError"
                    ControlToValidate="tbAccommodativeAmplitude" ValidationExpression="^[1-9]\d?$" Display="Dynamic"
                    ErrorMessage="ACCOMMODATIVE AMPLITUDE should be between 1 and 99!" />
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblAccommodativeRanges" AssociatedControlID="tbAccommodativeRanges"></asp:Label>
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadMaskedTextBox ID="tbAccommodativeRanges" runat="server" EmptyMessage="-#.##/+#.##" Mask="a#.##/a#.##"
                        HideOnBlur="True" CssClass="tbAccommodativeRanges" WrapperCssClass="tbAccommodativeRanges" />
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValAccommodativeRanges" CssClass="examTabError"
                    ControlToValidate="tbAccommodativeRanges" ValidationExpression="^(?:\+|\-)\d.\d\d\/(?:\+|\-)\d.\d\d$" Display="Dynamic"
                    ErrorMessage="ACCOMMODATIVE RANGES should be in the following format: [+|-]#.##/[+|-]#.##" />
            </div>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblRefractionResults" AssociatedControlID="tbRefractionResults"></asp:Label>
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadMaskedTextBox runat="server" ID="tbRefractionResults" EmptyMessage="+#.##" Mask="a#.##"
                        HideOnBlur="True" CssClass="tbRafractionResults" WrapperCssClass="tbRafractionResults" />
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValRefractionResults" CssClass="examTabError"
                    ControlToValidate="tbRefractionResults" ValidationExpression="^(?:\+|\-)\d.\d\d$" Display="Dynamic"
                    ErrorMessage="REFRACTION RESULTS should be in the following format: [+|-]#.##" />
            </div>
            <div class="clearFloat"></div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
