﻿using System.Linq;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabFunctionalTestingUserControl : BaseEventItem<FunctionalTestingEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;

            reqValVergenceRanges.ValidationGroup = ValidationGroup;
            ddlVergenceRangesType.ValidationGroup = ValidationGroup;
            regExValVergenceRanges.ValidationGroup = ValidationGroup;
            
            tbNearPointConvergence.ValidationGroup = ValidationGroup;
            ddlNearPointConvergenceUnit.ValidationGroup = ValidationGroup;
            reqValNearPointConvergence.ValidationGroup = ValidationGroup;
            regExValNearPointConvergence.ValidationGroup = ValidationGroup;

            tbAccommodativeAmplitude.ValidationGroup = ValidationGroup;
            reqValAccommodativeAmplitutde.ValidationGroup = ValidationGroup;
            ddlAccommodativeAmplitudeUnit.ValidationGroup = ValidationGroup;
            regExValAccommodativeAmplitude.ValidationGroup = ValidationGroup;

            tbAccommodativeRanges.ValidationGroup = ValidationGroup;
            regExValAccommodativeRanges.ValidationGroup = ValidationGroup;

            tbRefractionResults.ValidationGroup = ValidationGroup;
            regExValRefractionResults.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = FunctionalTestingEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            // Vergence Ranges
            lblVergenceRanges.Text = EventViewModel.VergenceRanges.DisplayText;
            MapTextField(tbVergenceRanges, EventViewModel.VergenceRanges, EventViewModel.IsReadOnly);
            MapSelectField(ddlVergenceRangesType, tbReadOnlyVergenceRangesType, EventViewModel.VergenceRangesType, EventViewModel.IsReadOnly);

            // Near Point of Convergence
            lblNearPointConvergence.Text = EventViewModel.NearPointConvergence.DisplayText;
            MapTextField(tbNearPointConvergence, EventViewModel.NearPointConvergence, EventViewModel.IsReadOnly);
            MapSelectField(ddlNearPointConvergenceUnit, tbReadOnlyNearPointConvergenceUnit, EventViewModel.NearPointConvergenceUnit, EventViewModel.IsReadOnly);

            // Accommodative Amplitude
            lblAccommodativeAmplitude.Text = EventViewModel.AccommodativeAmplitude.DisplayText;
            MapTextField(tbAccommodativeAmplitude, EventViewModel.AccommodativeAmplitude, EventViewModel.IsReadOnly);
            MapSelectField(ddlAccommodativeAmplitudeUnit, tbReadOnlyAccommodativeAmplitudeUnit, EventViewModel.AccommodativeAmplitudeUnit, EventViewModel.IsReadOnly);

            // Accommodative Ranges
            lblAccommodativeRanges.Text = EventViewModel.AccommodativeRanges.DisplayText;
            MapTextField(tbAccommodativeRanges, EventViewModel.AccommodativeRanges, EventViewModel.IsReadOnly);

            // Refraction Results
            lblRefractionResults.Text = EventViewModel.RefractionResults.DisplayText;
            MapTextField(tbRefractionResults, EventViewModel.RefractionResults, EventViewModel.IsReadOnly);
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override FunctionalTestingEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            // Vergence Ranges
            string vrType = ddlVergenceRangesType.SelectedValue;
            EventViewModel.VergenceRangesType.SelectedChoice =
                EventViewModel.VergenceRangesType.AllChoices.FirstOrDefault(c => c.Code == vrType);
            EventViewModel.VergenceRanges.ResponseText = GetTextResponse(tbVergenceRanges);

            // Near Point of Convergence
            string npcUnit = ddlNearPointConvergenceUnit.SelectedValue;
            EventViewModel.NearPointConvergence.ResponseText = GetTextResponse(tbNearPointConvergence);
            EventViewModel.NearPointConvergenceUnit.SelectedChoice =
                EventViewModel.NearPointConvergenceUnit.AllChoices.FirstOrDefault(c => c.Code == npcUnit);

            // Accommodative Amplitude
            string aaUnit = ddlAccommodativeAmplitudeUnit.SelectedValue;
            EventViewModel.AccommodativeAmplitude.ResponseText = GetTextResponse(tbAccommodativeAmplitude);
            EventViewModel.AccommodativeAmplitudeUnit.SelectedChoice =
                EventViewModel.AccommodativeAmplitudeUnit.AllChoices.FirstOrDefault(c => c.Code == aaUnit);

            // Accommodative Ranges
            EventViewModel.AccommodativeRanges.ResponseText = GetTextResponse(tbAccommodativeRanges);

            // Refraction Results
            EventViewModel.RefractionResults.ResponseText = GetTextResponse(tbRefractionResults);

            return EventViewModel;
        }

        #endregion
    }
}