﻿using System;
using System.Linq;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using ViewModels;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabImagingMethodologyUserControl : BaseEventItem<ImagingAncillaryEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
        }

        protected override void MapTestDetails()
        {
            gvImagingMethodology.MasterTableView.Caption = EventViewModel.ImagingMethodology.DisplayText;
            gvImagingMethodology.MasterTableView.Columns[0].HeaderText = EventViewModel.ImagingMethodology.DisplayText;
            gvImagingMethodology.MasterTableView.Columns[2].HeaderText = EventViewModel.TestDates.First().Value.DisplayText;
            gvImagingMethodology.MasterTableView.Columns[3].HeaderText = EventViewModel.TestResults.First().Value.DisplayText;
            MapMultiSelectGrid(gvImagingMethodology, EventViewModel.ImagingMethodologyViews, EventViewModel.IsReadOnly);
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override ImagingAncillaryEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            return EventViewModel;
        }

        #endregion

        #region Page Events

        protected void gvImagingMethodology_OnItemDataBound(object sender, GridItemEventArgs e)
        {
            if (e.Item.ItemType == GridItemType.Item || e.Item.ItemType == GridItemType.AlternatingItem)
            {
                var lbtnMethodologyEdit = (LinkButton)e.Item.FindControl("lbtnMethodologyEdit");
                lbtnMethodologyEdit.ToolTip = string.Format("Click To Edit The {0} Selection", EventViewModel.ImagingMethodology.DisplayText);

                var lbtnMethodologyDelete = (LinkButton)e.Item.FindControl("lbtnMethodologyDelete");
                lbtnMethodologyDelete.ToolTip = string.Format("Click To Delete The {0} Selection", EventViewModel.ImagingMethodology.DisplayText);
            }

            if (e.Item.ItemType == GridItemType.EditItem)
            {
                var dataItem = e.Item.DataItem as ImagingAncillaryEventModel.ImagingMethodologyView;

                var tbMethodologyAdditionalDetails = (TextBox)e.Item.FindControl("tbMethodologyAdditionalDetails");
                tbMethodologyAdditionalDetails.ToolTip = string.Format("Input Additional Details For The {0}", EventViewModel.ImagingMethodology.DisplayText);

                DateTime testDate;
                var tbTestDate = (RadDatePicker)e.Item.FindControl("tbTestDate");
                tbTestDate.ToolTip = string.Format("Input The {0}", EventViewModel.TestDates.First().Value.DisplayText);
                if (dataItem != null && DateTime.TryParse(dataItem.TestDate, out testDate))
                {
                    tbTestDate.SelectedDate = testDate;
                }
                
                var tbTestResult = (TextBox)e.Item.FindControl("tbTestResult");
                tbTestResult.ToolTip = string.Format("Input The {0}", EventViewModel.TestResults.First().Value.DisplayText);

                var lbtnMethodologyUpdate = (LinkButton)e.Item.FindControl("lbtnMethodologyUpdate");
                lbtnMethodologyUpdate.ToolTip = string.Format("Click To Update The {0} Selection", EventViewModel.ImagingMethodology.DisplayText);

                var lbtnMethodologyCancel = (LinkButton)e.Item.FindControl("lbtnMethodologyCancel");
                lbtnMethodologyCancel.ToolTip = string.Format("Click To Cancel Updating The {0} Selection", EventViewModel.ImagingMethodology.DisplayText);
            }

            if (e.Item.ItemType == GridItemType.Footer)
            {
                var imagingMethodologyComboBox = (RadComboBox)e.Item.FindControl("ddlImagingMethodology");
                MapSelectField(imagingMethodologyComboBox, EventViewModel.ImagingMethodology);

                var tbMethodologyAdditionalDetails = (TextBox)e.Item.FindControl("tbMethodologyAdditionalDetails");
                tbMethodologyAdditionalDetails.ToolTip = string.Format("Input Additional Details For The {0}", EventViewModel.ImagingMethodology.DisplayText);

                var tbTestDate = (RadDatePicker)e.Item.FindControl("tbTestDate");
                tbTestDate.ToolTip = string.Format("Input The {0}", EventViewModel.TestDates.First().Value.DisplayText);

                var tbTestResult = (TextBox)e.Item.FindControl("tbTestResult");
                tbTestResult.ToolTip = string.Format("Required - Input The {0}", EventViewModel.TestResults.First().Value.DisplayText);

                var lbtnMethodologyAdd = (LinkButton)e.Item.FindControl("lbtnMethodologyAdd");
                lbtnMethodologyAdd.ToolTip = string.Format("Click To Add The {0} Selection", EventViewModel.ImagingMethodology.DisplayText);
            }  
        }

        protected void gvImagingMethodology_OnItemCommand(object sender, GridCommandEventArgs e)
        {
            if (e.CommandName == "Edit")
            {
                gvImagingMethodology.EditIndexes.Add(e.Item.ItemIndex);
                gvImagingMethodology.MasterTableView.ShowFooter = false;
            }

            if (e.CommandName == "Delete")
            {
                var selectedChoice = e.Item.DataItem as ImagingAncillaryEventModel.ImagingMethodologyView;

                if (selectedChoice != null)
                {
                    EventViewModel.ImagingMethodology.SelectedChoices.RemoveAll(c => c.Code == selectedChoice.ChoiceCode);
                    EventViewModel.TestDates[selectedChoice.ChoiceCode].ResponseText = String.Empty;
                    EventViewModel.TestResults[selectedChoice.ChoiceCode].ResponseText = String.Empty;
                }
            }

            if (e.CommandName == "Cancel")
            {
                gvImagingMethodology.EditIndexes.Clear();
                gvImagingMethodology.MasterTableView.ShowFooter = true;
            }

            if (e.CommandName == "Update")
            {
                var dataView = e.Item.DataItem as ImagingAncillaryEventModel.ImagingMethodologyView;
                Choice selectedChoice =
                    dataView != null
                        ? EventViewModel.ImagingMethodology.SelectedChoices.FirstOrDefault(
                            c => c.Code == dataView.ChoiceCode)
                        : null;

                if (selectedChoice != null)
                {
                    EventViewModel.ImagingMethodology.SelectedChoices.Remove(selectedChoice);
                    EventViewModel.TestDates[selectedChoice.Code].ResponseText = string.Empty;
                    EventViewModel.TestResults[selectedChoice.Code].ResponseText = string.Empty;

                    var tbMethodologyAdditionalDetails = (TextBox) e.Item.FindControl("tbMethodologyAdditionalDetails");
                    selectedChoice.Comment = tbMethodologyAdditionalDetails.Text;
                    EventViewModel.ImagingMethodology.SelectedChoices.Add(selectedChoice);

                    var testDate = (RadDatePicker) e.Item.FindControl("tbTestDate");
                    EventViewModel.TestDates[selectedChoice.Code].ResponseText =
                        testDate.SelectedDate.HasValue ? testDate.SelectedDate.Value.ToShortDateString() : string.Empty;

                    var testResult = (TextBox) e.Item.FindControl("tbTestResult");
                    EventViewModel.TestResults[selectedChoice.Code].ResponseText = testResult.Text;
                }

                gvImagingMethodology.MasterTableView.ShowFooter = true;
            }

            if (e.CommandName == "Add")
            {
                var comboBox = (RadComboBox) e.Item.FindControl("ddlImagingMethodology");
                string selectedChoiceCode = comboBox.SelectedValue;
                Choice selectedChoice =
                    EventViewModel.ImagingMethodology.AllChoices.FirstOrDefault(c => c.Code == selectedChoiceCode);

                if (selectedChoice != null)
                {
                    var tbMethodologyAdditionalDetails = (TextBox) e.Item.FindControl("tbMethodologyAdditionalDetails");
                    selectedChoice.Comment = tbMethodologyAdditionalDetails.Text;
                    EventViewModel.ImagingMethodology.SelectedChoices.Add(selectedChoice);

                    var testDate = (RadDatePicker) e.Item.FindControl("tbTestDate");
                    EventViewModel.TestDates[selectedChoice.Code].ResponseText = 
                        testDate.SelectedDate.HasValue ? testDate.SelectedDate.Value.ToShortDateString() : string.Empty;

                    var testResult = (TextBox) e.Item.FindControl("tbTestResult");
                    EventViewModel.TestResults[selectedChoice.Code].ResponseText = testResult.Text;

                    comboBox.Text = string.Empty;
                    tbMethodologyAdditionalDetails.Text = string.Empty;
                    testDate.Clear();
                    testResult.Text = string.Empty;
                }
            }

            MapTestDetails();
        }

        protected void ddlImagingMethodology_OnItemDataBound(object sender, RadComboBoxItemEventArgs e)
        {
            Choice choice = (Choice) e.Item.DataItem;
            e.Item.Attributes["RequiresComment"] = choice.RequiresComment.ToString().ToLower();
        }

        #endregion
    }
}