﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabIntraocularPressureUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabIntraocularPressureUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>

<div id="intraocularPressureEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.Intraocular.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.Intraocular.TestPerformedOnLoad">
        <Contents>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblMethod" AssociatedControlID="tbMethod" />:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbMethod" CssClass="tbMethod" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblMethodComment" AssociatedControlID="tbMethodComment" />:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbMethodComment" CssClass="tbMethodComment" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblNumber" AssociatedControlID="tbNumber" />:
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadMaskedTextBox runat="server" ID="tbNumber" CssClass="tbNumber" WrapperCssClass="tbNumber"
                        Mask="##" EmptyMessage="0-99" HideOnBlur="True" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <%--<asp:Label runat="server" ID="lblTime" AssociatedControlID="tbTime"/>:--%>
                    <label for="<%= tbTime.ClientID %>_dateInput"><%= EventViewModel.Time.DisplayText %>:</label>
                </div>
                <div class="examTabFloatLeft">
                    <asp:CustomValidator ID="timeValidator" runat="server" CssClass="Error"
                        ClientValidationFunction="MEVIR.Common.RadDateTimePickerValidator" ValidateEmptyText="True"
                        ControlToValidate="tbTime" SetFocusOnError="True"
                        ErrorMessage="Time must be in HH:MM format">*</asp:CustomValidator>
                    <telerik:RadTimePicker runat="server" ID="tbTime" CssClass="tbTime">
                        <TimeView StartTime="00:00:00" EndTime="23:59:00" Interval="01:00:00"
                            TimeFormat="HH:mm" RenderDirection="Vertical" Columns="4" />
                        <DateInput DateFormat="HH:mm" DisplayDateFormat="HH:mm"/>                        
                    </telerik:RadTimePicker>
                </div>
                <div class="clearFloat"></div>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
