﻿using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    /// <summary>
    /// The Exam Tab Lens User Control
    /// </summary>
    public partial class ExamTabLensUserControl : BaseEventItem<LensEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = LensEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            ucVisitData.Question = EventViewModel.VisitData;
            ucVisitData.IsReadOnly = EventViewModel.IsReadOnly;
        }

        /// <summary>Forces the refresh.</summary>
        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        /// <summary>Saves the item.</summary>
        /// <returns>Updated Lens Event Model</returns>
        protected override LensEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);
            EventViewModel.VisitData = ucVisitData.GetUpdatedQuestion();

            return EventViewModel;
        }

        #endregion
    }
}