﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabMotilityUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabMotilityUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/Controls/ExamTab/ExamMultiSelectUserControl.ascx" TagName="ucMultiSelect" TagPrefix="ucExamTab" %>
<%@ Register Src="~/Controls/ExamTab/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>

<div id="motilityEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvMotility">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvMotility" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="examTabColumn">
                <div class="examTabColumnLabel" runat="server">
                    <%--<asp:Label runat="server" ID="lblPursuit" AssociatedControlID="ucPursuit"></asp:Label>--%>
                    <label for="<%= ucPursuit.LabelAssociation %>"><%= EventViewModel.Pursuit.DisplayText %></label>
                </div>
                <div class="examTabColumnItem">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucPursuit" CssClass="pursuitWrapper" />
                </div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel" runat="server">
                    <%--<asp:Label runat="server" ID="lblSaccades" AssociatedControlID="ucSaccades"></asp:Label>--%>
                    <label for="<%= ucSaccades.LabelAssociation %>"><%= EventViewModel.Saccades.DisplayText %></label>
                </div>
                <div class="examTabColumnItem">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucSaccades" CssClass="saccadesWrapper" />
                </div>
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel" runat="server">
                    <%--<asp:Label runat="server" ID="lblNystagmus" AssociatedControlID="ucNystagmus"></asp:Label>--%>
                    <label for="<%= ucNystagmus.LabelAssociation %>"><%= EventViewModel.Nystagmus.DisplayText %></label>
                </div>
                <div class="examTabColumnItem">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucNystagmus" CssClass="nystagmusWrapper"
                        OnClientLoad="MEVIR.Exam.Motility.NystagmusOnLoad"
                        OnClientSelectedIndexChanged="MEVIR.Exam.Motility.NystagmusSelectionChanged" />
                </div>
            </div>
            <div class="clearFloat"></div>
            <div id="nystagmusOptionsWrapper" class="examTabColumnDouble">
                <ucExamTab:ucMultiSelect runat="server" ID="ucNystagmusOptions" CssClass="nystagmusOptionsWrapper" EmptyMessage="Options..." />
            </div>
            <div class="clearFloat"></div>
            <div class="motilityWrapper examTabFloatLeft">
                <asp:ValidationSummary runat="server" ID="valSummaryEdit" EnableClientScript="True" ValidationGroup="mEdit"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="mAdd"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <telerik:RadGrid runat="server" ID="gvMotility" AutoGenerateColumns="False"
                    OnItemDataBound="gvMotility_OnItemDataBound" OnItemCommand="gvMotility_OnItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
                        <Columns>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox ID="ddlMotility" runat="server" AllowCustomText="true"
                                        EmptyMessage="Motility..." Filter="Contains" EnableViewState="True" CssClass="ddlMotility"
                                        OnItemDataBound="ddlMotility_OnItemDataBound"
                                        OnClientLoad="MEVIR.Exam.Motility.MotilityOnLoad"
                                        OnClientSelectedIndexChanged="MEVIR.Exam.Motility.MotilitySelectionChanged">
                                    </telerik:RadComboBox>
                                </FooterTemplate>
                                <ItemStyle CssClass="motilityCol"></ItemStyle>
                                <HeaderStyle CssClass="motilityCol"></HeaderStyle>
                                <FooterStyle CssClass="motilityCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Additional Details">
                                <ItemTemplate>
                                    <%# Eval("Comment") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox runat="server" ID="tbMotilityAdditionalDetails" CssClass="tbMotilityAdditionalDetails" Visible="False" />
                                    <telerik:RadTextBox runat="server" ID="tbMotilityNumber" MaxLength="5" EmptyMessage="1 PD - 99 PD" ValidationGroup="mEdit"
                                        WrapperCssClass="tbMotilityNumber" Visible="False" ToolTip="Additional detail between 1 PD and 99 PD" />
                                    <asp:RegularExpressionValidator runat="server" ID="regExValMotility" ValidationGroup="mEdit" CssClass="examTabError"
                                        ControlToValidate="tbMotilityNumber" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                        ValidationExpression="^[1-9]\d?\s?P?D?$" ErrorMessage="Must be between 1 PD and 99 PD" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:TextBox runat="server" ID="tbMotilityAdditionalDetails" CssClass="tbMotilityAdditionalDetails" />
                                    <telerik:RadTextBox runat="server" ID="tbMotilityNumber" MaxLength="5" EmptyMessage="1 PD - 99 PD" ValidationGroup="mAdd"
                                        WrapperCssClass="tbMotilityNumber" ToolTip="Additional detail between 1 PD and 99 PD" />
                                    <asp:RegularExpressionValidator runat="server" ID="regExValMotility" ValidationGroup="mAdd" CssClass="examTabError"
                                        ControlToValidate="tbMotilityNumber" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                        ValidationExpression="^[1-9]\d?\s?P?D?$" ErrorMessage="Must be between 1 PD and 99 PD" />
                                </FooterTemplate>
                                <ItemStyle CssClass="motilityAdditionalDetailsCol"></ItemStyle>
                                <HeaderStyle CssClass="motilityAdditionalDetailsCol"></HeaderStyle>
                                <FooterStyle CssClass="motilityAdditionalDetailsCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:PlaceHolder runat="server" ID="phMotEdit" Visible='<%# Eval("RequiresComment") %>'>
                                        <asp:LinkButton runat="server" ID="lbtnMotilityEdit" CommandName="Edit" Text="Edit" />
                                        &nbsp;
                                    </asp:PlaceHolder>
                                    <asp:LinkButton runat="server" ID="lbtnMotilityDelete" CommandName="Delete" Text="Delete" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnMotilityUpdate" ValidationGroup="mEdit" CommandName="Update" Text="Update" />
                                    &nbsp;
                                    <asp:LinkButton runat="server" ID="lbtnMotilityCancel" CommandName="Cancel" Text="Cancel" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnMotilityAdd" ValidationGroup="mAdd" CommandName="Add" Text="Add" />
                                </FooterTemplate>
                                <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
            </div>
            <div class="clearFloat"></div>
            <div class="cranialNerveWrapper examTabFloatLeft">
                <ucExamTab:ucMultiSelect runat="server" ID="ucCranialNerve" CssClass="cranialNerveWrapper" EmptyMessage="Cranial Nerve..." />
            </div>
            <div class="clearFloat"></div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
