﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabProstheticDevicesUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabProstheticDevicesUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/Controls/ExamTab/ExamMultiSelectUserControl.ascx" TagName="ucMultiSelect" TagPrefix="ucExamTab" %>

<div id="prostheticDevicesEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvImplantTypes">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvImplantTypes" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <ucExamTab:ucMultiSelect runat="server" ID="ucOptions" CssClass="optionsWrapper" />
            <div class="implantTypeWrapper">
                <asp:ValidationSummary runat="server" ID="valSummaryEdit" EnableClientScript="True" ValidationGroup="itEdit"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="itAdd"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <telerik:RadGrid runat="server" ID="gvImplantTypes" AutoGenerateColumns="False"
                    OnItemDataBound="gvImplantTypes_OnItemDataBound" OnItemCommand="gvImplantTypes_OnItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
                        <Columns>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <%# Eval("DisplayText") %>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox ID="ddlImplantType" runat="server" AllowCustomText="true"
                                        EmptyMessage="Motility..." Filter="Contains" EnableViewState="True" CssClass="ddlImplantType"
                                        OnItemDataBound="ddlImplantTypes_OnItemDataBound"
                                        OnClientLoad="MEVIR.Exam.ProstheticDevices.ImplantTypeOnLoad"
                                        OnClientSelectedIndexChanged="MEVIR.Exam.ProstheticDevices.ImplantTypeSelectionChanged">
                                    </telerik:RadComboBox>
                                </FooterTemplate>
                                <ItemStyle CssClass="implantTypeCol"></ItemStyle>
                                <HeaderStyle CssClass="implantTypeCol"></HeaderStyle>
                                <FooterStyle CssClass="implantTypeCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Additional Details">
                                <ItemTemplate>
                                    <%# Eval("Comment") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox runat="server" ID="tbImplantTypeAdditionalDetails" ValidationGroup="itEdit" CssClass="tbImplantTypeAdditionalDetails"
                                        Text='<%# Bind("Comment") %>' Visible='<%# Bind("RequiresComment") %>'></asp:TextBox>
                                    <asp:CompareValidator runat="server" ID="compValImplantType" Type="Integer" Operator="DataTypeCheck" ValidationGroup="itEdit"
                                        ControlToValidate="tbImplantTypeAdditionalDetails" Display="Dynamic" EnableClientScript="True" Enabled="False"
                                        CssClass="examTabError" ErrorMessage="Must be a number!" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <span id="implantTypeAdditionalDetailsWrapper">
                                        <asp:TextBox runat="server" ID="tbImplantTypeAdditionalDetails" ValidationGroup="itAdd" CssClass="tbImplantTypeAdditionalDetails"></asp:TextBox>
                                        <asp:CompareValidator runat="server" ID="compValImplantType" Type="Integer" ValidationGroup="itEdit"
                                            CssClass="examTabError" ControlToValidate="tbImplantTypeAdditionalDetails" Display="Dynamic" Operator="DataTypeCheck" EnableClientScript="True"
                                            Enabled="False" ErrorMessage="Must be a number!" />
                                    </span>
                                </FooterTemplate>
                                <ItemStyle CssClass="implantTypeCommentCol"></ItemStyle>
                                <HeaderStyle CssClass="implantTypeCommentCol"></HeaderStyle>
                                <FooterStyle CssClass="implantTypeCommentCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn>
                                <ItemTemplate>
                                    <asp:PlaceHolder runat="server" ID="phImplantTypeEdit" Visible='<%# Eval("RequiresComment") %>'>
                                        <asp:LinkButton runat="server" ID="lbtnImplantTypeEdit" CommandName="Edit" Text="Edit" />
                                        &nbsp;
                                    </asp:PlaceHolder>
                                    <asp:LinkButton runat="server" ID="lbtnImplantTypeDelete" CommandName="Delete" Text="Delete" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnImplantTypeUpdate" ValidationGroup="itEdit" CommandName="Update" Text="Update" />
                                    &nbsp;
                                    <asp:LinkButton runat="server" ID="lbtnImplantTypeCancel" CommandName="Cancel" Text="Cancel" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnImplantTypeAdd" ValidationGroup="itAdd" CommandName="Add" Text="Add" />
                                </FooterTemplate>
                                <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
