﻿using System;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    /// <summary>
    /// The Exam Tab Relative Afferent Pupil Defect User Control
    /// </summary>
    public partial class ExamTabRelativeAfferentPupilDefectUserControl : BaseEventItem<RelativeAfferentPupilDefectEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
            tbADPLaterality.ValidationGroup = ValidationGroup;
            regExValADPLaterality.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = RelativeAfferentPupilDefectEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            lblVisitData.Text = EventViewModel.VisitData.DisplayText;
            ucVisitData.Question = EventViewModel.VisitData;
            ucVisitData.IsReadOnly = EventViewModel.IsReadOnly;

            ucADP.Question = EventViewModel.ADP;
            ucADP.IsReadOnly = EventViewModel.IsReadOnly;

            lblADPLaterality.Text = EventViewModel.ADPLaterality.DisplayText;
            MapTextField(tbADPLaterality, EventViewModel.ADPLaterality, EventViewModel.IsReadOnly);
            tbADPLaterality.ToolTip += " between -4 and +4";
        }

        /// <summary>Forces the refresh.</summary>
        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        /// <summary>Saves the item.</summary>
        /// <returns>Updated Relative Afferent Pupil Defect Event Model</returns>
        protected override RelativeAfferentPupilDefectEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            EventViewModel.VisitData = ucVisitData.GetUpdatedQuestion();

            EventViewModel.ADP = ucADP.GetUpdatedQuestion();

            EventViewModel.ADPLaterality.ResponseText = tbADPLaterality.Text;

            return EventViewModel;
        }

        #endregion
    }
}