﻿using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    /// <summary>
    /// The Exam Tab Static Threshold Perimetry User Control
    /// </summary>
    public partial class ExamTabStaticThresholdPerimetryUserControl : BaseEventItem<StaticThresholdPerimetryEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
            tbMeanDeviation.ValidationGroup = ValidationGroup;
            regExValMeanDeviation.ValidationGroup = ValidationGroup;

            tbPatternStandardDeviation.ValidationGroup = ValidationGroup;
            regExValPatternStandardDeviation.ValidationGroup = ValidationGroup;

            tbFixationLoses.ValidationGroup = ValidationGroup;
            regExValFixationLoses.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = StaticThresholdPerimetryEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            ucReferenceScale.Question = EventViewModel.ReferenceScale;
            ucReferenceScale.IsReadOnly = EventViewModel.IsReadOnly;

            lblMeanDeviation.Text = EventViewModel.MeanDeviation.DisplayText;
            MapTextField(tbMeanDeviation, EventViewModel.MeanDeviation, EventViewModel.IsReadOnly);
            tbMeanDeviation.ToolTip += " between -35.00 and +5.00";

            lblPatternStandardDeviation.Text = EventViewModel.PatternStandardDeviation.DisplayText;
            MapTextField(tbPatternStandardDeviation, EventViewModel.PatternStandardDeviation, EventViewModel.IsReadOnly);
            tbPatternStandardDeviation.ToolTip += " between 00.00 and 35.00";

            lblFixationLoses.Text = EventViewModel.FixationLoses.DisplayText;
            MapTextField(tbFixationLoses, EventViewModel.FixationLoses, EventViewModel.IsReadOnly);
            tbFixationLoses.ToolTip += " between 00/01 and 35/35";
        }

        /// <summary>Forces the refresh.</summary>
        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        /// <summary>Saves the item.</summary>
        /// <returns>Updated Static Threshold Perimetry Event Model</returns>
        protected override StaticThresholdPerimetryEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            EventViewModel.ReferenceScale = ucReferenceScale.GetUpdatedQuestion();
            EventViewModel.MeanDeviation.ResponseText = tbMeanDeviation.Text;
            EventViewModel.PatternStandardDeviation.ResponseText = GetTextResponse(tbPatternStandardDeviation);
            EventViewModel.FixationLoses.ResponseText = GetTextResponse(tbFixationLoses);

            return EventViewModel;
        }

        #endregion
    }
}