﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabTestSummaryUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabTestSummaryUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<div id="examTabTestSummary">
    <div class="examTabColumn">
        <div class="examTabColumnLabel">
            <%--<asp:Label runat="server" ID="lblLaterality" AssociatedControlID="ddlLaterality" />:--%>
            <label for="<%= ViewModel.IsReadOnly ? tbReadOnlyLaterality.ClientID : ddlLaterality.ClientID + "_Input" %>">Laterality:</label>
        </div>
        <div class="examTabColumnItem">
            <asp:RequiredFieldValidator runat="server" ID="reqValLaterality" CssClass="examTabError"
                ControlToValidate="ddlLaterality" Display="Dynamic" EnableClientScript="True"
                ErrorMessage="Laterality is required" Text="*" />
            <telerik:RadComboBox runat="server" ID="ddlLaterality" AllowCustomText="true"
                EmptyMessage="Laterality...." Width="200px" Filter="Contains"
                IsCaseSensitive="False" MarkFirstMatch="True"
                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText"
                ToolTip="Required - Select A Laterality" />
            <asp:TextBox runat="server" ID="tbReadOnlyLaterality" Visible="false" ReadOnly="True" ToolTip="Read Only - Laterality" />
        </div>
        <div class="clearFloat"></div>
    </div>
    <asp:PlaceHolder runat="server" ID="phTestPerformed">
        <div id="examTabTestSummaryPeformedWrapper" class="examTabColumn">
            <div id="examTabTestSummaryPeformed">
                <div class="examTabColumnLabel">
                    <%--<asp:Label runat="server" ID="lblTestPerformed" AssociatedControlID="ddlTestPerformed" />:--%>
                    <label for="<%= ViewModel.IsReadOnly ? tbReadOnlyTestPerformed.ClientID : ddlTestPerformed.ClientID + "_Input" %>">
                        <%= ViewModel.HasTestPerformed ? ViewModel.TestPerformed.DisplayText : string.Empty %>:
                    </label>
                </div>
                <div class="examTabColumnItem">
                    <asp:RequiredFieldValidator runat="server" ID="reqValTestPerformed" CssClass="examTabError"
                        ControlToValidate="ddlTestPerformed" Display="Dynamic" EnableClientScript="True"
                        ErrorMessage="Test Performed is required" Text="*" />
                    <telerik:RadComboBox runat="server" ID="ddlTestPerformed" AllowCustomText="true"
                        EmptyMessage="Test Performed...." Width="200px" Filter="Contains"
                        OnItemDataBound="ddlTestPerformed_OnItemDataBound"
                        OnClientLoad=" MEVIR.Exam.Summary.TestPerformedOnLoad"
                        OnClientSelectedIndexChanged=" MEVIR.Exam.Summary.TestPerformedSelectionChanged "
                        IsCaseSensitive="False" MarkFirstMatch="True"
                        OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                        OnClientTextChange="MEVIR.Common.RadComboBoxValidateText"
                        ToolTip="Required - Select A Test Performed Choice" />

                    <asp:TextBox runat="server" ID="tbReadOnlyTestPerformed" Visible="false" ReadOnly="True"
                        ToolTip="Read Only - Test Performed Choice" />
                </div>
            </div>
            <div id="examTabTestSummaryPerformedCmt">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblTestPeformedCmt" AssociatedControlID="tbTestPerformedCmt" Text="Additional Details:" />
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadTextBox runat="server" ID="tbTestPerformedCmt" ToolTip="Input Additional Details For Test Performed" />
                </div>
            </div>
        </div>
    </asp:PlaceHolder>
    <asp:PlaceHolder runat="server" ID="phTestResult">
        <div id="examTabTestSummaryResult" class="examTabColumn">
            <div class="examTabColumnLabel">
                <%--<asp:Label runat="server" ID="lblTestResult" AssociatedControlID="ddlTestResult" />:--%>
                <label for="<%= ViewModel.IsReadOnly ? tbReadOnlyTestResult.ClientID : ddlTestResult.ClientID + "_Input" %>">
                    <%= ViewModel.HasTestPerformed ? ViewModel.TestResult.DisplayText : string.Empty %>:
                </label>
            </div>
            <div class="examTabColumnItem">
                <asp:RequiredFieldValidator runat="server" ID="reqValTestResult" CssClass="examTabError"
                    ControlToValidate="ddlTestResult" Display="Dynamic" EnableClientScript="True"
                    ErrorMessage="Test Result is required" Text="*" />
                <telerik:RadComboBox runat="server" ID="ddlTestResult" AllowCustomText="true"
                    EmptyMessage="Test Result...." Width="200px" Filter="Contains"
                    OnItemDataBound="ddlTestResult_OnItemDataBound"
                    IsCaseSensitive="False" MarkFirstMatch="True"
                    OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                    OnClientTextChange="MEVIR.Common.RadComboBoxValidateText"
                    ToolTip="Required - Select A Test Result Choice" />
                <asp:TextBox runat="server" ID="tbReadOnlyTestResult" Visible="false" ReadOnly="True"
                    ToolTip="Read Only - Test Result Choice" />
            </div>
            <div class="clearFloat"></div>
        </div>
    </asp:PlaceHolder>
    <div class="clearFloat"></div>
</div>
<div id="examTabTestDetails">
    <asp:PlaceHolder runat="server" ID="phTestWrapper"></asp:PlaceHolder>
</div>
<div class="clearFloat"></div>
<asp:PlaceHolder runat="server" ID="phEventComments">
    <div id="examTabFinalComments">
        <asp:Label ID="lblEventComments" SkinID="DataLabel"
            AssociatedControlID="tbEventComments" runat="server" Text="Comments">
        </asp:Label>:
        <br />
        <asp:TextBox ID="tbEventComments" runat="server" Width="99%" Height="80px" MaxLength="4000"
            TextMode="MultiLine" EnableViewState="True" ToolTip="Input Comments" />
    </div>
</asp:PlaceHolder>
