﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabVisualAcuityUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabVisualAcuityUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/Controls/ExamTab/ExamYesNoUserControl.ascx" TagName="ucYesNo" TagPrefix="ucExamTab" %>
<%@ Register Src="~/Controls/ExamTab/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>

<div id="visualAcuityEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvNonNumericAcuity">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvNonNumericAcuity" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.VisualAcuity.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.VisualAcuity.TestPerformedSelectionChanged">
        <Contents>
            <div class="examTabColumnDouble">
                <div class="examTabFloatLeft" runat="server">
                    <%--<asp:Label runat="server" ID="lblScale" AssociatedControlID="ucScale" />:--%>
                    <label for="<%= ucScale.LabelAssociation %>"><%= EventViewModel.Scale.DisplayText %>:</label>
                </div>
                <div class="examTabFloatLeft">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucScale"
                        OnClientLoad="MEVIR.Exam.VisualAcuity.ScaleOnLoad"
                        OnClientSelectedIndexChanged="MEVIR.Exam.VisualAcuity.ScaleSelectionChanged" />
                </div>
            </div>
            <div class="clearFloat"></div>
            <asp:Panel runat="server" ID="pnlUSScale" GroupingText="US Scale" CssClass="vaSection">
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblUSChartDistance" AssociatedControlID="ucUSChartDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucUSChartDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblUSDifferentDistance" AssociatedControlID="ucUSDifferentDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucUSDifferentDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblUSAcuity" AssociatedControlID="ucUSAcuity" />:--%>
                        <label for="<%= ucUSAcuity.LabelAssociation %>"><%= EventViewModel.USAcuity.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <div class="examTabFloatLeft">
                            <telerik:RadMaskedTextBox runat="server" ID="tbUSPerformDistance"
                                CssClass="tbUSPerformDistance" WrapperCssClass="tbUSPerformDistance"
                                Mask="##" EmptyMessage="(1-99)" HideOnBlur="True" PromptChar="" />
                        </div>
                        <div class="examTabFloatLeft">/</div>
                        <div class="examTabFloatLeft">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucUSAcuity" CssClass="ucUSAcuity" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RangeValidator runat="server" ID="rangeValUSPerformDistance" CssClass="examTabError"
                        ControlToValidate="tbUSPerformDistance" Type="Integer" MinimumValue="1" MaximumValue="99" Display="Dynamic"
                        ErrorMessage="US ACUITY - PERFORM DISTANCE must be between 1 and 99!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblUSAdjustment" AssociatedControlID="ucUSAdjustment" />:--%>
                        <label for="<%= ucUSAdjustment.LabelAssociation %>"><%= EventViewModel.USAdjustment.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucUSAdjustment" CssClass="adjustment" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblUSUnits" AssociatedControlID="ucUSUnits" />:--%>
                        <label for="<%= ucUSUnits.LabelAssociation %>"><%= EventViewModel.USUnits.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucUSUnits" CssClass="units" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlMetricScale" GroupingText="Metric Scale" CssClass="vaSection">
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricChartDistance" AssociatedControlID="ucMetricChartDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucMetricChartDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricDifferentDistance" AssociatedControlID="ucMetricDifferentDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucMetricDifferentDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricAcuity" AssociatedControlID="tbMetricAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <div class="examTabFloatLeft">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucMetricPerformDistance" CssClass="ucMetricPerformDistance" />
                        </div>
                        <div class="examTabFloatLeft">/</div>
                        <div class="examTabFloatLeft">
                            <telerik:RadMaskedTextBox runat="server" ID="tbMetricAcuity" CssClass="tbMetricAcuity"
                                WrapperCssClass="tbMetricAcuity" Mask="###" PromptChar="" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblMetricAdjustment" AssociatedControlID="ucMetricAdjustment" />:--%>
                        <label for="<%= ucMetricAdjustment.LabelAssociation %>"><%= EventViewModel.MetricAdjustment.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMetricAdjustment" CssClass="adjustment" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <%--<asp:Label runat="server" ID="lblMetricUnits" AssociatedControlID="ucMetricUnits" CssClass="units" />:--%>
                        <label for="<%= ucMetricUnits.LabelAssociation %>"><%= EventViewModel.MetricUnits.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMetricUnits" CssClass="units" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlJaegerScale" GroupingText="Jaeger Scale" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblJaegerPerformDistance" AssociatedControlID="tbJaegerPerformDistance" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <telerik:RadMaskedTextBox runat="server" ID="tbJaegerPerformDistance"
                            CssClass="tbJaegerPerformDistance" WrapperCssClass="tbJaegerPerformDistance"
                            Mask="##" EmptyMessage="(1-99)" HideOnBlur="True" PromptChar="" />
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RangeValidator runat="server" ID="rangeValJaegerPerformDistance" CssClass="examTabError"
                        ControlToValidate="tbJaegerPerformDistance" MinimumValue="1" MaximumValue="99" Type="Integer" Display="Dynamic"
                        ErrorMessage="JAEGER - PERFORM DISTANCE must be between 1 and 99!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblJaegerAcuity" AssociatedControlID="ucJaegerAcuity" />:--%>
                        <label for="<%= ucJaegerAcuity.LabelAssociation %>"><%= EventViewModel.JaegerAcuity.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerAcuity" CssClass="ucJaegerAcuity" />
                    </div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblJaegerAdjustment" AssociatedControlID="ucJaegerAdjustment" />:--%>
                        <label for="<%= ucJaegerAdjustment.LabelAssociation %>"><%= EventViewModel.JaegerAdjustment.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerAdjustment" CssClass="adjustment" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblJaegerUnits" AssociatedControlID="ucJaegerUnits" />:--%>
                        <label for="<%= ucJaegerUnits.LabelAssociation %>"><%= EventViewModel.JaegerUnits.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerUnits" CssClass="units" />
                    </div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlDecimalScale" GroupingText="Decimal Scale" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblDecimalAcuity" AssociatedControlID="tbDecimalAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <telerik:RadMaskedTextBox runat="server" ID="tbDecimalAcuity" CssClass="tbDecimalAcuity" WrapperCssClass="tbDecimalAcuity"
                            Mask="#.###" EmptyMessage="(0.032 - 2.000)" HideOnBlur="True" />
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RegularExpressionValidator runat="server" ID="regExValDecimalAcuity" CssClass="examTabError"
                        ControlToValidate="tbDecimalAcuity"
                        ValidationExpression="^(?:0.03[2-9]|0.0[4-9]\d|0.[1-9]\d\d|1.\d\d\d|2.000)$" Display="Dynamic"
                        ErrorMessage="DECIMAL - ACUITY must be between 0.032 and 2.000!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblDecimalAdjustment" AssociatedControlID="ucDecimalAdjustment" />:--%>
                        <label for="<%= ucDecimalAdjustment.LabelAssociation %>"><%= EventViewModel.DecimalAdjustment.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucDecimalAdjustment" CssClass="adjustment" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblDecimalUnits" AssociatedControlID="ucDecimalUnits" />:--%>
                        <label for="<%= ucDecimalUnits.LabelAssociation %>"><%= EventViewModel.DecimalUnits.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucDecimalUnits" CssClass="units" />
                    </div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlMUnitScale" GroupingText="M Unit Scale" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMUnitAcuity" AssociatedControlID="tbMUnitAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <telerik:RadMaskedTextBox runat="server" ID="tbMUnitAcuity" PromptChar="_" Mask="#.# M/ #.###"
                            EmptyMessage="#.# M/ #.###" HideOnBlur="True" CssClass="tbMUnitAcuity" WrapperCssClass="tbMUnitAcuity" />
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RegularExpressionValidator runat="server" ID="regExValMUnitAcuity" CssClass="examTabError"
                        ControlToValidate="tbMUnitAcuity"
                        ValidationExpression="^\d\.\d\s[M]\/\s\d\.\d\d\d$" Display="Dynamic"
                        ErrorMessage="METRIC - ACUITY must be in the following format: #.# M/#.###!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblMUnitAdjustment" AssociatedControlID="ucMUnitAdjustment" />:--%>
                        <label for="<%= ucMUnitAdjustment.LabelAssociation %>"><%= EventViewModel.MetricAdjustment.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMUnitAdjustment" CssClass="adjustment" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblMUnitUnits" AssociatedControlID="ucMUnitUnits" />:--%>
                        <label for="<%= ucMUnitUnits.LabelAssociation %>"><%= EventViewModel.MetricUnits.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMUnitUnits" CssClass="units" />
                    </div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlNonNumericScale" GroupingText="Non-Numeric Scale" CssClass="vaSection">
                <div class="nonNumericAcuityWrapper examTabColumnDouble">
                    <asp:ValidationSummary runat="server" ID="valSummaryEdit" EnableClientScript="True" ValidationGroup="nonNumEdit"
                        HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                    <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="nonNumAdd"
                        HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                    <telerik:RadGrid runat="server" ID="gvNonNumericAcuity" AutoGenerateColumns="False"
                        OnItemDataBound="gvNonNumericAcuity_OnItemDataBound" OnItemCommand="gvNonNumericAcuity_OnItemCommand">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
                            <Columns>
                                <telerik:GridTemplateColumn>
                                    <ItemTemplate>
                                        <%# Eval("DisplayText") %>
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <%# Eval("DisplayText") %>
                                    </EditItemTemplate>
                                    <FooterTemplate>
                                        <telerik:RadComboBox ID="ddlNonNumericAcuity" runat="server" AllowCustomText="true"
                                            EmptyMessage="Non-Numeric Scale..." Filter="Contains" EnableViewState="True" CssClass="ddlNonNumericAcuity"
                                            OnItemDataBound="ddlNonNumericAcuity_OnItemDataBound"
                                            OnClientLoad="MEVIR.Exam.VisualAcuity.NonNumericAcuityOnLoad"
                                            OnClientSelectedIndexChanged="MEVIR.Exam.VisualAcuity.NonNumericAcuitySelectionChanged">
                                        </telerik:RadComboBox>
                                    </FooterTemplate>
                                    <ItemStyle CssClass="nonNumericAcuityCol"></ItemStyle>
                                    <HeaderStyle CssClass="nonNumericAcuityCol"></HeaderStyle>
                                    <FooterStyle CssClass="nonNumericAcuityCol"></FooterStyle>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn HeaderText="Additional Details">
                                    <ItemTemplate>
                                        <%# Eval("Comment") %>
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <div>
                                            <asp:RequiredFieldValidator runat="server" ID="reqValNonNumericAdditionalDetails" ControlToValidate="tbNonNumericAcuityNumber"
                                                Text="*" ErrorMessage="ADDITIONAL DETAIL is required!" EnableClientScript="True" ValidationGroup="nonNumEdit" Enabled="False" />
                                            <asp:TextBox runat="server" ID="tbNonNumericAcuityAdditionalDetails" CssClass="tbNonNumericAcuityAdditionalDetails" Visible="False" />
                                            <asp:TextBox runat="server" ID="tbNonNumericAcuityNumber" CssClass="tbNonNumericAcuityNumber"
                                                ToolTip="Required - Input a numeric value" ValidationGroup="nonNumEdit" Visible="False" />
                                        </div>
                                        <div>
                                            <asp:CompareValidator runat="server" ID="compValNonNumericAdditionalDetails" ControlToValidate="tbNonNumericAcuityNumber"
                                                Type="Integer" Operator="DataTypeCheck" CssClass="examTabError" ValidationGroup="nonNumEdit" Enabled="False"
                                                ErrorMessage="ADDITIONAL DETAIL must be a number!"></asp:CompareValidator>
                                        </div>
                                    </EditItemTemplate>
                                    <FooterTemplate>
                                        <div>
                                            <asp:RequiredFieldValidator runat="server" ID="reqValNonNumericAdditionalDetails" ControlToValidate="tbNonNumericAcuityNumber"
                                                Text="*" Display="Dynamic" ErrorMessage="ADDITIONAL DETAIL is required!" EnableClientScript="True"
                                                ValidationGroup="nonNumAdd" Enabled="False" />
                                            <asp:TextBox runat="server" ID="tbNonNumericAcuityAdditionalDetails" CssClass="tbNonNumericAcuityAdditionalDetails" />
                                            <asp:TextBox runat="server" ID="tbNonNumericAcuityNumber" CssClass="tbNonNumericAcuityNumber"
                                                ToolTip="Required - Input a numeric value" ValidationGroup="nonNumAdd" />
                                        </div>
                                        <div>
                                            <asp:CompareValidator runat="server" ID="compValNonNumericAdditionalDetails" ControlToValidate="tbNonNumericAcuityNumber"
                                                Type="Integer" Operator="DataTypeCheck" CssClass="examTabError" ValidationGroup="nonNumAdd" Enabled="False"
                                                Display="Dynamic" ErrorMessage="ADDITIONAL DETAIL must be a number!"></asp:CompareValidator>
                                        </div>
                                    </FooterTemplate>
                                    <ItemStyle CssClass="nonNumericAcuityAdditionalDetailsCol"></ItemStyle>
                                    <HeaderStyle CssClass="nonNumericAcuityAdditionalDetailsCol"></HeaderStyle>
                                    <FooterStyle CssClass="nonNumericAcuityAdditionalDetailsCol"></FooterStyle>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn>
                                    <ItemTemplate>
                                        <asp:PlaceHolder runat="server" ID="phNonNumericAcuityEdit" Visible='<%# Eval("RequiresComment") %>'>
                                            <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityEdit" CommandName="Edit" Text="Edit" />
                                            &nbsp;
                                        </asp:PlaceHolder>
                                        <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityDelete" CommandName="Delete" Text="Delete" />
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityUpdate" ValidationGroup="nonNumEdit" CommandName="Update" Text="Update" />
                                        &nbsp;
                                        <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityCancel" CommandName="Cancel" Text="Cancel" />
                                    </EditItemTemplate>
                                    <FooterTemplate>
                                        <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityAdd" ValidationGroup="nonNumAdd" CommandName="Add" Text="Add" />
                                    </FooterTemplate>
                                    <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                    <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                    <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                                </telerik:GridTemplateColumn>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlRefraction" GroupingText="Refraction" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblRefractionUnknown" AssociatedControlID="ucRefractionUnknown" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucRefractionUnknown"
                            OnYesClientLoad="MEVIR.Exam.VisualAcuity.RefractionUnknownYesOnLoad"
                            OnYesClientCheckedChanged="MEVIR.Exam.VisualAcuity.RefractionUnknownYesCheckedChanged" />
                    </div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat" runat="server">
                        <%--<asp:Label runat="server" ID="lblRefractionType" AssociatedControlID="ucRefractionType" />:--%>
                        <label for="<%= ucRefractionType.LabelAssociation %>"><%= EventViewModel.RefractionType.DisplayText %>:</label>
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucRefractionType" CssClass="ucRefractionType" />
                    </div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabel">
                        <asp:Label runat="server" ID="lblSphere" AssociatedControlID="tbSphere" />:
                    </div>
                    <div class="examTabColumnItem">
                        <telerik:RadTextBox runat="server" ID="tbSphere" MaxLength="6" EmptyMessage="(+/-)00.00" HideOnBlur="True" />
                    </div>
                    <asp:RegularExpressionValidator runat="server" ID="regExSphere" CssClass="examTabError"
                        ControlToValidate="tbSphere"
                        ValidationExpression="^(\-|\+)\s?\d?\d.\d\d$" Display="Dynamic"
                        ErrorMessage="SPHERE should be in the following format: (+/-)##.##!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabel">
                        <asp:Label runat="server" ID="lblCylinder" AssociatedControlID="tbCylinder" />:
                    </div>
                    <div class="examTabColumnItem">
                        <telerik:RadMaskedTextBox runat="server" ID="tbCylinder" Mask="a##.##" EmptyMessage="-19.00 to +19.75" HideOnBlur="True" />
                    </div>
                    <asp:RegularExpressionValidator runat="server" ID="regExCylinderFormat" CssClass="examTabError"
                        ControlToValidate="tbCylinder"
                        ValidationExpression="^(?:\-(?:19.00|(?:\d|0\d|1[0-8]).\d\d)|\+\s?[0-1]?\d.\d\d)$" Display="Dynamic"
                        ErrorMessage="CYLINDER should be between -19.00 and +19.75! <br />" />
                    <asp:RegularExpressionValidator runat="server" ID="regExCylinderDecimal" CssClass="examTabError"
                        ControlToValidate="tbCylinder"
                        ValidationExpression="^(\-|\+)\d\d.(?:00|25|50|75)$" Display="Dynamic"
                        ErrorMessage="CYLINDER decimal portion must be either .00, .25, .50, or .75." />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabel">
                        <asp:Label runat="server" ID="lblAxis" AssociatedControlID="tbAxis" />:
                    </div>
                    <div class="examTabColumnItem">
                        <telerik:RadMaskedTextBox runat="server" ID="tbAxis" Mask="###" EmptyMessage="###" HideOnBlur="True" />
                    </div>
                    <asp:RegularExpressionValidator runat="server" ID="regExAxis" CssClass="examTabError"
                        ControlToValidate="tbAxis"
                        ValidationExpression="^\d\d[1-9]$" Display="Dynamic"
                        ErrorMessage="AXIS should be in the following format: ###" />
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabel">
                        <asp:Label runat="server" ID="lblADD" AssociatedControlID="tbRefractionADD" />:
                    </div>
                    <div class="examTabColumnItem">
                        <telerik:RadMaskedTextBox runat="server" ID="tbRefractionADD" Mask="+##.##" EmptyMessage="+00.00" HideOnBlur="True" />
                    </div>
                    <asp:RegularExpressionValidator runat="server" ID="regExADD" CssClass="examTabError"
                        ControlToValidate="tbRefractionADD"
                        ValidationExpression="^\+\d\d.\d\d$" Display="Dynamic"
                        ErrorMessage="ADD should be in the following format: +##.##!" />
                </div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlQualifiers" GroupingText="Qualifiers" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabel" runat="server">
                        <%--<asp:Label runat="server" ID="lblDistance" AssociatedControlID="ucDistance" />:--%>
                        <label for="<%= ucDistance.LabelAssociation %>"><%= EventViewModel.Distance.DisplayText %>:</label>
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucDistance" CssClass="ucDistance" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabel" runat="server">
                        <%--<asp:Label runat="server" ID="lblCorrection" AssociatedControlID="ucCorrection" />:--%>
                        <label for="<%= ucCorrection.LabelAssociation %>"><%= EventViewModel.Correction.DisplayText %>:</label>
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucCorrection" CssClass="ucCorrection" />
                    </div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabel" runat="server">
                        <%--<asp:Label runat="server" ID="lblExamMethod" AssociatedControlID="ucExamMethod" />:--%>
                        <label for="<%= ucExamMethod.LabelAssociation %>"><%= EventViewModel.ExamMethod.DisplayText %>:</label>
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucExamMethod" CssClass="ucExamMethod" />
                    </div>
                </div>
                <div class="clearFloat"></div>
                <asp:Panel runat="server" ID="pnlStandardChartPrint">
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel" runat="server">
                            <%--<asp:Label runat="server" ID="lblChartType" AssociatedControlID="ucChartType" />:--%>
                            <label for="<%= ucChartType.LabelAssociation %>"><%= EventViewModel.ChartType.DisplayText %>:</label>
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucChartType" CssClass="ucChartType" />
                        </div>
                    </div>
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel" runat="server">
                            <%--<asp:Label runat="server" ID="lblPrintSamples" AssociatedControlID="ucPrintSamples" />:--%>
                            <label for="<%= ucPrintSamples.LabelAssociation %>"><%= EventViewModel.PrintSample.DisplayText %>:</label>
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucPrintSamples" CssClass="ucPrintSamples" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                </asp:Panel>
                <asp:Panel runat="server" ID="pnlJaegerChartPrint">
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel" runat="server">
                            <%--<asp:Label runat="server" ID="lblJaegerChartType" AssociatedControlID="ucJaegerChartType" />:--%>
                            <label for="<%= ucJaegerChartType.LabelAssociation %>"><%= EventViewModel.JaegerChartType.DisplayText %>:</label>
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerChartType" CssClass="ucChartType" />
                        </div>
                    </div>
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel" runat="server">
                            <%--<asp:Label runat="server" ID="lblJaegerPrintSamples" AssociatedControlID="ucJaegerPrintSamples" />:--%>
                            <label for="<%= ucJaegerPrintSamples.LabelAssociation %>"><%= EventViewModel.JaegerPrintSamples.DisplayText %>:</label>
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerPrintSamples" CssClass="ucPrintSamples" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                </asp:Panel>
            </asp:Panel>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
