﻿using System;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    /// <summary>
    /// The Exam Tab Visual Functioning User Control
    /// </summary>
    public partial class ExamTabVisualFunctioningUserControl : BaseEventItem<VisualFunctioningEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            ucTestSummary.ValidationGroup = ValidationGroup;
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
        }

        protected override void MapTestDetails()
        {
            // Questionnaire
            ucQuestionnaire.Question = EventViewModel.Questionnaire;
            ucQuestionnaire.IsReadOnly = EventViewModel.IsReadOnly;

            // Score
            lblScore.Text = EventViewModel.Score.DisplayText;
            MapTextField(tbScore, EventViewModel.Score, EventViewModel.IsReadOnly);
        }

        /// <summary>Forces the refresh.</summary>
        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        /// <summary>Saves the item.</summary>
        /// <returns>Updated Visual Functioning Event Model</returns>
        protected override VisualFunctioningEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            // Questionnaire Selected Choice
            EventViewModel.Questionnaire = ucQuestionnaire.GetUpdatedQuestion();

            // Score
            EventViewModel.Score.ResponseText = GetNumberResponse(tbScore.Text);

            return EventViewModel;
        }

        #endregion
    }
}