﻿using System;
using System.Web.UI;
using ViewModels;

namespace Controls.ExamTabv2
{
    public partial class ExamYesNoUserControl : UserControl
    {
        public YesNoQuestion Question { get; set; }

        public bool IsReadOnly { get; set; }

        public string OnYesClientLoad
        {
            set { btnYes.OnClientLoad = value; }
        }

        public string OnYesClientCheckedChanged
        {
            set { btnYes.OnClientCheckedChanged = value; }
        }

        public YesNoQuestion GetUpdatedQuestion()
        {
            Question.IsYesSelected = btnYes.Checked;
            return Question;
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Question != null)
            {
                MapInputs();
            }
        }

        private void MapInputs()
        {
            btnYes.Checked = Question.IsYesSelected;
            btnYes.ToolTip = string.Format("Click For Yes {0}", Question.DisplayText);

            btnNo.Checked = !Question.IsYesSelected;
            btnNo.ToolTip = string.Format("Click For No {0}", Question.DisplayText);

            if (IsReadOnly)
            {
                btnYes.Enabled = btnYes.Checked;
                btnNo.Enabled = btnNo.Checked;
            }
        }
    }
}