﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ReviewCommentListingControl.ascx.cs" Inherits="controls_ReviewComment_ReviewCommentListingControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Panel ID="pnlReviewCommentListing" runat="server" GroupingText="Review Comments&nbsp;&nbsp;" CssClass="fullWidth" ToolTip="Review Comments">
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgReviewComments">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReviewComments" LoadingPanelID="ajaxLoadingPnl" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <div style="width: 95%;">
        <telerik:RadGrid ID="rgReviewComments" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top"
            OnItemCommand="rgReviewComments_ItemCommand" OnNeedDataSource="rgReviewComments_NeedDataSource"
            AllowMultiRowSelection="false" PageSize="20" TabIndex="0">
            <MasterTableView Caption="Reviewer Comments" AutoGenerateColumns="false" DataKeyNames="QuestionCode, LateralityCode, AnchorId, GroupingId"
                ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                <SortExpressions>
                    <telerik:GridSortExpression FieldName="CommentLocation" SortOrder="Ascending" />
                </SortExpressions>
                <NoRecordsTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                    No Review Comments found for this Encounter
                                </asp:Label>
                            </td>
                        </tr>
                    </table>
                </NoRecordsTemplate>
                <Columns>
                    <telerik:GridTemplateColumn HeaderText="Select">
                        <ItemTemplate>
                            <asp:LinkButton runat="server" ID="lbtnReviewDetails" CommandName="Details" Text="Select"
                                ToolTip="Select a reviewer comment" OnClientClick="ShowProgress()" />
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <%--<telerik:GridButtonColumn CommandName="Details" ButtonType="LinkButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>--%>
                    <telerik:GridBoundColumn DataField="CommentLocation" DataType="System.String" HeaderTooltip="Click to sort by Location" HeaderText="Comment Location" ReadOnly="True" SortExpression="CommentLocation" UniqueName="LOCATION_FRIENDLY_NAME_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridCheckBoxColumn DataField="IsResolved" DataType="System.Boolean" HeaderTooltip="Click to sort by Is Resolved" HeaderText="Is Resolved" ReadOnly="True" SortExpression="IsResolved" UniqueName="RESOLVED_FLAG_Report">
                    </telerik:GridCheckBoxColumn>
                    <telerik:GridBoundColumn DataField="ResolvedBy" DataType="System.String" HeaderTooltip="Click to sort by Resolved By" HeaderText="Resolved By" ReadOnly="True" SortExpression="ResolvedBy" UniqueName="RESOLVED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ResolvedDate" DataType="System.DateTime" DataFormatString="{0:d}" HeaderTooltip="Click to sort by Date Resolved" HeaderText="Date Resolved" ReadOnly="True" SortExpression="ResolvedDate" UniqueName="DATE_RESOLVED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridCheckBoxColumn DataField="IsApproved" DataType="System.Boolean" HeaderTooltip="Click to sort by Is Approved" HeaderText="Is Approved" ReadOnly="True" SortExpression="IsApproved" UniqueName="APPROVED_FLAG_Report">
                    </telerik:GridCheckBoxColumn>
                    <telerik:GridBoundColumn DataField="ApprovedBy" DataType="System.String" HeaderTooltip="Click to sort by Approved By" HeaderText="Approved By" ReadOnly="True" SortExpression="ApprovedBy" UniqueName="APPROVED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ApprovedDate" DataType="System.DateTime" DataFormatString="{0:d}" HeaderTooltip="Click to sort by Date Approved" HeaderText="Date Approved" ReadOnly="True" SortExpression="ApprovedDate" UniqueName="DATE_APPROVED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CreatedBy" DataType="System.String" HeaderTooltip="Click to sort by Created By" HeaderText="Created By" ReadOnly="True" SortExpression="CreatedBy" UniqueName="CREATED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CreatedDate" DataType="System.DateTime" DataFormatString="{0:d}" HeaderTooltip="Click to sort by Date Created" HeaderText="Created" ReadOnly="True" SortExpression="CreatedDated" UniqueName="CREATED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UpdatedBy" DataType="System.String" HeaderTooltip="Click to sort by Updated By" HeaderText="Updated By" ReadOnly="True" SortExpression="UpdatedBy" UniqueName="UPDATED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UpdatedDate" DataType="System.DateTime" DataFormatString="{0:d}" HeaderTooltip="Click to sort by Date Updated" HeaderText="Updated" ReadOnly="True" SortExpression="UpdatedDate" UniqueName="UPDATED_Report">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
            <ClientSettings AllowKeyboardNavigation="true">
                <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
        </telerik:RadGrid>
    </div>
</asp:Panel>
