﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI;
using Telerik.Web.UI;
using ViewModels.Encounter;

public partial class controls_ReviewComment_ReviewCommentListingControl : UserControl
{
    #region Memeber Variables

    public IEnumerable<ReviewCommentSummary> ReviewCommentSummaries
    {
        get { return ViewState["ReviewCommentSummaries"] as IEnumerable<ReviewCommentSummary>; }
        set { ViewState["ReviewCommentSummaries"] = value.ToList(); }
    }

    public event GridCommandEventHandler ReviewCommentListSelection;

    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        // populate grid
        if (!IsPostBack)
        {
            RefreshReviewComments();
        }

        if (!this.Visible)
        {
            ajaxProxy.AjaxSettings.Clear();
        }
    }

    public void RefreshReviewComments()
    {
        rgReviewComments.DataSource = ReviewCommentSummaries;
        rgReviewComments.DataBind();
    }

    protected void rgReviewComments_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (ReviewCommentListSelection != null)
        {
            ReviewCommentListSelection(sender, e);
        }
    }

    protected void rgReviewComments_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        rgReviewComments.DataSource = ReviewCommentSummaries;
    }

}