﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WorkflowAdministrationUserControl.ascx.cs" Inherits="controls_WorkflowAdministration_WorkflowAdministrationUserControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<style>
    .innerRegion {
        border: 1px solid #9cafc5;
        border-top: 0px;
    }
</style>

<telerik:RadCodeBlock runat="server" ID="rcb1">
    <script type="text/javascript">

        function OnAssignmentUpdate(sender, args) {
            ConfirmRadButtonAction(sender, args, "Are you sure you want to Reassign this Encounter?");
        }

        function ChangeEncounterStatus(sender, args) {
            ConfirmRadButtonAction(sender, args, "Are you sure you want to change this Encounter Status?");
        }

        function EncounterStatusKeyUp() {
            var $rtbEncounterIDSearch = $find($("[id $=rtbEncounterIDSearch]").attr("id"));
            var $rbSearchEncounterID = $find($("[id $=rbSearchEncounterID]").attr("id"));
            var isEnabled = $rtbEncounterIDSearch.get_textBoxValue() !== "" && Page_ClientValidate($rbSearchEncounterID.get_validationGroup());
            $rbSearchEncounterID.set_enabled(isEnabled);
        }

        function RadComboBoxRequiredValidation(source, args) {
            args.IsValid = false;
            var combo = $find(source.controltovalidate);
            var text = args.Value;

            if (text.length < 1) {
                args.IsValid = false;
            } else {
                var node = combo.findItemByText(text);
                if (node) {
                    args.IsValid = true;
                } else {
                    args.IsValid = false;
                }
            }
        }
    </script>
</telerik:RadCodeBlock>
<telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="rcbDataAbstractors">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlShowHideAbstractorWorkload" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbCancelAssignmentList">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlShowHideAbstractorWorkload" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rgDataAbstractorEncounters">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="rgDataAbstractorEncounters" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbSearchEncounterID">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlShowHideEncounterStatusChange" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbCancelChangeStatus">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlShowHideEncounterStatusChange" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="rbChangeStatus">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="pnlShowHideEncounterStatusChange" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>

<asp:Label runat="server" ID="lblForSelectingAdminTabs" TabIndex="0" Text="** Alt-W selects the Workload Assignment Tab / Alt-C selects the Change Encounter Status Tab." Font-Bold="true" /><br />
<br />

<telerik:RadTabStrip ID="rtsAdminTabStrip" runat="server" MultiPageID="rmpAdminCapabilities" CausesValidation="false">
    <Tabs>
        <telerik:RadTab TabIndex="0" Text="Workload Reassignment" Selected="true" AccessKey="W"></telerik:RadTab>
        <telerik:RadTab TabIndex="0" Text="Change Encounter Status" AccessKey="C"></telerik:RadTab>
    </Tabs>
</telerik:RadTabStrip>

<telerik:RadMultiPage runat="server" ID="rmpAdminCapabilities" SelectedIndex="0" CssClass="innerRegion">
    <telerik:RadPageView ID="rpvReassignment" runat="server" TabIndex="0">
        <asp:Panel ID="pnlShowHideAbstractorWorkload" runat="server" Style="padding: 4px;">
            <br />
            Reassignments
            <br />
            <br />

            <telerik:RadComboBox ID="rcbDataAbstractors" runat="server" Label="Data Abstractor" Filter="Contains" EnableViewState="True" EmptyMessage="Select a Data Abstractor" TabIndex="0"
                AutoPostBack="true" OnSelectedIndexChanged="rcbDataAbstractors_SelectedIndexChanged"
                IsCaseSensitive="False" MarkFirstMatch="True"
                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText">
                <DefaultItem Value="" Text=""></DefaultItem>
            </telerik:RadComboBox>
            <br />
            <br />
            <asp:Panel ID="pnlAbstractorWorkload" runat="server" GroupingText="Abstractor Workload " Visible="false">
                <div style="padding: 4px;">
                    <!-- Current Abstractor Workload -->
                    <asp:Panel ID="pnlAbstractorWorkloadListing" runat="server" CssClass="abstractorListing">
                        <telerik:RadGrid ID="rgDataAbstractorEncounters" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top"
                            OnNeedDataSource="rgDataAbstractorEncounters_NeedDataSource" OnItemCommand="rgDataAbstractorEncounters_OnItemCommand"
                            OnItemDataBound="rgDataAbstractorEncounters_OnItemDataBound" AllowMultiRowSelection="false" PageSize="20" TabIndex="0">
                            <MasterTableView Caption="Abstractor Workload" AutoGenerateColumns="false" DataKeyNames="ReferralId, EncounterId"
                                ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" EditMode="InPlace">
                                <NoRecordsTemplate>
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                    Either no results were found with the selected parameters or the initial search has not been performed yet.
                                                </asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </NoRecordsTemplate>
                                <Columns>
                                    <telerik:GridTemplateColumn HeaderText="Action">
                                        <ItemTemplate>
                                            <asp:LinkButton runat="server" ID="lbtnChangeAssignment" CommandName="EditAssignment" Text="Reassign"
                                                ToolTip="Change who the encounter is assigned to!" />
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <telerik:RadComboBox runat="server" ID="rcbAssignEncounter" EmptyMessage="Select User" AllowCustomText="true"
                                                Filter="Contains" EnableViewState="True" CssClass="ddlMultiSelect" ValidationGroup="assignEncounter"
                                                ToolTip="Required - Select a user to reassign this encounter to"
                                                IsCaseSensitive="False" MarkFirstMatch="True"
                                                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                                                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText" />
                                            <%--<asp:RequiredFieldValidator runat="server" ID="reqValAssignEncounter" ControlToValidate="rcbAssignEncounter"
                                                ValidationGroup="assignEncounter">
                                                *<br/>Must select a user
                                            </asp:RequiredFieldValidator>--%>
                                            <asp:RequiredFieldValidator runat="server" ID="valAssignEncounter" ValidationGroup="assignEncounter"
                                                ErrorMessage="Must select a user" ControlToValidate="rcbAssignEncounter" EnableClientScript="True">
                                                *<br/>Must select a user
                                            </asp:RequiredFieldValidator>
                                            <br />
                                            <telerik:RadButton runat="server" ID="btnUpdateAssignment" Text="Assign User" CommandName="UpdateAssignment"
                                                OnClientClick="ShowProgress()" OnClientClicking="OnAssignmentUpdate" ToolTip="Update Assigment" ValidationGroup="assignEncounter" />
                                            <telerik:RadButton runat="server" ID="btnCancellAssignment" Text="Cancel" CommandName="CancelAssignment"
                                                ToolTip="Cancel Updating the Assignment" />
                                        </EditItemTemplate>
                                    </telerik:GridTemplateColumn>
                                    <telerik:GridBoundColumn DataField="EncounterId" DataType="System.Int32" HeaderTooltip="Sort by Encounter ID column" HeaderText="Encounter ID" ReadOnly="True" SortExpression="EncounterId" UniqueName="EncounterId_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="EncounterDate" DataType="System.DateTime" HeaderTooltip="Sort by Encounter Date column" HeaderText="Encounter Date" ReadOnly="True" SortExpression="EncounterDate" UniqueName="EncounterDate_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="PatientName" DataType="System.String" HeaderTooltip="Sort by Patient Name column" HeaderText="Patient Name" ReadOnly="True" SortExpression="PatientName" UniqueName="PatientName_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Facility" DataType="System.String" HeaderTooltip="Sort by Facility column" HeaderText="Facility" ReadOnly="True" SortExpression="Facility" UniqueName="Facility_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="LastUpdatedDate" DataType="System.DateTime" HeaderTooltip="Sort by Last Updated Date column" HeaderText="Last Updated Date" ReadOnly="True" SortExpression="LastUpdatedDate" UniqueName="LastUpdatedDate_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="UpdatedBy" DataType="System.String" HeaderTooltip="Sort by Updated By column" HeaderText="Updated By" ReadOnly="True" SortExpression="UpdatedBy" UniqueName="UpdatedBy_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="EncounterStatus" DataType="System.String" HeaderTooltip="Sort by Encounter Status column" HeaderText="Encounter Status" ReadOnly="True" SortExpression="EncounterStatus" UniqueName="EncounterStatus_Report">
                                    </telerik:GridBoundColumn>
                                </Columns>
                            </MasterTableView>
                            <ClientSettings AllowKeyboardNavigation="true">
                                <%--<KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>--%>
                                <%--<Selecting AllowRowSelect="true" />--%>
                            </ClientSettings>
                        </telerik:RadGrid>
                        <br />
                        <telerik:RadButton ID="rbCancelAssignmentList" runat="server" Text="Cancel" ToolTip="Close Encounter Reassignment List"
                             OnClick="rbCancelAssignmentList_Click" />
                    </asp:Panel>
                    <!-- End Current Abstractor Workload -->
                </div>
            </asp:Panel>
        </asp:Panel>
    </telerik:RadPageView>
    <telerik:RadPageView ID="rpvChangeEncounterStatus" runat="server" TabIndex="0">
        <asp:Panel runat="server" ID="pnlShowHideEncounterStatusChange" style="padding: 4px;">
            <asp:Panel runat="server" ID="pnlEncounterIdSearch" DefaultButton="rbSearchEncounterID">
                <asp:Label ID="lblForEncounterIDSearch" runat="server" AssociatedControlID="rtbEncounterIDSearch" Text="Encounter ID:" ToolTip="Search the system by Encounter ID" TabIndex="0" />
                <telerik:RadTextBox ID="rtbEncounterIDSearch" runat="server" InputType="Number" ToolTip="Required - Search Encounters by Encounter ID"
                    EmptyMessage="Search by Encounter ID" TabIndex="0" ValidationGroup="encounterStatusChange"
                    onkeyup="EncounterStatusKeyUp()" />
                <asp:RequiredFieldValidator runat="server" ID="reqValEncounterId" ControlToValidate="rtbEncounterIDSearch"
                    ValidationGroup="encounterStatusChange" Text="Encounter ID is required">*</asp:RequiredFieldValidator>
                <telerik:RadButton ID="rbSearchEncounterID" runat="server" Text="Search" ToolTip="Click to search by Encounter ID"
                    TabIndex="0" OnClick="rbSearchEncounterID_Click" ValidationGroup="encounterStatusChange" Enabled="False" />
                <asp:CompareValidator runat="server" Type="Double" ControlToValidate="rtbEncounterIDSearch" Operator="DataTypeCheck"
                    ValidationGroup="encounterStatusChange" Text="Encounter ID must be a number"></asp:CompareValidator>
            </asp:Panel>
            <br />
            <br />
            <asp:Panel ID="pnlEncounterInfo" runat="server" GroupingText="Encounter Information " Visible="false" DefaultButton="rbChangeStatus">
                <table>
                    <tr>
                        <td style="vertical-align: top;">
                            <asp:Label ID="lblForCurrentlyAssignedTo" runat="server" Text="Current Assignment" AssociatedControlID="lblCurrentEncounterAssignedTo" />
                        </td>
                        <td style="vertical-align: top; padding-left: 5px;">
                            <asp:Label ID="lblCurrentEncounterAssignedTo" runat="server" TabIndex="0" />
                        </td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top;">
                            <%--<asp:Label ID="lblForCurrentEncounterStatus" runat="server" Text="Current Encounter Status" AssociatedControlID="rcbCurrentEncounterStatus" />--%>
                            <label for="<%=rcbCurrentEncounterStatus.ClientID %>_Input">Current Encounter Status</label>
                        </td>
                        <td style="vertical-align: top; padding-left: 5px;">
                            <telerik:RadComboBox ID="rcbCurrentEncounterStatus" runat="server" Filter="Contains" EnableViewState="True"
                                TabIndex="0" AutoPostBack="false" ValidationGroup="encounterStatusChange"
                                IsCaseSensitive="False" MarkFirstMatch="True"
                                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText">
                            </telerik:RadComboBox>
                            <asp:RequiredFieldValidator runat="server" ID="valEncounterStatusChange" ValidationGroup="encounterStatusChange"
                                ErrorMessage="Must select an encounter status" ControlToValidate="rcbCurrentEncounterStatus" EnableClientScript="True">
                                *<br/>Must select an encounter status
                            </asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <%--<tr>
                        <td style="vertical-align:top;"></td>
                        <td style="vertical-align:top; padding-left:5px;"></td>
                    </tr>
                    <tr>
                        <td style="vertical-align:top;"></td>
                        <td style="vertical-align:top; padding-left:5px;"></td>
                    </tr>--%>
                </table>
                <telerik:RadButton ID="rbChangeStatus" runat="server" Text="Update Encounter Status" ToolTip="Click to update Encounter Status" TabIndex="0" OnClientClicking="ChangeEncounterStatus"
                    OnClick="rbChangeStatus_Click" ValidationGroup="encounterStatusChange" />
                <telerik:RadButton ID="rbCancelChangeStatus" runat="server" Text="Cancel" ToolTip="Cancel Encounter Status Change"  OnClick="rbCancelChangeStatus_Click" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlEncounterInfoNotFound" Visible="False">
                <div style="color: #000000; font-size: 12pt; font-weight: normal;">
                    Encounter Not Found
                </div>
            </asp:Panel>
        </asp:Panel>
    </telerik:RadPageView>
</telerik:RadMultiPage>
