﻿<%@ Page Title="" Language="C#" MasterPageFile="~/RegistryNoLeftMenu.master" AutoEventWireup="true" CodeFile="Encounter.aspx.cs" Inherits="Encounter" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Src="~/Controls/Encounter/ChiefComplaintControl.ascx" TagName="ChiefComplaintControl" TagPrefix="mevir" %>
<%@ Register Src="~/Controls/Encounter/DiagnosisControl.ascx" TagName="DiagnosisControl" TagPrefix="mevir" %>
<%@ Register Src="~/Controls/Encounter/ExamControl.ascx" TagName="ExamControl" TagPrefix="mevir" %>
<%@ Register Src="~/Controls/Encounter/ProcedureControl.ascx" TagName="ProcedureControl" TagPrefix="mevir" %>
<%@ Register Src="~/Controls/Encounter/ProviderControl.ascx" TagName="ProviderControl" TagPrefix="mevir" %>
<%@ Register Src="~/Controls/Encounter/HistoryControl.ascx" TagName="HistoryControl" TagPrefix="mevir" %>
<%@ Register Src="~/Controls/EncounterInformationUserControl.ascx" TagName="EncounterInformationUserControl" TagPrefix="mevir" %>
<%@ Register Src="~/Controls/ReviewComment/ReviewCommentListingControl.ascx" TagName="ReviewCommentListing" TagPrefix="mevir" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress(sender, args) {
                // if save action, etc .... set isDirty false
                if (sender != null) {
                    if (sender.get_id().indexOf("AvailalbleOperations") > -1) {
                        //alert("I'm Here");
                        isDirty.val("0");
                    }
                }

                if (Page_IsValid) {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                    return true;

                    ////setTimeout(function () {
                    ////    loading.hide();
                    ////    $("div.modal").hide();
                    ////}, 5000);

                }
                return false;
            };

            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                // Cancel ajax for reviewer comment link
                if (eventTarget.indexOf("CommentListing$") !== -1 && eventTarget.indexOf("lbtnReviewDetails") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
    <script type="text/javascript" src="./scripts/encounter.min.js"></script>
    <link type="text/css" rel="stylesheet" href="./styles/encounter.min.css" />
</asp:Content>
<asp:Content ID="LeftZone" ContentPlaceHolderID="LeftZoneContent" runat="Server">
    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue" ShowChooser="false">
    </telerik:RadSkinManager>
    <div class="leftZone">
        <a href="ReferralEncounters.aspx?id=<%=ViewModel.ReferralId%>" title="Click to go back to encounter listing for referral id: <%=ViewModel.ReferralId%>" style="color:#FFFFFF;">Back to Encounter Listing
        </a>
        <br />
        <br />
        Encounter Actions
        <br />

        <%--These actions will be shown through a factory pattern that will accept the current status of the encounter and the role of use.--%>

        <%--TODO: Create a class for values for these operation modes--%>
        <div id="toolBarContainer" style="padding-left: 8px; padding-right: 8px;">
            <telerik:RadToolBar ID="rtbAvailalbleOperations" runat="server" Orientation="Vertical" Width="100%" OnClientButtonClicking="ShowProgress" OnButtonClick="rtbAvailalbleOperations_ButtonClick">
                <Items>
                    <telerik:RadToolBarButton Value="1" Text="Save" Font-Bold="true" ToolTip="Save Encounter Record"></telerik:RadToolBarButton>
                    <%--<telerik:RadToolBarButton IsSeparator="true"></telerik:RadToolBarButton>--%>
                    <telerik:RadToolBarButton Value="2" Text="Send for Review" Font-Bold="true" ToolTip="Encounter Record is Ready for Review (Send to Reviewer)"></telerik:RadToolBarButton>
                    <%--<telerik:RadToolBarButton IsSeparator="true"></telerik:RadToolBarButton>--%>
                    <telerik:RadToolBarButton Value="3" Text="Return to Abstractor" Font-Bold="true" ToolTip="Encounter Record has been reviewed, comments added, and ready to send back to Data Abstractor for correction."></telerik:RadToolBarButton>
                    <%--<telerik:RadToolBarButton IsSeparator="true"></telerik:RadToolBarButton>--%>
                    <telerik:RadToolBarButton Value="4" Text="Send to DVEIVR" Font-Bold="true" ToolTip="Encounter Record has been reviewed and is ready to send to DVEIVR."></telerik:RadToolBarButton>
                    <%--<telerik:RadToolBarButton IsSeparator="true"></telerik:RadToolBarButton>--%>
                    <telerik:RadToolBarButton Value="5" Text="Cancel" Font-Bold="true" CausesValidation="False" ToolTip="Cancel Encounter Editing and return to Encounter Listing Page"></telerik:RadToolBarButton>
                </Items>
            </telerik:RadToolBar>
        </div>
    </div>
    <br />
</asp:Content>
<asp:Content ID="MainContentZone" ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">
    <asp:ValidationSummary runat="server" ID="valSummary" ShowMessageBox="True" EnableClientScript="True" ShowSummary="False" />
    <asp:ScriptManager runat="server" ID="scriptManager" EnablePartialRendering="True"></asp:ScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="ajaxLoadingPnl"
         ClientEvents-OnRequestStart="RequestStart" ClientEvents-OnResponseEnd="ResponseEnd">
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />

    <telerik:RadTabStrip ID="rtsTabStrip" runat="server" MultiPageID="rmpTabContent" CausesValidation="false" SelectedIndex="0" dir="ltr" >
        <Tabs>
            <telerik:RadTab Value="1" Text="General" Selected="true" PageViewID="rpvGeneralContent" ToolTip="General Tab"></telerik:RadTab>
            <telerik:RadTab Value="2" Text="Provider" PageViewID="rpvProviderContent" ToolTip="Provider Tab"></telerik:RadTab>
            <telerik:RadTab Value="3" Text="Chief Complaint" PageViewID="rpvChiefComplaintContent" ToolTip="Chief Complaint Tab"></telerik:RadTab>
            <telerik:RadTab Value="7" Text="History" PageViewID="rpvHistoryContent" ToolTip="History Tab"></telerik:RadTab>
            <telerik:RadTab Value="4" Text="Exam" PageViewID="rpvExamContent" ToolTip="Exam Tab"></telerik:RadTab>
            <telerik:RadTab Value="5" Text="Diagnosis (ICD)"  PageViewID="rpvDiagnosisContent" ToolTip="Diagnosis Tab"></telerik:RadTab>
            <telerik:RadTab Value="6" Text="Procedures (ICD &amp; CPT4)" PageViewID="rpvProceduresContent" ToolTip="Procedures Tab"></telerik:RadTab>
        </Tabs>
    </telerik:RadTabStrip>
    <telerik:RadMultiPage runat="server" ID="rmpTabContent" SelectedIndex="0">
        <telerik:RadPageView ID="rpvGeneralContent" runat="server">
            <div style="padding: 2px;">
                <br />
                <mevir:EncounterInformationUserControl ID="EncounterInfo" runat="server" />
                <br />
                <asp:Panel runat="server" ID="pnlReviewCommentSummaries">
                    <mevir:ReviewCommentListing ID="CommentListing" runat="server" 
                        OnReviewCommentListSelection="CommentListing_OnReviewCommentListSelection" />
                </asp:Panel>
            </div>
        </telerik:RadPageView>
        <telerik:RadPageView ID="rpvProviderContent" runat="server">
            <div style="padding: 2px;">
                <br />
                <mevir:ProviderControl ID="ProviderTabControl" runat="server"
                    OnProviderSavedSuccessfully="TabUserControl_OnSavedSuccessfully" />
            </div>
        </telerik:RadPageView>
        <telerik:RadPageView ID="rpvChiefComplaintContent" runat="server">
            <div style="padding: 2px;">
                <br />
                <mevir:ChiefComplaintControl ID="complaintTabUserControl" runat="server"
                    OnReviewerCommentSaved="TabUserControl_OnReviewerCommentSaved" />
            </div>
        </telerik:RadPageView>
        <telerik:RadPageView ID="rpvExamContent" runat="server">
            <div style="padding: 2px;">
                <br />
                <mevir:ExamControl ID="ExamTabUserControl" runat="server"
                    OnEventSavedSuccessfully="TabUserControl_OnSavedSuccessfully"
                    OnReviewerCommentSaved="TabUserControl_OnReviewerCommentSaved" />
            </div>
        </telerik:RadPageView>
        <telerik:RadPageView ID="rpvDiagnosisContent" runat="server">
            <div style="padding: 2px;">
                <br />
                <mevir:DiagnosisControl ID="diagnosisTabControl" runat="server"
                    OnDiagnosisSavedSuccessfully="TabUserControl_OnSavedSuccessfully"
                    OnReviewerCommentSaved="TabUserControl_OnReviewerCommentSaved" />
            </div>
        </telerik:RadPageView>
        <telerik:RadPageView ID="rpvProceduresContent" runat="server">
            <div style="padding: 2px;">
                <br />
                <mevir:ProcedureControl ID="procedureTabControl" runat="server"
                    OnProcedureSavedSuccessfully="TabUserControl_OnSavedSuccessfully" />
            </div>
        </telerik:RadPageView>
        <telerik:RadPageView ID="rpvHistoryContent" runat="server">
            <div style="padding: 2px;">
                <br />
                <mevir:HistoryControl ID="historyTabControl" runat="server"
                    OnReviewerCommentSaved="TabUserControl_OnReviewerCommentSaved" />
            </div>
        </telerik:RadPageView>
    </telerik:RadMultiPage>
    <br />
    <br />
    <script type="text/javascript">
        $(document).ready(function () {
            var $helpLink = $("table#pgBanner a:contains('Help')");
            $helpLink.bind('click', function (e) {
                e.preventDefault();
                var currentLocation = this.href;
                var $activeTab = $("div[id $=rtsTabStrip] .rtsSelected:first");
                var tabTitle = "_" + $activeTab[0].title.replace(/ /g, '');
                var extensionIndex = currentLocation.indexOf('.html');
                var newLocation = [currentLocation.slice(0, extensionIndex), tabTitle, currentLocation.slice(extensionIndex)].join('');
                window.open(newLocation, '_blank');
            });
        });
    </script>
</asp:Content>
