﻿<%@ Page Title="" Language="C#" MasterPageFile="~/RegistryNoLeftMenu.master" AutoEventWireup="true" CodeFile="MyTasks.aspx.cs" Inherits="MyTasks" %>

<%@ Register Src="~/controls/WorkflowAdministration/WorkflowAdministrationUserControl.ascx" TagName="WorkflowAdminControl" TagPrefix="mevir" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                if (eventTarget.indexOf("lbtnEncounterDetails") !== -1) {
                    args.set_enableAjax(false);
                }

                if (eventTarget.indexOf("btnUpdateAssignment") !== -1) {
                    args.set_enableAjax(false);
                }

                if (eventTarget.indexOf("rbChangeStatus") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="LeftContent" ContentPlaceHolderID="LeftZoneContent" runat="server">
    <%--Master Pages Leave off at Tab Index 5 ... start at 10--%>
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
        ClientEvents-OnResponseEnd="ResponseEnd" DefaultLoadingPanelID="ajaxLoadingPnlExam">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbEncounterStatus">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgMyEncounters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgMyEncounters">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgMyEncounters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgReviewer">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReviewer" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <div class="leftZone">
        <asp:Panel ID="pnlDataAbstrationFilterZone" runat="server" Visible="true">
            <asp:Label ID="lblFiltersArea" runat="server" Text="Data Abstraction Filters / Actions" TabIndex="0" ToolTip="This section contains filters and actions available for the current page" />
            <br />
            <br />
            <div style="padding-left: 10px;">
                <%--<asp:Label ID="lblEncounterStatusType" runat="server" Text="Encounter Status:  " AssociatedControlID="rcbEncounterStatus" />--%>
                <label for="<%=rcbEncounterStatus.ClientID%>_Input">Encounter Status:</label>
                <br />
                <telerik:RadComboBox ID="rcbEncounterStatus" runat="server" Width="230px" AutoPostBack="true" ToolTip="Limit returned Encounters to those with the selected status."
                    OnSelectedIndexChanged="rcbEncounterStatus_SelectedIndexChanged" />
                <br />
                <br />
            </div>
        </asp:Panel>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">
    <telerik:RadButton ID="rbRefreshPage" runat="server" Text="Refresh Page" ToolTip="Refresh My Tasks Page"
        OnClientClicking="ShowProgress" OnClick="rbRefreshPage_Click" />
    <br />
    <br />
    <%--Start Tab Index at 50--%>
    <asp:Panel ID="pnlReferralEncounters" runat="server" Visible="true" GroupingText="Data Abstractor Tasks&nbsp;">
        <div style="padding: 10px;">
            <asp:Label runat="server" ID="lblAccessibility" AssociatedControlID="rgMyEncounters" TabIndex="0" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />

            <telerik:RadGrid ID="rgMyEncounters" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgMyEncounters_ItemCommand"
                OnNeedDataSource="rgMyEncounters_NeedDataSource" OnItemDataBound="rgMyEncounters_ItemDataBound" AllowMultiRowSelection="false" PageSize="10" TabIndex="0">
                <MasterTableView Caption="Data Abstractor Tasks" AutoGenerateColumns="false" DataKeyNames="ReferralId, EncounterId" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                        Either no results were found with the selected parameters or the initial search has not been performed yet.
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <SortExpressions>
                        <telerik:GridSortExpression FieldName="LastUpdatedDate" SortOrder="Descending" />
                    </SortExpressions>
                    <Columns>
                        <telerik:GridTemplateColumn HeaderText="Select">
                            <ItemTemplate>
                                <asp:LinkButton runat="server" ID="lbtnEncounterDetails" CommandName="Details" Text="Select"
                                    ToolTip="Select an encounter" OnClientClick="ShowProgress()" />
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                        <telerik:GridBoundColumn DataField="EncounterId" DataType="System.Int32" HeaderTooltip="Sort by Encounter ID column" HeaderText="Encounter ID" ReadOnly="True" SortExpression="EncounterId" UniqueName="EncounterId_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="EncounterDate" DataType="System.DateTime" HeaderTooltip="Sort by Encounter Date column" HeaderText="Encounter Date" ReadOnly="True" SortExpression="EncounterDate" UniqueName="EncounterDate_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="PatientName" DataType="System.String" HeaderTooltip="Sort by Patient Name column" HeaderText="Patient Name" ReadOnly="True" SortExpression="PatientName" UniqueName="PatientName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Facility" DataType="System.String" HeaderTooltip="Sort by Facility column" HeaderText="Facility" ReadOnly="True" SortExpression="Facility" UniqueName="Facility_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="LastUpdatedDate" DataType="System.DateTime" HeaderTooltip="Sort by Last Updated Date column" HeaderText="Last Updated Date" ReadOnly="True" SortExpression="LastUpdatedDate" UniqueName="LastUpdatedDate_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UpdatedBy" DataType="System.String" HeaderTooltip="Sort by Updated By column" HeaderText="Updated By" ReadOnly="True" SortExpression="UpdatedBy" UniqueName="UpdatedBy_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="EncounterStatus" DataType="System.String" HeaderTooltip="Sort by Encounter Status column" HeaderText="Encounter Status" ReadOnly="True" SortExpression="EncounterStatus" UniqueName="EncounterStatus_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings AllowKeyboardNavigation="true">
                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </div>
    </asp:Panel>

    <asp:Panel ID="pnlReadyForReview" runat="server" Visible="false" GroupingText="Reviewer Tasks&nbsp;">
        <div style="padding: 10px;">
            <asp:Label runat="server" ID="lblForReviewerGrid" AssociatedControlID="rgReviewer" TabIndex="0" AccessKey="i" Text="Ctrl-q selects the grid.  Use Tab and arrow keys to navigate." />

            <telerik:RadGrid ID="rgReviewer" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgReviewer_ItemCommand"
                OnNeedDataSource="rgReviewer_NeedDataSource" AllowMultiRowSelection="false" PageSize="10" TabIndex="0">
                <MasterTableView Caption="Reviewer Tasks" AutoGenerateColumns="false" DataKeyNames="ReferralId, EncounterId" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                        Either no results were found with the selected parameters or the initial search has not been performed yet.
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <SortExpressions>
                        <telerik:GridSortExpression FieldName="LastUpdatedDate" SortOrder="Descending" />
                    </SortExpressions>
                    <Columns>
                        <telerik:GridTemplateColumn HeaderText="Select">
                            <ItemTemplate>
                                <asp:LinkButton runat="server" ID="lbtnEncounterDetails" CommandName="Details" Text="Select"
                                    ToolTip="Select an encounter" OnClientClick="ShowProgress()" />
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                        <telerik:GridBoundColumn DataField="EncounterId" DataType="System.Int32" HeaderTooltip="Sort by Encounter ID column" HeaderText="Encounter ID" ReadOnly="True" SortExpression="EncounterId" UniqueName="EncounterId_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="EncounterDate" DataType="System.DateTime" HeaderTooltip="Sort by Encounter Date column" HeaderText="Encounter Date" ReadOnly="True" SortExpression="EncounterDate" UniqueName="EncounterDate_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="PatientName" DataType="System.String" HeaderTooltip="Sort by Patient Name column" HeaderText="Patient Name" ReadOnly="True" SortExpression="PatientName" UniqueName="PatientName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Facility" DataType="System.String" HeaderTooltip="Sort by Facility column" HeaderText="Facility" ReadOnly="True" SortExpression="Facility" UniqueName="Facility_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="LastUpdatedDate" DataType="System.DateTime" HeaderTooltip="Sort by Last Updated Date column" HeaderText="Last Updated Date" ReadOnly="True" SortExpression="LastUpdatedDate" UniqueName="LastUpdatedDate_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UpdatedBy" DataType="System.String" HeaderTooltip="Sort by Updated By column" HeaderText="Updated By" ReadOnly="True" SortExpression="UpdatedBy" UniqueName="UpdatedBy_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="EncounterStatus" DataType="System.String" HeaderTooltip="Sort by Encounter Status column" HeaderText="Encounter Status" ReadOnly="True" SortExpression="EncounterStatus" UniqueName="EncounterStatus_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings AllowKeyboardNavigation="true" KeyboardNavigationSettings-FocusKey="Q">
                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </div>
    </asp:Panel>

    <asp:Panel ID="pnlAdministrationArea" runat="server" Visible="false" GroupingText="Administrator Tasks&nbsp;">
        <div style="padding: 10px;">
            <mevir:WorkflowAdminControl ID="WorkflowAdmin" runat="server"
                OnEncounterAssignmentChanged="WorkflowAdmin_OnEncounterAssignmentChanged"
                OnEncounterStatusChanged="WorkflowAdmin_OnEncounterStatusChanged" />
        </div>
    </asp:Panel>

    <asp:Panel ID="pnlNoAccess" runat="server" Visible="false" GroupingText="No Access&nbsp;">
        <div style="padding: 10px;">
            The current user does not have access to view information on this page.
        </div>
    </asp:Panel>
</asp:Content>
