﻿<%@ Page Title="" Language="C#" MasterPageFile="~/RegistryNoLeftMenu.master" AutoEventWireup="true" CodeFile="Referrals.aspx.cs" Inherits="Referrals" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                if (eventTarget.indexOf("lbtnReferralDetails") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="LeftContent" ContentPlaceHolderID="LeftZoneContent" runat="server">
    <%--Master Pages Leave off at Tab Index 5 ... start at 10--%>
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
        ClientEvents-OnResponseEnd="ResponseEnd" DefaultLoadingPanelID="ajaxLoadingPnlExam">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbVISN">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlRefreshVISN" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rbSearch">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReferrals" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgReferrals">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReferrals" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <div class="leftZone">
        <asp:Label ID="lblFiltersArea" runat="server" Text="Filters / Actions" TabIndex="0" ToolTip="This section contains filters and actions available for the current page" />
        <br />
        <br />
        <div style="padding-left: 10px;">
            <asp:Panel runat="server" ID="pnlRefreshVISN" DefaultButton="rbSearch">
                <label for="<%=rcbVISN.ClientID%>_Input">Referral VISN:</label>
                <asp:RequiredFieldValidator runat="server" ID="reqValVISN" ControlToValidate="rcbVISN" EnableClientScript="True"
                    ValidationGroup="visnRefresh" ErrorMessage="VISN is required">
                    *<br/>Must select a VISN
                </asp:RequiredFieldValidator>   
                <br />
                <telerik:RadComboBox ID="rcbVISN" runat="server" Width="230px" TabIndex="0" AutoPostBack="true"
                    OnSelectedIndexChanged="rcbVISN_SelectedIndexChanged" Enabled="true"
                    ToolTip="Required - Select the VISN" ValidationGroup="visnRefresh" CausesValidation="True"
                    EmptyMessage="Select a VISN">
                    <%--<DefaultItem Value="0" Text="Select a VISN"></DefaultItem>--%>
                </telerik:RadComboBox>

                <br />
                <br />
                <%--<asp:Label ID="lblFacility" runat="server" Text="Referral Facility: " AssociatedControlID="rcbFac" />--%>
                <label for="<%=rcbFac.ClientID%>_Input">Referral Facility:</label>
                <br />
                <telerik:RadComboBox ID="rcbFac" runat="server" Width="230px" TabIndex="0" EmptyMessage="Select a Facility" Enabled="false"
                    ToolTip="Select the Facility">
                    <DefaultItem Value="0" Text="Select a Facility"></DefaultItem>
                </telerik:RadComboBox>
                <br />
                <br />
                <asp:Label ID="lblName" runat="server" Text="Patient Name or SSN: " AssociatedControlID="rtbPatientNameSSN" />
                <br />
                <telerik:RadTextBox ID="rtbPatientNameSSN" runat="server" Width="230px" TabIndex="0"
                    EmptyMessage="Enter Patient Name or SSN" Enabled="true" ToolTip="Enter either the Patient Name or Social Security Number" />

                <br />
                <br />
                <%--<asp:Label ID="lblReferralType" runat="server" Text="Referral-Encounter Status:  " AssociatedControlID="rcbReferralType" />--%>
                <label for="<%=rcbReferralType.ClientID%>_Input">Referral-Encounter Status:</label>
                <br />
                <telerik:RadComboBox ID="rcbReferralType" runat="server" Width="230px" AutoPostBack="false"
                    ToolTip="Limit returned Referrals to those that contain Encounters with the selected status." TabIndex="0">
                </telerik:RadComboBox>

                <br />
                <br />
            </asp:Panel>
            <telerik:RadButton ID="rbSearch" runat="server" Text="Search" ToolTip="Click to run search for selected filters" OnClick="rbSearch_Click" 
                ValidationGroup="visnRefresh" />

        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">
    <br />
    <%--Start Tab Index at 50--%>
    <telerik:RadGrid ID="rgReferrals" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgReferrals_ItemCommand"
        OnNeedDataSource="rgReferrals_NeedDataSource" AllowMultiRowSelection="false" PagerStyle-AlwaysVisible="true" TabIndex="0">
        <MasterTableView Caption="Referral List" AutoGenerateColumns="false" DataKeyNames="ReferralId" PageSize="20" TabIndex="0">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select filters to the left.
                            </asp:Label>
                        </td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="PatientName" SortOrder="Ascending" />
            </SortExpressions>
            <Columns>
                <telerik:GridTemplateColumn HeaderText="Select">
                    <ItemTemplate>
                        <asp:LinkButton runat="server" ID="lbtnReferralDetails" CommandName="Details" Text="Select"
                            ToolTip="Select an encounter" OnClientClick="ShowProgress()" />
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridBoundColumn DataField="ReferralId" DataType="System.Int32" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by Referral ID" HeaderText="Referral ID" ReadOnly="True" SortExpression="ReferralId" UniqueName="ReferralId_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ReferralSTSId" DataType="System.Int32" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by Referral STS ID" HeaderText="Referral STS ID" ReadOnly="True" SortExpression="ReferralSTSId" UniqueName="ReferralSTSId_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ReferralDate" DataType="System.DateTime" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by Referral Date" HeaderText="Referral Date" ReadOnly="True" SortExpression="ReferralDate" UniqueName="ReferralDate_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="PatientSSN" DataType="System.String" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by Patient SSN" HeaderText="SSN" ReadOnly="True" SortExpression="PatientSSN" UniqueName="PatientSSN_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="PatientName" DataType="System.String" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by Patient Name" HeaderText="Patient Name" ReadOnly="True" SortExpression="PatientName" UniqueName="PatientName_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="StationNumber" DataType="System.String" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by Station Number" HeaderText="Station Number" ReadOnly="True" SortExpression="StationNumber" UniqueName="SStationNumber_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="VISNName" DataType="System.String" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by VISN Name" HeaderText="VISN Name" ReadOnly="True" SortExpression="VISNName" UniqueName="VISNName_Report">
                </telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="TotalEncounterCount" DataType="System.Int32" HeaderButtonType="LinkButton"
                    HeaderTooltip="Sort by Total Encounter Counter" HeaderText="Total Encounter Count" ReadOnly="True" SortExpression="TotalEncounterCount" UniqueName="TotalEncounterCount_Report">
                </telerik:GridBoundColumn>

                <%--<telerik:GridBoundColumn DataField="TotalEncounterCount" DataType="System.Int32" FilterControlAltText="Filter Total Encounter Count column" HeaderText="Total Encounter Count" ReadOnly="True" SortExpression="TotalEncounterCount" UniqueName="TotalEncounterCount_Report">
                </telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="OpenEncounterCount" DataType="System.Int32" FilterControlAltText="Filter Open Encounter Count column" HeaderText="Open Encounter Count" ReadOnly="True" SortExpression="OpenEncounterCount" UniqueName="OpenEncounterCount_Report">
                </telerik:GridBoundColumn>--%>
            </Columns>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
    </telerik:RadGrid>
</asp:Content>
