﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Reporting/RegistryReporting.master" AutoEventWireup="true" CodeFile="DoDInterfaceTransferReport.aspx.cs" Inherits="Reporting_DoDInterfaceTransferReport" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                if (eventTarget.indexOf("btnExportWord") !== -1) {
                    args.set_enableAjax(false);
                }

                if (eventTarget.indexOf("btnExportExcel") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
        ClientEvents-OnResponseEnd="ResponseEnd" DefaultLoadingPanelID="ajaxLoadingPnlExam">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="btnFilter">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlMainReportContainer" />
                    <telerik:AjaxUpdatedControl ControlID="pnlFilters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnReset">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlMainReportContainer" />
                    <telerik:AjaxUpdatedControl ControlID="pnlFilters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReport" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <asp:Panel ID="pnlFilters" runat="server" GroupingText="Report Filters">
        <br />
        <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" HeaderText="Errors:"
            DisplayMode="BulletList" CssClass="validationErrorMessageHeader" />
        <div style="width: 200px; float: left">
            <asp:Label runat="server" ID="lblDateFrom" AssociatedControlID="rdpDateFrom" Text="Date From:" />
            <telerik:RadDatePicker runat="server" ID="rdpDateFrom" ToolTip="Required - From Date" />
            <asp:RequiredFieldValidator runat="server" ID="reqValDateFrom" ControlToValidate="rdpDateFrom"
                EnableClientScript="True" Display="Dynamic" Text="*" ErrorMessage="Date From is required" />
            <div>
                <asp:CompareValidator ID="compValTodayDateFrom" runat="server" Type="Date"
                    ControlToValidate="rdpDateFrom" Operator="LessThanEqual"
                    EnableClientScript="True" Display="Dynamic" ErrorMessage="Date From can't be later than today" />
            </div>
        </div>
        <div style="width: 200px; float: left">
            <asp:Label runat="server" ID="lblDateTo" AssociatedControlID="rdpDateTo" Text="Date To:" />
            <telerik:RadDatePicker runat="server" ID="rdpDateTo" ToolTip="Required - To Date" />
            <asp:RequiredFieldValidator runat="server" ID="reqValDateTo" ControlToValidate="rdpDateTo"
                EnableClientScript="True" Display="Dynamic" Text="*" ErrorMessage="Date To is required" />
            <div>
                <asp:CompareValidator ID="compValDateRange" runat="server" Type="Date"
                    ControlToValidate="rdpDateTo" ControlToCompare="rdpDateFrom" Operator="GreaterThanEqual"
                    EnableClientScript="True" Display="Dynamic" ErrorMessage="Date To must be greater than or equal to Date From" />
            </div>
            <div>
                <asp:CompareValidator ID="compValTodayDateTo" runat="server" Type="Date"
                    ControlToValidate="rdpDateTo" Operator="LessThanEqual"
                    EnableClientScript="True" Display="Dynamic" ErrorMessage="Date To can't be later than today" />

            </div>
        </div>
        <div style="clear: both;"></div>
        <br />
        <div id="reportFilterButton">
            <asp:Button ID="btnFilter" runat="server" Text="Run Report" ToolTip="Click to Execute Report" OnClick="btnFilter_Click" />
            <asp:Button ID="btnReset" runat="server" Text="Reset" ToolTip="Click to Reset Report and Filters" CausesValidation="false" OnClick="btnReset_Click" />
        </div>
        <div style="clear: both;"></div>
    </asp:Panel>
    <asp:Panel ID="pnlMainReportContainer" runat="server" CssClass="mainContent" Visible="false" TabIndex="0">
        <div style="text-align: right; padding-top: 3px;">
            <asp:Button ID="btnExportWord" runat="server" Text="Export Word" OnClick="btnExportWord_Click" OnClientClick="ShowProgress();" />
            <asp:Button ID="btnExportExcel" runat="server" Text="Export Excel" OnClick="btnExportExcel_Click" OnClientClick="ShowProgress();" />
        </div>
        <div id="reportImageContainer">
            <img src="../images/VA%20Logo.JPG" alt="VA Logo Image" style="width: 100%;" title="VA Logo Image" />
        </div>
        <div id="reportNameContainer">VA Eye Injury Data Store - DoD Interface Transfer Report</div>
        <div style="clear: both;"></div>
        <br />
        <br />
        <strong>Selection Criteria:</strong>
        <br />
        <table>
            <tr>
                <td><strong>Date From:</strong></td>
                <td>
                    <asp:Label runat="server" ID="lblCriteriaDateFrom" /></td>
            </tr>
            <tr>
                <td><strong>Date To:</strong></td>
                <td>
                    <asp:Label runat="server" ID="lblCriteriaDateTo" /></td>
            </tr>
        </table>
        <br />
        <telerik:RadGrid ID="rgAgg" runat="server">
            <MasterTableView Caption="DoD Interface Transfer Report - Summary" HeaderStyle-ForeColor="Black" AutoGenerateColumns="False">
                <Columns>
                    <telerik:GridBoundColumn DataField="TotalPatients" DataType="System.Int32" HeaderText="Total Number of Unique Patients"
                        HeaderTooltip="Total Number of Unique Patients" ReadOnly="True" />
                    <telerik:GridBoundColumn DataField="TotalEncounters" DataType="System.Int32" HeaderText="Total Number of Encounters"
                        HeaderTooltip="Total Number of Encounters" ReadOnly="True" />
                </Columns>
            </MasterTableView>
            <ClientSettings AllowKeyboardNavigation="true">
                <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
        </telerik:RadGrid>
        <br />
        <telerik:RadGrid ID="rgReport" runat="server" AllowPaging="True" AllowSorting="True"
            OnNeedDataSource="rgReport_OnNeedDataSource" PageSize="20" TabIndex="0">
            <MasterTableView Caption="DoD Interface Transfer Report" AutoGenerateColumns="false" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                <NoRecordsTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.
                                </asp:Label>
                            </td>
                        </tr>
                    </table>
                </NoRecordsTemplate>
                <Columns>
                    <telerik:GridBoundColumn DataField="PatientId" DataType="System.Int32" HeaderText="Patient ID"
                        HeaderTooltip="Sort by Patient ID" ReadOnly="True" SortExpression="PatientId">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="FirstName" DataType="System.String" HeaderText="First Name"
                        HeaderTooltip="Sort by First Name" ReadOnly="True" SortExpression="FirstName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="LastName" DataType="System.String" HeaderText="Last Name"
                        HeaderTooltip="Sort by Last Name" ReadOnly="True" SortExpression="LastName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Gender" DataType="System.String" HeaderText="Gender"
                        HeaderTooltip="Sort by Gender" ReadOnly="True" SortExpression="Gender">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ReferralId" DataType="System.Int32" HeaderText="Referral ID"
                        HeaderTooltip="Sort by Referral ID" ReadOnly="True" SortExpression="ReferralId">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="EncounterId" DataType="System.Int32" HeaderText="Encounter ID"
                        HeaderTooltip="Sort by Encounter ID" ReadOnly="True" SortExpression="EncounterId">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="EncounterDate" DataType="System.DateTime" DataFormatString="{0:d}" HeaderText="Encounter Date"
                        HeaderTooltip="Sort by Encounter Date" ReadOnly="True" SortExpression="EncounterDate">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="TransferDate" DataType="System.DateTime" DataFormatString="{0:d}" HeaderText="Date of Transfer"
                        HeaderTooltip="Sort by Date of Transfer" ReadOnly="True" SortExpression="TransferDate">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
            <ClientSettings AllowKeyboardNavigation="true">
                <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
        </telerik:RadGrid>
    </asp:Panel>
</asp:Content>
