﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AnnualCompletionExport.aspx.cs" Inherits="Reporting_Export_AnnualCompletionExport" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>VA EIDS Reporting</title>

    <style type="text/css">
        #reportImageContainer {
            float: left;
            width: 140px;
            height: 140px;
            background-color: transparent;
        }

        #reportNameContainer {
            height: 140px;
            width: calc(100% - 140px);
            background: transparent;
            text-align: center;
            font-size: 18pt;
            float: right;
            line-height: 140px;
        }

        .reportFilterContainer {
            float: left;
            padding: 8px;
            margin: 5px;
            border: 1px solid #CCCCCC;
        }

        .reportTableCriteria {
            float: left;
            padding: 5px;
            width: 200px;
        }

        .reportTableValue {
            float: right;
            padding: 5px;
            width: calc(100% - 240px);
        }

        .dataTableHeader {
            background-color: #efefef;
            padding: 3px;
            /*border:1px solid #888888;*/
            font-size: 10pt;
        }

        .dataTableCell {
            padding: 3px;
            /*border:1px solid #CCCCCC;*/
            font-size: 10pt;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div class="mainContent">
            <asp:Panel ID="pnlMainReportContainer" runat="server" CssClass="mainContent" Visible="true" TabIndex="0">
                <table style="width: 100%; font-family: Arial; font-size: 10pt;" cellpadding="0" cellspacing="0">
                    <tr>
                        <td colspan="2">
                            <img src="<%=imagePath %>" alt="VA Logo Image" width="100" height="100" title="VA Logo Image" />
                        </td>
                        <td colspan="3" style="text-align: center; font-size: 15pt; line-height: 50px; height: 50px;">VA Eye Injury Data Store - Annual Completion Report
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5" style="vertical-align: top;">
                            <strong>Data Definitions:</strong>
                            <ul>
                                <li><strong>Completed:</strong>  Encounters that have be placed into the status <strong>"Ready To Send"</strong> or <strong>"Sent to DVEIR"</strong> at least once.</li>
                                <li><strong>Not Completed:</strong> At the time of the report, encounters that are counted in the "Unique Encounters Initiated within Year" have never been completed (see completed definition).</li>
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5"><strong>Selection Criteria:</strong><br />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style="vertical-align: top;"><strong>VISN(s): </strong></td>
                        <td colspan="3" style="vertical-align: top;">
                            <%=selectedVisnDisplayString %>
                            <br />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style="vertical-align: top;"><strong>Report Year Definition: </strong></td>
                        <td colspan="3" style="vertical-align: top;">
                            <span style="text-transform: uppercase;"><%=selectedReportDef%></span>
                            <br />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style="vertical-align: top;"><strong>Report Year(s): </strong></td>
                        <td colspan="3" style="vertical-align: top;">
                            <%=selectedYearString %>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">&nbsp;</td>
                    </tr>

                    <tr>
                        <td colspan="5">
                            <!-- Data Table -->
                            <table style="width: 100%; font-family: Arial;" border="1">
                                <tr>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Report Year</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Unique Patients Seen Within Year</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Unique Encounters Within Year</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Completed</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Not Completed</strong></td>
                                </tr>

                                <asp:Label ID="lblDataRows" runat="server" />

                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5" style="vertical-align: top;"><i>This is protected personal health information. Improper disclosure of information to anyone not authorized to receive it may result in criminal charges and a fine from 5,000 to 20,000 under the Privacy Act of 1974, Title 5 United States Code (U.S.C.) 552(a), 38 U.S.C. Section 5701, Confidential Nature of Claims, and 38 U.S.C. Section 7332, Confidentiality of Certain Medical Records</i></td>
                    </tr>
                </table>


                <br />
                <br />
                <br />
                <p>
                    <i>Generated: <%=DateTime.Now%>
                    </i>
                </p>
            </asp:Panel>
        </div>
    </form>
</body>
</html>
