﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PatientOverviewExport.aspx.cs" Inherits="Reporting_Export_PatientOverviewExport" EnableEventValidation="false" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>VA EIDS Reporting</title>
    <style type="text/css">
        #reportImageContainer {
            float: left;
            width: 140px;
            height: 140px;
            background-color: transparent;
        }

        #reportNameContainer {
            height: 140px;
            width: calc(100% - 140px);
            background: transparent;
            text-align: center;
            font-size: 18pt;
            float: right;
            line-height: 140px;
        }

        .reportFilterContainer {
            float: left;
            padding: 8px;
            margin: 5px;
            border: 1px solid #CCCCCC;
        }

        .reportTableCriteria {
            float: left;
            padding: 5px;
            width: 200px;
        }

        .reportTableValue {
            float: right;
            padding: 5px;
            width: calc(100% - 240px);
        }

        .dataTableHeader {
            background-color: #efefef;
            padding: 3px;
            /*border:1px solid #888888;*/
            font-size: 10pt;
        }

        .dataTableCell {
            padding: 3px;
            /*border:1px solid #CCCCCC;*/
            font-size: 10pt;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
            </Scripts>
        </telerik:RadScriptManager>
        <div class="mainContent">
            <asp:Panel ID="pnlMainReportContainer" runat="server" CssClass="mainContent" Visible="true" TabIndex="0">
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 105px; height:110px;">
                            <img src="<%=imagePath %>" alt="VA Logo Image" width="100" height="100" title="VA Logo Image" />
                        </td>
                        <td colspan="2" style="text-align: center; font-size: 18pt; line-height: 50px; height: 50px;">VA Eye Injury Data Store - Patient Overview Report
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <strong>Data Definitions:</strong>
                            <ul>
                                <li>This report is a summary of Total Patients within Year(s) Selected, New Patients within Year(s) Selected, and Number of Encounters for the associated Patients within Year(s) selected.</li>
                            </ul>
                            <br />
                            <strong>Selection Criteria:</strong>
                            <br />
                        </td>
                    </tr>
                </table>
               <br />
                <table style="width: 100%;" border="1" cellpadding="5">
                    <tr>
                        <td style="width: 250px; vertical-align: top;"><strong>VISN(s):</strong></td>
                        <td colspan="2" style="vertical-align: top;"><%=selectedVisnDisplayString %></td>
                    </tr>
                    <tr>
                        <td style="width: 250px; vertical-align: top;"><strong>Report Year Definition:</strong></td>
                        <td colspan="2" style="vertical-align: top;"><span style="text-transform: uppercase;"><%=selectedReportDef%></span></td>
                    </tr>
                    <tr>
                        <td style="width: 250px; vertical-align: top;"><strong>Report Year(s):</strong></td>
                        <td colspan="2" style="vertical-align: top;"><%=selectedYearString %></td>
                    </tr>
                </table>

                <br />
                <hr />
                <br />

                <table style="width: 100%;" border="1" cellpadding="5">
                    <tr>
                        <td style="width: 250px; vertical-align: top;"><strong>Total Registry Patient Count:</strong></td>
                        <td colspan="2" style="vertical-align: top;"><%=totalRegistryPatientCount %></td>
                    </tr>
                </table>
                <br />

                <%--<telerik:RadGrid ID="rgAgg" runat="server" AllowPaging="false" AllowSorting="false" GroupPanelPosition="Top" MasterTableView-AllowNaturalSort="false" ShowFooter="true"
                    OnNeedDataSource="rgAgg_NeedDataSource" AllowMultiRowSelection="false" PagerStyle-AlwaysVisible="false" TabIndex="0" EnableAjaxSkinRendering="false">
                    <MasterTableView AutoGenerateColumns="false" PageSize="1000" TabIndex="0" HeaderStyle-ForeColor="Black" FooterStyle-ForeColor="Black">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;">
                                        Either no results were found with the selected parameters or the initial search has not been performed yet.  
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <Columns>
                            <telerik:GridBoundColumn DataField="VISN_NAME" DataType="System.String" HeaderTooltip="Click to sort by VISN Name" HeaderText="VISN Name" ReadOnly="True" SortExpression="VISN_NAME" UniqueName="VISN_NAME_Report"
                                Aggregate="First" FooterAggregateFormatString="Total:">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="TotalRegistryPatientCount" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderTooltip="Click to sort by Patient Count" HeaderText="Patient Count" ReadOnly="True" SortExpression="TotalRegistryPatientCount"
                                UniqueName="TotalRegistryPatientCount_Report" Aggregate="Sum" FooterAggregateFormatString="{0:#,#}">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="TotalEncounterCount" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderTooltip="Click to sort by Encounter Count" HeaderText="Encounter Count" ReadOnly="True" SortExpression="TotalEncounterCount"
                                UniqueName="TotalEncounterCount_Report" Aggregate="Sum" FooterAggregateFormatString="{0:#,#}">
                            </telerik:GridBoundColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <ClientEvents OnCommand="OnGridCommand" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                        <Selecting AllowRowSelect="true" />
                    </ClientSettings>
                </telerik:RadGrid>--%>

                <table style="width:100%;" border="1" cellpadding="5">
                    <tr>
                        <td class="dataTableHeader">VISN Name</td>
                        <td class="dataTableHeader">Patient Count</td>
                        <td class="dataTableHeader">Encounter Count</td>
                    </tr>
                    <asp:Literal ID="litDataRows" runat="server"></asp:Literal>
                </table>

                <br />
                <br />
                <br />
                <p>
                    <i>Generated: <%=DateTime.Now%>
                    </i>
                </p>
            </asp:Panel>
        </div>
    </form>
</body>
</html>
