﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="UserEventLogExport.aspx.cs" Inherits="Reporting_Export_UserEventLogExport" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>VA EIDS Reporting</title>

    <style type="text/css">
        #reportImageContainer {
            float: left;
            width: 140px;
            height: 140px;
            background-color: transparent;
        }

        #reportNameContainer {
            height: 140px;
            width: calc(100% - 140px);
            background: transparent;
            text-align: center;
            font-size: 18pt;
            float: right;
            line-height: 140px;
        }

        .reportFilterContainer {
            float: left;
            padding: 8px;
            margin: 5px;
            border: 1px solid #CCCCCC;
        }

        .reportTableCriteria {
            float: left;
            padding: 5px;
            width: 200px;
        }

        .reportTableValue {
            float: right;
            padding: 5px;
            width: calc(100% - 240px);
        }

        .dataTableHeader {
            background-color: #efefef;
            padding: 3px;
            /*border:1px solid #888888;*/
            font-size: 10pt;
        }

        .dataTableCell {
            padding: 3px;
            /*border:1px solid #CCCCCC;*/
            font-size: 10pt;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div class="mainContent">
            <asp:Panel ID="pnlMainReportContainer" runat="server" CssClass="mainContent" Visible="true" TabIndex="0">
                <table style="width: 100%; font-family: Arial; font-size: 10pt;" cellpadding="0" cellspacing="0">
                    <tr>
                        <td colspan="2">
                            <img src="<%=imagePath %>" alt="VA Logo Image" width="100" height="100" title="VA Logo Image" />
                        </td>
                        <td colspan="2" style="text-align: center; font-size: 15pt; line-height: 50px; height: 50px;">VA Eye Injury Data Store - User Event Log Report
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4" style="vertical-align: top;">
                            <strong>Data Definitions:</strong>
                            <ul>
                                <li>This report is a summary of audited user actions filtered on the selection criteria. </li>
                                <li>If selection criteria is not supplied then all data for the user is returned.</li>
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4">&nbsp;</td>
                    </tr>

                    <tr>
                        <td colspan="4">
                            <table>
                                <tr>
                                    <td colspan="2">
                                        <strong>Selection Criteria:</strong>

                                    </td>
                                </tr>
                                <tr>
                                    <td><strong>Username:</strong></td>
                                    <td>
                                        <asp:Label runat="server" ID="lblCriteriaUsername" />
                                    </td>
                                </tr>
                                <tr>
                                    <td><strong>Referral ID:</strong></td>
                                    <td>
                                        <asp:Label runat="server" ID="lblCriteriaReferralId" /></td>
                                </tr>
                                <tr>
                                    <td><strong>Encounter ID:</strong></td>
                                    <td>
                                        <asp:Label runat="server" ID="lblCriteriaEncounterId" /></td>
                                </tr>
                                <tr>
                                    <td><strong>Date From:</strong></td>
                                    <td>
                                        <asp:Label runat="server" ID="lblCriteriaDateFrom" /></td>
                                </tr>
                                <tr>
                                    <td><strong>Date To:</strong></td>
                                    <td>
                                        <asp:Label runat="server" ID="lblCriteriaDateTo" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="4">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            <!-- Data Table -->
                            <table style="width: 100%; font-family: Arial;" border="1">
                                <tr>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Username</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Event Time</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Event Description</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Referral ID</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Encounter ID</strong></td>
                                    <td style="vertical-align: top;" class="dataTableHeader"><strong>Patient Name</strong></td>
                                </tr>

                                <asp:Label ID="lblDataRows" runat="server" />

                            </table>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="4">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4" style="vertical-align: top;"><i>This is protected personal health information. Improper disclosure of information to anyone not authorized to receive it may result in criminal charges and a fine from 5,000 to 20,000 under the Privacy Act of 1974, Title 5 United States Code (U.S.C.) 552(a), 38 U.S.C. Section 5701, Confidential Nature of Claims, and 38 U.S.C. Section 7332, Confidentiality of Certain Medical Records</i></td>
                    </tr>
                </table>

                <br />
                <br />
                <br />
                <p>
                    <i>Generated: <%=DateTime.Now%>
                    </i>
                </p>
            </asp:Panel>
        </div>
    </form>
</body>
</html>
