﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Reporting/RegistryReporting.master" AutoEventWireup="true" CodeFile="PatientOverviewReport.aspx.cs" Inherits="Reporting_PatientOverviewReport" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                if (eventTarget.indexOf("btnExportWord") !== -1) {
                    args.set_enableAjax(false);
                }

                if (eventTarget.indexOf("btnExportExcel") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
        ClientEvents-OnResponseEnd="ResponseEnd" DefaultLoadingPanelID="ajaxLoadingPnlExam">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="btnFilter">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlFilterRefresh" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnReset">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlFilterRefresh" />
                    <telerik:AjaxUpdatedControl ControlID="pnlFilters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgAgg">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAgg" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>
    <br />
    <div class="mainContent">
        <asp:Panel ID="pnlFilters" runat="server" GroupingText="Report Filters">
            <div id="reportVISNContainer" class="reportFilterContainer">
                <asp:Label ID="lblForVISNs" AssociatedControlID="rcbVISNs" runat="server" Text="VISN(S): " TabIndex="0"></asp:Label>
                <br />
                <telerik:RadComboBox ID="rcbVISNs" runat="server" AllowCustomText="false" Enabled="true" CheckBoxes="true" EnableAriaSupport="true" EnableCheckAllItemsCheckBox="true" AccessKey="T"
                    EmptyMessage="Select VISN(s)" Filter="None" EnableViewState="True" ToolTip="VISN(s) Selection" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true" TabIndex="0">
                </telerik:RadComboBox>
                <br />
                <asp:RequiredFieldValidator runat="server" ID="rfvVISNs" ValidationGroup="FilterValidation" ControlToValidate="rcbVISNs" Enabled="true" Display="Dynamic" CssClass="requiredField" ErrorMessage="* VISN(s) required"></asp:RequiredFieldValidator>
            </div>
            <div id="reportYearDefinitionContainer" class="reportFilterContainer">
                <asp:Label ID="lblForReportYearDefinition" AssociatedControlID="rcbReportYearDef" runat="server" Text="Report Year Definition: " TabIndex="0"></asp:Label>
                <br />
                <telerik:RadComboBox ID="rcbReportYearDef" runat="server" AllowCustomText="false" Enabled="true" CheckBoxes="false" EnableAriaSupport="true" EnableCheckAllItemsCheckBox="false" AccessKey="T"
                    EmptyMessage="Select report year type" Filter="None" EnableViewState="True" ToolTip="Report Year Selection" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true"
                    TabIndex="0">
                    <Items>
                        <telerik:RadComboBoxItem Text="Calendar" Value="calendar" />
                        <telerik:RadComboBoxItem Text="Fiscal" Value="fiscal" />
                    </Items>
                </telerik:RadComboBox>
                <br />
                <asp:RequiredFieldValidator runat="server" ID="rfvReportYearDefinition" ValidationGroup="FilterValidation" ControlToValidate="rcbReportYearDef" Enabled="true" Display="Dynamic" CssClass="requiredField" ErrorMessage="* Report Year Definition is required"></asp:RequiredFieldValidator>
            </div>
            <div id="reportYearContainer" class="reportFilterContainer">
                <asp:Label ID="lblForYears" AssociatedControlID="rcbReportYears" runat="server" Text="Report Year Selection: " TabIndex="0"></asp:Label>
                <br />
                <telerik:RadComboBox ID="rcbReportYears" runat="server" AllowCustomText="false" Enabled="true" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" AccessKey="T"
                    EmptyMessage="Select years for report" Filter="None" EnableViewState="True" ToolTip="Report Year Selection" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true"
                    TabIndex="0">
                </telerik:RadComboBox>
                <br />
                <asp:RequiredFieldValidator runat="server" ID="rfvReportYears" ValidationGroup="FilterValidation" ControlToValidate="rcbReportYears" Enabled="true" Display="Dynamic" CssClass="requiredField" ErrorMessage="* Report Year(s) required"></asp:RequiredFieldValidator>
            </div>
            <div id="reportFilterButton" class="reportFilterContainer">
                <asp:Button ID="btnFilter" runat="server" Text="Run Report" ToolTip="Click to Execute Report" OnClick="btnFilter_Click" ValidationGroup="FilterValidation" />
                <asp:Button ID="btnReset" runat="server" Text="Reset" ToolTip="Click to Reset Report and Filters" CausesValidation="false" OnClick="btnReset_Click" />
            </div>
            <div style="clear: both;"></div>
        </asp:Panel>
        <asp:Panel runat="server" ID="pnlFilterRefresh">
            <asp:Panel ID="pnlInstructions" runat="server" GroupingText="Instructions">
                To run this report, select desired VISN(s), reporting year type (calendar or fiscal), and reporting years.  Once selected, click the "Run Report" button.
            </asp:Panel>
            <asp:Panel ID="pnlMainReportContainer" runat="server" CssClass="mainContent" Visible="false" TabIndex="0">
                <div style="text-align: right; padding-top: 3px;">
                    <asp:Button ID="btnExportWord" runat="server" Text="Export Word" OnClick="btnExportWord_Click" OnClientClick="ShowProgress();" />
                    <asp:Button ID="btnExportExcel" runat="server" Text="Export Excel" OnClick="btnExportExcel_Click" OnClientClick="ShowProgress();" />
                </div>
                <div id="reportImageContainer">
                    <img src="../images/VA%20Logo.JPG" alt="VA Logo Image" style="width: 100%;" title="VA Logo Image" />
                </div>
                <div id="reportNameContainer">VA Eye Injury Data Store - Patient Overview Report</div>
                <div style="clear: both;"></div>
                <hr />
                <strong>Data Definitions:</strong>
                <ul>
                    <li>This report is a summary of Total Patients within Year(s) Selected, New Patients within Year(s) Selected, and Number of Encounters for the associated Patients within Year(s) selected.</li>
                </ul>
                <br />
                <strong>Selection Criteria:</strong>
                <br />

                <div class="reportTableCriteria">
                    <asp:Label ID="lblForVisnSelection" AssociatedControlID="lblVisnSelection" runat="server" Text="VISN(s): " TabIndex="0"></asp:Label>
                </div>
                <div class="reportTableValue">
                    <asp:Label ID="lblVisnSelection" runat="server" Text="" TabIndex="0"></asp:Label>
                </div>
                <div style="clear: both;"></div>

                <div class="reportTableCriteria">
                    <asp:Label ID="lblForReportYearDefinitionSelection" AssociatedControlID="lblReportYearDefinitionSelection" runat="server" Text="Report Year Definition: " TabIndex="0"></asp:Label>
                </div>
                <div class="reportTableValue">
                    <asp:Label ID="lblReportYearDefinitionSelection" runat="server" Text="" TabIndex="0"></asp:Label>
                </div>
                <div style="clear: both;"></div>

                <div class="reportTableCriteria">
                    <asp:Label ID="lblForYearsSelected" AssociatedControlID="lblYearsSelected" runat="server" Text="Report Year(s): " TabIndex="0"></asp:Label>
                </div>
                <div class="reportTableValue">
                    <asp:Label ID="lblYearsSelected" runat="server" Text="" TabIndex="0"></asp:Label>
                </div>
                <div style="clear: both;"></div>
                <br />
                <br />
                <div class="reportTableCriteria">
                    <asp:Label ID="lblForTotalRegistryPatients" AssociatedControlID="lblTotalRegistryPatients" runat="server" Text="Total Registry Patient Count: " TabIndex="0"></asp:Label>
                </div>
                <div class="reportTableValue">
                    <asp:Label ID="lblTotalRegistryPatients" runat="server" Text="" TabIndex="0"></asp:Label>
                </div>
                <div style="clear: both;"></div>
                <br />
                <br />

                <telerik:RadGrid ID="rgAgg" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" MasterTableView-AllowNaturalSort="true" ShowFooter="true"
                    OnNeedDataSource="rgAgg_NeedDataSource" AllowMultiRowSelection="false" PagerStyle-AlwaysVisible="false" TabIndex="0">
                    <MasterTableView Caption="Patient Overview Report" AutoGenerateColumns="false" PageSize="1000" TabIndex="0" HeaderStyle-ForeColor="Black" FooterStyle-ForeColor="Black">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;">
                                        Either no results were found with the selected parameters or the initial search has not been performed yet.  
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <Columns>
                            <telerik:GridBoundColumn DataField="VISN_NAME" DataType="System.String" HeaderTooltip="Click to sort by VISN Name" HeaderText="VISN Name" ReadOnly="True" SortExpression="VISN_NAME" UniqueName="VISN_NAME_Report"
                                Aggregate="First" FooterAggregateFormatString="Total Counts for Matching Criteria:">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="TotalRegistryPatientCount" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderTooltip="Click to sort by Patient Count" HeaderText="Patient Count" ReadOnly="True" SortExpression="TotalRegistryPatientCount"
                                UniqueName="TotalRegistryPatientCount_Report" Aggregate="Sum" FooterAggregateFormatString="{0:#,#}">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="TotalEncounterCount" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderTooltip="Click to sort by Encounter Count" HeaderText="Encounter Count" ReadOnly="True" SortExpression="TotalEncounterCount"
                                UniqueName="TotalEncounterCount_Report" Aggregate="Sum" FooterAggregateFormatString="{0:#,#}">
                            </telerik:GridBoundColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                        <Selecting AllowRowSelect="true" />
                    </ClientSettings>
                </telerik:RadGrid>

                <%-- <div class="reportTableCriteria">
                <asp:Label ID="lblForTotalRegistryPatientCount" AssociatedControlID="lblTotalRegistryPatientCount" runat="server" Text="Total Registry Patient Count: " TabIndex="0"></asp:Label>
            </div>
            <div class="reportTableValue">
                <asp:Label ID="lblTotalRegistryPatientCount" runat="server" Text="" TabIndex="0"></asp:Label>
            </div>
            <div style="clear: both;"></div>

            <div class="reportTableCriteria">
                <asp:Label ID="lblForTotalEncounterCount" AssociatedControlID="lblTotalEncounterCount" runat="server" Text="Total Encounter Count: " TabIndex="0"></asp:Label>
            </div>
            <div class="reportTableValue">
                <asp:Label ID="lblTotalEncounterCount" runat="server" Text="" TabIndex="0"></asp:Label>
            </div>
            <div style="clear: both;"></div>
            <br />
            <br />--%>
            </asp:Panel>
        </asp:Panel>
    </div>
</asp:Content>
