﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Reporting/RegistryReporting.master" AutoEventWireup="true" CodeFile="UniquePatientReport.aspx.cs" Inherits="Reporting_UniquePatientReport" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                if (eventTarget.indexOf("btnExportWord") !== -1) {
                    args.set_enableAjax(false);
                }

                if (eventTarget.indexOf("btnExportExcel") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
        ClientEvents-OnResponseEnd="ResponseEnd" DefaultLoadingPanelID="ajaxLoadingPnlExam">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="btnFilter">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlFilterRefresh" />
                    <telerik:AjaxUpdatedControl ControlID="pnlFilters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReport" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <br />
    <asp:Panel ID="pnlFilters" runat="server" GroupingText="Report Filters">
        <div id="reportFilterButton" class="reportFilterContainer">
            <asp:Button ID="btnFilter" runat="server" Text="Run Report" ToolTip="Click to Execute Report" OnClick="btnFilter_Click" ValidationGroup="FilterValidation" />
        </div>
        <div style="clear: both;"></div>
    </asp:Panel>
    <asp:Panel runat="server" ID="pnlFilterRefresh">
        <asp:Panel ID="pnlInstructions" runat="server" GroupingText="Instructions">
            To run this report, simply click the "Run Report" button.
        </asp:Panel>
        <asp:Panel ID="pnlMainReportContainer" runat="server" CssClass="mainContent" Visible="false" TabIndex="0">
            <div style="text-align: right; padding-top: 3px;">
                <asp:Button ID="btnExportWord" runat="server" Text="Export Word" OnClick="btnExportWord_Click" OnClientClick="ShowProgress();" />
                <asp:Button ID="btnExportExcel" runat="server" Text="Export Excel" OnClick="btnExportExcel_Click" OnClientClick="ShowProgress();" />
            </div>
            <hr />
            <div id="reportImageContainer">
                <img src="../images/VA%20Logo.JPG" alt="VA Logo Image" style="width: 100%;" title="VA Logo Image" />
            </div>
            <div id="reportNameContainer">VA Eye Injury Data Store - Unique Patient Report</div>
            <div style="clear: both;"></div>
            <hr />
            <strong>Data Definitions:</strong>
            <ul>
                <li>This report is a summary of <strong>Unique Patients, Encounters, and DVEIR ICD codes</strong>.</li>
                <li>The unique patients must have at least one encounter with a DVEIR type ICD code.</li>
                <li>The encounters are all encounters with at least one DVEIR type ICD code for the unique patients listed above.</li>
                <li>The ICD codes are specific eye related DVEIR ICD codes and must be associated with at least one encounter.</li>
            </ul>
            <br />
            <br />
            <telerik:RadGrid ID="rgAgg" runat="server" AllowMultiRowSelection="false" PagerStyle-AlwaysVisible="false" TabIndex="0">
                <MasterTableView Caption="Unique Patient Report - Summary" AutoGenerateColumns="true" PageSize="1000" TabIndex="0" HeaderStyle-ForeColor="Black">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;">
                                        Either no results were found with the selected parameters or the initial search has not been performed yet.  
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <Columns>
                    </Columns>
                </MasterTableView>
                <ClientSettings AllowKeyboardNavigation="true">
                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
            <br />
            <br />
            <telerik:RadGrid ID="rgReport" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" MasterTableView-AllowNaturalSort="true"
                OnNeedDataSource="rgReport_NeedDataSource" AllowMultiRowSelection="false" PagerStyle-AlwaysVisible="false" TabIndex="0">
                <MasterTableView Caption="Unique Patient Report" AutoGenerateColumns="true" PageSize="1000" TabIndex="0" HeaderStyle-ForeColor="Black">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;">
                                        Either no results were found with the selected parameters or the initial search has not been performed yet.  
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <Columns>
                    </Columns>
                </MasterTableView>
                <ClientSettings AllowKeyboardNavigation="true">
                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
            <br />
            <br />
            <p style="font-size: 8pt; font-style: italic;">
                This is protected personal health information. Improper disclosure of information to anyone not authorized to receive it may result in criminal charges and a fine from 5,000 to 20,000 under the Privacy Act of 1974, Title 5 United States Code (U.S.C.) 552(a), 38 U.S.C. Section 5701, Confidential Nature of Claims, and 38 U.S.C. Section 7332, Confidentiality of Certain Medical Records
            </p>
        </asp:Panel>
    </asp:Panel>
</asp:Content>
