﻿// Copy values from TextBox, DropDownList, or RadioButtonList
// to HiddenField so that we can set enableviewstate=false for all controls.
function SetBaseControlTextValue(baseControl, hiddenFieldID) {
    var hiddenFieldControl = document.getElementById(hiddenFieldID);
    if (hiddenFieldControl != null) {
        hiddenFieldControl.value = baseControl.value;
    }
}

// Copy values from CheckBox
// to HiddenField so that we can set enableviewstate=false for all controls.
function SetBaseControlCheckBoxTextValue(baseControl, hiddenFieldID) {
    var hiddenFieldControl = document.getElementById(hiddenFieldID);
    if (hiddenFieldControl != null) {
        if (baseControl.checked == true) {
            hiddenFieldControl.value = "true";
        }
        else {
            hiddenFieldControl.value = "false";
        }
    }
}

// Custom Validator function for date validation
function ValidateDate(sender, args) {
    args.IsValid = true;
    var textBoxId;
    var txtDate;

    // get the client id for text box control from sender.outerHTML
    textBoxId = sender.outerHTML;
    textBoxId = textBoxId.substring(textBoxId.indexOf("controltovalidate") + 19);
    textBoxId = textBoxId.substring(0, textBoxId.indexOf("\""));
    txtDate = document.getElementById(textBoxId);

    if (txtDate == null) {
        txtDate = document.getElementById("ctl00_ContentPlaceHolder_EncounterTabUserControl_TextBoxDate");
    }

    if (txtDate != null) {
        txtDate = txtDate.value;

        if (isValidDate(txtDate)) {
            args.IsValid = true;
        }
        else {
            args.IsValid = false;
        }
    }
}

function isValidDate(txtDate) {
    var objDate,        // date object initialized from the txtDate string         
    mSeconds,           // txtDate in milliseconds         
    day,                // day         
    month,              // month         
    year,               // year
    currentSeconds;     // current date time in milliseconds

    // date length should be 10 characters (no more no less)     
    if (txtDate.length !== 10) {
        return false;
    }

    // third and sixth character should be '/'     
    if (txtDate.substring(2, 3) !== '/' || txtDate.substring(5, 6) !== '/') {
        return false;
    }

    // extract month, day and year from the txtDate (expected format is mm/dd/yyyy)     
    // subtraction will cast variables to integer implicitly (needed     
    // for !== comparing)     
    month = txtDate.substring(0, 2) - 1;
    // because months in JS start from 0    

    day = txtDate.substring(3, 5) - 0;
    year = txtDate.substring(6, 10) - 0;

    // test year range     
    if (year < 1900) {
        return false;
    }

    // convert txtDate to milliseconds     
    mSeconds = (new Date(year, month, day)).getTime();
    // initialize Date() object from calculated milliseconds     
    objDate = new Date();
    objDate.setTime(mSeconds);
    // compare input date and parts from Date() object     
    // if difference exists then date isn't valid     
    if (objDate.getFullYear() !== year
            || objDate.getMonth() !== month
            || objDate.getDate() !== day) {
        return false;
    }

    // current date time in milliseconds
    currentSeconds = (new Date()).getTime();
    if (mSeconds > currentSeconds) {
        return false;
    }

    // otherwise return true     
    return true;
}

//Horizontal menu has the title on the TD object
function UpdateHorizontalMenu(menuId) {
    var menu = document.getElementById(menuId);
    if (menu != null) {
        var links = menu.getElementsByTagName("a");
        if (links != null) {
            for (var i = 0; i < links.length; i++) {
                //                      td1        tr1        tb1         ta1         td2
                var objTitle = links[i].parentNode.parentNode.parentNode.parentNode.parentNode
                if (objTitle != null) {
                    links[i].title = objTitle.title;
                }
            }
        }
    }
}

//Vertical menu has the title on the TR object
function UpdateVerticalMenu(menuId) {
    var menu = document.getElementById(menuId);
    if (menu != null) {
        var links = menu.getElementsByTagName("a");
        if (links != null) {
            for (var i = 0; i < links.length; i++) {
                //                      td1        tr1        tb1         ta1         td2       tr2
                var objTitle = links[i].parentNode.parentNode.parentNode.parentNode.parentNode.parentNode
                if (objTitle != null) {
                    links[i].title = objTitle.title;
                }
            }
        }
    }
}

//Add titles to header sort hyperlinks and footer pager hyperlinks
function UpdateGridView(gridViewID) {
    var gridView = document.getElementById(gridViewID);
    if (gridView != null) {
        for (var i = 0; i < gridView.rows.length; i++) {
            var cells = gridView.rows[i].cells;
            if (cells != null) {
                if (i == 0) {
                    for (var j = 0; j < cells.length; j++) {
                        var links = cells[j].getElementsByTagName("a");
                        if (links != null) {
                            for (var k = 0; k < links.length; k++) {
                                links[k].title = "Column header, select to sort by " + links[k].innerHTML;
                            }
                        }
                    }
                }
                else if (i == (gridView.rows.length - 1)) {
                    var blnNumbers = false;
                    for (var j = 0; j < cells.length; j++) {
                        var links = cells[j].getElementsByTagName("a");
                        if (links != null) {
                            for (var k = 0; k < links.length; k++) {
                                if (links[k].innerHTML == "First Page") {
                                    links[k].title = "Select to go to the First Page";
                                }
                                else if (links[k].innerHTML == "Last Page") {
                                    links[k].title = "Select to go to the Last Page";
                                }
                                else if (links[k].innerHTML == "...") {
                                    if (blnNumbers) {
                                        links[k].title = "Select to go to the next group of pages";
                                    }
                                    else {
                                        links[k].title = "Select to go to the previous group of pages";
                                    }
                                }
                                else {
                                    blnNumbers = true;
                                    links[k].title = "Select to go to page " + links[k].innerHTML;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

function ShowProgress() {
    var modal = $('<div />');
    modal.addClass("modal");
    $('body').append(modal);
    var loading = $(".loading");
    loading.show();
    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
    loading.css({ top: top, left: left });

    // Loading shouldn't take more than 5 seconds
    setTimeout(function () { modal.hide(); loading.hide(); }, 5000);

    return true;
}

function ConfirmAction(message) {
    if (confirm(message)) {
        return ShowProgress();
    }

    return false;
}

function ConfirmRadButtonAction(sender, args, message) {
    var shouldCancel = true;
    if (Page_ClientValidate(sender.get_validationGroup())) {
        shouldCancel = !ConfirmAction(message);
    }

    args.set_cancel(shouldCancel);
}

function OnGridCommand(sender, args) {
    if (args.get_commandName() == "Page" || args.get_commandName() == "Sort")
        ShowProgress();
}

function StartScript() {

    $('input[type=text], textarea').focus(function () {
        $(this).addClass('highlight');

    }).blur(function () {
        $(this).removeClass('highlight');

    });

    $('select').bind('focusin', function () {
        $(this).addClass('highlight');
    }).bind('focusout', function () {
        $(this).removeClass('highlight');
    });

    //select all the a tag with name equal to modal     
    $('a[name=modal]').click(function (e) {
        //Cancel the link behavior         
        e.preventDefault();
        //Get the A tag         
        var id = $(this).attr('href');
        //Get the screen height and width         
        var maskHeight = $(document).height();
        var maskWidth = $(window).width();
        //Set height and width to mask to fill up the whole screen         
        $('#mask').css({ 'width': maskWidth, 'height': maskHeight });
        //transition effect              
        $('#mask').fadeIn(500);
        $('#mask').fadeTo("fast", 0.8);
        //Get the window height and width         
        var winH = $(window).height();
        var winW = $(window).width();
        //Set the popup window to center         
        $(id).css('top', winH / 2 - $(id).height() / 2);
        $(id).css('left', winW / 2 - $(id).width() / 2);
        //transition effect
        $(id).fadeIn(500);

        var element = document.getElementById('dialog');
        element.scrollIntoView();

    });

    $('input[type=image]').each(function () {
        var src = $(this).attr("src");
        if (src.indexOf("sort") >= 0) {
            var image = $(this);
            image.attr('tabindex', "0");
        }
    });

    // 508 Compliance - Rad Date/Time Pickers
    $(".RadPicker").each(function () {
        var $childTable = $(this).children("table");
        $childTable.removeAttr("summary");
        $childTable.children("thead").remove();
        $childTable.children("caption").remove();
    });

    // 508 Compliance - Rad Combo Boxes
    $(".RadComboBox").each(function () {
        var $childTable = $(this).children("table");
        $childTable.removeAttr("summary");
        $childTable.children("thead").remove();
        $childTable.children("caption").remove();
    });

    // 508 Compliance - Pager Row
    $(".rgPager").each(function () {
        var $childTable = $(this).children("td").children("table");
        $childTable.removeAttr("summary");
        $childTable.children("thead").remove();
        $childTable.children("caption").remove();
    });

    // 508 Compliance - Wrap Page Label
    $(".rgPagerLabel").each(function () {
        if ($(this).parent("label").length === 0) {
            var input = $(this).siblings(":first").find("input:first");
            var label = $('<label for="' + input.attr("id") + '"></label>');
            $(this).wrap(label);
        }
    });

    // 508 Compliance - Hide Captions
    $("table.rgMasterTable").each(function() {
        $(this).children("caption").css('display', 'none');
    });

    // Rad Combo Boxes expand on input
    $(".RadComboBox input").bind('focus', function () {
        var $comboBox = $find($(this).attr('id').replace('_Input', ''));
        MEVIR.Common.RadComboBoxOnFocus($comboBox, null);
    });

}
function closeWindow() {
    window.close();

}

//Stop Form Submission of Enter Key Press
function stopRKey(evt) {
    var evt = (evt) ? evt : ((event) ? event : null);
    var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);

    // When clicking on the blank screen cancel enter key
    if ((evt.keyCode == 13) && (node.type == null)) {
        return false;
    }

    return true;
}

var MEVIR = MEVIR || {}
MEVIR.Common = {
    RadComboBoxOnFocus: function (sender, args) {
        sender.showDropDown();
    },

    RadComboBoxValidateText: function (sender, args) {
        var textInTheCombo = sender.get_text();
        var item = sender.findItemByText(textInTheCombo);

        //if there is no item with that text
        if (!item) {
            var highlightedItem = sender.get_highlightedItem();
            sender.set_text(highlightedItem != null ? highlightedItem.get_text() : "");
        }
    },

    RadDateTimePickerValidator: function (sender, args) {
        var datepicker = document.getElementById(sender.controltovalidate).control;
        var dateInput = datepicker.get_dateInput();
        args.IsValid = !(dateInput.get_textBoxValue() != "" && dateInput.get_value() == "");
    }
}

MEVIR.Common.Timeout = {
    TimeoutWarningTimer: null,
    ActivateTimeoutTimer: null,
    TimeoutPeriod: 0,
    WarningPeriod: 0,

    SetTimeoutPeriod: function (timeInMinutes) {
        MEVIR.Common.Timeout.TimeoutPeriod = timeInMinutes * 1000 * 60;
    },

    SetWarningPeriod: function (timeInMinutes) {
        MEVIR.Common.Timeout.WarningPeriod = timeInMinutes * 1000 * 60;
    },

    ShowTimeoutWarning: function () {

        // Show timeout warning
        var id = $('#dialog');
        //Get the screen height and width         
        var maskHeight = $(document).height();
        var maskWidth = $(window).width();
        //Set height and width to mask to fill up the whole screen         
        $('#mask').css({ 'width': maskWidth, 'height': maskHeight });
        //transition effect              
        $('#mask').fadeIn(500);
        $('#mask').fadeTo("fast", 0.8);
        //Get the window height and width         
        var winH = $(window).height();
        var winW = $(window).width();
        //Set the popup window to center         
        $(id).css('top', winH / 2 - $(id).height() / 2);
        $(id).css('left', winW / 2 - $(id).width() / 2);
        //transition effect
        $(id).fadeIn(500);

        var element = document.getElementById('dialog');
        element.scrollIntoView();
    },

    ResetTimeout: function () {
        $.post("/IncrementSessionTime.ashx");
        MEVIR.Common.Timeout.InitiateTimeout();
    },

    ActivateTimeout: function () {
        //clear isDirty, otherwise the user will get a popup message about leaving the page
        if (typeof isDirty != 'undefined') {
            isDirty.val("0");
        }

        top.window.location = '/VAEIDSTimeout.aspx';
    },

    InitiateTimeout: function () {
        clearTimeout(MEVIR.Common.Timeout.TimeoutWarningTimer);
        clearTimeout(MEVIR.Common.Timeout.ActivateTimeoutTimer);

        MEVIR.Common.Timeout.TimeoutWarningTimer = setTimeout('MEVIR.Common.Timeout.ShowTimeoutWarning()', MEVIR.Common.Timeout.WarningPeriod);
        MEVIR.Common.Timeout.ActivateTimeoutTimer = setTimeout('MEVIR.Common.Timeout.ActivateTimeout()', MEVIR.Common.Timeout.TimeoutPeriod);
    },

    SetTimeoutEvents: function() {

        //if close button is clicked     
        $('.window .close').click(function(e) {
            //Cancel the link behavior         
            e.preventDefault();
            $('#mask, .window').hide();
            MEVIR.Common.Timeout.ResetTimeout();
        });

        //if mask is clicked
        $('#mask').click(function() {
            $(this).hide();
            $('.window').hide();
            MEVIR.Common.Timeout.ResetTimeout();
        });

        //if dialog is clicked
        $('#dialog').click(function() {
            $('#mask').hide();
            $('.window').hide();
            MEVIR.Common.Timeout.ResetTimeout();
        });
    }
}
