﻿/* Exam Tab Summary Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.ConfrontationalVisualFields = {
    TestResultSelection: function ($comboBoxTestResult) {
        var $ddlTestPerformed = $('#' + $comboBoxTestResult.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");

        var $testDetailsContainer = $("#examTabTestDetails");

        // If the result container is hidden then hide the details
        if ($testSummaryResultContainer.is(':hidden')) {
            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, false);
        } else {
            var selectedItem = $comboBoxTestResult.get_selectedItem();
            var showTestDetails = false;

            if (selectedItem != null) {
                var selectedAttributes = selectedItem.get_attributes();
                var showTestDetailsValue = selectedAttributes.getAttribute("TestResultExpand");

                showTestDetails = showTestDetailsValue === "true";
            }

            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);
        }
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $ddlTestPerformed = $('#' + $comboBoxTestPerform.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");
        var $testPerformedCmtContainer = $summaryContainer.find("#examTabTestSummaryPerformedCmt");
        var $testDetailsContainer = $("#examTabTestDetails");
        var $testResultRequiredValidator = $("[id $=reqValTestResult]");

        // Call Method to show or hide the comment box
        MEVIR.Exam.Common.ShowHideComment($comboBoxTestPerform, $testPerformedCmtContainer);

        var showTestDetails = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            showTestDetails = showTestDetailsValue === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($testSummaryResultContainer, showTestDetails);

        if ($testResultRequiredValidator.length > 0) {
            ValidatorEnable($testResultRequiredValidator[0], showTestDetails);
        }

        // Only handle if the result is not container
        if ($testSummaryResultContainer.length === 0) {
            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);
        } else {
            var $testResultObject = $testSummaryResultContainer.find('[id $="ddlTestResult"]');
            var $testResultComboBox = $find($testResultObject.attr("id"));

            // Test result box is loaded
            if ($testResultComboBox != null) {
                MEVIR.Exam.ConfrontationalVisualFields.TestResultSelection($testResultComboBox);
            }
        }
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestPerformedSelection(sender);
    },

    TestResultSelectionChanged: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestResultSelection(sender);
    },

    TestResultOnLoad: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestResultSelection(sender);
    }
};