﻿/* Exam Tab Anterior Chamber Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.VisualAcuity = {
    ToggleScale: function ($ddlComboBox) {
        var $eventWrapper = $('#visualAcuityEvent');
        var $pnlUSScale = $eventWrapper.find('[id $=pnlUSScale]');
        var $pnlMetricScale = $eventWrapper.find('[id $=pnlMetricScale]');
        var $pnlJaegerScale = $eventWrapper.find('[id $=pnlJaegerScale]');
        var $pnlDecimalScale = $eventWrapper.find('[id $=pnlDecimalScale]');
        var $pnlMUnitScale = $eventWrapper.find('[id $=pnlMUnitScale]');
        var $pnlNonNumericScale = $eventWrapper.find('[id $=pnlNonNumericScale]');
        var $pnlRefraction = $eventWrapper.find('[id $=pnlRefraction]');
        var $pnlQualifiers = $eventWrapper.find('[id $=pnlQualifiers]');
        var $pnlStandardChartPrint = $eventWrapper.find('[id $=pnlStandardChartPrint]');
        var $pnlJaegerChartPrint = $eventWrapper.find('[id $=pnlJaegerChartPrint]');

        var $rangeValUSPerformDistance = $eventWrapper.find('[id $=rangeValUSPerformDistance]');
        var $rangeValJaegerPerformDistance = $eventWrapper.find('[id $=rangeValJaegerPerformDistance]');
        var $regExValDecimalAcuity = $eventWrapper.find('[id $=regExValDecimalAcuity]');
        var $regExValMUnitAcuity = $eventWrapper.find('[id $=regExValMUnitAcuity]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var expandUSScale = false;
        var expandMetricScale = false;
        var expandJaegerScale = false;
        var expandDecimalScale = false;
        var expandMUnitScale = false;
        var expandNonNumericScale = false;
        var expandQualifiers = false;
        var expandRefraction = false;
        var expandStandardChartPrint = false;
        var expandJaegerChartPrint = false;


        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            expandUSScale = selectedAttributes.getAttribute("ExpandUSScale") === "true";
            expandMetricScale = selectedAttributes.getAttribute("ExpandMetricScale") === "true";
            expandJaegerScale = selectedAttributes.getAttribute("ExpandJaegerScale") === "true";
            expandDecimalScale = selectedAttributes.getAttribute("ExpandDecimalScale") === "true";
            expandMUnitScale = selectedAttributes.getAttribute("ExpandMUnitScale") === "true";
            expandNonNumericScale = selectedAttributes.getAttribute("ExpandNonNumericScale") === "true";
            expandQualifiers = true;
            expandRefraction = true;
            expandStandardChartPrint = !expandJaegerScale;
            expandJaegerChartPrint = expandJaegerScale;
        }

        MEVIR.Exam.Common.ShowHideItem($pnlUSScale, expandUSScale);
        MEVIR.Exam.Common.ShowHideItem($pnlMetricScale, expandMetricScale);
        MEVIR.Exam.Common.ShowHideItem($pnlJaegerScale, expandJaegerScale);
        MEVIR.Exam.Common.ShowHideItem($pnlDecimalScale, expandDecimalScale);
        MEVIR.Exam.Common.ShowHideItem($pnlMUnitScale, expandMUnitScale);
        MEVIR.Exam.Common.ShowHideItem($pnlNonNumericScale, expandNonNumericScale);
        MEVIR.Exam.Common.ShowHideItem($pnlRefraction, expandRefraction);
        MEVIR.Exam.Common.ShowHideItem($pnlQualifiers, expandQualifiers);
        MEVIR.Exam.Common.ShowHideItem($pnlStandardChartPrint, expandStandardChartPrint);
        MEVIR.Exam.Common.ShowHideItem($pnlJaegerChartPrint, expandJaegerChartPrint);

        ValidatorEnable($rangeValUSPerformDistance[0], expandUSScale);
        ValidatorEnable($rangeValJaegerPerformDistance[0], expandJaegerScale);
        ValidatorEnable($regExValDecimalAcuity[0], expandDecimalScale);
        ValidatorEnable($regExValMUnitAcuity[0], expandMUnitScale);

        // Either disable refraction validation
        if (expandRefraction) {
            var unknownYesBtnId = $("[id *=ucRefractionUnknown][id $=btnYes]").attr("id");
            var $unknownYesBtn = $find(unknownYesBtnId);
            MEVIR.Exam.VisualAcuity.ShowHideRefractions($unknownYesBtn);
        } else {
            MEVIR.Exam.VisualAcuity.EnableRefractionValidation(false);
        }
    },

    ShowHideNonNumericAcuityComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('.tbNonNumericAcuityAdditionalDetails');
        var $tbNumber = $containerDiv.find('.tbNonNumericAcuityNumber');
        var $reqValCtrl = $containerDiv.find('[id $=reqValNonNumericAdditionalDetails]');
        var $compValCtrl = $containerDiv.find('[id $=compValNonNumericAdditionalDetails]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showAdditionalDetail = false;
        var showNumber = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            showAdditionalDetail = selectedAttributes.getAttribute("ShowAdditionalDetails") === "true";
            showNumber = selectedAttributes.getAttribute("ShowNumber") === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($tbComment, showAdditionalDetail);
        MEVIR.Exam.Common.ShowHideItem($tbNumber, showNumber);
        ValidatorEnable($reqValCtrl[0], showNumber);
        ValidatorEnable($compValCtrl[0], showNumber);
    },

    EnableRefractionValidation: function (isEnabled) {
        var $eventWrapper = $('#visualAcuityEvent');
        var $regExSphere = $eventWrapper.find('[id $=regExSphere]');
        var $regExCylinderFormat = $eventWrapper.find('[id $=regExCylinderFormat]');
        var $regExCylinderDecimal = $eventWrapper.find('[id $=regExCylinderDecimal]');
        var $regExAxis = $eventWrapper.find('[id $=regExAxis]');

        ValidatorEnable($regExSphere[0], isEnabled);
        ValidatorEnable($regExCylinderFormat[0], isEnabled);
        ValidatorEnable($regExCylinderDecimal[0], isEnabled);
        ValidatorEnable($regExAxis[0], isEnabled);
        ValidationSummaryOnSubmit();
    },

    ShowHideRefractions: function ($btnYes) {
        if ($btnYes != null) {
            var isUnknownChecked = $btnYes.get_checked();

            var $tbSphere = $("[id $=tbSphere]");
            var $tbCylinder = $("[id $=tbCylinder]");
            var $tbAxis = $("[id $=tbAxis]");

            if (isUnknownChecked) {
                $tbSphere.attr('disabled', 'disabled');
                $tbCylinder.attr('disabled', 'disabled');
                $tbAxis.attr('disabled', 'disabled');
                MEVIR.Exam.VisualAcuity.EnableRefractionValidation(false);
            } else {
                $tbSphere.removeAttr('disabled');
                $tbCylinder.removeAttr('disabled');
                $tbAxis.removeAttr('disabled');
                MEVIR.Exam.VisualAcuity.EnableRefractionValidation(true);
            }
        }
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $eventWrapper = $('#visualAcuityEvent');
        var $rangeValUSPerformDistance = $eventWrapper.find('[id $=rangeValUSPerformDistance]');
        var $rangeValJaegerPerformDistance = $eventWrapper.find('[id $=rangeValJaegerPerformDistance]');
        var $regExValDecimalAcuity = $eventWrapper.find('[id $=regExValDecimalAcuity]');
        var $regExValMUnitAcuity = $eventWrapper.find('[id $=regExValMUnitAcuity]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        if (enableValidator) {
            var $ucScaleCtrl = $('[id *=ucScale][id $=ddlSingleSelect]');
            var $ucScale = $find($ucScaleCtrl.attr('id'));

            if ($ucScale != null) {
                MEVIR.Exam.VisualAcuity.ToggleScale($ucScale);
            }
        } else {
            ValidatorEnable($rangeValUSPerformDistance[0], false);
            ValidatorEnable($rangeValJaegerPerformDistance[0], false);
            ValidatorEnable($regExValDecimalAcuity[0], false);
            ValidatorEnable($regExValMUnitAcuity[0], false);
        }
    },

    ScaleOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.ToggleScale(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    ScaleSelectionChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.ToggleScale(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    },

    NonNumericAcuityOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideNonNumericAcuityComment(sender);
    },

    NonNumericAcuitySelectionChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideNonNumericAcuityComment(sender);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    RefractionUnknownYesOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideRefractions(sender);
    },

    RefractionUnknownYesCheckedChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideRefractions(sender);
    }
};
