///#source 1 1 /scripts/Encounter/reviewerComment.js
// Review Comment Js //

var MEVIR = MEVIR || {};
MEVIR.Encounter = MEVIR.Encounter || {};
MEVIR.Encounter.ReviewerComment = {
    AddButtonClick: function (sender) {
        var $senderBtn = $(sender);
        var $reviewContainter = $senderBtn.closest('.reviewCommentControl');
        var $contentContainer = $reviewContainter.find('.reviewCommentContent');
        var $closeBtn = $reviewContainter.find('.reviewCommentButtonClose');
        var $tbComment = $reviewContainter.find('.reviewCommentTextBox');

        // Enable Close Button
        $closeBtn.removeAttr('disabled');

        // Slide down content and focus on the comment btn
        $contentContainer.slideDown(300, function () {
            $tbComment.trigger('focus');
        });

        return false;
    },

    OpenButtonClick: function (sender) {
        var $senderBtn = $(sender);
        var $reviewContainter = $senderBtn.closest('.reviewCommentControl');
        var $contentContainer = $reviewContainter.find('.reviewCommentContent');
        var $closeBtn = $reviewContainter.find('.reviewCommentButtonClose');
        var $tbComment = $reviewContainter.find('.reviewCommentTextBox');

        // Enable Close Button
        $closeBtn.removeAttr('disabled');

        // Slide down content and focus on the comment btn
        $contentContainer.slideDown(300, function () {
            $tbComment.trigger('focus');
        });

        return false;
    },

    CloseButtonClick: function (sender) {
        var $senderBtn = $(sender);
        var $reviewContainter = $senderBtn.closest('.reviewCommentControl');
        var $contentContainer = $reviewContainter.find('.reviewCommentContent');
        var $addBtn = $reviewContainter.find('.reviewCommentButtonAdd');
        var $openBtn = $reviewContainter.find('.reviewCommentButtonOpen');

        // Enable Add and Open Button
        $addBtn.removeAttr('disabled');
        $openBtn.removeAttr('disabled');

        // Slide down content and focus on the comment btn
        $contentContainer.slideUp(300);

        return false;
    }
};
///#source 1 1 /scripts/Encounter/ExamTab/examTabCommon.js
/* Exam Tab Common Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Common = {
    ShowHideItem: function ($item, show) {
        if (show) {
            $item.show();
        } else {
            $item.hide();
        }
    },

    ShowHideComment: function ($ddlComboBox, $tbComment) {
        var selectedItem = $ddlComboBox.get_selectedItem();
        var showComment = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes().getAttribute("RequiresComment");
            showComment = selectedAttributes === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($tbComment, showComment);
    },

    MultiSelectOnLoad: function (sender) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#multiSelectAdditionalDetailsWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    },

    MultiSelectSelectionChanged: function (sender, eventArgs) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#multiSelectAdditionalDetailsWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    },

    SingleSelectOnLoad: function(sender) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('div[id $="pnlSingleSelect"]');
        var $tbComment = $containerDiv.find('#singleSelectAdditionalDetailsWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    },

    SingleSelectSelectionChanged: function(sender, eventArgs) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('div[id $="pnlSingleSelect"]');
        var $tbComment = $containerDiv.find('#singleSelectAdditionalDetailsWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    }
};
///#source 1 1 /scripts/Encounter/ExamTab/examTabSummary.js
/* Exam Tab Summary Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Summary = {
    TestResultSelection: function ($comboBoxTestResult) {
        var $ddlTestPerformed = $('#' + $comboBoxTestResult.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");

        var $testDetailsContainer = $("#examTabTestDetails");
        
        // If the result container is hidden then hide the details
        if ($testSummaryResultContainer.is(':hidden')) {
            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, false);
        } else {
            var selectedItem = $comboBoxTestResult.get_selectedItem();
            var showTestDetails = false;

            if (selectedItem != null) {
                var selectedAttributes = selectedItem.get_attributes();
                var showTestDetailsValue = selectedAttributes.getAttribute("TestResultExpand");

                showTestDetails = showTestDetailsValue === "true";
            }

            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);
        }
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $ddlTestPerformed = $('#' + $comboBoxTestPerform.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testPerformedCmtContainer = $summaryContainer.find("#examTabTestSummaryPerformedCmt");
        var $testDetailsContainer = $("#examTabTestDetails");
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");
        var $testResultRequiredValidator = $("[id $=reqValTestResult]");

        // Call Method to show or hide the comment box
        MEVIR.Exam.Common.ShowHideComment($comboBoxTestPerform, $testPerformedCmtContainer);

        var showTestDetails = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            showTestDetails = showTestDetailsValue === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($testSummaryResultContainer, showTestDetails);
        MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);

        if ($testResultRequiredValidator.length > 0) {
            ValidatorEnable($testResultRequiredValidator[0], showTestDetails);
        }
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};
///#source 1 1 /scripts/Encounter/ExamTab/examTabAngleRecession.js
/* Exam Tab Angle Reccession Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.AngleRecession = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#visitDataAdditionalDetailsWrapper');

        MEVIR.Exam.Common.ShowHideComment($ddlComboBox, $tbComment);
    },

    VisitDataOnLoad: function (sender) {
        MEVIR.Exam.AngleRecession.ShowHideComment(sender);
    },

    VisitDataSelectionChanged: function (sender) {
        MEVIR.Exam.AngleRecession.ShowHideComment(sender);
    }
};
///#source 1 1 /scripts/Encounter/ExamTab/examTabAnteriorChamber.js
/* Exam Tab Anterior Chamber Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.AnteriorChamber = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('.tbVisitDataAdditionalDetails');
        var $tbVisitDataHeight = $containerDiv.find('.tbVisitDataHeight');
        var $tbVisitDataPercentage = $containerDiv.find('.tbVisitDataPercentage');
        var $reqValHeightCtrl = $containerDiv.find('[id *=reqValHeight]');
        var $reqValPercentageCtrl = $containerDiv.find('[id *=reqValPercentage]');
        var $regExValHeightCtrl = $containerDiv.find('[id *=regExValHeight]');
        var $regExValPercentageCtrl = $containerDiv.find('[id *=regExValPercentage]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showAdditionalDetail = false;
        var showHeight = false;
        var showPercentage = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            showAdditionalDetail = selectedAttributes.getAttribute("ShowAdditionalDetail") === "true";
            showHeight = selectedAttributes.getAttribute("ShowHeight") === "true";
            showPercentage = selectedAttributes.getAttribute("ShowPercentage") === "true";
        }

        ValidatorEnable($reqValHeightCtrl[0], showHeight);
        ValidatorEnable($regExValHeightCtrl[0], showHeight);
        ValidatorEnable($reqValPercentageCtrl[0], showPercentage);
        ValidatorEnable($regExValPercentageCtrl[0], showPercentage);

        MEVIR.Exam.Common.ShowHideItem($tbComment, showAdditionalDetail);
        MEVIR.Exam.Common.ShowHideItem($tbVisitDataHeight, showHeight);
        MEVIR.Exam.Common.ShowHideItem($tbVisitDataPercentage, showPercentage);

    },

    VisitDataOnLoad: function (sender) {
        MEVIR.Exam.AnteriorChamber.ShowHideComment(sender);
    },

    VisitDataSelectionChanged: function (sender) {
        MEVIR.Exam.AnteriorChamber.ShowHideComment(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabColorVision.js
/* Exam Tab Summary Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.ColorVision = {
    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $compValidator = $('[id $=compValColorVision]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($compValidator[0], enableValidator);
    },

    TestPerformedSelectionChanged: function (sender, eventArgs) {
        MEVIR.Exam.ColorVision.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.ColorVision.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};
///#source 1 1 /scripts/Encounter/ExamTab/examTabConfrontationalVisualFields.js
/* Exam Tab Summary Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.ConfrontationalVisualFields = {
    TestResultSelection: function ($comboBoxTestResult) {
        var $ddlTestPerformed = $('#' + $comboBoxTestResult.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");

        var $testDetailsContainer = $("#examTabTestDetails");

        // If the result container is hidden then hide the details
        if ($testSummaryResultContainer.is(':hidden')) {
            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, false);
        } else {
            var selectedItem = $comboBoxTestResult.get_selectedItem();
            var showTestDetails = false;

            if (selectedItem != null) {
                var selectedAttributes = selectedItem.get_attributes();
                var showTestDetailsValue = selectedAttributes.getAttribute("TestResultExpand");

                showTestDetails = showTestDetailsValue === "true";
            }

            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);
        }
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $ddlTestPerformed = $('#' + $comboBoxTestPerform.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");
        var $testPerformedCmtContainer = $summaryContainer.find("#examTabTestSummaryPerformedCmt");
        var $testDetailsContainer = $("#examTabTestDetails");
        var $testResultRequiredValidator = $("[id $=reqValTestResult]");

        // Call Method to show or hide the comment box
        MEVIR.Exam.Common.ShowHideComment($comboBoxTestPerform, $testPerformedCmtContainer);

        var showTestDetails = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            showTestDetails = showTestDetailsValue === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($testSummaryResultContainer, showTestDetails);

        if ($testResultRequiredValidator.length > 0) {
            ValidatorEnable($testResultRequiredValidator[0], showTestDetails);
        }

        // Only handle if the result is not container
        if ($testSummaryResultContainer.length === 0) {
            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);
        } else {
            var $testResultObject = $testSummaryResultContainer.find('[id $="ddlTestResult"]');
            var $testResultComboBox = $find($testResultObject.attr("id"));

            // Test result box is loaded
            if ($testResultComboBox != null) {
                MEVIR.Exam.ConfrontationalVisualFields.TestResultSelection($testResultComboBox);
            }
        }
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestPerformedSelection(sender);
    },

    TestResultSelectionChanged: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestResultSelection(sender);
    },

    TestResultOnLoad: function (sender) {
        MEVIR.Exam.ConfrontationalVisualFields.TestResultSelection(sender);
    }
};
///#source 1 1 /scripts/Encounter/ExamTab/examTabFunctionalTesting.js
/* Exam Tab Functional Testing Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.FunctionalTesting = {
    ToggleValidation: function ($input, $validator) {
        var inputText = $input.get_value();
        var $testDetails = $('#examTabTestDetails');
        var enableValidator = $testDetails.is(':visible') && inputText.length > 0;

        ValidatorEnable($validator, enableValidator);
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $reqValVergenceRanges = $('[id $=reqValVergenceRanges]');
        var $reqValNearPointConvergence = $('[id $=reqValNearPointConvergence]');
        var $reqValAccommodativeAmplitutde = $('[id $=reqValAccommodativeAmplitutde]');
        var $regExValVergenceRanges = $('[id $=regExValVergenceRanges]'); // No Client
        var $regExValNearPointConvergence = $('[id $=regExValNearPointConvergence]'); // No Client
        var $regExValAccommodativeAmplitude = $('[id $=regExValAccommodativeAmplitude]'); // No Client
        var $regExValAccommodativeRanges = $('[id $=regExValAccommodativeRanges]'); // No Client
        var $regExValRefractionResults = $('[id $=regExValRefractionResults]'); // No Client

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        if (enableValidator) {
            var $tbVergenceRanges = $find($('[id $=tbVergenceRanges]').attr('id'));
            var $tbNearPointConvergence = $find($('[id $=tbNearPointConvergence]').attr('id'));
            var $tbAccommodativeAmplitude = $find($('[id $=tbAccommodativeAmplitude]').attr('id'));

            if ($tbVergenceRanges != null) {
                MEVIR.Exam.FunctionalTesting.ToggleValidation($tbVergenceRanges, $reqValVergenceRanges[0]);
            } else {
                ValidatorEnable($reqValVergenceRanges[0], false);
            }

            if ($tbNearPointConvergence != null) {
                MEVIR.Exam.FunctionalTesting.ToggleValidation($tbNearPointConvergence, $reqValNearPointConvergence[0]);
            } else {
                ValidatorEnable($reqValNearPointConvergence[0], false);
            }

            if ($tbAccommodativeAmplitude != null) {
                MEVIR.Exam.FunctionalTesting.ToggleValidation($tbAccommodativeAmplitude, $reqValAccommodativeAmplitutde[0]);
            } else {
                ValidatorEnable($reqValAccommodativeAmplitutde[0], false);
            }

            ValidatorEnable($regExValVergenceRanges[0], true);
            ValidatorEnable($regExValNearPointConvergence[0], true);
            ValidatorEnable($regExValAccommodativeAmplitude[0], true);
            ValidatorEnable($regExValAccommodativeRanges[0], true);
            ValidatorEnable($regExValRefractionResults[0], true);
        } else {
            ValidatorEnable($reqValVergenceRanges[0], false);
            ValidatorEnable($reqValNearPointConvergence[0], false);
            ValidatorEnable($reqValAccommodativeAmplitutde[0], false);

            ValidatorEnable($regExValVergenceRanges[0], false);
            ValidatorEnable($regExValNearPointConvergence[0], false);
            ValidatorEnable($regExValAccommodativeAmplitude[0], false);
            ValidatorEnable($regExValAccommodativeRanges[0], false);
            ValidatorEnable($regExValRefractionResults[0], false);
        }
    },

    VergenceRangesOnLoad: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValVergenceRanges"]');

        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    VergenceRangesOnBlur: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValVergenceRanges"]');
        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    NearPointConvergenceOnLoad: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValNearPointConvergence"]');

        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    NearPointConvergenceOnBlur: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValNearPointConvergence"]');
        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    AccommodativeAmplitudeOnLoad: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValAccommodativeAmplitutde"]');

        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    AccommodativeAmplitudeOnBlur: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValAccommodativeAmplitutde"]');
        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    TestPerformedSelectionChanged: function (sender, eventArgs) {
        MEVIR.Exam.FunctionalTesting.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.FunctionalTesting.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};
///#source 1 1 /scripts/Encounter/ExamTab/examTabImagingAncillary.js
/* Exam Tab Imaging Ancillary Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.ImagingAncillary = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#methodologyAdditionalDetailsWrapper');
        var $reqValCtrl = $containerDiv.find('[id $=reqValTestResult]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showComment = false;
        var enableRequiredVal = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            var requiresCmt = selectedAttributes.getAttribute("RequiresComment");

            showComment = requiresCmt === "true";

            // Test Result is required for every selected methdology
            enableRequiredVal = true;
        }

        ValidatorEnable($reqValCtrl[0], enableRequiredVal);
        MEVIR.Exam.Common.ShowHideItem($tbComment, showComment);
    },

    ImagingMethodologyOnLoad: function (sender) {
        MEVIR.Exam.ImagingAncillary.ShowHideComment(sender);
    },

    ImagingMethodologySelectionChanged: function (sender) {
        MEVIR.Exam.ImagingAncillary.ShowHideComment(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabIntraocular.js
/* Exam Tab Intraocular Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Intraocular = {

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $timeValidator = $('[id $=timeValidator]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($timeValidator[0], enableValidator);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.Intraocular.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.Intraocular.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabMotility.js
/* Exam Tab Motility Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Motility = {
    ShowHideMotilityAdditionalDetails: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbMotilityAdditionalDetails = $containerDiv.find('.tbMotilityAdditionalDetails');
        var $tbMotilityNumber = $containerDiv.find('.tbMotilityNumber');
        var $regExValMotility = $containerDiv.find('[id $=regExValMotility]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showAdditionalDetail = false;
        var showMotilityNumber = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            showAdditionalDetail = selectedAttributes.getAttribute("ShowAdditionalDetails") === "true";
            showMotilityNumber = selectedAttributes.getAttribute("ShowMotilityNumber") === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($tbMotilityAdditionalDetails, showAdditionalDetail);
        MEVIR.Exam.Common.ShowHideItem($tbMotilityNumber, showMotilityNumber);
        ValidatorEnable($regExValMotility[0], showMotilityNumber);
    },

    ToggleNystagmusOptions: function($ddlComboBox) {
        var $nystagmusOptions = $('#nystagmusOptionsWrapper');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showOptions = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            
            var expandNystagmus = selectedAttributes.getAttribute("ExpandNystagmus");

            showOptions = expandNystagmus === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($nystagmusOptions, showOptions);
    },

    MotilityOnLoad: function (sender) {
        MEVIR.Exam.Motility.ShowHideMotilityAdditionalDetails(sender);
    },

    MotilitySelectionChanged: function (sender) {
        MEVIR.Exam.Motility.ShowHideMotilityAdditionalDetails(sender);
    },

    NystagmusOnLoad: function(sender) {
        MEVIR.Exam.Motility.ToggleNystagmusOptions(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    NystagmusSelectionChanged: function (sender) {
        MEVIR.Exam.Motility.ToggleNystagmusOptions(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabProstheticDevices.js
/* Exam Tab Prosthetic Devices Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.ProstheticDevices = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#implantTypeAdditionalDetailsWrapper');
        var $compValCtrl = $containerDiv.find('[id $=compValImplantType]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showComment = false;
        var enableCompVal = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            var requiresCmt = selectedAttributes.getAttribute("RequiresComment");
            var compValImplantTypeEnabled = selectedAttributes.getAttribute("CompValImplantTypeEnabled");

            showComment = requiresCmt === "true";
            enableCompVal = compValImplantTypeEnabled === "true";
        }

        ValidatorEnable($compValCtrl[0], enableCompVal);
        MEVIR.Exam.Common.ShowHideItem($tbComment, showComment);
    },

    ImplantTypeOnLoad: function (sender) {
        MEVIR.Exam.ProstheticDevices.ShowHideComment(sender);
    },

    ImplantTypeSelectionChanged: function (sender) {
        MEVIR.Exam.ProstheticDevices.ShowHideComment(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabPupil.js
/* Exam Tab Pupil Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Pupil = {
    ToggleReactive: function ($ddlComboBox) {
        var $reactiveWrapper = $('#reactiveWrapper');
        var selectedItem = $ddlComboBox.get_selectedItem();

        var showReactive = selectedItem != null;

        MEVIR.Exam.Common.ShowHideItem($reactiveWrapper, showReactive);
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $rangeValSize = $('[id $=rangeValSize]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($rangeValSize[0], enableValidator);
    },

    PerrlOnLoad: function (sender) {
        MEVIR.Exam.Pupil.ToggleReactive(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    PerrlSelectionChanged: function (sender) {
        MEVIR.Exam.Pupil.ToggleReactive(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.Pupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.Pupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabRelativeAfferentPupil.js
/* Exam Tab Anterior Chamber Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.RelativeAfferentPupil = {
    ToggleADPLaterality: function ($ddlComboBox) {
        var $reactiveWrapper = $('#adpLateralityWrapper');
        var selectedItem = $ddlComboBox.get_selectedItem();

        var showReactive = selectedItem != null;

        MEVIR.Exam.Common.ShowHideItem($reactiveWrapper, showReactive);
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $regExValADPLaterality = $('[id $=regExValADPLaterality]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($regExValADPLaterality[0], enableValidator);
    },

    ADPOnLoad: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.ToggleADPLaterality(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    ADPSelectionChanged: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.ToggleADPLaterality(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabStaticThresholdPerimetry.js
/* Exam Tab Static Threshold Perimetry Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.StaticThresholdPerimetry = {
    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $regExValMeanDeviation = $('[id $=regExValMeanDeviation]');
        var $regExValPatternStandardDeviation = $('[id $=regExValPatternStandardDeviation]');
        var $regExValFixationLoses = $('[id $=regExValFixationLoses]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($regExValMeanDeviation[0], enableValidator);
        ValidatorEnable($regExValPatternStandardDeviation[0], enableValidator);
        ValidatorEnable($regExValFixationLoses[0], enableValidator);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.StaticThresholdPerimetry.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.StaticThresholdPerimetry.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};

///#source 1 1 /scripts/Encounter/ExamTab/examTabVisualAcuity.js
/* Exam Tab Anterior Chamber Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.VisualAcuity = {
    ToggleScale: function ($ddlComboBox) {
        var $eventWrapper = $('#visualAcuityEvent');
        var $pnlUSScale = $eventWrapper.find('[id $=pnlUSScale]');
        var $pnlMetricScale = $eventWrapper.find('[id $=pnlMetricScale]');
        var $pnlJaegerScale = $eventWrapper.find('[id $=pnlJaegerScale]');
        var $pnlDecimalScale = $eventWrapper.find('[id $=pnlDecimalScale]');
        var $pnlMUnitScale = $eventWrapper.find('[id $=pnlMUnitScale]');
        var $pnlNonNumericScale = $eventWrapper.find('[id $=pnlNonNumericScale]');
        var $pnlRefraction = $eventWrapper.find('[id $=pnlRefraction]');
        var $pnlQualifiers = $eventWrapper.find('[id $=pnlQualifiers]');
        var $pnlStandardChartPrint = $eventWrapper.find('[id $=pnlStandardChartPrint]');
        var $pnlJaegerChartPrint = $eventWrapper.find('[id $=pnlJaegerChartPrint]');

        var $rangeValUSPerformDistance = $eventWrapper.find('[id $=rangeValUSPerformDistance]');
        var $rangeValJaegerPerformDistance = $eventWrapper.find('[id $=rangeValJaegerPerformDistance]');
        var $regExValDecimalAcuity = $eventWrapper.find('[id $=regExValDecimalAcuity]');
        var $regExValMUnitAcuity = $eventWrapper.find('[id $=regExValMUnitAcuity]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var expandUSScale = false;
        var expandMetricScale = false;
        var expandJaegerScale = false;
        var expandDecimalScale = false;
        var expandMUnitScale = false;
        var expandNonNumericScale = false;
        var expandQualifiers = false;
        var expandRefraction = false;
        var expandStandardChartPrint = false;
        var expandJaegerChartPrint = false;


        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            expandUSScale = selectedAttributes.getAttribute("ExpandUSScale") === "true";
            expandMetricScale = selectedAttributes.getAttribute("ExpandMetricScale") === "true";
            expandJaegerScale = selectedAttributes.getAttribute("ExpandJaegerScale") === "true";
            expandDecimalScale = selectedAttributes.getAttribute("ExpandDecimalScale") === "true";
            expandMUnitScale = selectedAttributes.getAttribute("ExpandMUnitScale") === "true";
            expandNonNumericScale = selectedAttributes.getAttribute("ExpandNonNumericScale") === "true";
            expandQualifiers = true;
            expandRefraction = true;
            expandStandardChartPrint = !expandJaegerScale;
            expandJaegerChartPrint = expandJaegerScale;
        }

        MEVIR.Exam.Common.ShowHideItem($pnlUSScale, expandUSScale);
        MEVIR.Exam.Common.ShowHideItem($pnlMetricScale, expandMetricScale);
        MEVIR.Exam.Common.ShowHideItem($pnlJaegerScale, expandJaegerScale);
        MEVIR.Exam.Common.ShowHideItem($pnlDecimalScale, expandDecimalScale);
        MEVIR.Exam.Common.ShowHideItem($pnlMUnitScale, expandMUnitScale);
        MEVIR.Exam.Common.ShowHideItem($pnlNonNumericScale, expandNonNumericScale);
        MEVIR.Exam.Common.ShowHideItem($pnlRefraction, expandRefraction);
        MEVIR.Exam.Common.ShowHideItem($pnlQualifiers, expandQualifiers);
        MEVIR.Exam.Common.ShowHideItem($pnlStandardChartPrint, expandStandardChartPrint);
        MEVIR.Exam.Common.ShowHideItem($pnlJaegerChartPrint, expandJaegerChartPrint);

        ValidatorEnable($rangeValUSPerformDistance[0], expandUSScale);
        ValidatorEnable($rangeValJaegerPerformDistance[0], expandJaegerScale);
        ValidatorEnable($regExValDecimalAcuity[0], expandDecimalScale);
        ValidatorEnable($regExValMUnitAcuity[0], expandMUnitScale);

        // Either disable refraction validation
        if (expandRefraction) {
            var unknownYesBtnId = $("[id *=ucRefractionUnknown][id $=btnYes]").attr("id");
            var $unknownYesBtn = $find(unknownYesBtnId);
            MEVIR.Exam.VisualAcuity.ShowHideRefractions($unknownYesBtn);
        } else {
            MEVIR.Exam.VisualAcuity.EnableRefractionValidation(false);
        }
    },

    ShowHideNonNumericAcuityComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('.tbNonNumericAcuityAdditionalDetails');
        var $tbNumber = $containerDiv.find('.tbNonNumericAcuityNumber');
        var $reqValCtrl = $containerDiv.find('[id $=reqValNonNumericAdditionalDetails]');
        var $compValCtrl = $containerDiv.find('[id $=compValNonNumericAdditionalDetails]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showAdditionalDetail = false;
        var showNumber = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            showAdditionalDetail = selectedAttributes.getAttribute("ShowAdditionalDetails") === "true";
            showNumber = selectedAttributes.getAttribute("ShowNumber") === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($tbComment, showAdditionalDetail);
        MEVIR.Exam.Common.ShowHideItem($tbNumber, showNumber);
        ValidatorEnable($reqValCtrl[0], showNumber);
        ValidatorEnable($compValCtrl[0], showNumber);
    },

    EnableRefractionValidation: function (isEnabled) {
        var $eventWrapper = $('#visualAcuityEvent');
        var $regExSphere = $eventWrapper.find('[id $=regExSphere]');
        var $regExCylinderFormat = $eventWrapper.find('[id $=regExCylinderFormat]');
        var $regExCylinderDecimal = $eventWrapper.find('[id $=regExCylinderDecimal]');
        var $regExAxis = $eventWrapper.find('[id $=regExAxis]');

        ValidatorEnable($regExSphere[0], isEnabled);
        ValidatorEnable($regExCylinderFormat[0], isEnabled);
        ValidatorEnable($regExCylinderDecimal[0], isEnabled);
        ValidatorEnable($regExAxis[0], isEnabled);
        ValidationSummaryOnSubmit();
    },

    ShowHideRefractions: function ($btnYes) {
        if ($btnYes != null) {
            var isUnknownChecked = $btnYes.get_checked();

            var $tbSphere = $("[id $=tbSphere]");
            var $tbCylinder = $("[id $=tbCylinder]");
            var $tbAxis = $("[id $=tbAxis]");

            if (isUnknownChecked) {
                $tbSphere.attr('disabled', 'disabled');
                $tbCylinder.attr('disabled', 'disabled');
                $tbAxis.attr('disabled', 'disabled');
                MEVIR.Exam.VisualAcuity.EnableRefractionValidation(false);
            } else {
                $tbSphere.removeAttr('disabled');
                $tbCylinder.removeAttr('disabled');
                $tbAxis.removeAttr('disabled');
                MEVIR.Exam.VisualAcuity.EnableRefractionValidation(true);
            }
        }
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $eventWrapper = $('#visualAcuityEvent');
        var $rangeValUSPerformDistance = $eventWrapper.find('[id $=rangeValUSPerformDistance]');
        var $rangeValJaegerPerformDistance = $eventWrapper.find('[id $=rangeValJaegerPerformDistance]');
        var $regExValDecimalAcuity = $eventWrapper.find('[id $=regExValDecimalAcuity]');
        var $regExValMUnitAcuity = $eventWrapper.find('[id $=regExValMUnitAcuity]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        if (enableValidator) {
            var $ucScaleCtrl = $('[id *=ucScale][id $=ddlSingleSelect]');
            var $ucScale = $find($ucScaleCtrl.attr('id'));

            if ($ucScale != null) {
                MEVIR.Exam.VisualAcuity.ToggleScale($ucScale);
            }
        } else {
            ValidatorEnable($rangeValUSPerformDistance[0], false);
            ValidatorEnable($rangeValJaegerPerformDistance[0], false);
            ValidatorEnable($regExValDecimalAcuity[0], false);
            ValidatorEnable($regExValMUnitAcuity[0], false);
        }
    },

    ScaleOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.ToggleScale(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    ScaleSelectionChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.ToggleScale(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    },

    NonNumericAcuityOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideNonNumericAcuityComment(sender);
    },

    NonNumericAcuitySelectionChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideNonNumericAcuityComment(sender);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    RefractionUnknownYesOnLoad: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideRefractions(sender);
    },

    RefractionUnknownYesCheckedChanged: function (sender) {
        MEVIR.Exam.VisualAcuity.ShowHideRefractions(sender);
    }
};

