﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="AdminEditUsers.aspx.cs" Inherits="AdminEditUsers" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>
 
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:ValidationSummary ID="ValidationSummaryPatients"  runat="server"
        TabIndex="1" 
        HeaderText="The page has the following data errors:" 
        DisplayMode="BulletList" 
        ValidationGroup="OnSave"
        ShowMessageBox="True" 
        ShowSummary="false"/>
    <asp:Panel ID="PanelObjectContent" runat="server">
        <br /><uc1:ErrorList ID="ErrorList1" runat="server" />
        <asp:Panel ID="PanelNewUserSearchID" runat="server" GroupingText="Search NT Username" Width="95%">
        <br />
        <asp:Label ID="LabelSearchInstructions" runat="server">
        To add a new user, first search if the NT username exists in the Registries application:
        </asp:Label>
        <br /><br />
        <div class = "excludeSaveWarnings"> 
            <asp:Label ID="LabelforTextBoxSearchCriteria" runat="server" AssociatedControlID="TextBoxSearchCriteria">Search:</asp:Label>
                                
            <asp:TextBox ID="TextBoxSearchCriteria" runat="server" Width="100"></asp:TextBox>
            &nbsp; 
        
        <asp:Button ID="ButtonSearch" runat="server" Text=" Search " 
                onclick="ButtonSearch_Click" ToolTip="Select to search the Registries for the specified user" />
        &nbsp;
        <asp:Button ID="ButtonClear" runat="server" Text=" Clear " 
            onclick="ButtonClear_Click" ToolTip="Select to clear the search text box and reset list of results" />
        </div>
        <br />
        <br />
            <asp:Label ID="LabelUsernameExists" runat="server" Visible="false">
                You cannot add a new account with this NT username.<br />
                The following account has the NT username.  If you want to grant this account access to your registry click the "Add" button below.
                <br />
                <br />
            </asp:Label>
            <asp:GridView ID="GridViewUsers" runat="server" AllowPaging="True" 
                AllowSorting="True" AutoGenerateColumns="False" Caption="Users" 
                DataKeyNames="USER_ID" DataSourceID="" EmptyDataText="No Users"
                Visible="false" Width="90%">
                <Columns>
                    <asp:BoundField DataField="USER_ID" HeaderText="Id" 
                        SortExpression="USER_ID" />
                    <asp:BoundField DataField="USERNAME" HeaderText="NT Username" 
                        SortExpression="USERNAME" />
                    <asp:BoundField DataField="FULL_NAME" HeaderText="Name"  
                        SortExpression="LAST_NAME" />
                    <asp:BoundField DataField="EMAIL_ADDRESS" HeaderText="Email" 
                        SortExpression="EMAIL_ADDRESS" />
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="ButtonAddUser" runat="server" Text="  Add  " Visible="false" 
                onclick="ButtonAddUser_Click" ToolTip="Select to add user to the Registries application"/>
            <asp:Label ID="LabelUsernameIsInRegistry" runat="server" Visible="false">
                You cannot add this NT username.  An account with the NT username above is already a member of the registry.
                <br />
                <br />
            </asp:Label>
            <asp:Button ID="ButtonViewEditUser" runat="server" Text=" View / Edit User Account " 
                Visible="false" onclick="ButtonViewEditUser_Click" ToolTip="Select to view and/or edit the user's account information"/>
                <br />
            <asp:ObjectDataSource ID="ObjectDataSourceUsers" runat="server" 
                SelectMethod="SelectByUsername"
                TypeName="VeteransAffairs.Registries.BusinessManager.UsersManager">
                <SelectParameters>
                    <asp:ControlParameter ControlID="TextBoxSearchCriteria" DefaultValue="" 
                        Name="Username" PropertyName="Text" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="PanelUserInformation" runat="server" GroupingText="User Account Information" 
        Width="65%">
        <br />
        <asp:Label ID="LabelforTextBoxUsername" runat="server" 
            AssociatedControlID="TextBoxUsername">
            NT Username:
        </asp:Label>
        <asp:TextBox ID="TextBoxUsername" runat="server" 
            MaxLength="30" 
            Text="" 
            Enabled="false"
            Width="145px" />
        <br />
        <hr style="width:1" />
        <asp:Label ID="LabelforTextBoxFullName" runat="server" 
            AssociatedControlID="TextBoxFullName">
            Full Name *:
        </asp:Label>
        <br />
        <asp:TextBox ID="TextBoxFullName" runat="server" 
            MaxLength="100" 
            Text="" 
            Width="400px" />
        <asp:RequiredFieldValidator ID="RequiredFieldValidatorTextBoxFullName" runat="server" 
            ControlToValidate="TextBoxFullName"
            Display="Dynamic"
            EnableClientScript="true"
            ValidationGroup = "OnSave"
            SetFocusOnError="true"
            ErrorMessage="Full Name is required.">
        </asp:RequiredFieldValidator>        
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxFirstName" runat="server" 
            AssociatedControlID="TextBoxFirstName">
            First Name:
        </asp:Label>
        <br />
        <asp:TextBox ID="TextBoxFirstName" runat="server" 
            MaxLength="30" 
            Text="" 
            Width="145px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxMiddleName" runat="server" 
            AssociatedControlID="TextBoxMiddleName">
            Middle Name:
        </asp:Label>
        <br />
        <asp:TextBox ID="TextBoxMiddleName" runat="server" MaxLength="30" Text="" 
            Width="145px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxLastName" runat="server" AssociatedControlID="TextBoxLastName">Last Name:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxLastName" runat="server" MaxLength="40" Text="" 
            Width="200px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxMaidenName" runat="server" AssociatedControlID="TextBoxMaidenName">Maiden Name:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxMaidenName" runat="server" MaxLength="40" Text="" 
            Width="200px" />
        <br />
        <hr style="width:1" />
        <asp:Label ID="LabelforTextBoxEmployeeNumber" runat="server" AssociatedControlID="TextBoxEmployeeNumber">Employee Number:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxEmployeeNumber" runat="server" MaxLength="50" Text="" 
            Width="200px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxJobTitle" runat="server" AssociatedControlID="TextBoxJobTitle">Job Title:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxJobTitle" runat="server" MaxLength="80" Text="" 
            Width="400px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxEmailAddress" runat="server" AssociatedControlID="TextBoxEmailAddress">Email Address:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxEmailAddress" runat="server" MaxLength="128" Text="" 
            Width="460px" />
        <br />
        <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxEmailAddress" runat="server" 
            ErrorMessage="Email needs to be in the following format: Abc123@example.com"
            ControlToValidate="TextBoxEmailAddress"
            ValidationExpression = "^\s*\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*\s*$"
            Display="Dynamic"
            EnableClientScript="true"
            ValidationGroup = "OnSave"
            SetFocusOnError="true"
        />
        <br />
        <hr style="width:1" />
        <asp:Label ID="LabelforTextBoxTelephone" runat="server" 
            AssociatedControlID="TextBoxTelephone">
                Phone:
        </asp:Label>
        <br />
        <asp:TextBox ID="TextBoxTelephone" runat="server" 
            MaxLength="30" 
            Text="" 
            Width="145px" />
        <asp:RegularExpressionValidator ID = "RegularExpressionValidatorTextBoxTelephone" runat = "server" 
            ControlToValidate = "TextBoxTelephone"
            ErrorMessage = "Phone field can only contain numbers and the following characters: + - ( ) ext" 
            Display="Dynamic"
            EnableClientScript="true"
            SetFocusOnError="true"
            ValidationExpression = "^(\(?\+?[0-9]*\)?)?[x0-9_\.\- \(\)]*(ext)*[0-9_\.\- \(\)]+$" 
            ValidationGroup = "OnSave">
        </asp:RegularExpressionValidator>
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxFax" runat="server" AssociatedControlID="TextBoxFax">Fax:</asp:Label>
        <br />
        <asp:TextBox ID="TextBoxFax" runat="server" MaxLength="30" Text="" 
            Width="145px" />
        <asp:RegularExpressionValidator ID = "RegularExpressionValidatorTextBoxFax" runat = "server" 
            ControlToValidate = "TextBoxFax"
            ErrorMessage = "Fax field can only contain numbers and the following characters: + - ( ) ext" 
            Display="Dynamic"
            EnableClientScript="true"
            SetFocusOnError="true"
            ValidationExpression = "^(\(?\+?[0-9]*\)?)?[x0-9_\.\- \(\)]*(ext)*[0-9_\.\- \(\)]+$" 
            ValidationGroup = "OnSave">
        </asp:RegularExpressionValidator>
        <br />
        <br />
        <hr style="width:1" />
        <asp:Label ID="LabelCreatedByCaption" runat="server" 
            AssociatedControlID="LabelCreatedBy" SkinID="DataLabel">Created By:</asp:Label>
        <asp:Label ID="LabelCreatedBy" runat="server" SkinID="DataLabel"></asp:Label>
        <asp:Label ID="LabelCreatedOnCaption" runat="server" 
            AssociatedControlID="LabelCreatedOn" SkinID="DataLabel">&nbsp;&nbsp; Created On:</asp:Label>
        <asp:Label ID="LabelCreatedOn" runat="server" SkinID="DataLabel"></asp:Label>
        <br />
        <asp:Label ID="LabelUpdatedByCaption" runat="server" 
            AssociatedControlID="LabelUpdatedBy" SkinID="DataLabel">Updated By:</asp:Label>
        <asp:Label ID="LabelUpdatedBy" runat="server" SkinID="DataLabel"></asp:Label>
        <asp:Label ID="LabelUpdatedOnCaption" runat="server" 
            AssociatedControlID="LabelUpdatedOn" SkinID="DataLabel">&nbsp;&nbsp; Updated On:</asp:Label>
        <asp:Label ID="LabelUpdatedOn" runat="server" SkinID="DataLabel"></asp:Label>
        <br />
        <asp:HiddenField ID="HiddenFieldUserID" runat="server" />
        <asp:HiddenField ID="HiddenFieldInsertingNewUser" runat="server" />
        <asp:HiddenField ID="HiddenFieldSelectedUsername" runat="server" />
        <asp:HiddenField ID="HiddenFieldBreadCrumbBaseText" runat="server" />
        &nbsp;</asp:Panel>
    <br />
    <asp:Button ID="ButtonSave" runat="server" onclick="ButtonSave_Click"  
        ValidationGroup = "OnSave"
        Text="   Save   " ToolTip="Select to save the user's information" />
    &nbsp;&nbsp;
    <asp:Button ID="ButtonClose" runat="server" onclick="ButtonClose_Click" 
        Text="  Cancel  " ToolTip="Select to close the edit screen and return to the list of users" />
    <br />
</asp:Panel>
    <asp:Panel ID="PanelNoAccess" runat="server" Visible="false">
            You do not have access to the user id supplied.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.
    </asp:Panel>
    <asp:Panel ID="PanelIdNotFound" runat="server" Visible="false">
            No record found for the user ID supplied.
            <br />
            <br />
            If you tried accessing using a link within an email or typed the link in the browser, please check the link to ensure you have supplied a correct id.
    </asp:Panel>      
</asp:Content>



