﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Angle Recession Event
    /// </summary>
    [Serializable]
    public class ConfrontationalVisualFieldEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "ConfrontVisF"; }
        }

        public MultiSelectQuestion Quadrant { get; set; }

        public static IEnumerable<string> ShowTestResultValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestResult.Abnormal
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "CVF_TP";

            public static string TestResult = "CVF_TR";

            public static string EventComment = "CVF_C";

            public static string Quadrant = "CVF_Q";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "CVF_TP_Y";

                public static string NotDocumented = "CVF_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "CVF_TR_N";

                public static string Abnormal = "CVF_TR_A";
            }
        }
    }
}