﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ViewModels.Exam
{
    [Serializable]
    public class ExamViewModel
    {
        public string QuestionSection { get { return "Exam"; } }

        public int PatientId { get; set; }

        public int EncounterId { get; set; }

        public IEnumerable<ExamViewEventSummary> EventSummaries { get; set; }

        public List<ExamViewEventSummary> EventSummariesOrdered
        {
            get { return EventSummaries.OrderBy(s => s.CategorySortOrder).ThenBy(s => s.LateralitySortOrder).ToList(); }
        } 

        public IEnumerable<ExamEventCategory> EventCategories { get; set; }

        public IEnumerable<ExamEventCategory> EventCategoriesOrdered
        {
            get { return EventCategories.OrderBy(c => c.SortOrder); }
        } 
    }

    [Serializable]
    public class ExamViewEventSummary
    {
        public string Name { get; set; }
        public string CategoryCode { get; set; }
        public string LateralityCode { get; set; }
        public string Laterality { get; set; }
        public DateTime CreatedDate { get; set; }
        public string CreatedBy { get; set; }
        public int CategorySortOrder { get; set; }
        public int LateralitySortOrder { get; set; }
    }

    [Serializable]
    public class ExamEventCategory
    {
        public string Code { get; set; }
        public string Name { get; set; }
        public int SortOrder { get; set; }
    }
}