﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Functional Testing Event
    /// </summary>
    [Serializable]
    public class FunctionalTestingEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "FuncTestF"; }
        }

        public SingleSelectQuestion VergenceRangesType { get; set; }

        public TextQuestion VergenceRanges { get; set; }

        public TextQuestion NearPointConvergence { get; set; }

        public SingleSelectQuestion NearPointConvergenceUnit { get; set; }

        public TextQuestion AccommodativeAmplitude { get; set; }

        public SingleSelectQuestion AccommodativeAmplitudeUnit { get; set; }

        public TextQuestion AccommodativeRanges { get; set; }

        public TextQuestion RefractionResults { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "FTF_TP";

            public static string TestResult = "FTF_TR";

            public static string EventComment = "FTF_C";

            public static string VergenceRangesType = "FTF_VR_T";

            public static string VergenceRanges = "FTF_VR";

            public static string NearPointConvergence = "FTF_NPC";

            public static string NearPointConvergenceUnit = "FTF_NPC_U";

            public static string AccommodativeAmplitude = "FTF_AA";

            public static string AccommodativeAmplitudeUnit = "FTF_AA_U";

            public static string AccommodativeRanges = "FTF_AR";

            public static string RefractionResults = "FTF_RR";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "FTF_TP_Y";

                public static string NotDocumented = "FTF_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "FTF_TR_N";

                public static string Abnormal = "FTF_TR_A";
            }
        }
    }
}