﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Pupil Event Model
    /// </summary>
    [Serializable]
    public class PupilEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "Pupil"; }
        }

        public TextQuestion Size { get; set; }

        public TextQuestion AlterationInShape { get; set; }

        public SingleSelectQuestion PerrlOrPerrla { get; set; }

        public YesNoQuestion Reactive { get; set; }

        public YesNoQuestion Adie { get; set; }

        public YesNoQuestion ArgyllRobertson { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "PP_TP";

            public static string TestResult = "PP_TR";

            public static string EventComment = "PP_C";

            public static string Size = "PP_S";

            public static string AlterationInShape = "PP_AS";

            public static string PerrlOrPerrla = "PP_PP";

            public static string Reactive = "PP_R";

            public static string Adie = "PP_A";

            public static string ArgyllRobertson = "PP_AR";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "PP_TP_Y";

                public static string NotDocumented = "PP_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "PP_TR_N";

                public static string Abnormal = "PP_TR_A";
            }
        }
    }
}