﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Relative Afferent Pupil Defect Event Model
    /// </summary>
    [Serializable]
    public class RelativeAfferentPupilDefectEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "RelAffPupilDef"; }
        }

        public YesNoQuestion VisitData { get; set; }

        public SingleSelectQuestion ADP { get; set; }

        public TextQuestion ADPLaterality { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "RAPD_TP";

            public static string TestResult = "RAPD_TR";

            public static string EventComment = "RAPD_C";

            public static string VisitData = "RAPD_VD";

            public static string ADP = "RAPD_A";

            public static string ADPLaterality = "RAPD_L";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "RAPD_TP_Y";

                public static string NotDocumented = "RAPD_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "RAPD_TR_N";

                public static string Abnormal = "RAPD_TR_A";
            }
        }
    }
}