﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Retina Event Model
    /// </summary>
    [Serializable]
    public class RetinaEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "Retina"; }
        }

        public MultiSelectQuestion VisitData { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "RT_TP";

            public static string TestResult = "RT_TR";

            public static string EventComment = "RT_C";

            public static string VisitData = "RT_VD";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "RT_TP_Y";

                public static string NotDocumented = "RT_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "RT_TR_N";

                public static string Abnormal = "RT_TR_A";
            }
        }
    }
}