﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Scelera Event Model
    /// </summary>
    [Serializable]
    public class SceleraEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "Scelera"; }
        }

        public MultiSelectQuestion VisitData { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "SC_TP";

            public static string TestResult = "SC_TR";

            public static string EventComment = "SC_C";

            public static string VisitData = "SC_VD";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "SC_TP_Y";

                public static string NotDocumented = "SC_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "SC_TR_N";

                public static string Abnormal = "SC_TR_A";
            }
        }
    }
}