﻿<%@ Page Title="" Language="C#" MasterPageFile="~/RegistryNoLeftMenu.master" AutoEventWireup="true" CodeFile="MyTasks.aspx.cs" Inherits="MyTasks" %>

<%@ Register Src="~/controls/WorkflowAdministration/WorkflowAdministrationUserControl.ascx" TagName="WorkflowAdminControl" TagPrefix="mevir" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            function OnGridCommand(sender, args) {
                if (args.get_commandName() == "Page" || args.get_commandName() == "Sort")
                    ShowProgress();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="LeftContent" ContentPlaceHolderID="LeftZoneContent" runat="server">
    <%--Master Pages Leave off at Tab Index 5 ... start at 10--%>
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <div class="leftZone">
        <asp:Panel ID="pnlDataAbstrationFilterZone" runat="server" Visible="true">
            <asp:Label ID="lblFiltersArea" runat="server" Text="Data Abstraction Filters / Actions" TabIndex="0" ToolTip="This section contains filters and actions available for the current page" />
            <br />
            <br />
            <div style="padding-left: 10px;">
                <asp:Label ID="lblEncounterStatusType" runat="server" Text="Encounter Status:  " AssociatedControlID="rcbEncounterStatus" /><br />
                <telerik:RadComboBox ID="rcbEncounterStatus" runat="server" Width="230px" AutoPostBack="true" ToolTip="Limit returned Encounters to those with the selected status."
                    OnSelectedIndexChanged="rcbEncounterStatus_SelectedIndexChanged" TabIndex="0">
                    <Items>
                        <telerik:RadComboBoxItem Text="All" Value="all" Selected="true" />
                        <telerik:RadComboBoxItem Text="New" Value="new" />
                        <telerik:RadComboBoxItem Text="In Process" Value="inproc" />
                        <telerik:RadComboBoxItem Text="Ready for Review" Value="review" />
                        <telerik:RadComboBoxItem Text="Returned" Value="returned" />
                        <telerik:RadComboBoxItem Text="Ready to Send" Value="send" />
                        <telerik:RadComboBoxItem Text="Completed" Value="completed" />
                    </Items>
                </telerik:RadComboBox>
                <br />
                <br />
            </div>
        </asp:Panel>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">
    <br />
    <%--Start Tab Index at 50--%>
    <asp:Panel ID="pnlReferralEncounters" runat="server" Visible="true" GroupingText="Data Abstraction Assignments&nbsp;">
        <div style="padding: 10px;">
            <asp:Label runat="server" ID="lblAccessibility" TabIndex="0" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />

            <telerik:RadGrid ID="rgMyEncounters" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgMyEncounters_ItemCommand"
                OnNeedDataSource="rgMyEncounters_NeedDataSource" OnItemDataBound="rgMyEncounters_ItemDataBound" AllowMultiRowSelection="false" PageSize="20" TabIndex="0">
                <MasterTableView AutoGenerateColumns="false" DataKeyNames="REFERRAL_ID, ER_ENCOUNTER_ID" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <Columns>
                        <telerik:GridButtonColumn CommandName="Details" UniqueName="DetailButton" ButtonType="LinkButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>
                        <telerik:GridBoundColumn DataField="ER_ENCOUNTER_ID" DataType="System.Int32" FilterControlAltText="Filter ENCOUNTER ID column" HeaderText="ENCOUNTER ID" ReadOnly="True" SortExpression="ER_ENCOUNTER_ID" UniqueName="ER_ENCOUNTER_ID_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ENCOUNTER_DATE_TIME" DataType="System.DateTime" FilterControlAltText="Filter ENCOUNTER DATE column" HeaderText="ENCOUNTER DATE" ReadOnly="True" SortExpression="ENCOUNTER_DATE_TIME" UniqueName="ENCOUNTER_DATE_TIME_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="PatientName" DataType="System.String" FilterControlAltText="Filter Patient Name column" HeaderText="Patient Name" ReadOnly="True" SortExpression="PatientName" UniqueName="PatientName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="STATIONNUMBER" DataType="System.String" FilterControlAltText="Filter Facility Number column" HeaderText="Facility" ReadOnly="True" SortExpression="STATIONNUMBER" UniqueName="STATIONNUMBER_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="LAST_UPDATED_DATE" DataType="System.DateTime" FilterControlAltText="Filter LAST UPDATED DATE column" HeaderText="LAST UPDATED DATE" ReadOnly="True" SortExpression="LAST_UPDATED_DATE" UniqueName="LAST_UPDATED_DATE_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UPDATED_BY" DataType="System.String" FilterControlAltText="Filter UPDATED BY column" HeaderText="UPDATED BY" ReadOnly="True" SortExpression="UPDATED_BY" UniqueName="UPDATED_BY_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ENCOUNTER_STATUS" DataType="System.String" FilterControlAltText="Filter ENCOUNTER STATUS column" HeaderText="ENCOUNTER STATUS" ReadOnly="True" SortExpression="ENCOUNTER_STATUS" UniqueName="ENCOUNTER_STATUS_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings AllowKeyboardNavigation="true">
                    <ClientEvents OnCommand="OnGridCommand" />
                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </div>
    </asp:Panel>

    <asp:Panel ID="pnlReadyForReview" runat="server" Visible="false" GroupingText="Reviewer Tasks&nbsp;">
        <div style="padding: 10px;">
            <asp:Label runat="server" ID="Label1" TabIndex="0" AccessKey="i" Text="Ctrl-q selects the grid.  Use Tab and arrow keys to navigate." />

            <telerik:RadGrid ID="rgReviewer" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgReviewer_ItemCommand"
                OnNeedDataSource="rgReviewer_NeedDataSource" OnItemDataBound="rgReviewer_ItemDataBound" AllowMultiRowSelection="false" PageSize="20" TabIndex="0">
                <MasterTableView AutoGenerateColumns="false" DataKeyNames="REFERRAL_ID, ER_ENCOUNTER_ID" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <Columns>
                        <telerik:GridButtonColumn CommandName="Details" UniqueName="DetailButton" ButtonType="LinkButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>
                        <telerik:GridBoundColumn DataField="ER_ENCOUNTER_ID" DataType="System.Int32" FilterControlAltText="Filter ENCOUNTER ID column" HeaderText="ENCOUNTER ID" ReadOnly="True" SortExpression="ER_ENCOUNTER_ID" UniqueName="ER_ENCOUNTER_ID_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ENCOUNTER_DATE_TIME" DataType="System.DateTime" FilterControlAltText="Filter ENCOUNTER DATE column" HeaderText="ENCOUNTER DATE" ReadOnly="True" SortExpression="ENCOUNTER_DATE_TIME" UniqueName="ENCOUNTER_DATE_TIME_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="PatientName" DataType="System.String" FilterControlAltText="Filter Patient Name column" HeaderText="Patient Name" ReadOnly="True" SortExpression="PatientName" UniqueName="PatientName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="STATIONNUMBER" DataType="System.String" FilterControlAltText="Filter Facility Number column" HeaderText="Facility" ReadOnly="True" SortExpression="STATIONNUMBER" UniqueName="STATIONNUMBER_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="LAST_UPDATED_DATE" DataType="System.DateTime" FilterControlAltText="Filter LAST UPDATED DATE column" HeaderText="LAST UPDATED DATE" ReadOnly="True" SortExpression="LAST_UPDATED_DATE" UniqueName="LAST_UPDATED_DATE_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UPDATED_BY" DataType="System.String" FilterControlAltText="Filter UPDATED BY column" HeaderText="UPDATED BY" ReadOnly="True" SortExpression="UPDATED_BY" UniqueName="UPDATED_BY_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="EncounterStatusText" DataType="System.String" FilterControlAltText="Filter ENCOUNTER STATUS column" HeaderText="ENCOUNTER STATUS" ReadOnly="True" SortExpression="EncounterStatusText" UniqueName="EncounterStatusText_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings AllowKeyboardNavigation="true" KeyboardNavigationSettings-FocusKey="Q">
                    <ClientEvents OnCommand="OnGridCommand" />
                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </div>
    </asp:Panel>

    <asp:Panel ID="pnlAdministrationArea" runat="server" Visible="false" GroupingText="Administrator Tasks&nbsp;">
        <div style="padding: 10px;">
            Coming Soon - Administration Section - Possible re-assignment capabilities.<br /><br />
            <mevir:WorkflowAdminControl ID="WorkflowAdmin" runat="server" />
        </div>
    </asp:Panel>

    <asp:Panel ID="pnlNoAccess" runat="server" Visible="false" GroupingText="No Access&nbsp;">
        <div style="padding: 10px;">
            The current user does not have access to view information on this page.
        </div>
    </asp:Panel>


    <%--<telerik:RadGrid ID="rgReferrals" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgReferrals_ItemCommand"
        OnNeedDataSource="rgReferrals_NeedDataSource" AllowMultiRowSelection="false" PagerStyle-AlwaysVisible="true" TabIndex="0">
        <MasterTableView AutoGenerateColumns="false" DataKeyNames="REFERRAL_ID" PageSize="20" TabIndex="0">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select filters to the left.
                            </asp:Label>
                        </td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="PatientName" SortOrder="Ascending" />
            </SortExpressions>
            <Columns>
                <telerik:GridButtonColumn CommandName="Details" ButtonType="LinkButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>
                <telerik:GridBoundColumn DataField="REFERRAL_ID" DataType="System.Int32" FilterControlAltText="Filter REFERRAL_ID column" HeaderText="REFERRAL_ID" ReadOnly="True" SortExpression="REFERRAL_ID" UniqueName="REFERRAL_ID_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="STD_REFERRALSTS_ID" DataType="System.Int32" FilterControlAltText="Filter STD_REFERRALSTS_ID column" HeaderText="STD_REFERRALSTS_ID" ReadOnly="True" SortExpression="STD_REFERRALSTS_ID" UniqueName="STD_REFERRALSTS_ID_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="REFERRAL_DATE" DataType="System.DateTime" FilterControlAltText="Filter REFERRAL DATE column" HeaderText="REFERRAL DATE" ReadOnly="True" SortExpression="REFERRAL_DATE" UniqueName="REFERRAL_DATE_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="PatientSSN" DataType="System.String" FilterControlAltText="Filter SSN column" HeaderText="SSN" ReadOnly="True" SortExpression="PatientSSN" UniqueName="PatientSSN_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="PatientName" DataType="System.String" FilterControlAltText="Filter Patient Name column" HeaderText="Patient Name" ReadOnly="True" SortExpression="PatientName" UniqueName="PatientName_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="STATIONNUMBER" DataType="System.String" FilterControlAltText="Filter STATIONNUMBER column" HeaderText="STATION NUMBER" ReadOnly="True" SortExpression="STATIONNUMBER" UniqueName="STATIONNUMBER_Report">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="VISN_NAME" DataType="System.String" FilterControlAltText="Filter VISN NAME column" HeaderText="VISN NAME" ReadOnly="True" SortExpression="VISN_NAME" UniqueName="VISN_NAME_Report">
                </telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="TotalEncounterCount" DataType="System.Int32" FilterControlAltText="Filter Total Encounter Count column" HeaderText="Total Encounter Count" ReadOnly="True" SortExpression="TotalEncounterCount" UniqueName="TotalEncounterCount_Report">
                </telerik:GridBoundColumn>
            </Columns>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <ClientEvents OnCommand="OnGridCommand" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
            <Selecting AllowRowSelect="true" />
        </ClientSettings>
    </telerik:RadGrid>--%>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="images/ajax-loader.gif" alt="Loading Image" />
    </div>
</asp:Content>
