﻿<%@ Page Title="" Language="C#" MasterPageFile="~/RegistryNoLeftMenu.master" AutoEventWireup="true" CodeFile="ReferralEncounters.aspx.cs" Inherits="ReferralEncounters" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            function OnGridCommand(sender, args) {
                if (args.get_commandName() == "Page" || args.get_commandName() == "Sort")
                    ShowProgress();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="LeftContent" ContentPlaceHolderID="LeftZoneContent" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <a href="content" tabindex="0"></a>

    <div class="leftZone">
        <asp:Label ID="lblFiltersArea" runat="server" Text="Filters / Actions" TabIndex="0" ToolTip="This section contains filters and actions available for the current page" />
        <br />
        <br />
        <div style="padding-left: 10px;">
            <asp:Label ID="lblEncounterStatusType" runat="server" Text="Encounter Status:  " AssociatedControlID="rcbEncounterStatus" /><br />
            <telerik:RadComboBox ID="rcbEncounterStatus" runat="server" Width="230px" AutoPostBack="true" ToolTip="Limit returned Encounters to those with the selected status."
                OnSelectedIndexChanged="rcbEncounterStatus_SelectedIndexChanged" TabIndex="0">
                <Items>
                    <telerik:RadComboBoxItem Text="All" Value="all" Selected="true" />
                    <telerik:RadComboBoxItem Text="New" Value="new" />
                    <telerik:RadComboBoxItem Text="In Process" Value="inproc" />
                    <telerik:RadComboBoxItem Text="Ready for Review" Value="review" />
                    <telerik:RadComboBoxItem Text="Returned" Value="returned" />
                    <telerik:RadComboBoxItem Text="Ready to Send" Value="send" />
                    <telerik:RadComboBoxItem Text="Completed" Value="completed" />
                </Items>
            </telerik:RadComboBox>
            <br />
            <br />
            <telerik:RadButton ID="btnAddEncounter" runat="server" Text="Add Encounter" ToolTip="Manually enter an encounter record that is not present in the system" OnClick="btnAddEncounter_Click" TabIndex="0" />
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">
    <br />
    <asp:Panel ID="pnlReferralEncounters" runat="server" Visible="true">
        <asp:Label runat="server" ID="lblAccessibility" TabIndex="0" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />

        <telerik:RadGrid ID="rgReferralEncounters" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgReferralEncounters_ItemCommand"
            OnNeedDataSource="rgReferralEncounters_NeedDataSource" AllowMultiRowSelection="false" PageSize="20" TabIndex="0">
            <MasterTableView AutoGenerateColumns="false" DataKeyNames="ER_ENCOUNTER_ID" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                <NoRecordsTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.
                                </asp:Label>
                            </td>
                        </tr>
                    </table>
                </NoRecordsTemplate>
                <Columns>
                    <telerik:GridButtonColumn CommandName="Details" ButtonType="LinkButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>
                    <telerik:GridBoundColumn DataField="ER_ENCOUNTER_ID" DataType="System.Int32" FilterControlAltText="Filter ENCOUNTER ID column" HeaderText="ENCOUNTER ID" ReadOnly="True" SortExpression="ER_ENCOUNTER_ID" UniqueName="ER_ENCOUNTER_ID_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ENCOUNTER_DATE_TIME" DataType="System.DateTime" FilterControlAltText="Filter ENCOUNTER DATE column" HeaderText="ENCOUNTER DATE" ReadOnly="True" SortExpression="ENCOUNTER_DATE_TIME" UniqueName="ENCOUNTER_DATE_TIME_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="STOP_CODE" DataType="System.String" FilterControlAltText="Filter STOP CODE column" HeaderText="STOP CODE" ReadOnly="True" SortExpression="STOP_CODE" UniqueName="STOP_CODE_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="STOP_CODE_DESC" DataType="System.String" FilterControlAltText="Filter STOP CODE DESCRIPTION column" HeaderText="STOP_CODE_DESC" ReadOnly="True" SortExpression="STOP_CODE_DESC" UniqueName="STOP_CODE_DESC_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="LAST_UPDATED_DATE" DataType="System.DateTime" FilterControlAltText="Filter LAST UPDATED DATE column" HeaderText="LAST UPDATED DATE" ReadOnly="True" SortExpression="LAST_UPDATED_DATE" UniqueName="LAST_UPDATED_DATE_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UPDATED_BY" DataType="System.String" FilterControlAltText="Filter UPDATED BY column" HeaderText="UPDATED BY" ReadOnly="True" SortExpression="UPDATED_BY" UniqueName="UPDATED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ENCOUNTER_STATUS" DataType="System.String" FilterControlAltText="Filter ENCOUNTER STATUS column" HeaderText="ENCOUNTER STATUS" ReadOnly="True" SortExpression="ENCOUNTER_STATUS" UniqueName="ENCOUNTER_STATUS_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="IS_ASSIGNED" DataType="System.String" FilterControlAltText="Filter IS ASSIGNED column" HeaderText="Is Assigned?" ReadOnly="True" SortExpression="IS_ASSIGNED" UniqueName="IS_ASSIGNED_Report">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
            <ClientSettings AllowKeyboardNavigation="true">
                <ClientEvents OnCommand="OnGridCommand" />
                <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
        </telerik:RadGrid>
    </asp:Panel>

    <asp:Panel ID="pnlAddEncounter" runat="server" Visible="false" GroupingText="Add Encounter " TabIndex="0">
        <div class="paddedTabContent">
            ** Enter the data below to create a new encounter record in the system for this patient<br />
            <br />

            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblForReferralId" AssociatedControlID="lblReferralId" runat="server" Text="Referral ID: "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblReferralId" runat="server" Text="<%=referralId%>" TabIndex="0" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblForInstitutionId" AssociatedControlID="rcbInstitution" runat="server" Text="Institution: " ToolTip="Required Field - Institution"></asp:Label>
                    </td>
                    <td>
                        <div style="display: inline;" class="requiredField" title="Required Field">*</div>
                        <telerik:RadComboBox ID="rcbInstitution" runat="server" AllowCustomText="true" DataSourceID="ObjectDataSourceVISNStationOnlyList"
                            EmptyMessage="Search for Facility...." Width="200" Filter="Contains" EnableViewState="True" DataTextField="FullVISNName"
                            DataValueField="ID" ToolTip="Required Field - Institution" TabIndex="0">
                            <DefaultItem Value="" Text=""></DefaultItem>
                        </telerik:RadComboBox>
                        <asp:RequiredFieldValidator ID="InstitutionRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rcbInstitution" TabIndex="0"
                            ErrorMessage="* Institution must be selected." ForeColor="Red" CssClass="requiredField" ToolTip="Institution is a required field and must be selected" />

                        <asp:ObjectDataSource ID="ObjectDataSourceVISNStationOnlyList" runat="server" SelectMethod="GetVISNStationOnlyList"
                            TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists"></asp:ObjectDataSource>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblForVisitDate" AssociatedControlID="rdtpVisitDate" runat="server" Text="Visit Date: " TabIndex="0"></asp:Label>
                    </td>
                    <td>
                        <div style="display: inline;" class="requiredField" title="Required Field">*</div>
                        <telerik:RadDateTimePicker ID="rdtpVisitDate" runat="server" Width="200" TabIndex="0" />
                        <asp:RequiredFieldValidator ID="VisitDateRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rdtpVisitDate"
                            ErrorMessage="* Visit Date must be selected." CssClass="requiredField" ForeColor="Red" TabIndex="0" ToolTip="Visit Date is a required field and must be selected." />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblForEncounterType" AssociatedControlID="rcbEncounterType" runat="server" Text="Encounter Type: " TabIndex="0"></asp:Label>
                    </td>
                    <td>
                        <div style="display: inline;" class="requiredField" title="Required Field">*</div>
                        <telerik:RadComboBox ID="rcbEncounterType" runat="server" Width="200" TabIndex="0" EmptyMessage="Select an Encounter Type">
                            <Items>
                                <telerik:RadComboBoxItem Text="Inpatient" Value="I" />
                                <telerik:RadComboBoxItem Text="Outpatient" Value="O" />
                            </Items>
                        </telerik:RadComboBox>

                        <asp:RequiredFieldValidator ID="EncounterTypeRequiredFieldValidator" runat="server" ForeColor="Red" CssClass="requiredField" Display="Dynamic" ControlToValidate="rcbEncounterType" 
                            ErrorMessage="* Encounter Type must be selected." InitialValue="" TabIndex="0" ToolTip="Encounter Type is a required field and must be selected." />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="2">
                        <telerik:RadButton ID="rbSaveEncounterRecord" runat="server" Text="Save" ToolTip="Click to save manually created encounter to the database."
                            OnClick="rbSaveEncounterRecord_Click" TabIndex="0" />
                        <telerik:RadButton ID="rbCancelEncounterRecord" runat="server" Text="Cancel" ToolTip="Click to cancel the creation of the encounter record." CausesValidation="false"
                            OnClick="rbCancelEncounterRecord_Click" TabIndex="0" />
                    </td>
                </tr>
            </table>
        </div>
    </asp:Panel>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="images/ajax-loader.gif" alt="Loading Image" />
    </div>
</asp:Content>
