﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ChiefComplaintControl.ascx.cs" Inherits="controls_ChiefComplaintTab_ChiefComplaintControl" %>

<%@ Register Src="~/controls/ReviewComment/ReviewerCommentControl.ascx" TagName="ReviewerCommentControl" TagPrefix="mevir" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Panel ID="pnlChiefComplaint" runat="server" GroupingText="Chief Complaint" CssClass="fullWidth" ToolTip="Chief Complaint">
    <div style="width: 95%;">
        <mevir:ReviewerCommentControl ID="rccChiefComplaint" runat="server" />
        <asp:TextBox ID="txtChiefComplaint" TextMode="MultiLine" runat="server" ToolTip="Enter Chief Complaint of Patient for a Visit" Width="100%" Height="100px">
        </asp:TextBox>
    </div>
</asp:Panel>
<br />
<br />
<asp:Panel ID="pnlVisualConditions" GroupingText="Documented Visual Conditions" runat="server" CssClass="fullWidth" ToolTip="Documented Visual Conditions">
    <div style="width: 95%;">
        <mevir:ReviewerCommentControl ID="rccVisualConditions" runat="server" />
        <asp:Label ID="lblCondition" Visible="true" runat="server" Text="Condition" ToolTip="Condition" AssociatedControlID="rapConditions" />
        <br />
        <telerik:RadAjaxPanel ID="rapConditions" runat="server" BorderStyle="None">
            <telerik:RadButton ID="TBI_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Traumatic Brain Injury (with and without eye/vision symptoms)" ToolTip="Traumatic Brain Injury (with and without eye/vision symptoms)"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_READ_PRBLM_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Reading Problems" ToolTip="Reading Problems"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_DIPLOPIA_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Double Vision/Diplopia" ToolTip="Double Vision/Diplopia"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_DAZZLING_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Dazzling/Glare" ToolTip="Dazzling/Glare"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_PHOTOPHOBIA_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Light Sensitivity/Photophobia" ToolTip="Light Sensitivity/Photophobia"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_EYE_STRAIN_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Eye Strain" ToolTip="Eye Strain"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_BLURRED_VISION_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Blurred Vision" ToolTip="Blurred Vision"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="OTHER_NEUROLOGICAL_IND" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Other Documented Visual Conditions" ToolTip="Other Documented Visual Conditions"></telerik:RadButton>
        </telerik:RadAjaxPanel>
        <br />
        <asp:Label ID="lblComments" Visible="true" runat="server" Text="Comments" ToolTip="Comments" AssociatedControlID="txtComments" />
        <br />
        <asp:TextBox ID="txtComments" TextMode="MultiLine" runat="server" ToolTip="Enter Comments" Width="100%" Height="100px">
        </asp:TextBox>
    </div>
</asp:Panel>
<br />
<asp:Table ID="tblButtons" runat="server" CssClass="fullWidth" Visible="false">
    <asp:TableRow>
        <asp:TableCell HorizontalAlign="Left">
            <telerik:RadButton ID="btnReturn" runat="server" Text="Return to Patient's Encounter List" ToolTip="Return to Patient's Encounter List" GroupName="chiefCmpltBtnGroup">
            </telerik:RadButton>
        </asp:TableCell>
        <asp:TableCell HorizontalAlign="Right">
            <telerik:RadButton ID="btnSendReview" runat="server" Text="Send For Review" ToolTip="Send For Review" GroupName="chiefCmpltBtnGroup">
            </telerik:RadButton>
            &nbsp;&nbsp;
             <telerik:RadButton ID="btnSave" runat="server" Text="Save" GroupName="chiefCmpltBtnGroup" ToolTip="Save" OnClick="btnSave_Click">
             </telerik:RadButton>
            &nbsp;&nbsp;
             <telerik:RadButton ID="btnCancel" runat="server" Text="Cancel" ToolTip="Cancel" GroupName="chiefCmpltBtnGroup">
             </telerik:RadButton>
            &nbsp;&nbsp;
        </asp:TableCell>
    </asp:TableRow>
</asp:Table>
