﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EncounterProcedureControl.ascx.cs" Inherits="controls_EncounterProcedureTab_EncounterProcedureControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadAjaxLoadingPanel ID="ralpLoadingPanel" runat="server" Skin="Office2010Blue"></telerik:RadAjaxLoadingPanel>

<asp:Panel ID="pnlProcedureInformation" runat="server" Width="100%" GroupingText="Procedure Information&nbsp;">
    <div class="paddedTabContent">
        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Width="100%" LoadingPanelID="ralpLoadingPanel">
            <asp:Panel ID="pnlAddProcedureBtn" runat="server" Visible="false">
                <telerik:RadButton ID="rbAddProcedure" runat="server" Text="Add Procedure" ToolTip="Click to add a Procedure Entry for Encounter" OnClick="rbAddProcedure_Click" />
                <br />
                <br />
            </asp:Panel>

            <telerik:RadGrid ID="rgProcedures" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgProcedures_ItemCommand" OnPreRender="rgProcedures_PreRender"
                OnNeedDataSource="rgProcedures_NeedDataSource" AllowMultiRowSelection="false" PageSize="20" TabIndex="0" MasterTableView-EnableSplitHeaderText="false">
                <MasterTableView AutoGenerateColumns="false" DataKeyNames="ID" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                No Procedure Records for Encounter
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <SortExpressions>
                        <%--<telerik:GridSortExpression FieldName="StaffName" SortOrder="Ascending" />--%>
                    </SortExpressions>
                    <Columns>
                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Edit" CommandName="EditProcedure" Exportable="false" HeaderText="Edit"
                            HeaderTooltip="Click to Edit the Procedure record." UniqueName="EditProcedureColumn" />
                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Delete" CommandName="DeleteProcedure" Exportable="false" HeaderText="Delete"
                            HeaderTooltip="Click to Delete the Procedure record." ConfirmText="Are you sure you would like to delete this record?" UniqueName="DeleteProcedureColumn" />
                        <telerik:GridBoundColumn DataField="Type" DataType="System.String" FilterControlAltText="Filter Type column" HeaderText="Code Type" ReadOnly="True" SortExpression="Type" UniqueName="Type_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Name" DataType="System.String" FilterControlAltText="Filter Name column" HeaderText="Name" ReadOnly="True" SortExpression="Name" UniqueName="Name_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Value" DataType="System.String" FilterControlAltText="Filter Code column" HeaderText="Code" ReadOnly="True" SortExpression="Value" UniqueName="Value_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Description" DataType="System.String" FilterControlAltText="Filter Description column" HeaderText="Code Description" ReadOnly="True" SortExpression="Description" UniqueName="Description_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings>
                </ClientSettings>
            </telerik:RadGrid>

            <%--Used for Edit - holds the ENCOUNTER_DETAIL_ID--%>
            <asp:HiddenField ID="hfEncounterDetailID" runat="server" />

            <asp:Panel ID="pnlAddProcedureRegion" runat="server" GroupingText="Add Procedure&nbsp;&nbsp;" ToolTip="Add Procedure Region" Visible="false">
                <table>
                    <tr>
                        <td style="vertical-align: top;">
                            <asp:Label ID="lblForDetailCode" runat="server" AssociatedControlID="rtbDetailCode" Text="CPT Code:" ToolTip="Enter the CPT Code in the associated textbox." />
                        </td>
                        <td style="vertical-align: top;">
                            <telerik:RadTextBox ID="rtbDetailCode" runat="server" Width="200" EmptyMessage="Enter the CPT Code" ToolTip="Enter the CPT Code in this textbox" />
                            <asp:RequiredFieldValidator ID="CPTCodeRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rtbDetailCode" TabIndex="0"
                                ErrorMessage="* CPT Code must be provided." ForeColor="Red" CssClass="requiredField" ToolTip="CPT Code is a required field" />
                        </td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top;">
                            <asp:Label ID="lblForDetailName" runat="server" AssociatedControlID="rtbDetailName" Text="Short Description:" ToolTip="Enter the CPT Short Description in the associated textbox." />
                        </td>
                        <td style="vertical-align: top;">
                            <telerik:RadTextBox ID="rtbDetailName" runat="server" Width="200" EmptyMessage="Enter the CPT Short Description" ToolTip="Enter the CPT Short Description in this textbox" />
                        </td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top;">
                            <asp:Label ID="lblForDescription" runat="server" AssociatedControlID="rtbDescription" Text="Long Description:" ToolTip="Enter the long description for the CPT Code in the associated textbox." />
                        </td>
                        <td style="vertical-align: top;">
                            <telerik:RadTextBox ID="rtbDescription" runat="server" Width="200" TextMode="MultiLine" EmptyMessage="Enter the description text for the CPT Code" ToolTip="Enter the CPT Code Long Description in this area" />
                        </td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top;"></td>
                        <td style="vertical-align: top;"></td>
                    </tr>
                    <tr>
                        <td colspan="2" style="vertical-align: top;">
                            <telerik:RadButton ID="rbAddProcedureEntry" runat="server" Text="Add Procedure" ToolTip="Click to add procedure entry to the encounter"
                                OnClick="rbAddProcedureEntry_Click" TabIndex="0" />
                            <telerik:RadButton ID="rbCancelAddProcedureEntry" runat="server" Text="Cancel" ToolTip="Click to cancel adding procedure entry"
                                OnClick="rbCancelAddProcedureEntry_Click" TabIndex="0" CausesValidation="false" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </telerik:RadAjaxPanel>
    </div>
</asp:Panel>
