﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EncounterProviderControl.ascx.cs" Inherits="controls_EncounterProviderTab_EncounterProviderControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadAjaxLoadingPanel ID="ralpLoadingPanel" runat="server" Skin="Office2010Blue"></telerik:RadAjaxLoadingPanel>

<telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Width="100%" LoadingPanelID="ralpLoadingPanel">
    <asp:Panel ID="pnlProviderInformation" runat="server" Width="100%" GroupingText="Provider Information&nbsp;">
        <div class="paddedTabContent">
            <asp:Panel ID="pnlAddProviderBtn" runat="server" Visible="false">
                <telerik:RadButton ID="rbAddProvider" runat="server" Text="Add Provider" ToolTip="Click to search and add a provider" OnClick="rbAddProvider_Click" />
                <br />
                <br />
            </asp:Panel>
            <telerik:RadGrid ID="rgProviders" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgProviders_ItemCommand"
                OnNeedDataSource="rgProviders_NeedDataSource" AllowMultiRowSelection="false" PageSize="20" TabIndex="0" MasterTableView-EnableSplitHeaderText="false">
                <MasterTableView AutoGenerateColumns="false" DataKeyNames="Id" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                No Provider Records for Encounter
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <SortExpressions>
                        <telerik:GridSortExpression FieldName="StaffName" SortOrder="Ascending" />
                    </SortExpressions>
                    <Columns>
                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Delete" CommandName="DeleteProvider" Exportable="false" HeaderText="Delete"
                            HeaderTooltip="Click to Delete the Provider record." ConfirmText="Are you sure you would like to delete this record?" />
                        <telerik:GridBoundColumn DataField="StaffSID" DataType="System.Int32" FilterControlAltText="Filter StaffSID column" HeaderText="StaffSID" ReadOnly="True" SortExpression="StaffSID" UniqueName="StaffSID_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="StaffName" DataType="System.String" FilterControlAltText="Filter StaffName column" HeaderText="Staff Name" ReadOnly="True" SortExpression="StaffName" UniqueName="StaffName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Sta3n" DataType="System.Int16" FilterControlAltText="Filter Sta3n column" HeaderText="Sta3n" ReadOnly="True" SortExpression="Sta3n" UniqueName="Sta3n_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="InstitutionName" DataType="System.String" FilterControlAltText="Filter InstitutionName column" HeaderText="Institution Name" ReadOnly="True" SortExpression="InstitutionName" UniqueName="InstitutionName_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="StreetAddress1" DataType="System.String" FilterControlAltText="Filter StreetAddress1 column" HeaderText="Street Address 1" ReadOnly="True" SortExpression="StreetAddress1" UniqueName="StreetAddress1_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="StreetAddress2" DataType="System.String" FilterControlAltText="Filter StreetAddress2 column" HeaderText="Street Address 2" ReadOnly="True" SortExpression="StreetAddress2" UniqueName="StreetAddress2_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="City" DataType="System.String" FilterControlAltText="Filter City column" HeaderText="City" ReadOnly="True" SortExpression="City" UniqueName="City_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="StateAbbrev" DataType="System.String" FilterControlAltText="Filter State column" HeaderText="State" ReadOnly="True" SortExpression="StateAbbrev" UniqueName="StateAbbrev_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Zip" DataType="System.String" FilterControlAltText="Filter Zip column" HeaderText="Zip" ReadOnly="True" SortExpression="Zip" UniqueName="Zip_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="BusinessPhone" DataType="System.String" FilterControlAltText="Filter Business Phone column" HeaderText="Business Phone" ReadOnly="True" SortExpression="BusinessPhone" UniqueName="BusinessPhone_Report">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Fax" DataType="System.String" FilterControlAltText="Filter Fax column" HeaderText="Fax" ReadOnly="True" SortExpression="Fax" UniqueName="Fax_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings>
                </ClientSettings>
            </telerik:RadGrid>

            <asp:Panel ID="pnlAddProviderRegion" runat="server" GroupingText="Add Provider&nbsp;&nbsp;" ToolTip="Add Provider Region" Visible="false">
                <asp:Label ID="lblForProviderFacility" AssociatedControlID="rcbInstitution" runat="server" Text="Select Provider's Facility: " TabIndex="0"></asp:Label><br />
                <telerik:RadComboBox ID="rcbInstitution" runat="server" AllowCustomText="true" DataSourceID="ObjectDataSourceVISNStationOnlyList" AutoPostBack="true" OnSelectedIndexChanged="rcbInstitution_SelectedIndexChanged"
                    EmptyMessage="Search for Facility...." Width="200" Filter="Contains" EnableViewState="True" DataTextField="FullVISNName" OnDataBound="rcbInstitution_DataBound"
                    DataValueField="STATIONNUMBER" ToolTip="Institution" TabIndex="0">
                    <DefaultItem Value="" Text=""></DefaultItem>
                </telerik:RadComboBox>

                <asp:ObjectDataSource ID="ObjectDataSourceVISNStationOnlyList" runat="server" SelectMethod="GetVISNStationOnlyList"
                    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists"></asp:ObjectDataSource>

                <br />
                <br />
                <asp:Label ID="lblForProviderList" AssociatedControlID="rcbProviders" runat="server" Text="Select/Search for Provider: " TabIndex="0"></asp:Label>
                <br />
                <telerik:RadComboBox ID="rcbProviders" runat="server" AllowCustomText="false"
                    EmptyMessage="Search for Provider...." Width="200" Filter="Contains" EnableViewState="True" DataTextField="DisplayStaffName"
                    DataValueField="StaffSID" ToolTip="Required Field - Institution" TabIndex="0" AutoPostBack="true" OnSelectedIndexChanged="rcbProviders_SelectedIndexChanged">
                    <DefaultItem Value="" Text=""></DefaultItem>
                </telerik:RadComboBox>
                <asp:RequiredFieldValidator ID="ProviderRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rcbProviders" TabIndex="0"
                    ErrorMessage="* Provider must be selected." ForeColor="Red" CssClass="requiredField" Enabled="false" ToolTip="Provider is a required field and must be selected" />

                <br />
                <br />
                <telerik:RadButton ID="rbAddProviderEntry" runat="server" Text="Add Provider" ToolTip="Click to add provider to the encounter"
                    OnClick="rbAddProviderEntry_Click" TabIndex="0" />
                <telerik:RadButton ID="rbCancelAddProviderEntry" runat="server" Text="Cancel" ToolTip="Click to cancel adding providers"
                    OnClick="rbCancelAddProviderEntry_Click" TabIndex="0" CausesValidation="false" />
            </asp:Panel>
        </div>
    </asp:Panel>
</telerik:RadAjaxPanel>