﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamMultiSelectUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamMultiSelectUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
<telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="gvMultiSelect">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="gvMultiSelect" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>

<asp:Panel runat="server" ID="pnlMultiSelectWrapper" CssClass="gvMultiSelectWrapper">
    <telerik:RadGrid runat="server" ID="gvMultiSelect" AutoGenerateColumns="False"
        OnItemDataBound="gvMultiSelect_OnItemDataBound" OnItemCommand="gvMultiSelect_OnItemCommand">
        <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
            <Columns>
                <telerik:GridTemplateColumn HeaderText="">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                    </EditItemTemplate>
                    <FooterTemplate>
                        <telerik:RadComboBox ID="ddlMultiSelect" runat="server" AllowCustomText="true"
                            Filter="Contains" EnableViewState="True" CssClass="ddlMultiSelect"
                            OnItemDataBound="ddlMultiSelect_OnItemDataBound"
                            OnClientLoad="MEVIR.Exam.Common.MultiSelectOnLoad"
                            OnClientSelectedIndexChanged="MEVIR.Exam.Common.MultiSelectSelectionChanged">
                        </telerik:RadComboBox>
                    </FooterTemplate>
                    <ItemStyle CssClass="multiSelectCol"></ItemStyle>
                    <HeaderStyle CssClass="multiSelectCol"></HeaderStyle>
                    <FooterStyle CssClass="multiSelectCol"></FooterStyle>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="Comment">
                    <ItemTemplate>
                        <asp:Label runat="server" ID="lblMultiSelectComment" Text='<%# Eval("Comment") %>'></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox runat="server" ID="tbMultiSelectComment" CssClass="tbMultiSelectComment" Text='<%# Bind("Comment") %>' Visible='<%# Bind("RequiresComment") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <FooterTemplate>
                        <span id="multiSelectCommentWrapper">
                            <asp:TextBox runat="server" ID="tbMultiSelectComment" CssClass="tbMultiSelectComment"></asp:TextBox>
                        </span>
                    </FooterTemplate>
                    <ItemStyle CssClass="multiSelectCommentCol"></ItemStyle>
                    <HeaderStyle CssClass="multiSelectCommentCol"></HeaderStyle>
                    <FooterStyle CssClass="multiSelectCommentCol"></FooterStyle>
                </telerik:GridTemplateColumn>
                <telerik:GridTemplateColumn HeaderText="">
                    <ItemTemplate>
                        <asp:PlaceHolder runat="server" ID="phMSEdit" Visible='<%# Eval("RequiresComment") %>'>
                            <asp:LinkButton runat="server" ID="lbtnMultiSelectEdit" CommandName="Edit" CommandArgument='<%# Eval("Code") %>' Text="Edit" />
                            &nbsp;
                        </asp:PlaceHolder>
                        <asp:LinkButton runat="server" ID="lbtnMultiSelectDelete" CommandName="Delete" CommandArgument='<%# Eval("Code") %>' Text="Delete" />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:LinkButton runat="server" ID="lbtnMultiSelectUpdate" CommandName="Update" CommandArgument='<%# Eval("Code") %>' Text="Update" />
                        &nbsp;
                                <asp:LinkButton runat="server" ID="lbtnMultiSelectCancel" CommandName="Cancel" CommandArgument='<%# Eval("Code") %>' Text="Cancel" />
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:LinkButton runat="server" ID="lbtnMultiSelectAdd" CommandName="Add" CommandArgument='<%# Eval("Code") %>' Text="Add" />
                    </FooterTemplate>
                    <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                    <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                    <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                </telerik:GridTemplateColumn>
            </Columns>
        </MasterTableView>
    </telerik:RadGrid>
</asp:Panel>
