﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabAngleRecessionUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabAngleRecessionUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>

<div id="angleRecessionEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvVisitData">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvVisitData" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="gvVisitDataWrapper">
                <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="chAdd"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <asp:ValidationSummary runat="server" ID="valSummaryEdit" EnableClientScript="True" ValidationGroup="chEdit"
                    HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                <telerik:RadGrid runat="server" ID="gvVisitData" AutoGenerateColumns="False"
                    OnItemDataBound="gvVisitData_OnItemDataBound" OnItemCommand="gvVisitData_OnItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
                        <Columns>
                            <telerik:GridTemplateColumn HeaderText="Visit Data">
                                <ItemTemplate>
                                    <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox ID="ddlVisitData" runat="server" AllowCustomText="true"
                                        EmptyMessage="Angle Recession...." Filter="Contains" EnableViewState="True" CssClass="ddlVisitData"
                                        OnItemDataBound="ddlVisitData_OnItemDataBound"
                                        OnClientLoad="MEVIR.Exam.AngleRecession.VisitDataOnLoad"
                                        OnClientSelectedIndexChanged="MEVIR.Exam.AngleRecession.VisitDataSelectionChanged">
                                    </telerik:RadComboBox>
                                </FooterTemplate>
                                <ItemStyle CssClass="visitDataCol"></ItemStyle>
                                <HeaderStyle CssClass="visitDataCol"></HeaderStyle>
                                <FooterStyle CssClass="visitDataCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Comment">
                                <ItemTemplate>
                                    <asp:Label runat="server" ID="lblVisitDataComment" Text='<%# Eval("Comment") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox runat="server" ID="tbVisitDataComment" CssClass="tbVisitDataComment" Text='<%# Bind("Comment") %>' Visible='<%# Bind("RequiresComment") %>'></asp:TextBox>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <span id="visitDataCommentWrapper">
                                        <asp:TextBox runat="server" ID="tbVisitDataComment" CssClass="tbVisitDataComment"></asp:TextBox>
                                    </span>
                                </FooterTemplate>
                                <ItemStyle CssClass="visitDataCommentCol"></ItemStyle>
                                <HeaderStyle CssClass="visitDataCommentCol"></HeaderStyle>
                                <FooterStyle CssClass="visitDataCommentCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Clock Hours">
                                <ItemTemplate>
                                    <asp:Label runat="server" ID="lblClockHour" Text='<%# Eval("ClockHour") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour1" ValidationGroup="chEdit" AllowCustomText="true" Filter="StartsWith" CssClass="ddlClockHour" />
                                    <b>&nbsp;-&nbsp;</b>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour2" ValidationGroup="chEdit" AllowCustomText="true" Filter="StartsWith" CssClass="ddlClockHour" />
                                    <asp:CompareValidator runat="server" ID="cvClockHours1" ValidationGroup="chEdit" CssClass="examTabError"
                                        ControlToValidate="ddlClockHour2" ControlToCompare="ddlClockHour1" Type="Integer" Operator="GreaterThan"
                                        Display="Dynamic" EnableClientScript="True" ErrorMessage="Second clock hour should be more than the first" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour1" ValidationGroup="chAdd" AllowCustomText="true" Filter="StartsWith" CssClass="ddlClockHour" />
                                    <b>&nbsp;-&nbsp;</b>
                                    <telerik:RadComboBox runat="server" ID="ddlClockHour2" ValidationGroup="chAdd" AllowCustomText="true" Filter="StartsWith" CssClass="ddlClockHour" />
                                    <asp:CompareValidator runat="server" ID="cvClockHours2" ValidationGroup="chAdd" CssClass="examTabError"
                                        ControlToValidate="ddlClockHour2" ControlToCompare="ddlClockHour1" Type="Integer" Operator="GreaterThan"
                                        Display="Dynamic" EnableClientScript="True" ErrorMessage="Second clock hour should be more than the first" />
                                </FooterTemplate>
                                <ItemStyle CssClass="clockHoursCol"></ItemStyle>
                                <HeaderStyle CssClass="clockHoursCol"></HeaderStyle>
                                <FooterStyle CssClass="clockHoursCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="">
                                <ItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataEdit" CommandName="Edit" CommandArgument='<%# Eval("Code") %>' Text="Edit" />
                                    &nbsp;
                                            <asp:LinkButton runat="server" ID="lbtnVisitDataDelete" CommandName="Delete" CommandArgument='<%# Eval("Code") %>' Text="Delete" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataUpdate" ValidationGroup="chEdit" CommandName="Update" CommandArgument='<%# Eval("Code") %>' Text="Update" />
                                    &nbsp;
                                            <asp:LinkButton runat="server" ID="lbtnVisitDataCancel" CommandName="Cancel" CommandArgument='<%# Eval("Code") %>' Text="Cancel" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnVisitDataAdd" ValidationGroup="chAdd" CommandName="Add" CommandArgument='<%# Eval("Code") %>' Text="Add" />
                                </FooterTemplate>
                                <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
