﻿using System;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabDepthPerceptionUserControl : BaseEventItem<DepthPerceptionEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            // Needs to be implemented
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = DepthPerceptionEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            // Randot Fly
            lblRandotFly.Text = EventViewModel.RandotFly.DisplayText;
            tbRandotFly.Text = EventViewModel.RandotFly.ResponseText;

            // Verhoeff Steropter
            lblVerhoeffSteropter.Text = EventViewModel.VerhoeffSteropter.DisplayText;
            tbVerhoeffSteropter.Text = EventViewModel.VerhoeffSteropter.ResponseText;

            // Randot Stereo Test
            lblRandotStereoTest.Text = EventViewModel.RandotStereoTest.DisplayText;
            ucRandotStereoTest.Question = EventViewModel.RandotStereoTest;

            // Titmus Stereo Test
            lblTitmusStereoTest.Text = EventViewModel.TitmusStereoTest.DisplayText;
            ucTitmusStereoTest.Question = EventViewModel.TitmusStereoTest;

            // Vectographic Projector Slides
            lblVectographicProjectorSlides.Text = EventViewModel.VectographicProjectorSlides.DisplayText;
            ucVectographicProjectorSlides.Question = EventViewModel.VectographicProjectorSlides;

            // Vision Tester Depth Perception Slide
            lblVisionTesterDepth.Text = EventViewModel.VisionTesterDepth.DisplayText;
            ucVisionTesterDepth.Question = EventViewModel.VisionTesterDepth;

            // Borish Vectographic Nearpoint Card
            lblBorishVectographic.Text = EventViewModel.BorishVectographicNearpoint.DisplayText;
            ucBorishVectographic.Question = EventViewModel.BorishVectographicNearpoint;
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override DepthPerceptionEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);

            // Randot Stereo Test
            EventViewModel.RandotStereoTest = ucRandotStereoTest.GetUpdatedQuestion();

            // Randot Fly
            EventViewModel.RandotFly.ResponseText = tbRandotFly.Text;

            // Titmus Stereo Test
            EventViewModel.TitmusStereoTest = ucTitmusStereoTest.GetUpdatedQuestion();

            // Vectographic Projector Slides
            EventViewModel.VectographicProjectorSlides = ucVectographicProjectorSlides.GetUpdatedQuestion();

            // Vision Tester Depth Perception Slide
            EventViewModel.VisionTesterDepth = ucVisionTesterDepth.GetUpdatedQuestion();

            // Borish Vectographic Nearpoint Card
            EventViewModel.BorishVectographicNearpoint = ucBorishVectographic.GetUpdatedQuestion();

            // Verhoeff Steropter
            EventViewModel.VerhoeffSteropter.ResponseText = tbVerhoeffSteropter.Text;

            return EventViewModel;
        }

        #endregion
    }
}