﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabKineticVisualFieldsUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabKineticVisualFieldsUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>

<div id="kineticVisualFieldsEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvMethodology">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvMethodology" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="gvMethodologyWrapper">
                <telerik:RadGrid runat="server" ID="gvMethodology" AutoGenerateColumns="False"
                    OnItemDataBound="gvMethodology_OnItemDataBound" OnItemCommand="gvMethodology_OnItemCommand">
                    <MasterTableView AutoGenerateColumns="false" EditMode="InPlace" ShowFooter="True">
                        <Columns>
                            <telerik:GridTemplateColumn HeaderText="Methodology">
                                <ItemTemplate>
                                    <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <telerik:RadComboBox ID="ddlMethodology" runat="server" AllowCustomText="true"
                                        EmptyMessage="Methodology...." Filter="Contains" EnableViewState="True" CssClass="ddlMethodology"
                                        OnItemDataBound="ddlMethodology_OnItemDataBound"
                                        OnClientLoad="MEVIR.Exam.Common.MultiSelectOnLoad"
                                        OnClientSelectedIndexChanged="MEVIR.Exam.Common.MultiSelectSelectionChanged">
                                    </telerik:RadComboBox>
                                </FooterTemplate>
                                <ItemStyle CssClass="methodologyCol"></ItemStyle>
                                <HeaderStyle CssClass="methodologyCol"></HeaderStyle>
                                <FooterStyle CssClass="methodologyCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Comment">
                                <ItemTemplate>
                                    <asp:Label runat="server" ID="lblMethodologyComment" Text='<%# Eval("Comment") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox runat="server" ID="tbMethodologyComment" CssClass="tbMethodologyComment" Text='<%# Bind("Comment") %>'
                                        Visible='<%# Bind("RequiresComment") %>' />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <span id="multiSelectCommentWrapper">
                                        <asp:TextBox runat="server" ID="tbMethodologyComment" CssClass="tbMethodologyComment"></asp:TextBox>
                                    </span>
                                </FooterTemplate>
                                <ItemStyle CssClass="methodologyCommentCol"></ItemStyle>
                                <HeaderStyle CssClass="methodologyCommentCol"></HeaderStyle>
                                <FooterStyle CssClass="methodologyCommentCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="Result">
                                <ItemTemplate>
                                    <asp:Label runat="server" ID="lblResult" Text='<%# Eval("Result") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox runat="server" ID="tbResult" CssClass="tbResult" Text='<%# Bind("Result") %>'></asp:TextBox>
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:TextBox runat="server" ID="tbResult" CssClass="tbResult" />
                                </FooterTemplate>
                                <ItemStyle CssClass="resultCol"></ItemStyle>
                                <HeaderStyle CssClass="resultCol"></HeaderStyle>
                                <FooterStyle CssClass="resultCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn HeaderText="">
                                <ItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnMethodologyEdit" CommandName="Edit" Text="Edit" />
                                    &nbsp;
                                            <asp:LinkButton runat="server" ID="lbtnMethodologyDelete" CommandName="Delete" Text="Delete" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnMethodologyUpdate" CommandName="Update" Text="Update" />
                                    &nbsp;
                                            <asp:LinkButton runat="server" ID="lbtnMethodologyCancel" CommandName="Cancel" Text="Cancel" />
                                </EditItemTemplate>
                                <FooterTemplate>
                                    <asp:LinkButton runat="server" ID="lbtnMethodologyAdd" CommandName="Add" Text="Add" />
                                </FooterTemplate>
                                <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
