﻿using System;
using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    /// <summary>
    /// The Exam Tab Optic Disc User Control
    /// </summary>
    public partial class ExamTabOpticDiscUserControl : BaseEventItem<OpticDiscEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            // Nothing to do here
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = OpticDiscEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            ucVisitData.Question = EventViewModel.VisitData;
        }

        /// <summary>Forces the refresh.</summary>
        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        /// <summary>Saves the item.</summary>
        /// <returns>Updated Lens Event Model</returns>
        protected override OpticDiscEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);
            EventViewModel.VisitData = ucVisitData.GetUpdatedQuestion();

            return EventViewModel;
        }

        #endregion
    }
}