﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabStaticThresholdPerimetryUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabStaticThresholdPerimetryUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>

<div id="staticThresholdPerimetryEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.StaticThresholdPerimetry.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.StaticThresholdPerimetry.TestPerformedSelectionChanged">
        <Contents>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblReferenceScale"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucReferenceScale" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblMeanDeviation"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadMaskedTextBox runat="server" ID="tbMeanDeviation"
                        Mask="a##.##" EmptyMessage="-35.00 to +5.00" HideOnBlur="True" ></telerik:RadMaskedTextBox>
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValMeanDeviation" CssClass="examTabError"
                    ControlToValidate="tbMeanDeviation" 
                    ValidationExpression="^(?:\-(?:35.00|(?:[1-9]|[1-2]\d|3[0-4]).\d\d)|\+(?:5\.00|[0-4].\d\d))$" Display="Dynamic"
                    ErrorMessage="MEAN DEVIATION should be between -35.00 and +5.00!" />
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblPatternStandardDeviation"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadMaskedTextBox runat="server" ID="tbPatternStandardDeviation"
                        Mask="##.##" EmptyMessage="00.00 to 35.00" HideOnBlur="True"></telerik:RadMaskedTextBox>
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValPatternStandardDeviation" CssClass="examTabError"
                    ControlToValidate="tbPatternStandardDeviation" 
                    ValidationExpression="^(?:35.00|(?:[0-2]\d|3[0-4]).\d\d)$" Display="Dynamic"
                    ErrorMessage="PATTERN STANDARD DEVIATION should be between 00.00 and 35.00!" />
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblFixationLoses"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadMaskedTextBox runat="server" ID="tbFixationLoses"
                        Mask="##/##" EmptyMessage="00/01 to 35/35" HideOnBlur="True"></telerik:RadMaskedTextBox>
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValFixationLoses" CssClass="examTabError"
                    ControlToValidate="tbFixationLoses" 
                    ValidationExpression="^(?:[0-2]\d|3[0-5])\/(?:0[1-9]|[1-2]\d|3[0-5])$" Display="Dynamic"
                    ErrorMessage="FIXATION LOSES should be between 00/01 and 35/35!" />
            </div>
            <div class="clearFloat"></div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
