﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ReviewComment/ReviewerCommentControl.ascx" TagName="ReviewerCommentControl" TagPrefix="mevir" %>


<style type="text/css">
    .fullWidth {
        width: 100%;
    }

    .examTabWrapper {
        width: 100%;
        padding: 5px;
    }

    .SideBySideEyeExamPanel {
        width: 100%;
    }

    .EyeExamTableColumnIndent {
        width: 4%;
    }

    .eyeExamWidthBetweenODPanelOSPanel {
        width: 8px;
    }

    .btnSaveEvent {
        float: right;
        width: 50px;
        display: none;
    }
</style>


<link href="./styles/ExamTab.css" type="text/css" rel="stylesheet" />

<div class="examTabWrapper">
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="btnSaveEvent">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvEventList" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnUpdateEvent">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvEventList" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnCancelUpdate">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ddlEventTypes">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="gvEventList">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvEventList" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                    <telerik:AjaxUpdatedControl ControlID="pnlExamDetailContents" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />

    <asp:Panel ID="pnlEyeExamEventList" runat="server" GroupingText="Eye Exam Events &nbsp;&nbsp;" CssClass="fullWidth">
        <telerik:RadGrid ID="gvEventList" runat="server" AutoGenerateColumns="False" OnItemCommand="gvEventList_OnItemCommand"
            OnNeedDataSource="gvEventList_OnNeedDataSource" PageSize="10" AllowPaging="True">
            <MasterTableView AutoGenerateColumns="false">
                <Columns>
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" />
                    <telerik:GridBoundColumn DataField="Laterality" HeaderText="Laterality" />
                    <telerik:GridBoundColumn DataField="CreatedBy" HeaderText="Created By" />
                    <telerik:GridBoundColumn DataField="CreatedDate" HeaderText="Created Date" />
                    <telerik:GridTemplateColumn>
                        <ItemTemplate>
                            <asp:LinkButton runat="server" ID="lbtnEditSummary" Text="Edit" CommandName="EditEvent"
                                CommandArgument='<%# Eval("CategoryCode") + "," + Eval("LateralityCode") %>' />
                            &nbsp;
                            <asp:LinkButton runat="server" ID="lbtnDeleteSummary" Text="Delete" CommandName="DeleteEvent"
                                CommandArgument='<%# Eval("CategoryCode") + "," + Eval("LateralityCode") %>' />
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </asp:Panel>
    <!-- Contains all eye injury user controls default hidden -->
    <asp:Panel ID="pnlEyeExamEventDetail" runat="server" GroupingText="Add/Update Event Detail &nbsp;" CssClass="fullWidth">
        <asp:Panel runat="server" ID="pnlExamDetailContents">
            <div id="EventType">
                <span><b>Event Type: </b></span>
                <span>
                    <telerik:RadDropDownList runat="server" ID="ddlEventTypes" Width="300px" AutoPostBack="True"
                        OnSelectedIndexChanged="ddlEventTypes_OnSelectedIndexChanged" AppendDataBoundItems="True">
                        <Items>
                            <telerik:DropDownListItem Value="" Text=""></telerik:DropDownListItem>
                        </Items>
                    </telerik:RadDropDownList>
                </span>
                <div style="clear: both;"></div>
            </div>
            <mevir:ReviewerCommentControl ID="rccExamEvent" runat="server" />
            <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="eventCategorySave"
                HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
            <asp:Panel ID="pnlEyeExamEventCategory" runat="server" GroupingText="" CssClass="fullWidth">
                <asp:PlaceHolder runat="server" ID="phEventCategory"></asp:PlaceHolder>
            </asp:Panel>
            <asp:Button runat="server" ID="btnSaveEvent" Text="Save" OnClick="btnSaveEvent_OnClick" ValidationGroup="eventCategorySave" />
            <asp:Button runat="server" ID="btnUpdateEvent" Text="Update" Visible="False" OnClick="btnSaveEvent_OnClick" ValidationGroup="eventCategorySave" />
            <asp:Button runat="server" ID="btnCancelUpdate" Text="Cancel" Visible="False" OnClick="btnCancelUpdate_OnClick" />
        </asp:Panel>
    </asp:Panel>
</div>

<script type="text/javascript" src="./scripts/examTab.js"></script>
