﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabVisualAcuityUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabVisualAcuityUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamYesNoUserControl.ascx" TagName="ucYesNo" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>

<div id="visualAcuityEvent">
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnl" runat="server" />
    <telerik:RadAjaxManagerProxy ID="ajaxProxy" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvNonNumericAcuity">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvNonNumericAcuity" LoadingPanelID="ajaxLoadingPnl"></telerik:AjaxUpdatedControl>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.VisualAcuity.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.VisualAcuity.TestPerformedSelectionChanged">
        <Contents>
            <div class="examTabColumnDouble">
                <div class="examTabFloatLeft">
                    <asp:Label runat="server" ID="lblScale" AssociatedControlID="ucScale" />:
                </div>
                <div class="examTabFloatLeft">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucScale"
                        OnClientLoad="MEVIR.Exam.VisualAcuity.ScaleOnLoad"
                        OnClientSelectedIndexChanged="MEVIR.Exam.VisualAcuity.ScaleSelectionChanged" />
                </div>
            </div>
            <div class="clearFloat"></div>
            <asp:Panel runat="server" ID="pnlUSScale" GroupingText="US Scale" CssClass="vaSection">
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblUSChartDistance" AssociatedControlID="ucUSChartDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucUSChartDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblUSDifferentDistance" AssociatedControlID="ucUSDifferentDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucUSDifferentDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblUSAcuity" AssociatedControlID="ucUSAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <div class="examTabFloatLeft">
                            <telerik:RadMaskedTextBox runat="server" ID="tbUSPerformDistance"
                                CssClass="tbUSPerformDistance" WrapperCssClass="tbUSPerformDistance"
                                Mask="##" EmptyMessage="(1-99)" HideOnBlur="True" />
                        </div>
                        <div class="examTabFloatLeft">/</div>
                        <div class="examTabFloatLeft">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucUSAcuity" CssClass="ucUSAcuity" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RangeValidator runat="server" ID="rangeValUSPerformDistance" CssClass="examTabError"
                        ControlToValidate="tbUSPerformDistance" MinimumValue="1" MaximumValue="99" Display="Dynamic"
                        ErrorMessage="US ACUITY - PERFORM DISTANCE must be between 1 and 99!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblUSAdjustment" AssociatedControlID="ucUSAdjustment" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucUSAdjustment" CssClass="adjustment" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblUSUnits" AssociatedControlID="ucUSUnits" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucUSUnits" CssClass="units" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlMetricScale" GroupingText="Metric Scale" CssClass="vaSection">
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricChartDistance" AssociatedControlID="ucMetricChartDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucMetricChartDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricDifferentDistance" AssociatedControlID="ucMetricDifferentDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucYesNo runat="server" ID="ucMetricDifferentDistance" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricAcuity" AssociatedControlID="tbMetricAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <div class="examTabFloatLeft">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucMetricPerformDistance" CssClass="ucMetricPerformDistance" />
                        </div>
                        <div class="examTabFloatLeft">/</div>
                        <div class="examTabFloatLeft">
                            <telerik:RadMaskedTextBox runat="server" ID="tbMetricAcuity" CssClass="tbMetricAcuity"
                                WrapperCssClass="tbMetricAcuity" Mask="###" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricAdjustment" AssociatedControlID="ucMetricAdjustment" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMetricAdjustment" CssClass="adjustment" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMetricUnits" AssociatedControlID="ucMetricUnits" CssClass="units" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMetricUnits" CssClass="units" />
                    </div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlJaegerScale" GroupingText="Jaeger Scale" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblJaegerPerformDistance" AssociatedControlID="tbJaegerPerformDistance" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <telerik:RadMaskedTextBox runat="server" ID="tbJaegerPerformDistance"
                            CssClass="tbJaegerPerformDistance" WrapperCssClass="tbJaegerPerformDistance"
                            Mask="##" EmptyMessage="(1-99)" HideOnBlur="True" />
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RangeValidator runat="server" ID="rangeValJaegerPerformDistance" CssClass="examTabError"
                        ControlToValidate="tbJaegerPerformDistance" MinimumValue="1" MaximumValue="99" Display="Dynamic"
                        ErrorMessage="JAEGER - PERFORM DISTANCE must be between 1 and 99!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblJaegerAcuity" AssociatedControlID="ucJaegerAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerAcuity" CssClass="ucJaegerAcuity" />
                    </div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblJaegerAdjustment" AssociatedControlID="ucJaegerAdjustment" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerAdjustment" CssClass="adjustment" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblJaegerUnits" AssociatedControlID="ucJaegerUnits" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerUnits" CssClass="units" />
                    </div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlDecimalScale" GroupingText="Decimal Scale" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblDecimalAcuity" AssociatedControlID="tbDecimalAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <telerik:RadMaskedTextBox runat="server" ID="tbDecimalAcuity" CssClass="tbDecimalAcuity" WrapperCssClass="tbDecimalAcuity"
                            Mask="#.###" EmptyMessage="(0.032 - 2.000)" HideOnBlur="True" />
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RegularExpressionValidator runat="server" ID="regExValDecimalAcuity" CssClass="examTabError"
                        ControlToValidate="tbDecimalAcuity"
                        ValidationExpression="^(?:0.03[2-9]|0.0[4-9]\d|0.[1-9]\d\d|1.\d\d\d|2.000)$" Display="Dynamic"
                        ErrorMessage="DECIMAL - ACUITY must be between 0.032 and 2.000!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblDecimalAdjustment" AssociatedControlID="ucDecimalAdjustment" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucDecimalAdjustment" CssClass="adjustment" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblDecimalUnits" AssociatedControlID="ucDecimalUnits" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucDecimalUnits" CssClass="units" />
                    </div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlMUnitScale" GroupingText="M Unit Scale" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMUnitAcuity" AssociatedControlID="tbMUnitAcuity" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <telerik:RadMaskedTextBox runat="server" ID="tbMUnitAcuity" PromptChar="_" Mask="#.# M/ #.###"
                            EmptyMessage="#.# M/ #.###" HideOnBlur="True" CssClass="tbMUnitAcuity" WrapperCssClass="tbMUnitAcuity" />
                    </div>
                    <div class="clearFloat"></div>
                    <asp:RegularExpressionValidator runat="server" ID="regExValMUnitAcuity" CssClass="examTabError"
                        ControlToValidate="tbMUnitAcuity"
                        ValidationExpression="^\d\.\d\s[M]\/\s\d\.\d\d\d$" Display="Dynamic"
                        ErrorMessage="METRIC - ACUITY must be in the following format: #.# M/#.###!" />
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMUnitAdjustment" AssociatedControlID="ucMUnitAdjustment" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMUnitAdjustment" CssClass="adjustment" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblMUnitUnits" AssociatedControlID="ucMUnitUnits" />:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucMUnitUnits" CssClass="units" />
                    </div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlNonNumericScale" GroupingText="Non-Numeric Scale" CssClass="vaSection">
                <div class="nonNumericAcuityWrapper examTabColumnDouble">
                    <asp:ValidationSummary runat="server" ID="valSummaryEdit" EnableClientScript="True" ValidationGroup="nonNumEdit"
                        HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                    <asp:ValidationSummary runat="server" ID="valSummaryAdd" EnableClientScript="True" ValidationGroup="nonNumAdd"
                        HeaderText="Errors:" DisplayMode="BulletList" CssClass="examTabError" />
                    <telerik:RadGrid runat="server" ID="gvNonNumericAcuity" AutoGenerateColumns="False"
                        OnItemDataBound="gvNonNumericAcuity_OnItemDataBound" OnItemCommand="gvNonNumericAcuity_OnItemCommand">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="Code" EditMode="InPlace" ShowFooter="True">
                            <Columns>
                                <telerik:GridTemplateColumn>
                                    <ItemTemplate>
                                        <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:Label runat="server" ID="lblDisplayText" Text='<%# Eval("DisplayText") %>'></asp:Label>
                                    </EditItemTemplate>
                                    <FooterTemplate>
                                        <telerik:RadComboBox ID="ddlNonNumericAcuity" runat="server" AllowCustomText="true"
                                            EmptyMessage="Non-Numeric Scale..." Filter="Contains" EnableViewState="True" CssClass="ddlNonNumericAcuity"
                                            OnItemDataBound="ddlNonNumericAcuity_OnItemDataBound"
                                            OnClientLoad="MEVIR.Exam.VisualAcuity.NonNumericAcuityOnLoad"
                                            OnClientSelectedIndexChanged="MEVIR.Exam.VisualAcuity.NonNumericAcuitySelectionChanged">
                                        </telerik:RadComboBox>
                                    </FooterTemplate>
                                    <ItemStyle CssClass="nonNumericAcuityCol"></ItemStyle>
                                    <HeaderStyle CssClass="nonNumericAcuityCol"></HeaderStyle>
                                    <FooterStyle CssClass="nonNumericAcuityCol"></FooterStyle>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn HeaderText="Comment">
                                    <ItemTemplate>
                                        <asp:Label runat="server" ID="lblNonNumericAcuityComment" Text='<%# Eval("Comment") %>'></asp:Label>
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:RequiredFieldValidator runat="server" ID="reqValNonNumericComment" ControlToValidate="tbNonNumericAcuityComment"
                                            Text="*" ErrorMessage="COMMENT is required!" EnableClientScript="True" ValidationGroup="nonNumEdit"></asp:RequiredFieldValidator>
                                        <asp:TextBox runat="server" ID="tbNonNumericAcuityComment" ValidationGroup="nonNumEdit" CssClass="tbNonNumericAcuityComment"
                                            Text='<%# Bind("Comment") %>' Visible='<%# Bind("RequiresComment") %>'></asp:TextBox>
                                        <asp:CompareValidator runat="server" ID="compValNonNumericComment" ControlToValidate="tbNonNumericAcuityComment"
                                            Type="Double" Operator="DataTypeCheck" CssClass="examTabError" ValidationGroup="nonNumEdit"
                                            ErrorMessage="COMMENT must be a number!"></asp:CompareValidator>
                                    </EditItemTemplate>
                                    <FooterTemplate>
                                        <span id="NonNumericAcuityCommentWrapper">
                                            <asp:RequiredFieldValidator runat="server" ID="reqValNonNumericComment" ControlToValidate="tbNonNumericAcuityComment"
                                                Text="*" ErrorMessage="COMMENT is required!" EnableClientScript="True" ValidationGroup="nonNumAdd"></asp:RequiredFieldValidator>
                                            <asp:TextBox runat="server" ID="tbNonNumericAcuityComment" ValidationGroup="nonNumAdd" CssClass="tbNonNumericAcuityComment" />
                                            <asp:CompareValidator runat="server" ID="compValNonNumericComment" ControlToValidate="tbNonNumericAcuityComment"
                                                Type="Double" Operator="DataTypeCheck" CssClass="examTabError" ValidationGroup="nonNumAdd"
                                                ErrorMessage="COMMENT must be a number!"></asp:CompareValidator>
                                        </span>
                                    </FooterTemplate>
                                    <ItemStyle CssClass="nonNumericAcuityCommentCol"></ItemStyle>
                                    <HeaderStyle CssClass="nonNumericAcuityCommentCol"></HeaderStyle>
                                    <FooterStyle CssClass="nonNumericAcuityCommentCol"></FooterStyle>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn HeaderText="">
                                    <ItemTemplate>
                                        <asp:PlaceHolder runat="server" ID="phNonNumericAcuityEdit" Visible='<%# Eval("RequiresComment") %>'>
                                            <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityEdit" CommandName="Edit" Text="Edit" />
                                            &nbsp;
                                        </asp:PlaceHolder>
                                        <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityDelete" CommandName="Delete" Text="Delete" />
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityUpdate" ValidationGroup="nonNumEdit" CommandName="Update" Text="Update" />
                                        &nbsp;
                                    <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityCancel" CommandName="Cancel" Text="Cancel" />
                                    </EditItemTemplate>
                                    <FooterTemplate>
                                        <asp:LinkButton runat="server" ID="lbtnNonNumericAcuityAdd" ValidationGroup="nonNumAdd" CommandName="Add" Text="Add" />
                                    </FooterTemplate>
                                    <ItemStyle CssClass="rowCommandCol"></ItemStyle>
                                    <HeaderStyle CssClass="rowCommandCol"></HeaderStyle>
                                    <FooterStyle CssClass="rowCommandCol"></FooterStyle>
                                </telerik:GridTemplateColumn>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlQualifiers" GroupingText="Qualifiers" CssClass="vaSection">
                <div class="examTabColumn">
                    <div class="examTabColumnLabel">
                        <asp:Label runat="server" ID="lblDistance" AssociatedControlID="ucDistance" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucDistance" CssClass="ucDistance" />
                    </div>
                </div>
                <div class="examTabColumn">
                    <div class="examTabColumnLabel">
                        <asp:Label runat="server" ID="lblCorrection" AssociatedControlID="ucCorrection" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucCorrection" CssClass="ucCorrection" />
                    </div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabel">
                        <asp:Label runat="server" ID="lblExamMethod" AssociatedControlID="ucExamMethod" />:
                    </div>
                    <div class="examTabColumnItem">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucExamMethod" CssClass="ucExamMethod" />
                    </div>
                </div>
                <div class="clearFloat"></div>
                <asp:Panel runat="server" ID="pnlStandardChartPrint">
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel">
                            <asp:Label runat="server" ID="lblChartType" AssociatedControlID="ucChartType" />:
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucChartType" CssClass="ucChartType" />
                        </div>
                    </div>
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel">
                            <asp:Label runat="server" ID="lblPrintSamples" AssociatedControlID="ucPrintSamples" />:
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucPrintSamples" CssClass="ucPrintSamples" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                </asp:Panel>
                <asp:Panel runat="server" ID="pnlJaegerChartPrint">
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel">
                            <asp:Label runat="server" ID="lblJaegerChartType" AssociatedControlID="ucJaegerChartType" />:
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerChartType" CssClass="ucChartType" />
                        </div>
                    </div>
                    <div class="examTabColumn">
                        <div class="examTabColumnLabel">
                            <asp:Label runat="server" ID="lblJaegerPrintSamples" AssociatedControlID="ucJaegerPrintSamples" />:
                        </div>
                        <div class="examTabColumnItem">
                            <ucExamTab:ucSingleSelect runat="server" ID="ucJaegerPrintSamples" CssClass="ucPrintSamples" />
                        </div>
                    </div>
                    <div class="clearFloat"></div>
                </asp:Panel>
            </asp:Panel>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
