﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ReviewCommentListingControl.ascx.cs" Inherits="controls_ReviewComment_ReviewCommentListingControl" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadCodeBlock runat="server" ID="rcb1">
    <script type="text/javascript">
        function ShowProgress() {
            setTimeout(function () {
                var modal = $('<div />');
                modal.addClass("modal");
                $('body').append(modal);
                var loading = $(".loading");
                loading.show();
                var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                loading.css({ top: top, left: left });
            }, 200);
        }

        function OnGridCommand(sender, args) {
            if (args.get_commandName() == "Page" || args.get_commandName() == "Sort")
                ShowProgress();
        }
    </script>
</telerik:RadCodeBlock>

<asp:Panel ID="pnlReviewCommentListing" runat="server" GroupingText="Review Comments&nbsp;&nbsp;" CssClass="fullWidth" ToolTip="Review Comments">
    <div style="width: 95%;">
        <telerik:RadGrid ID="rgReviewComments" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" OnItemCommand="rgReviewComments_ItemCommand"
            OnNeedDataSource="rgReviewComments_NeedDataSource" AllowMultiRowSelection="false" PageSize="20" TabIndex="0">
            <MasterTableView AutoGenerateColumns="false" DataKeyNames="ID, QUESTION_CODE, LATERALITY_CODE, ANCHOR_ID" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                <NoRecordsTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                No Review Comments found for this Encounter
                                </asp:Label>
                            </td>
                        </tr>
                    </table>
                </NoRecordsTemplate>
                <Columns>
                    <telerik:GridButtonColumn CommandName="Details" ButtonType="LinkButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>
                    <telerik:GridBoundColumn DataField="DATE_ENTERED" DataType="System.DateTime" FilterControlAltText="Filter DATE ENTERED column" HeaderText="DATE ENTERED" ReadOnly="True" SortExpression="DATE_ENTERED" UniqueName="DATE_ENTERED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="LOCATION_FRIENDLY_NAME" DataType="System.String" FilterControlAltText="Filter COMMENT LOCATION column" HeaderText="COMMENT LOCATION" ReadOnly="True" SortExpression="LOCATION_FRIENDLY_NAME" UniqueName="LOCATION_FRIENDLY_NAME_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="RESOLVED_FLAG" DataType="System.Boolean" FilterControlAltText="Filter the IS RESOLVED column" HeaderText="IS RESOLVED" ReadOnly="True" SortExpression="RESOLVED_FLAG" UniqueName="RESOLVED_FLAG_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="RESOLVED_BY" DataType="System.String" FilterControlAltText="Filter RESOLVED BY column" HeaderText="RESOLVED BY" ReadOnly="True" SortExpression="RESOLVED_BY" UniqueName="RESOLVED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="DATE_RESOLVED" DataType="System.DateTime" FilterControlAltText="Filter DATE RESOLVED column" HeaderText="DATE RESOLVED" ReadOnly="True" SortExpression="DATE_RESOLVED" UniqueName="DATE_RESOLVED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="APPROVED_FLAG" DataType="System.Boolean" FilterControlAltText="Filter the IS APPROVED column" HeaderText="IS APPROVED" ReadOnly="True" SortExpression="APPROVED_FLAG" UniqueName="APPROVED_FLAG_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="APPROVED_BY" DataType="System.String" FilterControlAltText="Filter APPROVED BY column" HeaderText="APPROVED BY" ReadOnly="True" SortExpression="APPROVED_BY" UniqueName="APPROVED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="DATE_APPROVED" DataType="System.DateTime" FilterControlAltText="Filter DATE APPROVED column" HeaderText="DATE APPROVED" ReadOnly="True" SortExpression="DATE_APPROVED" UniqueName="DATE_APPROVED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="QUESTION_CODE" DataType="System.String" FilterControlAltText="Filter QUESTION CODE column" HeaderText="QUESTION CODE" ReadOnly="True" SortExpression="QUESTION_CODE" UniqueName="QUESTION_CODE_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="LATERALITY_CODE" DataType="System.String" FilterControlAltText="Filter LATERALITY CODE column" HeaderText="LATERALITY CODE" ReadOnly="True" SortExpression="LATERALITY_CODE" UniqueName="LATERALITY_CODE_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CREATED" DataType="System.Int32" FilterControlAltText="Filter CREATED column" HeaderText="CREATED" ReadOnly="True" SortExpression="CREATED" UniqueName="CREATED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CREATED_BY" DataType="System.String" FilterControlAltText="Filter CREATED BY column" HeaderText="CREATED BY" ReadOnly="True" SortExpression="CREATED_BY" UniqueName="CREATED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UPDATED" DataType="System.Int32" FilterControlAltText="Filter UPDATED column" HeaderText="UPDATED" ReadOnly="True" SortExpression="UPDATED" UniqueName="UPDATED_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UPDATED_BY" DataType="System.String" FilterControlAltText="Filter UPDATED BY column" HeaderText="UPDATED BY" ReadOnly="True" SortExpression="UPDATED_BY" UniqueName="UPDATED_BY_Report">
                    </telerik:GridBoundColumn>
                    <%--<telerik:GridButtonColumn CommandName="Details" ButtonType="LinkButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>
                    <telerik:GridBoundColumn DataField="ER_ENCOUNTER_ID" DataType="System.Int32" FilterControlAltText="Filter ENCOUNTER ID column" HeaderText="ENCOUNTER ID" ReadOnly="True" SortExpression="ER_ENCOUNTER_ID" UniqueName="ER_ENCOUNTER_ID_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ENCOUNTER_DATE_TIME" DataType="System.DateTime" FilterControlAltText="Filter ENCOUNTER DATE column" HeaderText="ENCOUNTER DATE" ReadOnly="True" SortExpression="ENCOUNTER_DATE_TIME" UniqueName="ENCOUNTER_DATE_TIME_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="STOP_CODE" DataType="System.String" FilterControlAltText="Filter STOP CODE column" HeaderText="STOP CODE" ReadOnly="True" SortExpression="STOP_CODE" UniqueName="STOP_CODE_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="STOP_CODE_DESC" DataType="System.String" FilterControlAltText="Filter STOP CODE DESCRIPTION column" HeaderText="STOP_CODE_DESC" ReadOnly="True" SortExpression="STOP_CODE_DESC" UniqueName="STOP_CODE_DESC_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="LAST_UPDATED_DATE" DataType="System.DateTime" FilterControlAltText="Filter LAST UPDATED DATE column" HeaderText="LAST UPDATED DATE" ReadOnly="True" SortExpression="LAST_UPDATED_DATE" UniqueName="LAST_UPDATED_DATE_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UPDATED_BY" DataType="System.String" FilterControlAltText="Filter UPDATED BY column" HeaderText="UPDATED BY" ReadOnly="True" SortExpression="UPDATED_BY" UniqueName="UPDATED_BY_Report">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ENCOUNTER_STATUS" DataType="System.String" FilterControlAltText="Filter ENCOUNTER STATUS column" HeaderText="ENCOUNTER STATUS" ReadOnly="True" SortExpression="ENCOUNTER_STATUS" UniqueName="ENCOUNTER_STATUS_Report">
                    </telerik:GridBoundColumn>--%>
                </Columns>
            </MasterTableView>
            <ClientSettings AllowKeyboardNavigation="true">
                <ClientEvents OnCommand="OnGridCommand" />
                <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
        </telerik:RadGrid>
    </div>
</asp:Panel>