﻿using Managers.Encounter;
using System;
using System.Web.UI;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;

public partial class controls_ReviewComment_ReviewerCommentControl : System.Web.UI.UserControl
{
    #region Member Variables

    private UserAccountManager _currentUser;

    public int EncounterId
    {
        get { return ViewState["EncounterId"] as int? ?? 0; }
        set { ViewState["EncounterId"] = value; }
    }

    public string QuestionCode
    {
        get { return ViewState["QuestionCode"] as string; }
        set { ViewState["QuestionCode"] = value; }
    }

    public string LateralityCode
    {
        get { return ViewState["LateralityCode"] as string ?? "N"; }
        set { ViewState["LateralityCode"] = value; }
    }

    public int AnchorId 
    {
        get { return ViewState["AnchorId"] as int? ?? 0; }
        set { ViewState["AnchorId"] = value; }
    }

    public string FriendlyLocationName {
        get { return ViewState["FriendlyLocationName"] as string; }
        set { ViewState["FriendlyLocationName"] = value; }
    }

    public string UserName
    {
        get { return ViewState["Username"] as string; }
        set { ViewState["Username"] = value; }
    }

    public bool ShowCommentControl
    {
        get { return ViewState["ShowCommentControl"] as bool? ?? false; }
        set { ViewState["ShowCommentControl"] = value; }
    }

    public int EncounterStatusID { get; set; }

    public UserAccountManager CurrentUser
    {
        get{ return _currentUser; }
        set
        {
            _currentUser = value;
            UserName = value.UserName;
        }
    }
    public bool IsSelectedFromReviewGrid { get; set; }
    public bool ShowCommentsOnLoad { get; set; }
    public bool SetFocusOnLoad { get; set; }
    public bool IsCommentEditable { get; set; }


    public bool IsResolvedEditable { get; set; }
    public bool IsApproveEditable { get; set; }

    private DataAccess.ER_ENCOUNTER_REVIEWCOMMENT _reviewCommentFound;

    //public int ControlState { get; set; }

    #endregion

    /// <summary>
    /// Default Page Load
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        string scriptName = "__mevirReviewCommentsUserControlJQueryScript.js";
        if (!Page.ClientScript.IsClientScriptIncludeRegistered(scriptName))
        {
            Page.ClientScript.RegisterClientScriptInclude(Page.GetType(), scriptName, "controls/ReviewComment/mevirReviewCommentsUserControlJQueryScript.js");
        }

        Page.PreRender += new EventHandler(Page_PreRender);
    }

    public void SetControlState()
    {
        // STATE ...
        if (!IsSelectedFromReviewGrid)
        {
            determineControlState();
        }
        else
        {
            determineReviewingStatusState();
        }

        if (ShowCommentsOnLoad)
        {
            PanelReviewCommentsContent.Style.Add("display", "block");
        }
        else
        {
            PanelReviewCommentsContent.Style.Remove("display");
            PanelReviewCommentsContent.Style.Add("display", "none");
        }

        //set control state
        PanelReviewComment.Visible = ShowCommentControl;

        CheckBoxApproved.Enabled = IsApproveEditable;
        CheckBoxResolved.Enabled = IsResolvedEditable;

        TextBoxReviewComment.Visible = IsCommentEditable;
        LabelReviewCommentReadOnly.Visible = !IsCommentEditable;

    }

    /// <summary>
    /// PreRender
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    void Page_PreRender(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            SetControlState();
        }
        else
        {
            // post back
            if (IsSelectedFromReviewGrid)
            {
                SetControlState();
            }
        }
    }

    /// <summary>
    /// Save Comment
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void ImageButtonCommentReturnToList_Click(object sender, ImageClickEventArgs e)
    {
        // get ref to old object
        _reviewCommentFound = EncounterDataManager.GetReviewCommentByEncounterIdAndQuestionCodeAndLaterality(EncounterId, QuestionCode, LateralityCode);

        // Update
        if (_reviewCommentFound != null)
        {
            _reviewCommentFound.COMMENT_TEXT = TextBoxReviewComment.Text;
            _reviewCommentFound.ER_ENCOUNTER_MOD_ID = EncounterId;
            _reviewCommentFound.QUESTION_CODE = QuestionCode;
            _reviewCommentFound.LATERALITY_CODE = LateralityCode;

            _reviewCommentFound.APPROVED_FLAG = CheckBoxApproved.Checked;
            _reviewCommentFound.RESOLVED_FLAG = CheckBoxResolved.Checked;

            _reviewCommentFound.ANCHOR_ID = AnchorId;
            _reviewCommentFound.LOCATION_FRIENDLY_NAME = FriendlyLocationName;


            // Determined by state
            if (CheckBoxApproved.Checked)
            {
                _reviewCommentFound.APPROVED_BY = UserName;
                _reviewCommentFound.DATE_APPROVED = DateTime.Now;
            }
            else
            {
                _reviewCommentFound.APPROVED_BY = null;
                _reviewCommentFound.DATE_APPROVED = null;
            }

            // Determined by state
            if (CheckBoxResolved.Checked)
            {
                _reviewCommentFound.RESOLVED_BY = UserName;
                _reviewCommentFound.DATE_RESOLVED = DateTime.Now;
            }
            else
            {
                _reviewCommentFound.RESOLVED_BY = null;
                _reviewCommentFound.DATE_RESOLVED = null;
            }
        }
        else
        {
            // insert ... new record
            _reviewCommentFound = new DataAccess.ER_ENCOUNTER_REVIEWCOMMENT();
            _reviewCommentFound.ID = 0;
            _reviewCommentFound.COMMENT_TEXT = TextBoxReviewComment.Text;
            _reviewCommentFound.ER_ENCOUNTER_MOD_ID = EncounterId;
            _reviewCommentFound.QUESTION_CODE = QuestionCode;
            _reviewCommentFound.LATERALITY_CODE = LateralityCode;

            _reviewCommentFound.ANCHOR_ID = AnchorId;
            _reviewCommentFound.LOCATION_FRIENDLY_NAME = FriendlyLocationName;
        }

        EncounterDataManager.SaveReviewComment(_reviewCommentFound, UserName);

        // Possibly Reload ... data, etc.
        LoadControlsFromObject();


        ////Raise an Event to give notice that a item has been selected

        ////create an instance of the custom eventArgs in order to populate the id selected
        //GoToReviewCommentListEventArgs eventArgs = new GoToReviewCommentListEventArgs();
        //eventArgs.Type = HiddenFieldReviewCommentType.Value;
        //eventArgs.ReviewCommentID = Helpers.getIntFromString(HiddenFieldReviewCommentId.Value);

        //if (this.GoToReviewCommentList != null) //check for listeners
        //{


        //    //raise event
        //    this.GoToReviewCommentList(this, eventArgs);
        //}

        //this.RaiseBubbleEvent(this, eventArgs);
    }

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="exam">Exam entity used to populate controls</param>
    /// <returns>int</returns>
    public int LoadControlsFromObject()
    {
        //TextBoxReviewComment.ToolTip = LocationFriendlyName + " Review Comments";
        //LabelReviewCommentReadOnly.ToolTip = LocationFriendlyName + " Review Comments";

        //RegularExpressionValidatorTextBoxReviewComment.ErrorMessage = LocationFriendlyName + " Review Comment needs to be less than 1000 characters.";

        //find the review comment attached to encounter by matching the locationPage and anchorId that is set on
        //the control at design time
        if (ShowCommentControl)
        {
            _reviewCommentFound = string.IsNullOrEmpty(LateralityCode)
                ? EncounterDataManager.GetReviewCommentByEncounterIdAndQuestionCode(EncounterId, QuestionCode)
                : EncounterDataManager.GetReviewCommentByEncounterIdAndQuestionCodeAndLaterality(EncounterId, QuestionCode, LateralityCode);

            if (_reviewCommentFound != null)
            {
                TextBoxReviewComment.Text = _reviewCommentFound.COMMENT_TEXT;
                LabelReviewCommentReadOnly.Text = _reviewCommentFound.COMMENT_TEXT;

                CheckBoxResolved.Checked = _reviewCommentFound.RESOLVED_FLAG.GetValueOrDefault();
                CheckBoxApproved.Checked = _reviewCommentFound.APPROVED_FLAG.GetValueOrDefault();

                hfReviewCommentId.Value = _reviewCommentFound.ID.ToString();
                hfReviewCommentType.Value = "encounter";

                ImageButtonCommentOpen.Visible = true;
                ImageButtonCommentAdd.Visible = false;

                // TODO
                //if (reviewCommentFound.IsSelectedFromCommentsTab)
                //{
                //    _setFocusOnLoad = true;
                //}
            }
            else
            {
                TextBoxReviewComment.Text = string.Empty;
                LabelReviewCommentReadOnly.Text = string.Empty;

                CheckBoxResolved.Checked = false;
                CheckBoxApproved.Checked = false;

                hfReviewCommentId.Value = string.Empty;
                hfReviewCommentType.Value = "encounter";

                // no comment ... should only add
                ImageButtonCommentOpen.Visible = false;
                ImageButtonCommentAdd.Visible = true;
            }

            //SetControlState(reviewCommentFound, encounter.REFERRAL.STD_REFERRALSTS_ID);
        }

        return 0;
    }

    /// <summary>
    /// Determine state of control
    /// </summary>
    private void determineControlState()
    {
        switch (EncounterStatusID)
        {
            case EncounterStatusType.NEW:
                #region Role Determination

                // no comments needed
                ShowCommentControl = false;
                ShowCommentsOnLoad = false;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = false;

                #endregion
                break;
            case EncounterStatusType.IN_PROC:
                #region Role Determination

                // no comments yet
                ShowCommentControl = false;
                ShowCommentsOnLoad = false;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = false;

                #endregion
                break;
            case EncounterStatusType.REVIEW:
                #region Role Determination

                if (CurrentUser.IsInRole((int)RoleCode.DVEIR_ADMINISTRATOR))
                {
                    #region Admin - In Review

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = false;
                    IsApproveEditable = true;
                    IsCommentEditable = true;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = false;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_DATA_ABSTRACTOR))
                {
                    #region Abstractor - In Review

                    ShowCommentControl = false;
                    ShowCommentsOnLoad = false;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = false;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_MEDICAL_PROFESSIONAL))
                {
                    #region Med Prof - In Review

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = false;
                    IsApproveEditable = true;
                    IsCommentEditable = true;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = false;

                    #endregion
                }
                else
                {
                    #region No Known Role - Hide all but Cancel

                    ShowCommentControl = false;
                    ShowCommentsOnLoad = false;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = false;

                    #endregion
                }

                #endregion
                break;
            case EncounterStatusType.SEND_BACK:
                #region Role Determination

                if (CurrentUser.IsInRole((int)RoleCode.DVEIR_ADMINISTRATOR))
                {
                    #region Admin - SEND BACK

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = true;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_DATA_ABSTRACTOR))
                {
                    #region Abstractor - SEND BACK

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = true;
                    SetFocusOnLoad = false;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_MEDICAL_PROFESSIONAL))
                {
                    #region Med Prof - SEND BACK

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else
                {
                    #region No Known Role - Hide all but Cancel

                    ShowCommentControl = false;
                    ShowCommentsOnLoad = false;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = false;

                    #endregion
                }

                #endregion
                break;
            case EncounterStatusType.READY_SEND:
                #region Role Determination

                // no comments needed - reviewed ... ready
                ShowCommentControl = true;
                ShowCommentsOnLoad = false;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = false;

                #endregion
                break;
            case EncounterStatusType.COMPLETED:
                #region Role Determination

                ShowCommentControl = true;
                ShowCommentsOnLoad = false;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = false;

                #endregion
                break;
            default:
                // not sure yet.
                break;
        }
    }

    /// <summary>
    /// Only fired when selected from review grid listing
    /// </summary>
    private void determineReviewingStatusState()
    {
        switch (EncounterStatusID)
        {
            case EncounterStatusType.NEW:
                #region Role Determination

                // no comments needed
                ShowCommentControl = false;
                ShowCommentsOnLoad = false;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = false;

                #endregion
                break;
            case EncounterStatusType.IN_PROC:
                #region Role Determination

                // no comments yet
                ShowCommentControl = false;
                ShowCommentsOnLoad = false;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = false;

                #endregion
                break;
            case EncounterStatusType.REVIEW:
                #region Role Determination

                if (CurrentUser.IsInRole((int)RoleCode.DVEIR_ADMINISTRATOR))
                {
                    #region Admin - In Review

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = true;
                    IsCommentEditable = true;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_DATA_ABSTRACTOR))
                {
                    #region Abstractor - In Review

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_MEDICAL_PROFESSIONAL))
                {
                    #region Med Prof - In Review

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = true;
                    IsCommentEditable = true;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else
                {
                    #region No Known Role - Hide all but Cancel

                    ShowCommentControl = false;
                    ShowCommentsOnLoad = false;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = false;

                    #endregion
                }

                #endregion
                break;
            case EncounterStatusType.SEND_BACK:
                #region Role Determination

                if (CurrentUser.IsInRole((int)RoleCode.DVEIR_ADMINISTRATOR))
                {
                    #region Admin - SEND BACK

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = true;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_DATA_ABSTRACTOR))
                {
                    #region Abstractor - SEND BACK

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = true;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else if (CurrentUser.IsInRole((int)RoleCode.DVEIR_MEDICAL_PROFESSIONAL))
                {
                    #region Med Prof - SEND BACK

                    ShowCommentControl = true;
                    ShowCommentsOnLoad = true;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = true;

                    #endregion
                }
                else
                {
                    #region No Known Role - Hide all but Cancel

                    ShowCommentControl = false;
                    ShowCommentsOnLoad = false;
                    IsApproveEditable = false;
                    IsCommentEditable = false;
                    IsResolvedEditable = false;
                    SetFocusOnLoad = false;

                    #endregion
                }

                #endregion
                break;
            case EncounterStatusType.READY_SEND:
                #region Role Determination

                // no comments needed - reviewed ... ready
                ShowCommentControl = true;
                ShowCommentsOnLoad = true;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = true;

                #endregion
                break;
            case EncounterStatusType.COMPLETED:
                #region Role Determination

                ShowCommentControl = true;
                ShowCommentsOnLoad = true;
                IsApproveEditable = false;
                IsCommentEditable = false;
                IsResolvedEditable = false;
                SetFocusOnLoad = true;

                #endregion
                break;
            default:
                // not sure yet.
                break;
        }
    }
}