﻿/* Exam Tab Functional Testing Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.FunctionalTesting = {
    ToggleValidation: function ($input, $validator) {
        var inputText = $input.get_value();
        var $testDetails = $('#examTabTestDetails');
        var enableValidator = $testDetails.is(':visible') && inputText.length > 0;

        ValidatorEnable($validator, enableValidator);
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $reqValVergenceRanges = $('[id $=reqValVergenceRanges]');
        var $reqValNearPointConvergence = $('[id $=reqValNearPointConvergence]');
        var $reqValAccommodativeAmplitutde = $('[id $=reqValAccommodativeAmplitutde]');
        var $regExValVergenceRanges = $('[id $=regExValVergenceRanges]'); // No Client
        var $regExValNearPointConvergence = $('[id $=regExValNearPointConvergence]'); // No Client
        var $regExValAccommodativeAmplitude = $('[id $=regExValAccommodativeAmplitude]'); // No Client
        var $regExValAccommodativeRanges = $('[id $=regExValAccommodativeRanges]'); // No Client
        var $regExValRefractionResults = $('[id $=regExValRefractionResults]'); // No Client

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        if (enableValidator) {
            var $tbVergenceRanges = $find($('[id $=tbVergenceRanges]').attr('id'));
            var $tbNearPointConvergence = $find($('[id $=tbNearPointConvergence]').attr('id'));
            var $tbAccommodativeAmplitude = $find($('[id $=tbAccommodativeAmplitude]').attr('id'));

            if ($tbVergenceRanges != null) {
                MEVIR.Exam.FunctionalTesting.ToggleValidation($tbVergenceRanges, $reqValVergenceRanges[0]);
            } else {
                ValidatorEnable($reqValVergenceRanges[0], false);
            }

            if ($tbNearPointConvergence != null) {
                MEVIR.Exam.FunctionalTesting.ToggleValidation($tbNearPointConvergence, $reqValNearPointConvergence[0]);
            } else {
                ValidatorEnable($reqValNearPointConvergence[0], false);
            }

            if ($tbAccommodativeAmplitude != null) {
                MEVIR.Exam.FunctionalTesting.ToggleValidation($tbAccommodativeAmplitude, $reqValAccommodativeAmplitutde[0]);
            } else {
                ValidatorEnable($reqValAccommodativeAmplitutde[0], false);
            }

            ValidatorEnable($regExValVergenceRanges[0], true);
            ValidatorEnable($regExValNearPointConvergence[0], true);
            ValidatorEnable($regExValAccommodativeAmplitude[0], true);
            ValidatorEnable($regExValAccommodativeRanges[0], true);
            ValidatorEnable($regExValRefractionResults[0], true);
        } else {
            ValidatorEnable($reqValVergenceRanges[0], false);
            ValidatorEnable($reqValNearPointConvergence[0], false);
            ValidatorEnable($reqValAccommodativeAmplitutde[0], false);

            ValidatorEnable($regExValVergenceRanges[0], false);
            ValidatorEnable($regExValNearPointConvergence[0], false);
            ValidatorEnable($regExValAccommodativeAmplitude[0], false);
            ValidatorEnable($regExValAccommodativeRanges[0], false);
            ValidatorEnable($regExValRefractionResults[0], false);
        }
    },

    VergenceRangesOnLoad: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValVergenceRanges"]');

        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    VergenceRangesOnBlur: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValVergenceRanges"]');
        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    NearPointConvergenceOnLoad: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValNearPointConvergence"]');

        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    NearPointConvergenceOnBlur: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValNearPointConvergence"]');
        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    AccommodativeAmplitudeOnLoad: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValAccommodativeAmplitutde"]');

        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    AccommodativeAmplitudeOnBlur: function (sender) {
        var $textBox = $('#' + sender.get_id());
        var $containerDiv = $textBox.closest('.examTabColumnDouble');
        var $validator = $containerDiv.find('[id $="reqValAccommodativeAmplitutde"]');
        MEVIR.Exam.FunctionalTesting.ToggleValidation(sender, $validator[0]);
    },

    TestPerformedSelectionChanged: function (sender, eventArgs) {
        MEVIR.Exam.FunctionalTesting.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.FunctionalTesting.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};